OziExplorer Help Contents

Help Contents

OziExplorer Help

Contents

  • About OziExplorer
  • Conditions of Use
  • Printing Help File
  • Getting Started
  • History of Changes
  • Known Problems in this Version

Configuration

  • Configuration

Tutorial

  • Tutorial (Demonstration Data)

GPS Receivers

  • Lowrance and Eagle GPS Receivers
  • Garmin GPS Receivers
  • Magellan GPS Receivers
  • MLR GPS Receivers
  • Brunton / Silva GPS
  • NMEA Only
  • Tripmate GPS
  • Earthmate GPS

Program Menus and Toolbars

  • Toolbar
  • User Toolbar
  • File Menu
  • Select Menu
  • Load Menu (on Toolbar)
  • Save Menu (on Toolbar)
  • View Menu
  • Options Menu
  • Moving Map Menu
  • Map Menu
  • Navigation Menu
  • Garmin Menu
  • Magellan Menu
  • Lowrance Menu
  • MLR Menu
  • Brunton / Silva Menu
  • GPS - NMEA Only menu

Map Related

  • Creating (Calibrating) Maps
  • Image Formats Supported
  • Map Projections
  • France Grids
  • Changing the Map Image File
  • Import Map Features and Comments
  • Importing DRG Maps
  • Converting Geotiff Image Files
  • Importing BSB Charts
  • Importing NOS/GEO Charts
  • Importing NV.Digital Charts
  • Importing Maptech PCX and RML Charts
  • Import QuoVadis Navigator Maps
  • Importing ECW Maps
  • Importing SID Maps
  • Save Map to Image File
  • Map Searching
  • Index Map
  • Name Search
  • Using the Find Map Feature
  • Using the Blank Map
  • Magnetic Variation
  • Seamless Maps

Datums

  • Datums
  • Adding User Datums
  • Display Datum

Moving Map (Real Time Tracking)

  • Moving Map
  • Proximity Waypoints
  • Alarm Zones
  • Range Rings
  • Show Regional Map Window
  • User Defined Pointers

Navigation (when using Moving Map)

  • Navigation (when using Moving Map)

Auto Pilot

  • Auto Pilot Output

Waypoints

  • Waypoints
  • Waypoint Properties
  • Waypoint File Attachments
  • Waypoint List
  • Project a Waypoint (or Trackpoint)

Routes

  • Working with Routes
  • Route Editor
  • Route Properties

Events

  • Events
  • Event Properties
  • Event List

Map Features

  • Map Features
  • Map Feature Properties
  • Map Feature List
  • User Symbols for Map features

Map Comments

  • Map Comments
  • Map Comment Properties
  • Map Comment List

Tracks

  • Working with Tracks
  • Track Properties
  • The Track Control
  • The Track List
  • The Track Replay Control
  • The Track Move Control
  • Track Profile
  • Track Filter Control
  • Project a New Trackpoint

Points

  • Points
  • Point Set Properties
  • Point Properties
  • The Point Control

Import and Export

Import

  • Import Waypoints from Text File
  • Importing Tracks
  • Import MapInfo MIF Files
  • Import ESRI Shape Files
  • Import ArcInfo E00 Files

Export

  • Exporting Waypoints to a Text File
  • Exporting Tracks to a Text File
  • Exporting to ESRI Shape Files

Distance and Area Measurement

  • Area Calculations
  • Distance and Bearing Display
  • Distance Between Waypoints

Grids

  • Displaying Lat/Lon and other Grids

Printing

  • Printing Maps
  • Printing Lists

Hints, Tips and FAQs

  • Special Keys and Stuff
  • Frequently Asked Questions
  • Hints and Tips

Trouble Shooting

  • Error Codes
  • OziExplorer Crashes my System
  • Common User Problems
  • Trouble Shooting

Technical

  • Limitations
  • Data File Formats
  • Map File Format
  • OziExplorer API

GPS Mapping Software

Program History

Demonstration Data Help Tutorial
(Essential Reading)

Hints & Tips

Common User Problems

Frequently Asked Questions

Trouble Shooting


About OziExplorer

OziExplorer

OziExplorer is copyright (C) D & L Software Pty Ltd

Conditions of Use

The unregistered version of this program can be used without cost and without time limits.

The registered version must not be used unless you are the license holder.

Software Design Philosophy

Must be able to use scanned maps. Most countries do not have access to many good quality maps on CD.

Must be able to display pictures of interesting sites.

It was critically important that a large number of Waypoints and Events could be added to the map quickly. When planning a trip I usually add up to 100 Waypoints and up to 300 Events (sometimes more) to the map for uploading to the GPS.

Note : Events are only available in Lowrance and Eagle GPS receivers.

Must be able to print the map and a list of the waypoints. I take these with me on the trip, as well as the original map to refer to.

The software was developed to allow me to set up my 4 wheel drive trips. Before the trip I scan in the relevant map if I have not already done so. I then sit down and work out where I am going, and using OziExplorer, position waypoints on all the road and track intersections and towns etc. Add in Map Features and Map Comments where appropriate. Use events to mark the position of the roads and tracks. I save all these to files as necessary. I add waypoints and events to more than cover the region I expect to visit to allow for change of plans. When I am happy with the map I then send the waypoints and events to the GPS and print the map and waypoint list.

After the trip I download the waypoints from the GPS to get any new ones I may have added. I download the track and display it on the map and save it to a file.

The software has also been designed for marine based activities and has many features built into it for this purpose.

System Requirements

Operating System : Windows 95/98/ME/NT4/2000/XP/Vista/7/8/10 (including Pro versions both 32 and 64 bit)

Memory : 512 MB of RAM (1GB or more preferred)

CPU : Pentium 500MHz or better (higher CPU speeds will work better)

Monitor : VGA Monitor 800x480 (greater preferred)

Hard Disk - OziExplorer does not require very much HD space (about 10MB), it is the maps you have which require the most space. The file size of maps can vary from approximately 1MB to 4GB per map. So the Hard Disk space requirement depends on the number of maps you have stored.

This is a guide only, you may be able to run OziExplorer on lesser systems but it would be very slow.


OziExplorer Conditions of Use

Conditions of Use

OziExplorer is provided for entertainment and experimentation purposes only, it is not intended as a primary source of navigation or as the primary means of piloting and guiding of vehicles. Always rely on your own navigational skills and official maps or charts before making a decision on any actions you take.

Warranty

We provide no warranty what-so-ever with this Software, and do not warrant that the functions contained in the Software will meet your requirements or that the Software operation will be uninterrupted, error free or 100% accurate, while we have worked hard to make it as bug free as possible, it is expected that you will find bugs, problems, inconsistencies, miscalculations and so on.

Limitations of Liability

In no event will we be liable to you for any damages including any lost profits, lost savings, or other incidental or consequential damages arising out of the use or inability to use the Software or for any claims by any other party. The use of the software is at the exclusive risk of the user.

License Conditions

A Registered or Purchased copy of OziExplorer may either be used by a single person who uses the software personally on one or more computers, or installed on a single workstation used nonsimultaneously by multiple people, but not both. This is not a concurrent use license.

You may access the software through a network, provided that you have Registered or Purchased an individual copy for each workstation that will access OziExplorer through the network regardless of whether they use OziExplorer at different times or concurrently.

Feedback

While we can not guarantee that every aspect of the Software will work exactly as you want it to, we can guarantee that we will do our best to solve problems, add features and make enhancements to its operation.

Copyright (c)

OziExplorer is protected by copyright and all rights remain the sole property of D & L Software Pty Ltd Australia


Printing OziExplorer Help

If you highlight and right click on a topic of the Contents in the left pane of the Help, a menu will be displayed.

Options are:

  • Print the selected topic (print the selected topic or heading only)
  • Print the selected heading and all subtopics

To Print the Complete Help File

  • Select the heading "OziExplorer Help"
  • Right mouse click to display the options dialog
  • Select "Print selected heading and all subtopics"
  • Click "OK"

To Print a Topic or Heading

  • Select the required topic
  • Right mouse click to display the options dialog
  • Select "Print the selected topic"
  • Click "OK"

Note: If you find your pages are printing with a footer on each page, this can be removed. On the File Menu of your web browser (eg Internet Explorer), select "Page Setup" to display the options dialog, under "Headers and Footers" delete the contents of the Footer box.


Getting Started

If you are a first time user of OziExplorer please take the time to read this.

I have tried to make OziExplorer as user friendly as possible but mapping is a very complex subject and there are many things you must know in order to select the correct option or enter the correct value, Almost everything you need to know is explained in the help files so it is essential that you read the help that is provided. If you are having trouble communicating with the GPS read the Common User Problems section of the help.

The 1st thing you must do is configure OziExplorer to suit your requirements. Refer to the Configuration help.

You are probably keen to start using one of your own maps, to do this you must have an image of a map which you have obtained by scanning a paper chart or have purchased in digital form. If you do not have a purchased (registered) copy or retail version of OziExplorer then you are limited to using BMP files. Otherwise you can use map images in BMP, TIF, PNG, JPG or ECW format. USA DRG, BSB or Maptech Charts can also be imported. Refer to the Creating (Calibrating) Maps help.

Refer to the Demonstration Data Help on the Help Menu for a tutorial based on the supplied demonstration files. This will give you a better understanding of the features of the software and how to use them.

With OziExplorer you cannot do very much until you have a map loaded. If you do not have a map of your area to load there is a blank map available and this is created by selecting the Blank Map (Auto Scale) option on the map menu. With a blank map all operations of Oziexplorer can be done, within the limitations of a blank map. See the Using the Blank Map help for details.


OziExplorer

Program History

Version Release Policy

So users can have quick access to the new features the developmental releases of the software are posted almost as soon as the coding is finished . Some testing is done but usually not enough, the new features will most likely have bugs, adding in the new code may also cause problems with existing code which had been functioning correctly. Check the web site regularly for new releases.

Release Version 3.95.6f (February 2016)

Changes

  • Added "Selection Control" button to the Track Control Toolbar.
  • Added "Clear All Tracks" button to the Track Control Toolbar.
  • Added "Open Topo Maps" to Internet Maps, this map is really only for Europe at this stage.
  • Fixed many issues when manipulating track points.

Release Version 3.95.6e (September 2015)

Changes

  • Fixed the support for the Internal GPS for Windows 10

Release Version 3.95.6c / d (February 2015)

Changes

3.95.6d

  • Fine tuning of the new (3.95.6c) and old map saved positions.
    • The saving of the "Last Map Saved Position" now happens on program close as well.
    • The User "Save Map Open Position" has been put back on the Map menu (removed in 3.95.6c).
    • Added a User "Clear Map Open Position" to menu as well (you must remove the "Saved Map Open Position" (if there) so the "Last Map Saved Position" can work (if you want it to)).
    • The "Saved Map Open Position" overrides the "Last Map Saved Position" if both are in the map file.
    • The last Zoom is also saved and used with the "Save Map Open Position" and "Save Map Last Position".
  • Removed "Set last Map Zoom and Position" option in startup from Configuration as it is no longer needed.
  • Removed "Keep Zoom Level" option from Configuration as it is no longer needed.
  • Added Pixel Sale to Recently Used Map List.
  • Added button to Recently Used Map List to sort in recent order, other sorts (pixel scale etc) can also be used.
    • To see a valid pixel scale in the recent map list the maps must be opened again at least once.

3.95.6c

  • Fixed - the previous version was not setting the corner markers correctly for new map calibrations.
  • Much improved track handling, which includes creation and insertion of track points and their manipulation.
  • Improved Track Control, new options, resizing of dialog and columns.
  • Improved Point Set handling, which includes point creation and their manipulation.
  • Improved Point Control, new options, resizing of dialog and columns.
  • The Maximum point sets have been increased to 1000.
  • The Selection Control has new options for above changes.
  • Some options on the Select Menu have been removed and are now only available on the Selection Control.
  • Added a "Recently Used Map" list, same as the "Load Recent Map" menu option but in a dialog list.
    • Provides a list of the "Recently Used maps" in a dialog for instant access.
    • Allows you to remove a Map from the list.
    • You can open a Map at the Map Saved position or current Map position.
    • The new option is on the Load Menu (below "Load Recent Map").
    • Also available as an option for the User Toolbar (you need to add it to the toolbar yourself).
  • Added an option in Configuration to "Load Last Data" (defaults to On). On OziExplorer start up will load :
    • the last waypoint file
    • the last route file
    • the last event file
    • the last track files
    • the last point files
  • Maps now remember their last position when closed and reopen to the same position when opened.
  • The "Save Map Open Position" option on the map menu has been removed.
  • A new OziExplorer "Update to a new version" method has been added.
    • To update to this version it will have to be done manually as the new method is not in the previous version of OziExplorer.
    • However for the next OziExplorer update OziExplorer will download the update and run the setup for you.
    • You will then run through the setup options as usual.

Release Version 3.95.6a / b (November 2014)

Changes

  • Increased number of waypoints from 10000 to 100000.
  • Added full support for Windows 8 internal GPS - position, speed, heading and satellites.
  • Now supports 32bit tif map images.
  • Fixed crashing if using tif map images and rotating the screen.
  • Added a map scale, View Menu / Show / Map Scale. Drag map scale into position on the map.
  • Fixed name search searching for names with extended characters.
  • 3.95.6b - needed to hide scale during map calibration otherwise it can cause errors to popup.

Release Version 3.95.5t (July 2013)

Changes

  • Fixed problem with Lat/Lon georeferenced geotiff images not importing correctly. The problem was caused by a new geotiff dll used to supprt bigtiff images, it was not formating the geotiff output correctly for lat/lon coordinates.

Release Version 3.95.5s (May 2013)

Changes

  • Added support for Windows 8 internal GPS using the API (experimental support was in the previous version).
    • Windows 8 GPS API does not provide speed or heading. These are calculated from position data and time so may not be as accurate.
    • Windows 8 GPS API does not provide satellite info.
    • You must turn on the GNSS Device (the GPS) in windows settings.
    • You must turn on the "Windows Location platform" in Control Panel Location Settings.
  • Fixed issue with BSB kap files converted with img2ozf.
  • Fixed issue with importing mapinfo raster maps with tab file and geographic (lat/lon) projection.

Release Version 3.95.5p/q/r (March 2013)

Changes

  • Added support for the new OZF4 image format (soon to be released).
  • Added the ETRS89 datum
  • Fixed internet maps so they can be used from the cache (without initially connecting to the internet).
  • Fixed Google Terrain internet map, it works again.
  • Version 3.95.5q - Fixed datum error in seamless maps
  • Version 3.95.5q - Added support for BigTiff (tif images > 4 GBytes)
  • Version 3.95.5r - Fixed seamless maps not being able to load .ozf4 and some .ozfx3 images.

Release Version 3.95.5n (November 2011)

Changes

  • Added the following Garmin GPS receivers to the GPS list in OziExplorer Configuration.
    • eTrex 10/20/30
    • Montana
    • Edge 200/500/800
    • Astro
    • Aera
  • Removed the Seamless Map from Map searches (it was always found regardless).
  • Added an option on the OziExplorer Help menu to delete the "MapView" Map Image thumbnails. Sometimes the thumbnails become corrupted (usually are black) - this allows them to be easily removed.
    The thumbnails can be removed at any time as they are automatically created when needed.

Release Version 3.95.5m (August 2011)

Changes

  • Added Seamless maps - same as in the development version, please see the help for details.
    • This is the loading of multiple maps into OziExplorer so they are merged together to form one map.
    • This is a first look at the seamless map support in the release version and issues can be expected.
    • See the extensive details in the OziExplorer help.
  • Updated map version number in the url for for Google Satellite maps (part of Internet Maps).
  • Updated Open Street Map support (part of Internet Maps) - it is import to reduce the load on the Open Street Map server..
    • Changed User Agent String.
    • Reduced number of threads being used to get tiles.
    • No additional tiles are now queued - other those those in the viewing area.
  • Some settings in Internet Maps can now be controlled by an im.dat text file (download from the OziExplorer internet maps web page).
  • The Track Tail (track collected for viewing on screen as you move) is now a buffer of 10000 track points.
    • The last 10000 track points are automatically saved and loaded.
    • The track tail is no longer logged into track 1.
    • The Track Tail defaults are on the Track tab in Configuration.
    • The are options for the Track Tail on the Moving map menu.
    • A smart algorithm based on changed distance and heading is used to log points.
  • Track logging to File is now enhanced.
    • You can specify Daily Files, Weekly Files, Monthly Files or "Never change the file" (the previous version method).
    • The default is a Daily Log file - this means for each day of travelling a new track file is automatically created.
    • The Track Log File default is on the Track tab in Configuration.
    • There are options for the Log Track to File on the Moving map menu.
  • The number of user loaded tracks has been increased to 1000 (from 75).
  • When a Track is loaded it is automatically inserted into the next free track (not track 1), previous versions always loaded a single track into track 1.
  • A new property for Line Style has been added for tracks.

Release Version 3.95.5h / 3.95.5i / 3.95.5j / 3.95.5k (June 2010)

Fixes

  • 3.95.5j - Fixed issue with waypoints not being redrawn when changing from Internet maps to another map.
  • 3.95.5j - Fixed issue with map dragging near the edge of the map.
  • 3.95.5i - Fixed the issue of Internet maps not saving the Tile Store Path for maps other than Open Street Map.
  • 3.95.5i - Fixed the issue of only *.rt2 files being displayed in the open file dialog when loading routes.
  • AIS - Class B vessels now display the name and other parameters.
  • There have been a few other minor fixes.

Changes

  • 3.95.5k - Added support for the new Garmin Zumo 220 and Nuvi 1490 models.
  • 3.95.5k - Updated map version number in the url for for Google Satellite maps (part of Internet Maps).
  • 3.95.5k - Fine tuning done for more and less detailed map option.
  • 3.95.5k - The printing of the route list has been improved.
  • 3.95.5k - Changed how the first waypoint in a route is handled when navigation is started - the proximity zone no longer defaults to 100 meters but is now the same as the "Route Waypoint proximity" setting.
  • 3.95.5j - Added the display of elevation onto the top status line next to the position when using OziExplorer3D.
  • 3.95.5j - Improved waypoint list printing.
    • Choose Portrait or Landscape.
    • Choose Font size.
    • Adjustment to the column width for the waypoint name.
  • Added / fixed support for the Garmin Dakota and Oregon x50 GPS models.
  • Added support for the Garmin GPSMAP 78 and 62 models.
  • The Garmin Oregon and Colarado can now be used for Moving Map - Set the GPS Interface to "Garmin Spanner" (do not install or start the Garmin Spanner software, it is not needed) - connect to the PC using normal USB cable - on the GPS screen set mass Storage Mode OFF - in OziExplorer configuration make sure "Garmin USB" and "Use PVT for Garmin instead of NMEA" are both checked - start moving map in OziExplorer.
  • Added time zone offset into the track files and the offset can be edited in track properties. Any display of a track point time will use the time zone offset if it is available.
  • The User Toolbar can now have different sizes. The setting is on the User Toolbar configuration dialog.
  • A Find GPS Port button has been added to the GPS tab in OziExplorer configuration. The ports on the PC will be scanned and the information about the GPS found will be displayed so the information can be manually entered into OziExplorer configuration.
  • Options for More and Less Detailed Map have been added - the options can be added to the User toolbar or Function keys, they are not available on the standard menus.
  • More Internet maps have been added - by opening the Internet map the new maps can be seen on the drop down menu.
  • Added option to Internet maps to ignore the cache so new tiles will be downloaded from the internet.
  • The help for OziExplorerCE has been removed from the OziExplorer help to reduce confusion between the two programs.
  • For Windows Vista and 7 the default folder where OziExplorer stores its system files has been changed to "c:\{user}\.OziExplorer" , this has been done to make it easier for users to find these files (the AppData folder which was used by previous versions is hidden by default in Vista and 7). Please Note - existing installations will still use the same folder they are currently using, this ensures your configuration files will still be found.

Release Version 3.95.5g (December 2009)

Fixes

  • Fixed issue with 24bit color tif image support.
  • Fixed issue where internet maps would stall (stop loading tiles).
  • Fixed an issue with routes in gpx files.
  • Fixed an issue with AIS configuration where the "Ship Label" settings were not being saved.

Changes

  • Added latest Garmin GPS models to the selection in configuration.
  • Added support for lower case and extended characters for Garmin GPS.
  • Added moving map support for the Garmin Nuvi, Zumo and Streetpilot models when connected to the PC by the special Garmin serial cable. These use the PVT protocol. Only tested with the Nuvi 760 but it is assumed other models mentioned will work.

Release Version 3.95.5f (October 2009)

Fixes

  • moving map compass display fixed for non 100% zooms.
  • some fixes and improved support for XP and vista themes.

Changes

  • Google maps changed their map url, this has been fixed.
  • New Zealand have released their new NZTM topo maps so have added support for New Zealand NZTM grid and datum.
  • Added support for the new topo maps for New Zealand. The topo50 maps are 24bit color geotiffs, the topo 250 are 24bit color geotiffs but stored within the tif as color planes (an unusual tif format for PC use).
  • 24 bit color tif files can now be paged instead of having to be fully loaded into memory.
  • Added support for loading planar configuration tif files (but not paged - must be fully loaded).
  • Automatic Ship Identification (AIS) help is now listed in the Help contents.
  • Added the ability to store altitude in kml files.

Release Version 3.95.5e (September 2009)

Fixes

  • Exporting waypoints to text file fixed.
  • Some minor cosmetic issues fixed.

Changes

  • Added the new Garmin Dakota to the GPS list.
  • Project Manager
    • When a project is loaded the tracks are now loaded in the same order that they appeared in the Track Control when the project was created.
    • You can now specify a map position where the loaded project starts.
  • OziExplorerCE .rt2 route files can now be loaded, rt2 files cannot be saved but OziExplorerCE can read OziExplorers .rte files.
  • Added a Zoom Number display to the Internet maps control toolbar.

Release Version 3.95.5d (August-2009)

Fixes

  • Fixed issues with Update options on Help menu not being remembered.
  • The change of compiler caused some unusual issues on some systems.

Changes

  • Added support for Open Street Maps and Virtual Earth Internet maps.
  • Google Maps support now works differently, it is part of the "internet maps" control, script errors should no longer happen. The Google Maps.map file will still work but is no longer provided - use the Internet Maps.map file instead.
  • Changed Google Earth support so the Google Earth software is no longer closed until OziExplorer is closed.

Release Version 3.95.5c (August-2009)

Fixes

  • Fixed issues with shape file import and export.

Changes

  • Added support for USA Terraserver maps.
  • Added zoom level menu to Google maps.
  • Added ability to sort on CPA for the AIS (ship indentification system).

Release Version 3.95.5b (August-2009)

Fixes

  • some more minor fixes.

Changes

  • Now includes support for Google Maps within OziExplorer. There is a link to the OziExplorer Google Maps page (on the OziExplorer page) where the .map file can be downloaded.
  • Some fixes done for the Google Earth support.
  • Added the ability to check if there is an update available. The default is a daily check but can be changed using the option on the Help menu. The update is not automatically downloaded but you are advised if there is one available and the changes that have been made.

Release Version 3.95.5a (July-2009)

Fixes

  • some minor fixes.

Changes

  • Now includes support for Google Earth within OziExplorer. There is a link to the OziExplorer Google Earth page (on the OziExplorer page) where the .map file can be downloaded.
  • Fixed some unusual Vista issues.
  • Added support for AIS (Automatic Ship Identification) system. The option is on the Moving Map menu. This is the same as included in the development version of OziExplorer.
  • Changed to a new version of the compiler used to develop OziExplorer.

Release Version 3.95.4s (Oct-2008)

Fixes

  • Fixed some issues with the support for NV Digital Charts.
  • Fixed issues with gpx files being used with Garmin Mapsource.

Changes

  • For Windows Vista the OziExplorer configuration files (and other OziExplorer system files) are placed in a specific folder in the "User" area of C drive. This caused problems when more than one copy of OziExplorer was run on the same computer or when OziExplorer was run from a removable drive. This version will place the configuration files in the "User" area in a folder name based on the OziExplorer installation folder name so the configuration files are kept separate for more than one installation. If OziExplorer is on a removable drive the configuration files are stored in the OziExplorer installation folder on the removable drive. If it is desired to force the configuration files be kept in the OziExplorer installation folder a special file called "AppDataLocal.dat" can be placed in the OziExplorer installation folder, it does not matter what is in the file the presence of the file is the trigger.

Release Version 3.95.4r (Sep-2008)

Fixes

  • Minor fixes relating to map import.

Changes

  • Added support for NV Digital Charts. These are imported using the BSB import option.
  • Added direct support for the Garmin Colorado, Oregon, Nuvi and Zumo GPS receivers. OziExplorer reads and writes the GPX files stored in the GPS when it is connected to the PC as a disk drive.
  • Added Garmin symbols to GPX export and import if OziExplorer is configured to use a Garmin GPS.
  • Minor changes to work better with the Australian Natmap 2008 raster maps.

Release Version 3.95.4q (Apr-2007)

Fixes

  • Removed 216 error when closing OziExplorer and running Windows Vista (again).
  • Minor fix to correct the loading of some BSB4/5 charts.

Changes

  • Added support for the Australian UBD regional cities and towns DVD Version 3. The map files can be downloaded from the Australian page of our web site.
  • When using Garmin PVT mode for moving map OziExplorer will now automatically reconnect to the GPS if PVT data transmission has been interrupted.

Release Version 3.95.4p (Feb-2007)

Fixes

  • Removed 216 error when closing OziExplorer and running Windows Vista.

Changes

  • Windows Vista does not allow programs to store configuration files in the "Program Files" folder tree. If installed on Windows Vista this version of OziExplorer stores its configuration files in the AppData folder of the current User. Note that this folder is not visible to a User unless the "Show Hidden Files and Folders" option is selected in "Search and Folder Options".

Release Version 3.95.4n (Nov-2006)

Fixes

  • minor

Changes

  • Added support for the Australian UBD Version 4 maps - version 4 .map files can be downloaded from the Australian page of the web site.
  • Added Russian language support

Release Version 3.95.4m (May-2006)

Fixes

  • NASA changed the web page links to the SRTM height data, these links on the OziExplorer 3D/Elevation menu have been fixed.

Changes

  • Added support for the D801 PVT mode for the new Garmin "x" series GPS receivers.
  • Added the Garmin Edge to the list of Garmin GPS receivers in configuration.
  • Added support for the Garmin Edge track download (D304 data type). Track upload is not supported in this model.
  • Added support for additional ozfx3 image format types.

Release Version 3.95.4k (December-2005)

Fixes

  • NASA changed the web site for download of SRTM data, the links used to download SRTM height data have been fixed (preliminary fixes were done in the version 3.95.4j soon after its release, this version contains the official fix).
  • GPX and KML import generated access violations, these have been fixed (preliminary fixes were done in version 3.95.4j soon after its release, this version contains the official fix).
  • The GPX format OziExplorer generated failed to load in some other software, this has been fixed.

Changes

  • For GPX and KML file formats the <, >, and & symbols and now being translated as special characters.
  • Modified the Google Earth KML import to import a track as single track with sections (instead of multiple tracks).
  • Added the ability to export Tracks as Points in ESRI Shape File export.
  • Modified the Mapview code to remove the large flicker when resizing the window.
  • For Eastern languages OziExplorer replaces the degree and minute symbols with spaces (question marks were being displayed).
  • When loading a project file the map zooms and centers to show the data extents (if possible, the lowest zoom number available may not be able to show the data.).
  • Added a Zoom Data Extents button to the User Toolbar, if you already have a user Toolbar defined you will need to add the button manually if you want it displayed.

Release Version 3.95.4j (December-2005)

Fixes

  • minor fixes.

Changes

  • Added support for the UBD Australian City maps. Only the new "Australian City Streets Version 3" maps are supported. See the Australian page of our web site for details. NOTE: The interface to OziExplorer does not work on systems running Windows 95 / 98 / ME Operating Systems.
  • Added support for Projects - a Project can be defined which includes a map and various data files. Projects can be created and saved and the map and all the data files are loaded when the Project is loaded.. The Project Manager option is located on the Options menu.
  • Added support for reading and writing GPX files, the options are on the Load and Save menus. These options can also be installed on the User Toolbar.
  • Added support for Google Earth - reading and writing KML files ; view waypoints and tracks in Google Earth ; show current map position in Google Earth. These options can also be installed on the User Toolbar.
  • Added the ability to join tracks together, this option is located on the "More Options" button on the Track Control toolbar.
  • A new option is provided on the 3D / Elevation menu (OziExplorer3D must be installed) to download SRTM height data for the region of map being viewed.
  • Increased the number of user datums supported from 10 to 30.
  • In Configuration the number of Com Ports has been increased to 50.

Release Version 3.95.4i (May-2005)

Fixes

  • minor fixes.

Changes

  • Added support for the Magellan Explorist USB GPS Receivers. There is a new selection in the GPS Models called "Magellan USB". The upload/download is done by reading and writing files directly into the GPS. Note that because of the slight difference in the way the Explorist USB does its route files the reading of the route files from the Explorist USB has not yet been implemented.
  • Added the VICGRID94 grid (for Victoria Australia).
  • For Garmins - if the altitude is not available in a downloaded waypoint or trackpoint record but the depth is available the depth will be read as the altitude.
  • Have finally written the proper printing code for ozfx3 images produced by MapMerge so full printing is now available.
  • Some other internal changes.

Release Version 3.95.4h (March-2005)

Fixes

  • Moving map when using PVT mode for Garmin USB GPS receivers was causing random Access Violations, this has been fixed.
  • Proximity / Route Symbols attached to a waypoint were not being displayed when the proximity was entered, this has been fixed.

Changes

  • Added new the Garmin GPS Receiver models to the list in Configuration.
  • The print preview window will now remember the last zoom level used.
  • Some other internal changes.

Release Version 3.95.4g (December-2004)

Fixes

  • nil

Changes

  • Added support for Kompass maps www.kompass.at - please note that the dll to use Kompass maps is required to be downloaded from the our Optional Extras web page.
  • When measuring distances the "total distance" is no longer is zeroed when loading a new map.

Release Version 3.95.4f (December-2004)

Fixes

  • a few minor fixes.

Changes

  • Added support for the new Garmin protocols used in the Garmin Quest and the new firmware for the 276C and 296 models.
  • Added limited support for jpr files during map import.
  • added support for RGBA format png image files.

Release Version 3.95.4e (November-2004)

Fixes

  • Fixed a minor problem with waypoint sorting in the waypoint list when selecting waypoints.
  • Fixed a problem where the screen display lagged behind the actual position, only applies when using PVT mode with a Garmin USB Gps.
  • Fixed import of E00 and SHP files when using units of feet.
  • Fixed minor screen drawing problem for track replay.
  • Fixed the import of Albers map projection for SHP files broken a couple of versions ago.

Changes

  • Added support for the ProjCenterLongGeoKey Geotiff key for map importing.

Release Version 3.95.4d (October-2004)

Fixes

  • Waypoint selection from the map did not always show correctly in the waypoint list (once selected they could not be unselected from the map).

Changes

  • Added support for variation to the ozfx3 image format which the next versions of Map Merge and Img2ozf will create. This variation of the ozfx3 format will be quicker to load and change zooms (this will not be noticeable on the PC but will be noticeable in OziExplorerCE on a PDA).
  • The Enter key can now be used to open a map from the "Find map" list.

Release Version 3.95.4c (September-2004)

Fixes

  • Fixed the display of symbols in the waypoint list which I very intelligently managed to break in the previous version.

Release Version 3.95.4b (September-2004)

Fixes

  • Waypoint symbols would not change to the specified foreground and background colors, this has been fixed. Note this does not apply to the colored Garmin symbols which always use their own colors.

Changes

  • Support for the Garmin GPS 18 USB GPS has been added. In OziExplorer configuration select the GPS Make as Garmin, GPS Model as Other Garmins, on the COM tab tick the "Garmin USB" checkbox and tick the "Use PVT for Garmin instead of NMEA" checkbox.
  • The creation of the image thumbnails for MapView from large TIF or BSB images could cause problems as it required too much memory for some systems, this has been improved.
  • The printing of ozfx3 map images created by Map Merge was too restrictive, the restrictions have been relaxed but not totally removed.

Release Version 3.95.4a (August-2004)

Fixes

  • On small BSB or TIF map images specifying low % zooms could cause an access violation.
  • The size of the MapView window was not being saved.
  • Waypoints symbols were not being printed or saved correctly when maps were printed or saved.
  • The MapView window may show even though it had been turned off in configuration.
  • Hidden waypoints would still show the hint when the mouse pointer was hovered over their position.
  • When a waypoint was created from a track point it would not show until the screen was refreshed.
  • OziAPI waypoint functions which were broken with this version have been fixed.
  • Some other minor problems have been fixed.

Release Version 3.95.4 (August-2004)

Fixes

  • Fixed an access violation problem with upload/download for older model Garmins.
  • Hidden waypoints were being saved with the image when using the "Save Map Image" option.
  • The Waypoint List used when calibrating a map from waypoints was showing the waypoint number instead of the waypoint name.
  • Other minor problems fixed.

Development Version 3.95.3g6 (August-2004)

Fixes

  • Under certain circumstances the map could not be saved from the Check Map Calibration option, this has been fixed.
  • Fixed a problem with loading route files caused a couple of versions ago when the number of waypoints was increased, the route waypoints did not match the loaded waypoints.
  • More changes for Lambert Conformal Conic import, mapinfo tab files in Lambert CC are now supported, fixed problem where the parameters were being saved in the .map file as feet instead of meters (if the import was in feet).
  • Fixed a problem with the new ozfx3 format when creating 3D maps.

Development Version 3.95.3g5 (July-2004)

Fixes

  • Fixed the calibration from waypoint list.
  • Fixed the "Projected Track" line in moving map.
  • Printing of ozfx3 images should now work.
  • Lambert Conformal Conic dialog now allows entry of latitude origin, calculations no longer assume latitude origin equals zero (not tested yet), this applies to map calibration and map import.

Development Version 3.95.3g4 (July-2004)

Changes

  • More fine tuning of the Garmin USB interface code, fixed various minor problems.
  • Added support for the new waypoint and track protocols used in the Garmin 172C and 178C.
  • Added the Lambert Conformal Conic map projection to the DRG (map image) import dialog - this is relatively untested.
  • Added the ability to specify meters or feet in the DRG (map image) import dialog - this has had very limited testing. If you specify feet then you must also use feet for any of the projection parameters which require a distance.

New/Updated Features

  • New software called the "Map Merging Utility" is now available to merge maps together and create a new map for use in OziExplorer which is a mosaic of many maps. This is available for download on the Map Merging Utility page.
  • The number of waypoints has been increased to 10,000. This involved a lot of code rewriting so you may find errors and inconsistencies, these will be fixed as they are found.
  • The Waypoint list is now floating and can be left open while manipulating waypoints on the map.
  • The Mapview window can now be made larger than the previous version (just drag the borders to resize, the dragging looks a little messy right now but that will be fixed).
  • The image in the Mapview window is now of better quality for all map image types. To obtain the better quality you must have the "Create Map Thumbnail" option ticked on the Maps tab in OziExplorer configuration. The thumbnails are saved in the System Files folder and are shared with the "Map Merging utility" if it is installed in the OziExplorer folder.

Development Version 3.95.3g3 (June-2004)

Changes

  • Support for the Garmin USB gps receivers has been fine tuned, it may support more models now but I have only tested it on a 60CS. Let me know if any models still do not work.
    • If using a Garmin USB connection you must tick the "Garmin USB" checkbox on the COM tab in OziExplorer Configuration.
  • Support for Garmin USB PVT mode for moving map has been rewritten and should not lock up.
    • If using Garmin USB connection you must also tick the "Use PVT for Garmin instead of NMEA" checkbox on the COM tab in OziExplorer Configuration.
    • If the GPS does not have a fix it does not output any PVT data.
  • Added support for Maptech .025 map files.

New/Updated Features

  • New Map Searching dialog, the list of maps in a search are now presented in a new dialog, all the columns can be sorted by clicking on the column header, I find sorting by pixel scale is very useful.
  • New Printing dialog - allows print preview with selection of the pages you want to print, the area to be printed can now be selected by drawing a box on the main map.
  • New Track Filtering methodology for reducing the number of points in a track, this is a much better algorithm and gives very good results, also has the ability to specify the number of points required in the track.

Development Version 3.95.3g2 (May-2004)

Fixes
  • Some minor things.

Changes

  • Garmin USB support now includes the Garmin 2610 and other USB models. If using Garmin USB connection you must tick the "Garmin USB" checkbox on the COM tab in OziExplorer Configuration.
  • Moving Map PVT mode for USB connections should now work. If using Garmin USB connection you must also tick the "Use PVT for Garmin instead of NMEA" checkbox on the COM tab in OziExplorer Configuration.
  • Fixed the Symbols for the Garmin 60C/CS.

Development Version 3.95.3g1

Fixes

  • Waypoint download from the Garmin 60C/CS could stall when using USB, should now be fixed.

Development Version 3.95.3g (April-2004)

Fixes

  • Some minor things.

Changes

  • Added preliminary Garmin USB upload/download support for the Garmin 60C and 60CS. There are some things that do not work yet and these will fixed soon.
    • PVT mode (using USB) for real time tracking is not supported yet.
    • Getting a specific single route using the OziExplorer Route Editor does not work because the 60 uses names for Routes not numbers.
  • Added preliminary upload/download support for the Garmin Forerunner. The Forerunner handles tracks a bit different to other models, I am not sure if I have the difference between the saved tracks and active track working properly yet.

Release Version 3.95.3f (February-2004)

Fixes

  • The Compass Rose was not displaying in the correct position on some image format types.
  • Some fixes for languages other than English - some strings were not being translated.

Changes

  • The Compass Rose now adjusts itself so it displays correct bearings for non-conformal maps (maps with different scales north-south and east-west). The Australian Raster 250K mosaic and the Toporama maps of Canada are examples of such maps. With non-conformal maps the tick marks around the compass will not be in even intervals.
  • Added support for Maptech Terrain Navigator maps (.024,.100,.250) and Maptech Aeronautical charts (.AER). To use these maps you need to download the Maptech DLL's from our Optional Extras web page.

Release Version 3.95.3e (December-2003)

Fixes

  • none

Changes

  • Added some additional function calls for the OziAPI, see the OziAPI web page for details.
  • Some of the Header files provided with the SRTM-30 Height Data files have just a carriage return as the end of line marker, as far as I know this is not a recognised standard (linefeed or carriage return + linefeed are) so OziExplorer was not reading the files correctly. OziExplorer has been changed to allow for this.
  • some other minor changes.

Release Version 3.95.3d (November-2003)

Fixes

  • none

Changes

  • The addition of Italian help.
  • Some changes to languages other than English.

Release Version 3.95.3c (September-2003)

Fixes

  • Both uppercase and lower case was allowed for waypoint names and messages in the Magellan Sportrak basic model, this is not correct and has been fixed, now only uppercase is allowed.
  • A minor problem with Brunton/Silva dates downloaded from the gps when using a different date separator has been fixed.

Changes

  • Geoscience Australia has released the new 250K Mosaic map of Australia. This map is in a geographic projection (latitude/Longitude) so is not a constant horizontal scale when when moving north/south. OziExplorer has been modified to recognize the varying scale and make adjustments when drawing objects on the map. Example - proximity zones and range rings will plot as ellipses so the distances are correct.
  • During map searching any corrupted or incorrect map files will now be ignored instead of generating an error exception.

Release Version 3.95.3b (July-2003)

Fixes

  • Printing a map could generate an access violation, this has been fixed
  • Some other minor fixes.

Changes

  • The translated text for the new features has now been updated for the Dutch version.

Release Version 3.95.3a (July-2003)

Fixes

  • Anchor Alarm - had problems when the regional settings were using a "," instead of a "." as the decimal separator - fixed.
  • The GPS Fix Data when displayed using the command line parameter showed a window which was not active - fixed.
  • The SRTM height data support had problems with files from the southern hemisphere - fixed.
  • Some other minor fixes.

Changes

  • The Moving Map menu help has been modified to include links to the GPS Fix Data and the Anchor Alarm help.
  • If visible the Compass is now drawn onto the map image when the map image is saved.

Release Version 3.95.3 (July-2003)

Fixes

  • Map searching would not work if there are commas in the path names where maps are stored, fixed.
  • PNG map images would always render in grey scale on 256 color systems, fixed.
  • The Event marker symbols in Lowrance USR files were not being saved correctly.
  • The moving map track log was putting a comma in the altitude field in the track log file instead of dot when using the "," as a decimal separator.
  • Italian version - fixed a problem with the Italy grids selection not being correct. Note maps already created using the Italy grids may need to have the grid selected again in Map Calibration.
  • Some other minor fixes.

Changes

  • An Anchor Alarm has been added, the option is on the Moving Map menu and there is help available.
  • A satellite display has been added to the GPS Fix Data option on the Moving map menu.
  • There is preliminary support for the Maptech BSB version 4 charts, to use BSB 4 charts the dll's must be downloaded from the Optional Extras page on our web site.
  • Preliminary support has been added for importing map images by using a supplied Mapinfo .tab files (tab files which mapinfo uses to georeference a RASTER image only). Only support for lat/lon and Transverse Mercator grids (utm should be ok) has been done. Tab files using other grids can be emailed to me (with the image) and I will see if I can add support to the code.
  • The .ozline2 files (index files for some DEM file types) will need to be created again, this is an automatic process. This is to remove a problem where the indexes were being recreated when the time zone on the PC was changed. The good news is that for Grid ASCII files the indexing process is now much faster.
  • SRTM height data files can now be used directly in OziExplorer. Download the files, unzip them and place them in the "Globe (Arcview)" configuration folder. Do not change the file name of the .hgt file as it is used to position the dem.
  • Added the Garmin Geko 201 to the list of GPS Receivers in OziExplorer configuration.
  • Importing of Geotiff images now supports the Albers Equal Area projection.

Release Version 3.95.2 (13th-Mar-2003)

Fixes

  • Fixed a bug in map searching - if you removed all the .map files from a folder it would not be re-indexed so would always show the old maps (which were removed) as existing. These folders are now checked, if there are no map files the index file is removed.
  • The Shift Enter key combination to add waypoints and other objects now works again.
  • The printing of 24bit color Tiff images has been fixed (it was broken by changes in previous version).

Changes

  • Map Searching
    • More fine tuning - mostly to do with the index map and getting it to notice changes in the map files.
    • Added the ability to re-index the map files to the Map menu. This will re-index the map files so they will be up to date for map searching functions. In theory this is not necessary for normal operation operation as OziExplorer will automatically keep the map index files up to date.
    • Map Searching will now ignore hidden .map files.
    • Updated map search section of the help file.
  • Index Map - Added the ability to turn on and off the list of the available maps which follows the mouse pointer; this option is on the drop down menu button.
  • OziAPI - many new functions have been added; see the OziAPI web page for details.

Release Version 3.95.1 (26-Feb-2003)

Fixes

  • Fixed minor problems with the Garmin symbol set for some models.

Changes

  • nil

Beta Version 3.90.4k1

Fixes

  • Fix to area calculation method which could occur in some cases when the map was not at 100% zoom.
  • Waypoint proximities would always print even though they were turned off via the menu option, now fixed.
  • A problem with saving PCX5 trk files has been fixed.

Changes

  • Some more fine tuning of the new map search function.
    • Some relatively common map files being generated outside of OziExplorer are leaving the MMPNUM parameter out of the map file, this defines the number of corner markers being used and is required by OziExplorer for finding maps. I have now modified the search function to assume the number of corner markers is 4 if this parameter is not found. If this affects you the files in the System Files folder under OziExplorer must be deleted so the indexes can be created again.
    • Help is now available for Map Searching in the "Map Related" section of the help Index.
    • An Index file is no longer created for folders which do not have map files in them.

Beta Version 3.90.4k

Fixes

  • Some minor printing problems with waypoint proximities.

Changes

  • Map Search
    • Problems were caused when scanning map files with missing information (map files created manually outside of OziExplorer) - an exception was generated because required parameters were not in the file, changes have been made to ignore map files which do not have the map corners (lat/lon) and other parameters in the map file.
    • When creating the indexes the folder being scanned is shown on the status line.
    • Some other minor fine tuning.

Beta Version 3.90.4j1

Fixes

  • Old version .map files were not being searched correctly and could not be found in the new search routines added in the previous version "j". This has been fixed.

Changes

  • I must apologise, I changed the format of the DEM "ozline" index file without realizing that this would prevent versions previous to the "j" version from reading them correctly. The ozline files are used with GridAscii and USA 24K DEMs only, they are stored with the corresponding DEM file.

    I have now changed the name of the "ozline" file to "ozline2". This means :

    • The ozline2 files will need to be created when this "j1" version is run, this is a one time process (again ...). If you have many/large GridAscii or USA 24K DEM's this will take considerable time to complete, during this time OziExplorer may appear to be frozen and not responding so please be patient.
    • If you created ozline files with version "j" please delete them as they are not correct for versions previous to "j" and will not work correctly, if you run a previous version it will recreate them if it does not find them.
    • If you do not intend to run versions previous to "j" then delete the "ozline" files as they are no longer used, "j1" uses "ozline2" files.

Beta Version 3.90.4j

Fixes

  • Corner Markers now relocate to the correct position when zooming the map in calibration mode.

Changes

  • Map searching when you have many thousands of maps is now much faster, the map paths are indexed and stored in index files with OziExplorer. The first time a folder with maps is searched it is indexed (this is a slow part), after that the searching is fast. If a .map file in a folder is changed or deleted or added the folder is automatically re-indexed the next time the folder is searched. Fast map searching works with "Map Find", "Moving Map", "Track Replay", and "Index Map".
  • Added some new calls to the OziAPI
  • When importing images using the Import DRG options the image file name is now displayed on the DRG defaults dialog.
  • When creating waypoints from Name Search the full name is now used for the waypoint name.
  • Ozi3D - The creation of the .ozline files for Elevation data files (DEM's) has been modified to include a checksum so the ozline file can be recreated if the Elevation data file changes, this means that with this version all the ozline files will be created again the first time the elevation files are used - this may take a while, but this happens only once.
  • OziExplorer can now load ECW images from ecw web servers - place the url to the image as the first line in a text file which has a .ecwp extension, then you can use this file to load and calibrate or import the image.
  • The ECW image library code has the ability to keep the memory cache for an image active even though the image has been closed by OziExplorer. The more images you open the more memory is used (within certain limits). I have now changed the way OziExplorer handles this by closing the file and getting the library to free all the memory cache being used for that image. This may help systems which have limited memory available.

Beta Version 3.90.4i

Fixes

  • When creating map comments at zooms other than 100% they now initially display at their real size rather than at the 100% size.
  • Other minor fixes.

Changes

  • Added support for the Lowrance iFinder and any other Lowrance which reads and writes USR files on a multimedia card.
  • Now supports lowercase characters for the Magellan Meridian and SportTrak GPS receivers.
  • Holding the Ctrl key down now allows dragging of the map in all circumstances.
  • Added new Garmins to the GPS list in Configuration.
  • Waypoint names can now be of any length for use in OziExplorer. Of course they will be trimmed when uploaded to the GPS. In any dialogs where waypoint names can be edited the name will be displayed in a different color when the length used by the GPS has been exceeded.
  • When Deleting track points the track is not split into a new section automatically.
  • many other minor changes.

Waypoint List

  • Added display of the symbol in the list.
  • Added the ability to modify most properties of selected waypoints, these options are on a drop down menu on a button on the Waypoint list toolbar.

Event List

  • Added display of the symbol in the list.
  • Added the ability to modify most properties of selected events, these options are on a drop down menu on a button on the Event list toolbar.

Track Logging

  • Added an option to the Moving Map menu to turn Track Logging to File On and Off.
  • Added an option to the Moving Map menu to turn Track Logging to Memory / Screen On and Off.
  • Added the ability to specify the name of the file used to log the track.
  • The Track logging status appears on the lower status line next to the GPS position - F = logging to file; M = logging to memory/map

Beta Version 3.90.4h2

Fixes

  • Fixed a bitmap leak in ECW when using very large maps and greater than 100% zoom. Also fixed a couple of minor memory leaks in all ECW handling.
  • Fixed a problem with DTED elevation data when there is no more data available past the edge of the current region.
  • Fixed a problem with OZF2 map images on win 95, 98, ME when using zooms below 100% and there are waypoints on the map. The map would write over the top of the menu and toolbars.

Changes

  • Added new command to the OziAPI for moving map control.
  • Added new command to the OziAPI for finding maps.
  • Increased number of waypoints per route to 255.

Beta Version 3.90.4h1

Fixes

  • OZF2 maps sometimes generated an exception when changing zoom levels - fixed.
  • There was a memory leak with the OZF2 format causing additional memory to be taken each time the map was scrolled. This was particularly noticeable in moving map where the map is continuously being scrolled.

Changes

  • Changes to how file attachments to waypoints and map features were processed meant files attached by url's did not work, a change has been made to allow these to pass through my checking code so they work again.

Beta Version 3.90.4h

Fixes

  • New versions of Garmin GPS firmware caused OziExplorer to give a "floating point error" under certain circumstances when downloading waypoints, this has been fixed. Downloading tracks under certain circumstances caused the same error but for a different reason, now fixed.
  • Fixed the edge affects that occurred on the 3D maps when using DTED and Grid ASCII DEM files. The edge affects were visible when moving viewing across DEM boundaries.

Changes

General

  • To scroll the map by dragging with the mouse no longer requires the "Drag Map" button to be depressed, the map can be dragged at any time.
  • The "Drag Map" button is now used to "Lock" and "Unlock" the dragging of map objects (waypoints, map features .....).

OZF2

  • There have been many changes to how the OZF2 format is used. OziExplorer now generates most of the zoom levels "on the fly" and they no longer need to be stored in the OZF2 file. This results in considerably smaller files. Only the Zoom levels 20% and below are stored in the OZF2 file.
  • Existing OZF2 files can still be used - there is no change to the OZF2 file format. A new version of the Img2Ozf converter is available - see the Img2OZF web page for details.
  • OziExplorer no longer displays scroll bars when using OZF2 files, the map can be scrolled by dragging with the mouse or by using MapView.
3D
  • There has been a change in the way OziExplorer adds altitudes to waypoints and tracks when using the 3D add-an. Altitude is no longer automatically added when a waypoint or track point is created or moved. There is a differing of opinion on how this should work - example when dragging a waypoint a short distance the original potentially more accurate altitude from the GPS may want to be kept instead of being replaced by the DEM altitude. Altitudes can now be added from the Waypoint and Track Lists - the options are on the one of the drop down menu buttons. Of course for any function in OziExplorer which requires the altitude (track profile or sending to Ozi3D) the altitudes are still automatically added "on the fly" if there is no altitude.

Beta Version 3.90.4g

Fixes

  • minor fixes

Changes

  • Additional changes to suit the "New" OziExplorer API just released (the link to the API is on the Utilities web page).
  • The Moving Map Control and Navigation Control now remember their positions and the PgUp/PgDn and Arrow keys now work on the Moving Map Control and Navigation Control.
  • 16 Million color (24bit) and grey scale png images can now be loaded.
  • Added the VICGRID map grid (for Victoria Australia).
  • The "Find Map from Entered Position" dialog now includes separate buttons for positioning the point on the current map and finding maps which include the position.

Beta Version 3.90.4e

Fixes

  • For some dem types (USGS DEM and ASCII grid) we discovered that we had misinterpreted the way the start coordinates of the dem are given. This caused the heights to be offset slightly from their actual location (half a grid spacing in the east-west and north-south directions). This has been fixed.

Changes

  • Added support for the NIMA DTED height data.
  • Added additional parameters to the default.ozproj file for working with the user grid and projections, also added the ability to shift a DEM in the x and y directions (unrelated to the fix above) - see the Height Data web page or help for details.
  • Added the option to turn ON and OFF the ability to read depth from the NMEA sentence. This is to allow for those cases where a GPS is outputting the depth sentence but the GPS is being used on land. This only affects the ability to read the DBT and DPT NMEA sentences, if your GPS does not output these sentences then this option has no affect. The option can be found on the Moving Map tab in OziExplorer Configuration.
  • The MGRS grid can now be displayed as a grid on the map.
  • ECW images can now also be imported using the "Import DRG" option on the Import menu, this provides the ability to specify the missing parameters.

Beta Version 3.90.4d

Fixes

  • Fixed a problem when using USA 24K DEM's with old format headers.
  • Also added the ability to use USA 24K DEM's which have line feeds at the end of each record.
  • Fixed a problem when importing Arcview shape files which have null records.
  • Fixed some problems with 16 color (4 bit) ozf files.

Changes

  • Added the ability to use Grid Ascii and ArcView BIL height data files which are not in Lat/Lon. Most Grids (supported by OziExplorer) and datums can be used. This is handled by placing a special file called default.ozproj in the folder where the particular DEM files are stored. OziExplorer looks for this file as it scans the dems and uses the Grid, datum and zoned contained in the file. See the Height Data help (bottom of the page) on information on how to do this. (This should enable those New Zealanders trying to get some of their free data which is in the NZ grid and using the Geodetic Datum 1949 to work with OziExplorer (you need the Grid Ascii data files by the way).)
  • USA 24K DEM's in Lat/Lon format can now be used - Canada DEM's appear to be in this format.
  • Added the ability to select the map viewing window on the 3D Map Creation control.

Beta Version 3.90.4c

Fixes

  • Fixed a problem when calculating height data for Ozi3D when using the filtering option.

Changes

  • nil

Beta Version 3.90.4b

Fixes

  • Some USA 250K DEMS have a slightly different way of formatting fields in the header to the others. Ozi3D would reject these as not being valid even though they are - now fixed.
  • Regional Map and Index Map would not properly load maps with a Transverse Mercator (User Grid) projection - fixed.

Changes

  • nil

Beta Version 3.90.4a

Bugs

  • Removed some more track manipulation bugs put in by the previous version.

Changes

  • Added the interface for Elevations and OziExplorer3D.
  • Added the ability to use the function function key assignments while these windows have the focus, Navigation Control, Index Map, Name Search, Route Editor and the NMEA Output window.
  • Added Blue and Gray to Night Vision colors
  • Added Set Intensity (map brightness) button to the User Toolbar button and Function Key selections. This option allows you to cycle through the intensities at 10% intervals.
  • The ability to create a Waypoint from a Track point has been added to the right click menu of an active Trackpoint.
  • DRG Image Import will now assume that if there is a negative Northing in the georeference file (tfw,jgw,sdw etc) that the map is situated in the southern hemisphere and will subtract the Northing the 10,000,000 false Northing.
  • On the Index map the currently loaded map is highlighted (where applicable).
  • quite a few minor changes.

Beta Version 3.90.3h1

Bugs

  • Removed some track manipulation bugs put in by the previous version (drag track point, insert trackpoint and edit track point position).

Changes

  • nil

Beta Version 3.90.3h

Bugs

  • Fixed the PVT problem when using serial port driver #2
  • Fixed the "Start NMEA Communication with GPS" and "Stop NMEA Communication with GPS" menu options being enabled/disabled when they should not have been, this only occurred when using PVT mode.
  • Fixed the DRG import bug introduced a couple of versions ago.
  • Fixed the Map Projection combo box in map calibration, it was set to display too many options in the list causing it to scroll over the mouse causing a option to be selected. Only happened on 800x600 or smaller screens.
  • other minor bugs.

Changes

  • Fine tuned the Brunton / Silva GPS support, now much more reliable.
  • More of the Open file dialogs can now be resized.

Beta Version 3.90.3g

Bugs

  • More fixes for the Brunton / Silva support, mainly for route download.

Changes

  • Added options to delete all waypoints and routes from the Brunton / Silva GPS.

Beta Version 3.90.3f

Bugs

  • The Map Feature name in map feature properties was accidentally restricted to 10 characters, now fixed.
  • E00 files could not be imported correctly, fixed.
  • The Help link on the waypoint File Attachment dialog help button has been fixed.
  • The waypoint file attachments for waypoint and route proximity's has been reworked. The route proximity attachments were not working properly at all and have been fixed.

Changes

  • The Brunton / Silva support has been reworked for routes and should now be working properly. The help section for Brunton / Silva has been modified to include more information, particularly about the software version of the GPS.
  • Added a new brighter icon to the exe file, the icon of a shortcut to OziExplorer can be changed by using the Change Icon button in the shortcut properties.

Beta Version 3.90.3e

Bugs

  • The waypoint description in waypoint properties was accidentally restricted to 10 characters, now fixed.

Beta Version 3.90.3d

Bugs

  • Windows XP - Fixed some problems caused by XP theme.
  • other minor things

Changes

  • The buffer length for NMEA strings has been extended from 80 characters to allow for radio modems (TNC's) which add characters in front of the standard NMEA sentence, the string was being truncated and the NMEA string was seen by OziExplorer as not valid.
  • Added a Track reverse function on Track Control menu
  • The Track Control now has an option on the More Options button to move any selected track direct to Track 1.
  • Regional Map Window - has more window sizes available - and can be disconnected from tracking with the main map window so it can be scrolled independently. The tracking disconnect is on the right click menu on the regional map window.
  • A button has been added to the User toolbar and Function Key selections to instantly clear track 1 (no warning given).
  • Garmin Geocaching Symbols have been added to the list of Garmin Symbols, if your GPS supports them you will have to create a new OziExplorer symbol set for it by using the Create Symbol set button on the GPS tab in OziExplorer configuration.
  • Moving map now has the ability to use User drawn pointers. Select User 1 , User 2 or User 3 options as the pointer types in the Pointer field on the Moving Map tab in OziExplorer configuration. An example file has been provided as a download.
  • If the track files (or other files) attached to a map cannot be found at the link specified in the file OziExplorer will try to find them in the exe file path, data file path and so on.
  • The Index map now has the ability to automatically hide itself when a map is opened, this option is on the drop down menu on the index map toolbar.
  • MLR GPS support has had many changes and additional options added.
  • Added the ability to set number of stop bits to Com settings (some MLR GPS receivers require this).
  • Added support for Silva Multinavigator and Brunton Multinavigator GPS receivers.
  • Added the VICMAP-TM grid (pseudo AMG), this is for maps produced by VICROADS of Victoria Australia. These maps can be imported using the Import / All DRG Maps on CD option. When asked specify the Datum as Australian Geodetic 1966 and the Map Projection as VICMAP-TM (no zone number needed).
  • Added the 2 grids for Italy (Italy 1 and Italy 2).
  • Waypoints can now have files attached to them for viewing or activation when entering a waypoint proximity or route waypoint proximity zone. This means that sound files (.wav) can be played and symbols displayed when entering these zones. There is a new button on the waypoint properties dialog called Attachments where the files can be specified. OziExplorer help has the full details. The attached files can now also be played and displayed by version 1.10.2 of OziExplorerCE, set the waypoints up in PC OziExplorer first.

Beta Version 3.90.3c

Changes

  • The scroll bars have been removed from maps using MrSID images, this allows me to reduce the memory requirements (a design thing). MrSID images are really too slow to scroll by using scroll bars anyway. Scrolling can be done by using the MapView window, double clicking on the map, the "drag map" option (the hand) on the toolbar or by holding down the Ctrl key and dragging with the mouse (the drag map option need not be active). If you really want scroll bars back put a file called sidscrollbar.dat in the oziexplorer folder and restart OziExplorer (if you get errors on loading a MrSID map remove it and see if you still get the errors)..
  • Because MrSID images are slow to page there was a white flash as a new image page was loaded after a zoom level was changed, I have removed the flash by disabling the erase background action for the viewing area. Hopefully this will not affect other aspects of the code.
  • A few resource leaks have been fixed in the MrSID code.
  • A 75% zoom level has been added for ECW maps.

Beta Version 3.90.3b

Changes

  • The MapView image was upside down and map printing was upside down when using the new MrSID image format. This only happened on win98/me. It hopefully is now fixed.

Beta Version 3.90.3a

Bugs

  • Fixed a problem with the display datum not displaying grid coordinates correctly. This happened when the display datum was different to the map datum.

Changes

  • The NMEA sentences output to the Autopilot are now selectable.
  • Added support for the MrSID format. There are a few issues with this.
  • The MrSID format seems to be slow at paging the image from disk, this is not related to the code in OziExplorer, as when using the same image, OziExplorer loads a page slightly faster than the MrSID Viewer software. There seems to be no way to speed this up.
  • Therefore scrolling and zooming of the image will be slow as image pages a read from disk.
  • The zooms available have been adjusted to suit the MrSID "native" zoom levels, these give clear images at these levels of zoom. If the zooms are not available in the SID image then the zoom will not work correctly at this stage.
  • If you add a file called sidfull.dat to the oziexplorer folder (it doesn't matter what is in the file) and restart OziExplorer then it will load the SID image fully into memory (a lot of memory is required). Loading will be very slow but scrolling and zooming will be fast. Zoomed images and mapview will not be as clear.
  • There are a couple of SID images (on the Australian NSW TopoView CD's) which OziExplorer cannot load (2 out of 1000+) but the MrSID Viewer can, it is not known why and there seems to be no way to fix this.

Release Version 3.90.3

Bugs

  • Fixed a problem with the index map giving an access violation when many maps were clicked quickly.
  • Fixed some minor problems with dialogs not displaying correctly when using large fonts.

Changes

  • nil

Beta Version 3.90.2a

Bugs

  • Fixed autopilot bug not outputting to serial port when using the same port as the GPS.
  • Closing the Area Calculation window no longer clears track 1 (it was not intentional).
  • some other minor fixes

Changes

  • Added an additional serial port driver to the code, the COM tab in configuration now allows a choice of 2 drivers. There is an increasing use of USB to Serial Port convertors being used on laptop computers. The quality of the drivers provided with some adapters makes it difficult to provide code which works with all of them. Two Serial Port Drivers which use different techniques are provided and either of them can be selected, there is a good chance that one of them will work. The driver that was used in previous versions is "Driver 1", the new driver is "Driver 2" which is the default driver.
  • The "Save Map to Image File" option on the File Menu has been completely rewritten to reduce the resources required in win 95/98/ME. The map image is now saved in strips so the full image is never loaded and therefore a large windows "bitmap" object is not created.
  • The map images are now saved in 24 bit color so they will be larger than the 8 bit color used in the previous version. The advantage of this is there will not be a problem with the palette when drawing waypoints, tracks and other OziExplorer objects on the image. If you want to use the saved images in OziExplorer you should use a program such as Paint Shop Pro or similar to convert them back to 256 colors.
  • The Index Map now has an option on the drop down and right click menu to Refresh the Maps from the Search Path folder.
  • The Index Map also has an option on the drop down and right click menu to "Highlight" the map polygons the cursor is hovering over.

Release Version 3.90.2

Changes

  • nil

Release Version 3.90.1

Bugs

  • Fixed problem with zoom window cross hairs not lining up with mouse cursor (for some graphics card models).
  • Fixed import of Quovadis .cal files for the new versions of the cal file.

Changes

  • nil

Release Version 3.90.0

Bugs

  • minor fixes

Changes

  • nil

Beta Version 3.85.8.1

Changes

  • More changes have been made to Name Search. There is now the ability to search for names within a radius of a specified position. There are some other minor changes as well and a couple of bug fixes.

Beta Version 3.85.8.0

Bugs

  • Fixed a bug in the Index map when there were more than 2000 maps to process.
  • Found and fixed a resource leak, it showed mainly in the Index Map window as the window was resized but was in every window that has the extra button in the caption bar to "roll" the window up.

Changes

  • No new features added just fine tuning of the Index map and Name Search.

Beta Version 3.85.7.8

Bugs

  • Fixed a bug in the Regional Map window when using certain types of BSB charts.

Changes

  • An Index Map function has been added, this allows you to display a small map in a window and see the borders of all the maps in specified folders drawn onto the map, see the help for full details.
  • Nightvision support has been added for ECW maps.
  • A button has been added to the top status line to allow the display datum to be adjusted.
  • Datum selection has been added to all dialogs which display the position.
  • Name Search has been refined a little more.
  • The Track List now has a button to split and join track sections.

Beta Version 3.85.7.6/7

Bugs

  • Fixed the problem of leaving the comm port open in the MLR support.
  • some other minor bugs.

Changes

  • A Name Search ability has been added. So far there is just a World cities database available for download, the ability to create databases from freely available names files on the internet will be available soon.
  • Added Daylight Saving time support when converting from UTC to local time.
  • The Map search dialog has been changed slightly.
  • NMEA input processing has been adjusted to give more priority to altitude and gps fix information when using large map images. The problem was the info would not be updated as the map drawing was using all the available time.
  • The help has been brought up to date (mostly).
  • Versions from 3.85.7.4 have changes made to the handling of the "Tabs" of the map calibration panel and the configuration dialog to reduce the large amount of resources used by these screens as the tabs are clicked. This required a little bit of recoding, if these screens give problems such as missing settings please let me know.
  • Added high speed binary track download for MLR GPS receivers.
  • Added reading of the DPT (depth) NMEA sentence.
  • Added a Points list, access the list from the Point Control.

Beta Version 3.85.7.4/5

Bugs

  • Fixed a bug with the default waypoint symbol not being used correctly.

Changes

  • If most people do what I do and move the map image files around all the time, the links to the map images stored in the map files soon get broken. A new page has been added in the configuration which allows you to specify various paths and drives and so on where the map images may be stored, see the config help for details.
  • The distance the map scrolls per mouse click on the scrollbar arrows or when using the cursor keys can now be set in the configuration. Previous version had this fixed at 200 pixels.
  • Modified the Garmin upload/download handling to make it more reliable under adverse conditions (poor cable contact, that sort of thing).
  • Added the loading of track data files produced by the Compe-Gps software.

Beta Version 3.85.7.3

Bugs

  • Fixed a problem with the serial port handling
  • Fixed a minor problem with the track profile plot when attempting to view the profile of newly downloaded tracks.
  • Some minor bugs in ECW handling

Changes

  • nothing new thats usable yet.

Beta Version 3.85.7.2

Bugs

  • Fixed track import from text files.
  • Fixed problem with moving map using NMEA Only GPS setting.
  • Fixed various format problems with the waypoint, event, map feature, map comment and track list.
  • Other minor fixes.

Changes

  • Added support for MLR GPS Receivers.
  • When printing maps the Track Line Width per unit trackwidth can now be specified on the print dialog.
  • Img2Ozf.exe now supports ECW map images.
  • Track files can now be loaded as points (useful for converting tracks to points to upload to a Magellan 315/320 as POI's using Datasend to create a crude map).
  • The text for Magellan POI's for Datasend is now always saved in uppcase.

Beta Version 3.85.7.1

Bugs

  • The Garmin Symbol Set Creator (added to the previous version) had a bug where it would not read the symbol set correctly if it was the last one in the file, now fixed.
  • Fixed some of the default GPS parameters for the new Garmins.
  • Other minor fixes.

Changes

  • MAJOR CHANGE - The problem of working with ALL "USB to Serial port adapters" is still around. I have done a lot of experimenting with an adapter and have recoded the serial port handling to use the most basic windows API function calls available for serial input/output. I am hoping this will get around the problems/bugs/differences in the supplied drivers of many of the USB to Serial adapters. Of course this new code is also used for the standard serial ports as well. Please let me know if it does or does not work with your USB to serial adapter and of course if it does not work with standard serial ports.
  • Added the symbol sets for the Garmin eTrex Legend, Venture and Vista, if they are not correct please let me know.

Beta Version 3.85.6.5

Bugs

  • The saving of "new" map files indicated the map file was read only (even though it didn't yet exist), this was a bug introduced in the previous version, now fixed.
  • Fixed a minor altitude reading problem when downloading waypoints from certain Garmin GPS receivers.

Changes

  • Added entries for new Garmin models in the GPS models selection.
  • Added the ability for the user to define the symbol sets used in OziExplorer for Garmin GPS receivers. This option is on the GPS tab of configuration and is a button called "create" immediately above the "GPS Symbol Set" combo box. Help is available on the Symbol Set Creator dialog which explains its functions.

Beta Version 3.85.6.4

Bugs

  • Fixed an access violation error when editing track point properties from the track list.
  • Fixed scale unit problem on the track profile, the scale would sometimes look like this.
    example 8.0 9.0 10 11 11 12 12 13

Beta Version 3.85.6.3

Bugs

  • Fixed a rare naming problem when creating the map file names for Maptech charts.
  • Fixed import problem when importing some BSB version 3 CD's.
  • Fixed a minor bug when scrolling maps in the ECW image format.
  • Fixed a bug that was introduced in 3.85.6.2 when plotting tracks as polygons or alarm zones, they were not placed correctly at zooms other than 100%.
  • Editing of Track point times was in UTC instead of Local Time - fixed.
  • Fixed some problems with MGRS grid entry.

Changes

  • Now includes time and altitude upload/download for Magellan tracks for the new 315/320 software version. The date for each trackpoint is not provided with the download (only the time) so Oziexplorer assumes the date for each point is the download date (incrementing as the time flows over to the next day).
  • The code for Magellan download from the GPS has been modified.
  • The new D109 Waypoint format for the updated GPSMAP 162/168 and the StreetPilot 3 has been added.
  • The window for selecting symbols for map features can be sized and remembers its position and size.
  • The Refresh Map option on the map right click menu now clears the map find bullseye which is left on the map after using the Find Map at Cursor option..
  • When searching for a more detailed map or the next map when in moving map mode and the image link in the map is not correct then this map can be ignored (you will not even know about it). This option is configurable and is on the moving map tab in configuration. Be careful when using this because if the map images are on a CD and a new CD is required you will NOT be prompted to change the CD and press the retry button.
  • The track distance is now updated in the track control when you drag track points.
  • NMEA input is now more flexible, it will look through the received string for a valid NMEA string and extract it, this is for reading input from TNC modems which may have placed a prefix on the NMEA string.
  • The Swedish grid has been added to import map options and Shape File import and Exporting.
  • Time is now an option for the x-axis on the track profile and you can now select the profile background color.
  • Map Features can now have a default symbol set (do this on the Map Feature properties dialog).
  • The Track Control has its buttons reorganized to stop some confusion, a new button has been added to save the track selected in the list. The height of the window can now be set and is remembered.
  • The Point Control has similar changes to the Track Control.
  • There is the ability to have manually created track points popup the track point properties dialog, useful for adding altitude information if clicking on contours. This button is on the track control.
  • The export of waypoint text files now includes altitude.
  • Import of Track text files has been added.
  • The export of track text files now includes altitude and also includes extra calculated fields - the "track section number, the "distance between points in meters", the "time between points in secs", the "speed between points in meters/sec" and the "heading from the previous point". The extra fields are ignored when a track text file is imported and need not be included.
  • The Import of ECW maps has been added but with the following limitations. The map projection must be based on UTM or Lat/Lon (geodetic). Only certain datums are supported during the import.
  • Added the Plessis Ellipsoid

Beta Version 3.85.6.2

Bugs

  • Fixed the Hide and UnHide options on the View menu.
  • Fixed bug in the Track profile distance.
  • Fixed display problem in Waypoint distance dialog and Route Print dialog (Spanish version only).
  • Fixed problem in the Grid display where it would lock up when zooming (Spanish version only).

Changes

  • Added MGRS and Maidenhead grids.

Beta Version 3.85.6.1

Bugs

  • Fixed a couple of things in the Ozi API functions.
  • many minor problems

Changes

  • The Spanish version is ready for beta release and is available on the Spanish language version of the OziExplorer web page.
  • The serial port communication library has been changed. This has improved GPS upload/download performance and hopefuly will fix most of the problems that have occured with serial port communication from time to time.
    • Having to change the com timeout to speed up upload/download (com timeout setting is no longer required)
    • May work better with USB to serial adapters.
  • Because of the change in the communication library the GPS upload/download code has required some rewriting. It has had limited testing at this stage.
  • NMEA serial input has also been rewritten.
  • The memory buffer size for OziMC can now be specified manually.
  • Added the the European 1950 (Spain and Portugal) datum.
  • Added a horizontal scrollbar to the file list box on the Options dialog in Map Calibration and to the option lists on the user toolbar configuration dialog.
  • In order to develop a Spanish version and also make changes for other types of map formats approximately 2500 to 3000 changes have been made to the source code. That is why it has been so long since the last development version was released. With so many changes bugs may have been introduced into previously working code.

Beta Version 3.85.5h

Bugs

  • Many problems fixed in the France grids
  • Blank map grid problem fixed when using different datum.
  • For Garmins the Get and Send Routes button on the user Toolbar were not working correctly.

Changes

  • For Magellans - enabled the sending and receiving of single route numbers from the Route Editor window.
  • Magellan routes now download from the route number in the GPS into the same route number in the OziExplorer route list. This is a little tricky because Magellans treat the route number as a name (in the download protocols) but by checking this possibility (of receiving a name instead of a number) in the code it should work ok.
  • Individual routes can now be moved up and down in the Route Editor - more functions are still to be added.
  • Added Ozi API messages - Numbers 111, 160, 161 and 230.

Beta Version 3.85.5g

Bugs

  • Fixed bug in Van Der Griten map projection.
  • Some distance calculations fixed.
  • The Track profile window size problem when first used has been fixed.
  • The Track Profile would cause errors in win98 and 95 when large zooms were used, some checks have been added to correct this.

Changes

  • Added a properties dialog for trackpoints, you can now edit the altitude, date/time and the position of an individual track point. The properties dialog can be accessed by double clicking or right clicking an an active trackpoint or by using the track point list.
  • Added the support for all document types to the Map Features. You have always been able to attach a bmp or jpg image to a map feature. You can now attach any document type, and when selected the document is passed to Windows and it will open it in whatever application is normally used in your system to open that document type. The best document type to use is HTML (web browser) as you can display images and text and link that document to any other document.
  • Added the loading the IGC track format for gliding, may need a bit more work yet.
  • Added the France grids (I, II, III and IV) for the France maps. The calibrating of maps using these grids has special requirements and you should read the help that is available in the Map Related section of the help file. The use of this function has not yet been tested.
  • There is now the ability to select the datum the coordinates are displayed in. The datum name is shown on the position display line, clicking on the datum name will allow you to select the datum to use. The 1st datum in the list is called "Map Datum" and this means the display datum will always match the map datum (and is the OziExplorer has always worked), otherwise select the datum of choice. The datum is saved and used the next time OziExplorer is loaded. Please note SO FAR this works only for the Position display, the object hints and the map grids, ALL OTHER lists, print outs and properties are STILL displayed in the map datum.

Beta Version 3.85.5f

Bugs

  • The last version put a bug in the map comments object, it could not be dragged and the right click menu could not be activated, this has been fixed.

Changes

  • A Track Profile option has been added, plot Altitude or Speed graphically against the Distance. It still requires a bit of work, printing perhaps, saving as an image. View / Tracks / Track Profile is the menu option. Also available from the Track Control (the More Options ... button) and is a configurable button on the "User" toolbar. There is help available by clicking on the Help button on the Track Profile dialog.

Beta Version 3.85.5e

Changes

  • I was not happy with the waypoint calibration window so I changed it from a combo box to a list box for the waypoints. Also added the waypoint description to the list. The memory for the list of waypoints for the window is now dynamically allocated instead of taken as a chunk.
  • When checking the calibration of a map sometimes a waypoint would cover where the calibration point should be so the point could not be added or moved. To overcome this if you click on the waypoint the calibration point is added where you click (through the waypoint), use the zoom window to position the mouse. However if the position is not correct remember you can hold down the shift key and use the arrow keys to move the calibration point position.
  • A track filtering option has been added, View / Tracks / Track Filter Control is the menu option. Also available from the Track Control (the More Options ... button). There is help available by clicking on the Help button on the Track Filter Control dialog. The filters you setup can be saved and loaded, I have included a few examples in the zip with the exe file.

Beta Version 3.85.5d

Bugs

  • The waypoint selection for calibration points was still not right, I have made many changes this time and it is getting better. It should work ok now - if not let me know.

Changes

  • nil

Beta Version 3.85.5c

Bugs

  • Fixed a bug in the new waypoint selection for calibration points, the use of a "," as a decimal separator had not been allowed for. I also enchanced the display of waypoints in the list a little bit.

Changes

  • nil

Beta Version 3.85.5b

Bugs

  • PCX5 export Altitudes are now in meters
  • Uploading tracks to Garmins with a date of zero has been fixed.

Changes

  • OziExplorer has now been converted back from the Delphi 5 compiler to Delphi 3. Delphi 5 caused slow operation and introduced many bugs, the bugs could be fixed but the slow operation was more the problem.
  • You can now select the calibration point positions from a list of waypoints. The waypoints must be loaded before you enter the calibration screen, there is some help which can be accessed from the wp selection dialog.
  • The track list now shows the Track Point ID, the same ID is shown in the hint for "active" trackpoints. This allows the points on the map and in the list to be matched. The point ID appears to be a point number but it is not, as an example if you insert a point in the middle of a track the point ID's will no longer be in order. The point ID is dynamic and is allocated as the track is loaded or a track point is created.

Beta Version 3.85.5a

Bugs

  • Positions were sometimes displayed as "26 17 60.0" instead of "26 18 00.0", this should now be fixed.
  • Other minor bugs.

Changes

  • OziExplorer has now been converted from Delphi 3 to the Delphi 5 compiler, this may cause some problems, some have already been fixed but there may be more.
  • Support for ECW map images has been improved, the images are now paged from disk on demand, this means quicker loading and much larger images can be loaded.
  • The altitude is now saved in PCX5 export files.

Release Version 3.85.4

Bugs

  • Minor bug in waypoint list and the editing of waypoints has been fixed.

Changes

  • nil

Beta Version 3.85.3e

Bugs

  • Fixed a problem in OziMC in the CreateOziMC.exe program. Selecting regions in OziSM smartmaps that bordered the zero longitude on the west side or bordered zero latitude on the south side would not be created.

Changes

  • The timeout for Magellan downloading (from the GPS) has been increased from 3.5 secs to 10 secs. For some reason the Magellan 315/320 pauses during downloads when using 4800 Baud, the pause was just exceeding 3.5 secs so OziExplorer would indicate an error. I am not sure how long this problem has existed but it is only now being reported. When using 9600 Baud the pauses are very short and download proceeds normally.

Beta Version 3.85.3d

Bugs

  • In configuration "Keep Map Zoom" was not being stored correctly, it was always set the same as "Keep Map Objects".
  • Fix in AutoPilot output, longitude was missing a leading zero.
  • Map file names (including path) were being limited to 120 characters (by error), this has been fixed, the length can now be up to 255 characters.

Changes

  • Added the symbols for the Magellan map 330 and an option on the GPS selection. The symbols were created from a Faxed page of the manual so they maybe not quite correct in shape.
  • Added an option on the GPS selection for the eTrex Summit.
  • Added BWC sentence to Autopilot output.
  • More changes to MIF file import to handle Mapinfo user datums.
  • Added in the Norske datum for Norwegian Charts

Beta Version 3.85.3c

Bugs

  • changed the version number this time
  • If there are more than 9 calibration points (either from a map import or added to the .map file manually) they would be deleted when the map was saved from the calibration screen, this has been fixed.

Changes

  • For BSB charts a setting has been added to change from the manufacturers calibration to the OziExplorer calibration (where applicable, not all BSB charts have a manufacturers calibration supplied). This setting is on the Option button in Map Calibration. This was done because, while it is rare, the manufacturers calibration can sometimes be in error.
  • For BSB charts you are now allowed to change the corner markers if there are only 4 and you can adjust the calibration points if there are 9 or less.

Beta Version 3.85.3b

Bugs

  • Major bug in "total route distance remaining" and ETE/ETA has finally been found and fixed.

Changes

  • MapInfo MIF file import now can import files in the Transverse Mercator (including UTM) projection.
  • E00 file import improved slightly.
  • Tracks which have changed (from track 2 onwards) are now flagged and reported if you try to remove them without saving.
  • Added some zoom button choices to the User Toolbar, added a "Full" zoom option to the right click map menu.

Beta Version 3.85.3a

Bugs

  • Major bug in the previous development version 3.85.2z fixed, when changing to Blank map - any loaded waypoints did not have the datum translated when the blank map was created. If the waypoints were saved then or saved after another map was loaded then the waypoint positions could be corrupted depending on the datum used for the map and the datum used for the blank map. If the datums are the same then no corruption occurs, if the datums are different then corruption occurs. If the data is not saved then no corruption of the data files occur.

    It may be possible in some cases to "fix" the "corrupted" waypoint files by shifting the datum back. If you put a file called "dshift.dat" in the oziexplorer folder (it doesn't matter what is in the file) and restart Oziexplorer a Datum Shift option will appear at the bottom of the map menu. Example - if your map is in NAD 27 and the Blank map is in NAD 83 (WGS84) and your waypoints were saved and the positions in the file are now corrupted then load the original map (you must be able to see some of the waypoints in the incorrect position, select the Datum Shift option. Select the datum as WGS84 (or the same datum that you have set for the blank map when the corruption occured). Shift the datum in the forward direction, the waypoints will move (hopefully into the correct spot). The shifting can be done as many times as required in any direction. If you can get them into the correct spot save the file.
  • Some fixes to shape file import.
  • Fixed datum bug in waypoint append to wpt file
  • Fixed the access violation error that occured on the map find dialog when selecting a map.

Changes

  • NOTE - This version has changed the way the Function keys assignments are stored in the ini file - you will need to reconfigure your Function Keys. This change was done to allow for the new custom toolbar option.
  • Added a user customizable toolbar, this still needs a bit more development but works ok.
  • Added Wagner IV and Bonne map projections.
  • Added some more map projections to BSB import (Albers and Wagner IV).
  • The mark (target) that appears on the map when looking in the track list or "Finding a Map at the Cursor" is now removed when - the track list is closed - or a new map is opened from a menu option.
  • Mapinfo (mif) file import has been improved, it can now import, lines, polylines, rectangles, ellipse, arcs and points.
  • Added E00 file import, a little bit experimental.
  • The Close Map option on the File menu now closes the map (in fact loads a blank map) and closes all the data files, The Blank Map option on the Map menu loads the blank map and keeps the data files loaded.

Beta Version 3.85.2z

Bugs

  • The printing of grid lines could cause the lines to be disjointed (bits missing), this hopefully has been fixed. Note that printing UTM gridlines will still be disjointed (or misaligned) where they cross a zone boundary, this is just a fact of life.
  • minor fixes.

Changes

  • Added support for the ECW image format. This format provides very high compression, see www.ermapper.com , there is a free image converter available. It is a lossy compression format, the higher the compression the smaller the file but the worse the image will look.
  • The Date/Time and Altitude are now uploaded in the track for the Garmin eMap, eTrex and similar models, of course not all models will accept the date/time.
  • When using the Track Point List the currently selected Track Point is marked on the map.
  • Waypoints and Events can now be marked by drawing a box around them, there is a new menu called "Edit" which has various options. The marked waypoints or events can be deleted or saved. The Mark Control can be used to do the same tasks as the menu options.
  • All waypoints within a specified distance of another waypoint can be marked.
  • The lower scale limit for map printing has been lowered to 1:500 (from 1:5000), only down to 1:1000 is shown in the combobox for scale, you must enter lower values manually. Using such low values on maps at larger scales can cause large number of pages (which OziExplorer will warn about) or may even cause numeric overflows.
  • 24bit Color TIFF files can now be used - please note that these are fully loaded into RAM not paged from disk as the 8bit color TIFF images are. For large images the amount of RAM and other resources required required can be a factor in whether the images can be used or not.
  • Selecting the "Blank" map no longer automatically removes the waypoints, tracks etc, it is now treated the same as any other map.
  • There is now the ability to add the date/time to track points for tracks that do not have them provided the track was collected at a set time interval (optionis on track control).
  • There is a new option on the Waypoint List to "Append" the selected waypoints to any waypoint file.
  • There are now zoom buttons (+) (-) for increasing and decreasing the zoom level below the Zoom combo box on the Toolbar.
  • The NMEA input can now be displayed. This uses the old AutoPilot output window which has now been renamed to "Show NMEA Input & Output" and moved to the Moving Map menu.
  • The size of the grid line labels when printing can now be specified.
  • Shape files (.shp) can now be imported even if there is no DBF file with them.
  • Img2Ozf Utility
    • Fixed a color problem with PNG Images
    • Fixed a memory leak, the more images that were processed in a session the more RAM that was used.
    • Deletes the temp file (.$$$) when the processing is done
    • More meaningful text in the status line as the image is processed
    • Saves the various settings of zoom levels etc.

Release Version 3.85.2

Bugs

  • If the name of a MapTech PCX or RML chart had a ":" in the name then the Oziexplorer Map file was not created.
  • The Waypoint and Event lists did not print the position correctly in deg/min mode, the minutes came out as 000000 instead of the correct number, one of those last minute changes programmers promise themselves they will never do.
  • PCX5 waypoint import was not getting the description field.
  • The Track Replay window will now Show and also Hide when it is attached to a Function Key.
  • Deleting track points from the track list would cause an error if the track was not number 1.

Changes

  • The Regional map window now shows the name of the loaded map.

Release Version 3.85.1

Bugs

  • OziMC addon - Fixed a bug in saving features if the save was selected from the "Yes/No/Cancel" dialog if the Cancel Edit button was selected.
  • If there was a large amount of free disk space on the drive where Oziexplorer was installed it was being determined that there was not enough free space on the drive (negative number returned) so the oziexp.ini file was put in the "Windows or Winnt" folder instead of the oziexplorer folder.
  • Fixed a printing bug, Map Features would not print in correct color (just blackish).

Changes

  • Changes were made to support the new "ozf2" image format - it is essential that this version of Ozi be used if using ozf2 files. To use the OZF2 format you need the download the Img2Ozf.exe program from the Optional Extras section of the web page. See the help link on the Image Formats Supported help section, this is under the Map Related section.

Release Version 3.85

Bugs

  • Very large Tif files could not be saved to an image, they generated an integer overflow, now fixed.
  • When trying to save very large tracks into OziMC, an exception was generated (a buffer overflowed), this buffer has now been doubled in size.
  • Importing DRG maps using Albers projection only worked for the first map in a multi import.

Changes

  • There is now a configuration option to select if Bearings are in True or Magnetic.
  • Some adjustments have been made to the Quovadis map import to support the UTM option in QuoVadis map calibration.

Beta 3.83.m

Bugs

  • Manually created track points had their time set as local time instead of UTC time.

Changes

  • Due to popular demand the blank map is no longer automatically loaded on program startup.
  • Due to popular demand the Map Find dialog now has an option to close it automatically when a map is selected.
  • The warning message if HTML help is not available has been modified in the way it is shown. Also if HTML help is not supported you will not see blank dialogs where the "startup" help would have been.
  • Sorting a large number of POI's caused a "Stack Overflow", adjustments have been made to stack size and some other minor changes.
  • If you are using the Depth (reading the DBT NMEA sentence) it is now displayed with 1 decimal point.

Beta 3.83.k

Bugs

  • When a track with active points was moved from Track 1 the active points were left active, this has been fixed the points are made inactive just before moving.
  • When Changing Symbols for some Garmins using the waypoint list the changed symbol was not correct.
  • The Maptech map import was not correct if the map crossed the 180 deg longitude or if it used a Polyconic projection, both problems fixed (I think).
  • Exporting Waypoints using the USER Grid used the wrong User grid parameters, now fixed.

Changes

  • When using the POI Manager if there were any invalid bmp files in the Dsymbols folder an error message would be generated, this has now been altered and the invalid bmp files are simply ignored. The Dsymbols.zip file contained a couple of invalid bitmaps, this has been fixed, delete all files in the dsymbols folder and download the dsymbols again. You may have had .nic files in the folder, these are no longer required.
  • The Info Dialog (Button on Toolbar) now includes a few additional items.

Beta 3.83.h

Bugs

  • Waypoint projection in Nautical Miles was incorrect.

Changes

  • The Date and Time for track points is now read from Waypoint+ text files instead of using the PC Date/Time.
  • Added the Van Der Grinten map projection.
  • Added Range Rings around moving map position, see the new Range Ring Setup option on the Moving Map menu.
  • Show/Hide Range Rings has also been added to the Function Key configuration options.
  • The NMEA depth sentence DBT has been added to the NMEA input processing and will be automatically read if available. If found the Altitude will change to Depth.
  • When selecting the GPS as "NMEA Only" in configuration a "GPS - NMEA Only" menu will be made available. There is an option to send waypoints to the GPS in the NMEA WPL sentence format, many GPS receivers can accept uploaded waypoints in this format. There is also an option to receive waypoints in the same format "WPL" (if the GPS can be configured to output its waypoints in this format), these options needs a little more work to allow other "non-standard" NMEA sentences to be used.
  • If you are importing a USA USGS DRG map with just a tfw file and the map image name is in the standard USGS format (example O43107C4.TIF) then OziExplorer will work out the correct UTM Zone number to use from the file name and put it in the Zone field of the DRG Import Options dialog as the default.
  • There are some map images supplied as jpg files with an additional .jgw file, the jgw file is the same as a tfw file, OziExplorer will now use this file automatically if it exists.

Beta 3.83.g

Bugs

  • Fixed the GPF (in User.exe) which occured when exiting the program. This was related to not closing (in the code) an embedded HTML help window before exiting.

Changes

  • Regional Map loading has now been modified so if the map image is not found in the location specified in the .map file then it looks in the same folder as the .map file, basically this is now the same as the loading of a map for the Main Map window.
  • A couple of users report the symbols for waypoints will not print, the cause cannot be found (may be specific printer related). Some changes have been made but this may not help. The "old" version symbol printing can be activated by placing a file called "nopcanvas.dat" into the folder where oziexplorer is installed, is does not matter what is in the file.

Beta 3.83.f

Bugs

  • The Waypoint, Track, Map Feature, and Map Comment lists did not refresh when the map was changed, now fixed.
  • The Route name was being saved with 14 characters instead of 16, now fixed.

Changes

  • Added the ability to use PNG map images in the regional map window (an oversight).
  • Added the ability to change the Garmin Display Format of selected waypoints in the waypoint list.

Beta 3.83.e

Bugs

  • Fixed yet another bug in DRG import, the UTM Zone was read incorrectly from geotiffs.

Changes

  • Version 3.83.e reduces the windows resources required by a factor of 2 over the previous version.
    Version 3.83.d System = 27 User = 8 GDI = 38
    Version 3.83.e System = 10 User = 8 GDI = 21
  • The Windows HTML Help OCX (hhctrl.ocx) is not loaded until help is used for the 1st time.
  • Added a note about HTML Help which is displayed if your system does not support HTML Help.

Beta 3.83.d

Bugs

  • Fixed another bug in DRG import, the datum was always being set to NAD 27 CONUS regardless of the real datum

Changes

  • Added the ability to use BSB charts (.kap images) in the regional map window. This was an oversight.
  • Added another formatting option to the Grid Line display, you can now specify only the last 3 digits be displayed. Only the last 3 digits are displayed if they are not 000, if the grid number is an even multiple of 1000 (last 3 digits are 000) then it is displayed as example - 243* where the full number would be 243000. This lets you work out the full coordinate number.

Beta 3.83.c

Bugs

  • Fixed a bug in formating the lat/lon fields if using decimal degrees and are using a comma as a decimal separator in regional settings.
  • When deleting track points from the track point list, deleting an already deleted point caused an exception error - fixed.
  • Fine tuning to DRG import - new geotiff tag supported - map datum and zone (if found) is now passed through to the "DRG Import Defaults" dialog as the defaults.
  • Fixed bug in Shape File import/export which caused map calibration to be corrupted (depends on map projection used).

Changes

  • The Delete key will now delete a track point in the Track Point List.
  • In Shape file export of Waypoints the Date/Time is saved in the AUX1 field and the Altitude (in feet) is saved in the AUX3 field.
  • When using Alt K to add a waypoint in moving map mode the Altitude is now saved with the waypoint.

Beta 3.83.b

Bugs

  • Fixed a bug in the alarm zones, they would not display using the correct polygon fill.
  • Importing New Zealand maps using a tfw file in NZMG had an error - now fixed.
  • Saving the image of a Maptech PCX or RML chart did not work correctly.
  • The Altitude in the Object hints was not always correct, the string used was too short and the altitude number was truncated - now fixed.
  • Fixed a rare bug in the Garmin download protocol code which gave a checksum error when no error existed.
  • Fixed a bug in the download of Routes from the Garmin eMap (and other models which use the D202 protocol). Only 1 route would be downloaded.
  • Fixed a bug in Points files attached to the map, this would sometimes produce an exception error, caused by unitialized variables.

Changes

  • Added the use of PVT output for Garmin GPS receivers which support it. The option to turn this on is on the Comm Tab in OziExplorer Configuration.
  • Added the ability to save the map grid default configuration, there is now a default button on the Grid Configuration dialog. When ever the Grid Config dialog is displayed for a map where a grid is not already configured the defaults will be entered automatically (if you have saved defaults), all you have to do is turn the grid on.
  • Added the ability to display the Grid (on the map grid) without the meters - example 1273000 can now display as 1273 - there is a new option on the Grid Configuration dialog.
  • When using Moving Map mode with a Magellan 315/320 (and most likely other Magellan models) they would indicate a Heading of 0 degrees when they were moving at zero velocity (regardless of the last heading). OziExplorer now traps this and will use the last heading whenever the velocity returned from the GPS goes to zero.
  • The sorting of POI names was based on just using the 1st 3 characters of the name. This was done to speed up the sorting. Apparently this caused problems with the Magellan GPS 315/320 find function. The sorting now uses the whole name.
  • The tracklist now changes dynamically to show the track selected in the track control list.
  • The width of the Route lines can now be changed in configuration - see the Objects tab.
  • Added Delete Waypoints, Tracks etc for Magellans, the new options are on the Magellan Menu.
  • Added "Vertical Near-Side Perspective" and "Lambert Azimuthual Equal Area" Map Projections.
  • Added support to import PCX5 files which use the UTM position format.
  • The DRG import has been rewritten. Basically it will still work the same but has many internal changes, it can now automatically use the new format FGD files.

Beta 3.83.a

Bugs

  • Sometimes the Waypoint colors would not work correctly, fixed
  • OziMC caused extra points to be added to a feature when saving, changes have been made to the save routine.
  • There was a minor bug in the Load BSB function (sometimes produced garbage lines in image), corrected.
  • Printing Lat/Lon grid on a map would sometimes not work correctly, grid woulf not appear, now fixed.
  • Navigating along a route with same wp in more than once would not work, now fixed.
  • If the same wp was in route twice the route would not draw correctly when it was the active navigating route, now fixed
  • Autopilot operation did not work correctly if serial port was shared with GPS and Autopilot, now fixed.
  • Many,many others.

Major Changes

  • New Garmin support, eMap and eTrex.
  • The Garmin upload/download code has been rewritten quite a bit.
  • New GPS configuration screens which make it easier to select the correct model GPS.
  • For Magellans with POI's only - the ability to add and edit the POI's from the Datasend CD has been added, see the Datasend help.
  • There is now a new object in OziExplorer called a Point, this object defines a point in space and has a name and some other properties. Points belong to a set of points which also has properties. The number of points which can be displayed is unlimited. There is a new Point Control dialog to manage Point Sets. See the Point help for full details.
  • Mapcreate Names in can now be used in OziMC, you also need the new version of CreateOziMC.exe.
  • Maptech RML and PCX charts (.HDR) can now be imported and used. You need to download the necessary dll's as well from the web site.
  • QuoVadis Navigator maps on CD can be imported. Tested with the Africa and Canada maps.

Other Changes

  • Symbol sets have been added for most Magellan models.
  • The full Symbol set for Garmins has been added for GPS receivers such as the III+, 12Map, StreetPilot and its cousins, eMap, eTrex, and others. These symbols incorporate some color. Please note that the foreground and background colors of these symbols cannot be changed in the property dialogs of waypoints etc.
  • Export and Import ESRI (ArcInfo) Shape files for points, polylines and polygons..
  • New Track Control, with some new options such as the ability to move tracks between track numbers.
  • Track List with Speed, Altitude, Heading and Distance etc
  • Speed, Altitude, Heading, Distance travelled on Track replay
  • Tracks can now be displayed as polygons (filled in various ways).
  • Alarm Zones can be created and attached to a map. Alarm zones a re just a special type of filled track.
  • Lock Mapfind to Current map folder, only searches the folder where the currently loaded map was loaded from.
  • Attach tracks and point sets. The attaching of track files to the map no longer has a limit of 3000 points, you can now attach up to 50 tracks. The new object Point Sets can also be attached to a map, limit of 50 files also.
  • The NMEA communication is no longer stopped when a new map is loaded.
  • New Moving Map centering item - it provides centering with more view ahead in direction of travel.
  • Button on Moving Map control to suspend centering of map. This allows you to move around on the map manually and also load a different map if required.
  • There is a new option on the file menu to allow the changing of the Image file for current map.
  • There is a new option on the file menu to change Image file path for all maps in a folder.
  • The default properties for all objects (Waypoints etc) are now set by a default button their properties dialogs.
  • Now loads OziCE track and waypoint files correctly.
  • Waypoint projectiion now does in UTM projection to simulate the same method used if you were projecting the points manually on a UTM map.
  • Waypoint projection also allows you to project a new trackpoint from the last trackpoint.
  • DRG import can now use the georeference information from geotiff files, you need the Ozigeotiff.dll file
  • The Track Hints (turned on in the Track Control) now include Date, Time, Distance, Speed, Heading.
  • If there is room in the map image palette of your map images then the standard Oziexplorer palette is added into the palette of the images, for TIFF, BSB and JPG images. The saving and printing of the Map Image should now get the colors correct.
  • TIF and BSB maps/charts can be fully loaded into RAM (instead of paged from disk) by including control files in the Oziexplorer folder, see Special Keys and Stuff help.
  • More command line options, see Special Keys and Stuff help.
  • The Hook for Moving Map position to be sent from other 3rd party programs has been modified to allow the position to be sent to OziExplorer via the clipboard, this is to stop the disk drive from being continually accessed on laptops. There is a new example mmFile program to demonstrate the technique.
  • Holding the Shift key down and using the Arrow keys moves the nouse cursor by pixels, this allows the cursor to be positioned accurately for setting of waypoints etc.
  • If the Toolbar is hidden it now remains hidden the next time Oziexplorer is started.
  • Regional Map window improved slightly, can be changed in size, right click on the regional map window for menu..
  • The size waypoints,map features and events can be specified when being printed on a map.
  • Zoom window can now be activated from the Calibration window.
  • The display of corner markers for the map neat line can now be turned on on the main calibration screen instead of having to go into the options dialog.
  • Whwn creating new waypoint on the map, the automatic name generation will make sure a name is not selected which is already used by the loaded waypoints.
  • The route selected in the route editor is now plotted on top of the other routes and in a wider pen
  • The track selected in the Track Control is now plotted on top of the other tracks and has each track point position highlighted.
  • Map comments are now resized when zooming.
  • There have been many other minor changes.

Beta 3.81.c

Bugs

  • The PCX5 file exporting (which has only been done for exporting to Mapsource, PCX5 is too strict on file version numbers) had a problem with altitude. Also Mapsource seems to have a problem with reading the file unless the altitude is -9999, so the altitude is now always written as -9999 into the file. Anyway it should work better now.

Changes

  • Many users have had problems with the new html help system with the help components being out of date, a link has been provided to the the help file component upgrade from Microsoft.
  • The html help system of course requires the engine of Internet Explorer be installed, some users have removed IE from their systems so the help will not function. The "old" Oziexplorer help system has now been compiled into a separate program which can now be downloaded and installed into the directory where you installed Oziexplorer. Version 3.81.c of Oziexplorer will detect it and automatically use it instead. Of course you do not get the searching, index, or better printing of the new html help.

Beta 3.81.b

Bugs

  • Using the Route Editor buttons, deleting or moving a waypoint in a route calculated the distances between the waypoints incorrectly, now fixed.
  • The track move had a problem moving a track when the map was zoomed, an oversight now corrected.
  • The date reading code on file import has been slightly adjusted, this may remove a problem with the dates when importing waypoint files.
  • The upload of routes to the Magellan NAV6000 has been modified so it may now work.

Changes

  • The help system has been moved into windows html help (the standard system), this allows the usual help functions including full text search. The help system will be further improved in the near future.
  • There is now a new feature which allows you to assign functions to the function keys (F2-F12), the option is on the File menu just below configuration.
  • There are now save buttons for all the major file types on the main screen, there is also a button to save all the files as well.
  • Options have been included to write PCX5 data files for waypoints and tracks, these options are on the Garmin menu.
  • There is now an option on the active track point right click menu to delete a track point and split the track at the same time.
  • Deleting marked active trackpoints using the button on the track control now splits the track instead of joining the remaining track point sections together.

Beta 3.81.a

Bugs

  • A bug in the mmFile hook has been removed.
  • A bug in PCX5 import not getting the descriptions has been fixed.
  • Getting routes from the Magellan NAV6000 has been adjusted, notice I didn't say fixed, need to test this one.
  • minor fixes

Changes

  • Track Replay has been extensively enhanced, can now track the movement, load next map, replay any track number etc.
  • More windows now remember their positions (track replay, zoom, mapview, route editor, track control and NMEA Simulator). On some of the windows you need to open the window and close it to get it to remember the position.
  • Waypoint export has been changed slightly, there is a new format exclusively for Waypoint+, the datum is fixed to WGS84. This exports in the same way as the Text File option on the Garmin menu.
  • It is now possible to export tracks, this needs to be enhanced a bit more yet. The format for Waypoint+ also applies here.
  • It is now possible to open many tracks at once, simply select multiple files in the file open dialog. The tracks are opened into tracks 1 to 30 (a max of 30).
  • New Datums have been added to the list. Pulkovo 1942 (there a 2 datums for this one (1) & (2) as there are 2 different formats available). Pulkovo 1942 (1) is used for QuoVadis maps. S42, Israeli and Rijksdriehoeksmeting (Dutch) datums have also been added.
  • Altitude is now included in the Waypoint properties editor.
  • There is now a Track Moving feature. You can move a track around pixel by pixel to position it correctly and then save it. You can move by the complete track or just "active" track points. See "Track Move Control" option on the View Menu or the Track Control.
  • There is now the ability to include input (depth) from an echo sounder (depth sounder) using the DBT sentence. There is a "hook" program OziSounder.exe which reads the input from a serial port and transfers the sentence to OziExplorer using a file hook. The OziSounder program can be downloaded from the web site. To use this you need a sounder which outputs NMEA and 2 serial ports, 1 for GPS and one for sounder.
  • The Save to Bitmap option has been enhanced to also include the png format. ... About time, no more 50Mbyte BMP's...
  • The display waypoint with comment has been changed from just the first 16 characters to the full description.
  • It is now possible to specify the position a map automatically opens to, see the "Save Map Position" option on the map menu.
  • A selection of User Grids have been added to the User Grid (Transverse Mercator) dialogs. Select the grid from the combo box and it fills in the parameters for you.

Version 3.80.4

Changes

  • The zoom window could cause GPF's (crash) in certain Graphics Cards (Savage (S3 chip set), Asus 3400, Asus 3800 (possibly certain other TNT2 chip set cards) and others) , this was actually caused by bugs in the graphics card drivers but by recoding the zoom window the particular circimstance which caused the crash could be avoided.
  • When using large images (usually in PNG format) the mapview window would be blank. This problem should now be fixed. A similar problem exists on the main map when zooming to say 10% (same cause), I don't intend to fix this as I don't feel it is important enough to change the main map code.
  • A problem has been fixed where loading waypoints which have negative latitudes less than 1 degree on the blank map would not be displayed (calibration was calculated incorrectly).

Version 3.80.3

Changes

  • Fixed very minor bug where trying to print a selected area of the map if you had not actually selected an area gave a program error, it now generates a suitable message.

Version 3.80.2

Changes

  • Fixed bug where lat/longs which were between 0 and -1 were not exported correctly.

Version 3.80.1

Changes

  • Minor fix to mapfind search to locate small maps closer to current map, that is immediately adjacent. There was a possibility these small maps could be skipped over in the search.

Version 3.80

Changes

  • One minor change to the Grid Display setup, The save button wording becomes red when changes are made indicating that you need to save the changes and the dialog displayed when the save button was pressed has been removed.
  • Added ability to use comm ports 5 and 6.

Beta 3.73h.5

Bug Fixes

  • Major bug fixed in OziMC multipolygon editing for World maps. The regions are much larger than smartmaps and caused a variable overflow in the IntersectLine function which caused the check to see if the track was in the polygon not to be correct. As usual with these types of bugs only some regions are affected.

Changes

  • In Grid Setup window changing the AutoScale checkbox now redraws the grid so you can see the changes if you have the map zoomed when changing the grid spacings.

Beta 3.73h.4

Bug Fixes

  • Minor problem with new track point button in the track control not deactivating correctly
  • Grid labels not displaying the degrees correctly ( 17 degrees being displayed as 15 degrees etc) was found to be in my rounding logic and only happened for negative degree values.
  • Minor problem with comma as decimal separator fixed for grid label display.
  • Route properties adding waypoints in reverse order, it took a lot of skill for me to do that, has been fixed (I hope).

Changes

  • GPS Fix Data form, Distance Display form now remember their last position.
  • Arrows added to route properties form to allow waypoints to be moved up and down in a route.
  • ^M (moving map control), ^N (navigation control), Alt S (nmea simulator) now display and remove the forms.

Beta 3.73h.3

Bug Fixes

  • Importing of Albers projection maps required a UTM zone to be entered even though it was not required, now fixed.
  • Minor problem with grid line colors being incorrect in some circumstances, fixed.
  • Scrolling with the left and right arrows caused the grid labels not to draw correctly, fixed.
  • Fixed problems with "saving maps to bitmap", some colors wrong, labels not drawn for grids etc.

Changes

  • When importing Map Features and Map Comments, the positions are translated from the datum in the .map file to the datum of the map currently loaded as indeed they should be.
  • Waypoints can now be projected with a True or Magnetic Bearing.
  • When in moving map mode the screen is redrawn continuously causing the objects especially the grid to be redrawn. This really cannot be avoided, but changes have been made to only redraw the screen when the position on the map has changed, this may eliminate some of the redrawing. This change was actually in 3.73h.2 as well.

Beta 3.73h.2

Bug Fixes

  • minor fix in grid refresh after check calibration of map.

Changes

  • Changed the palette handling for screen drawing back to the old method as the default.
  • Changed grids so there will be a maximum of 200 drid lines drawn vertically and horizontally, this is to prevent an excess number of lines being drawn (screen gets filled with color) and control being lost. This still allows grids to be placed very close if desired.
  • Changed Oziexplorer .map import so the image file does not have to be with the map file, the image file is now searched for but it naturally must be on the same CD (or disk).

Beta 3.73h.1

Notes

The new features added have required code changes to some "core" functions, this may introduce bugs into these functions which have been working ok. Please report any bugs you find in this version.

Bug Fixes

  • MapView when loading B&W tifs with CCITT compression were distorted, now fixed. Had to change code in the general tiff loading area, hope it hasn't affected anything else. CCITT is not a good compression to use, change to huffman and you will see a performance boost (B&W images only).
  • The route printout now includes the name of the route file and the waypoint file instead of the waypoint file in the wrong place.
  • The lockup if deleting the only event from the event list is fixed.
  • The date entry has been fixed and should now work with all date formats in regional settings.
  • The logging of track data (to file mmTrack.plt) was logging the positions in the map datum but WGS84 in the file header, this caused the data to be incorrectly translated when loaded, now fixed, all positions are saved in WGS84.
  • Importing waypoints did not work if the format string (in the file) was not in uppercase, now fixed.
  • many more minor things.

Changes

  • New map printing options - print a selected area, print a specific number of pages wide/deep. The help has been updated with the changes.
  • The Grid display option is in this version, it was very complicated to code, see the help for the details.
  • There is now the ability to import OziExplorer .map files from a CD to a Hard Drive, the image file path is changed to the path where the original map file was located and the files are changed from read only. This option is on the File/Import menu.
  • DRG import options - Other image formats can now be used not just TIF, recurses through the subdirectories and finds all maps, can import Albers projection maps, default Datum and Zone can be specified. Default datum, default zone and the Albers projection only applies to maps which only have the TFW file.
  • Changes to the way the map screen is redrawn to try and get around bugs in some graphics card drivers. If this causes problems there is a way to get the screen redrawn using the old method.
  • Map Comments can now have size, colors etc saved as the default, this is done using the new button on the map comment properties dialog.
  • You can now import Map Features and map Comments from another Oziexplorer map onto the currently loaded map, this option is on the File/Import menu. Its a bit basic at the moment. It will reject them if they are not actually on the map so it is safe to import form a map which covers a larger extent.
  • There is now an option to close the comm port on all the GPS model menus. This allows you to close the port so you can use the port with other software without having to close Oziexplorer.
  • Route Editor in Route Properties now has enhanced features for adding waypoints to the route, add selected, insert selected etc.
  • In the waypoint list the delete key can be used to delete waypoints.
  • The finding of new Maps when in moving map mode can now be restricted to just the directory where the currently loaded map is stored. The default setting can be set in Moving map configuration and there is a new button on the Moving map control to change the option "on the fly".
  • A new waypoint can now be created by projecting from an existing waypoint, distance and bearing are required, option is on waypoint right click menu.

Old History


Known Problems in this Version

RD_STAR.gif (874 bytes) Maps cannot be calibrated across the 180 degree longitude line.

If there are Map Features on the Map - After sending waypoints the GPS and then bringing them back a Waypoint will be created on top of the Map Feature. The work around is to delete them manually. The Registered only feature "Merge Waypoints" does fix the problem provide the Map Feature waypoint names start with "MF".


Configuration

  • System
  • Maps
  • Map Images
  • GPS
  • Communication
  • Objects
  • Track
  • Moving Map
  • Navigation

This option is located on the File Menu.

System

Load Last Map - Ticking this box will cause the last map being used to be automatically loaded the next time you run the software.

Load Last Data - Ticking this box will cause the last data being used to be automatically loaded the next time you run the software (waypoints, routes, events, tracks, points).

Show Map View - For Registered users, ticking this box will display the Map View screen on program startup.

Show Zoom Window - Ticking this box will display the small Cursor Zoom Window on program startup.

Ask Before Quitting - If ticked OziExplorer will ask you to confirm before it Quits.

Window Position - Specifies the position and size of the OziExplorer window when it loads. You can select the Maximize option where the window will be full screen or the At Stored Position option where the window will assume the position and size that it had when you last pressed the Store Window Position button.

Store Window Position - Press this button to store the position and size of the OziExplorer window (see above). To save this position you must press the Save configuration button also.

Map Scroll Increment - The distance the map scrolls per mouse click on the scrollbar arrows or when using the cursor keys.

Data File Datum - for Registered users, the Datum which will be used when saving Data files (waypoints, events or routes), the Datum is stored in the file. The Lat/Long is automatically translated from the Map Datum to the Data File datum specified. This datum is not critical and could be left to WGS 84 at all times. It is useful if you want to manipulate the data files with other software.

When reading Data Files the positions are translated from the Datum they were with to the Map Datum. The Datum is stored in the Data Files with the data so it is known when the file is loaded.

Map File Path - the Folder where the map (.map) files are kept. OziExplorer will always look in this folder and its subfolders for maps, the preferred choice is to create a folder called MAPS under the OziExplorer folder. You could the create subfolders under the MAPS folder to separate your maps into various categories. Even though you can open a map file from any folder the map find function and moving map "find next map" will look in the Map File path folder as the default.

Data File Path - the Folder where the data files are stored, the preferred choice is to create a folder called DATA under the Oziexplorer directory.

Maps

Distance Units - Specify the unit all calculated distances are displayed in. If you specify Kilometers smaller units will be in meters. If you specify Miles or Nautical Miles smaller units will be in feet.

Speed Units - Specify the units to use for speed display.

Altitude Units - Specify the units to use for altitude.

Bearings - The Bearings can be displayed in True or Magnetic North.

Distance Calcs - Specifies whether the software is to use a sphere or ellipsoid when calculating distances, the ellipsoid method should be the more accurate.

The various GPS receivers use different methods, the list below is based on observation of how the the models tested calculated the distance so may not apply across the board.

Garmins appear to use an ellipsoid; Lowrance/Eagles and Magellans appear to use a sphere. It may be advisable to select the method in OziExplorer which best agrees with your GPS. The difference between the 2 methods is about 1% so it not really noticeable for small distances.

Country or Region - Select your country or if not there select the region of the world you are in. When entering geographic positions this causes the N/S or E/W field to default to a choice valid for the region you select.

Lat/Long Display - Specifies in what format the Lat/Long coordinates are displayed in.

Blank Map Datum - Specify the Datum to use for the Blank map. This datum is used the next time a blank map is created, that is the next time the "Blank map" option on the Map menu is used, it does not affect the datum of a blank map which is already being displayed. See Datums help for more information.

Create Map Thumbnail - This applies to certain image types. This will cause a small image file (.mv1, its really just a bmp file) to be created as the map is loaded and is stored in the same directory as the .map file. The next time the map is loaded this small image is used to create the MapView instead of having to load in the large image again. There is no thumbnail created for images less than 1 Mbyte in size as these are already quick to load.

Map Load Options

Keep Map Objects - Keeps the waypoints, events, routes and tracks in memory when you load a new map, they will display on the map if possible but even if not displayed on the map they are still loaded and active, YOU MUST REMEMBER THIS, if you don't want them loaded you must use the Clear options on the Map menu. It is up to you to decide how you want OziExplorer to handle this. This feature is necessary when doing on screen navigation using moving map so your waypoints and routes and therefore navigation assistance are retained for the next map.

Alternate Grid - this determines which grid coordinates are displayed and requested by the software. This does not apply to map calibration where you can make an independent choice.

The User Grid is based on the Transverse Mercator Projection and requires you to set up the following fields by pressing the adjacent button.

  • Latitude Origin
  • Central Meridian
  • Scale factor
  • False Easting
  • False Northing

It is beyond the scope of this help file to explain the purpose of these fields, please obtain and consult other documentation on Grids and/or Coordinate systems for more information.

Use Map User Grid - This option links the Map User Grid (Transverse Mercator projection), which is setup when calibrating, to the User Grid which you setup for the Alternate Grid in configuration. If this is true and the map being loaded has a user grid set, the "map user grid" is automatically copied to the "Alternate User Grid" for coordinate display.

Map Images

This section has various option for locating the image for a map that is being loaded.

Note : This is the image file search sequence

  1. The link to the image file stored in the .map file is checked
  2. The folder where the .map file is stored is checked
  3. The Image File Paths are checked (if specified)
  4. The Drives which have been ticked are checked
  5. The CDROM drives (if the option is enabled) are determined and checked.

Image File Paths - Each of the specified paths (if ticked) are checked to see if the required image file can be found.

Check Drives - If the map image has not been found each of the specified drives are searched. It searches for the image using the folder name specified for the image file (stored in the .map file) but uses the specified drive letter, if not found there it searches the root folder of the specified drives.

Always Check All CD Drives - If this option is checked and a map image cannot be found the CDROM drives are determined and checked for the map image. It searches for the image using the folder name specified for the image file (stored in the .map file) but uses the CDROM drive letter, if not found there it searches the root folder of the CDROM drives. This option is separate to the Check Drives option where CD drives can also be specified, the difference this option determines the CD drive letters itself before checking them.

GPS

Find GPS Port (button) - Scans the ports on the PC looking for the specified GPS type. If found the details are displayed in a list and can be used to help configure OziExplorer.

GPS Make - Select the make of GPS from the list provided.

GPS Model - Select the model of GPS you have.

GPS Symbol Set - Specifies the symbol set that the selected model of GPS supports.

  • There are other sets for specific models
  • Garmin Symbols - Contains the complete set of Garmin symbols (but does not include Garmin16), choose this if the specific symbol set is not provided. However not all the symbols will be recognized by the GPS.
  • Garmin16 - for GPS 12,12XL,12CX, II+, 48, 126, 128 and others

GPS Parameters - When you select a GPS make and model the GPS parameters are automatically filled in, DO NOT assume that the parameters are correct for all GPS Receivers, check the features of your GPS in the manual and enter the correct values.

Click on these links below to read specific information for each of the different makes

Magellans , Garmins , Lowrance & Eagle , MLR , NMEA Only , USB Mouse , Bluetooth

GPS Upload/Download Datum - Specifies the Datum OziExplorer will use when it uploads data (waypoints, tracks etc) to the GPS and the Datum it assumes the data is in when it is downloaded to OziExplorer from the GPS. Garmins and Magellans always use the WGS 84 datum when uploading/downloading data. Lowrance/Eagles vary, some use the datum the GPS is set to and others always use WGS 84, you need to experiment to find out which one uses what datum. See Datums help for more information.

GPS NMEA Output Datum - Specifies the Datum the GPS sends its NMEA position data in. Garmins always send it in the datum you have your GPS set to. Most Lowrance/Eagles always send it in WGS 84 others send it in the datum the GPS is set to. For Magellans you need to check this, some models output in WGS84 and others such as the 315/320 output in the Datum the GPS is set to. See Datums help for more information. USB Mouse and Bluetooth GPS always output in WGS84 datum.

Communication

Com Port - Select the Com port on the PC you have used for connecting your GPS.

Parity - Select the Parity your GPS uses in its own comm setup, if not known try none.

Baud Rates - OziExplorer allows you to specify separate Baud rates for Upload/Download and NMEA communication.

Stop Bits - Allows 1 or 2 stop bits to be selected.

Upload/Download Baud rate - Set to match the setting you have in your GPS, for best performance use the highest speed available. The setting you choose for the GPS must match the setting you have selected in OziExplorer.

NMEA Baud rate - You can set the Baud rate for NMEA communication separately from the Upload/Download Baud rate. When you use Moving Map (i.e. reading NMEA from the GPS) the software will automatically use the NMEA baud rate, if not known try 4800.

Garmin USB - This is selected if your Garmin GPS supports USB data transfer.

Use PVT for Garmin instead of NMEA - Most Garmins have the ability to output their position using the PVT protocol which has all the information required for moving map (real time tracking) operation. When using this method the GPS must be placed in GRMN/GRMN HOST or Garmin mode (depending on model).

Serial Port Driver - There is an increasing use of USB to Serial Port convertors being used on laptop computers. It is difficult to provide code which works with all of these. 2 Serial Port Drivers which use different techniques are provided and each of them can be selected. If communication difficulties are experienced then the other driver can be tried. The Default driver is "Driver 2".

Click on these links below to read specific information for each of the different makes

Magellans , Garmins , Lowrance & Eagle ,MLR ,Brunton/Silva ,NMEA Only , Tripmate , Earthmate , USB Mouse , Bluetooth

Auto Pilot

See the Auto Pilot Output help for more details.

Outputs the Standard NMEA sentences which can control an Autopilot. The sentences output are $GPRMC, $GPRMB, $GPAPB, $GPBWC.

Active - Tick the box to enable the Autopilot output. The NMEA sentences are output to the selected com port whenever you are using moving map mode. The NMEA strings only contain valid navigational information if you are navigating along a route or to a waypoint. Otherwise the parameters in the strings are empty.

Com Port - Select the com port which has the autopilot connected, if the com port is the same number as the "General Comm Settings" for the GPS then the same Baud Rate and Parity is used.

Baud Rate - Set the Baud Rate for the port if the port number is different to the "General Comm Settings".

Parity - Set the Parity for the port if the port number is different to the "General Comm Settings".

Interval - The time interval in seconds between the batches of NMEA strings being sent to the Autopilot. All the supported strings are output in the same batch.

Objects

Route Line Width - The width of the line (in pixels) used to display the route lines on the screen.

Track

Track 1 Defaults

Line Color - Specifies the color used when a track is initially created.

Line Width - Specifies how wide the track will be drawn on the screen. For speed in drawing it is better to leave the track width set to one (1), the best visual setting is a width of two (2).

Line Style - Specifies the line style used when a track is initially created.

Track Tail Defaults

Line Color - Specifies the color used for the track tail.

Line Width - Specifies how wide the track will be drawn on the screen. The best visual setting is a width of two (2). A track width set to one (1) will draw faster.

Line Style - Specifies the line style used to draw the track tail.

Track Log File / New File - Specifies the frequency to create a new log file.

  • Never - never change the file. If logging is turned on, track data will be logged to the mmTrack.plt file.
  • Daily Files, Weekly Files, Monthly Files - at the specified interval a new file is created (TrackLog <date>).
  • The default is a Daily Log file - this means for each day of traveling a new track file is automatically created.

Moving Map

These options cannot be adjusted in the shareware version.

Screen Update Rate - The interval in seconds between screen updates. Screen updating can take considerable time and cause flickering of map objects, this does not look good and reduces performance on slower laptops. Specify an update rate of a few seconds or more to reduce this.

Store Track Point Interval - The interval between track point updates in distance units (Kilometers, Miles or Nautical Miles), or how often a track point is collected.

Dock Controls - If this option is checked the Moving map and Navigation controls will be docked to the right hand side of the OziExplorer window, if not checked the controls will be floating.

Scroll Method - Select the method to use for map scrolling.

  • "Keep Map Centered on Position" will always keep the GPS location in the center of the screen (unless approaching the edge of the map).
  • "Center When Near Window Edge" will allow the GPS location to move towards the edge of the screen but when within 25% of the edge the map will scroll to recenter the GPS location
  • "Show more Map in Heading Direction" the GPS location will be positioned on the map so more of the map is shown in direction your are heading.

Pointer - Select the shape of pointer desired. The boat and car (4x4) look fairly ordinary but the aeroplane is pretty good. There are 3 User pointers that can be selected - see creating moving map user pointers.

Scale - This is the size of the pointer seen on screen. The larger the pointer the more time it takes to draw so be careful if you are using a very slow laptop.

Pointer Color - The best color to choose for the pointer depends on the major color used on your maps, for dark maps with lots of brown/green a good color is orange.

Pointer Solid Color - If this option is ticked the pointer is drawn using a solid color instead of being transparent - you can see map details through the pointer.

Always Check for More Detailed Map - If the check box is ticked OziExplorer will check at whatever interval you have specified to see if there is another map available which is more detailed. The selection is based on distance per pixel, if another map has a smaller distance per pixel it will be selected and loaded. This in no way interferes with or replaces the normal function of loading the next map when you cross the map neat line or leave the image. This process involves scanning all the map files in the "Map File Path" and checking their extent and scale. You cannot set a checking interval less than 30 seconds, this is to prevent excessive thrashing of the hard disk.

Ignore Maps with Error - When scanning for a new map to load any maps where the image cannot be found are ignored.

Current map Path - If checked Moving Map will try to find the next map in the folder where the currently loaded map was loaded from. If unchecked Moving Map will use the Map File Path set in configuration to find the next map.

NMEA Check Sum - This will enable the checking of the Check Sum contained in the NMEA sentence. Any sentence (rmc or gga) which fails the check sum is flagged on the status line with <CSumError> and the sentence is ignored. This should be turned on for normal use, you only need to turn it off when using a NMEA talker which does not output the check sum.

Use Depth Sentence - If this is ticked OziExplorer will automatically obtain the depth from the DBT or DPT NMEA sentences and replace the altitude on the display and in the logged track with the Depth.

Navigation

Show Leg Details - When ticked the active route will show the distance and bearing to the next waypoint in the route along the track line. This may sometimes obscure vital information so you can turn it off using this check box. This option also controls the appearance of the same item on the distance measuring function when using the "Mark" button.

Leg Distance Color - This is the color the leg distance will be displayed in.

Route Wp Proximity - This is a radius of an imaginary circle drawn around the waypoint you are navigating to. When your position enters this circle you are deemed to have reached the waypoint, an alarm is displayed, and the next leg (if any) of the route is activated. Setting a small value means it is harder to navigate to the waypoint and you may miss it altogether. However this is not the only way to end a leg of the route, if you go past the waypoint without actually hitting the proximity zone you are also deemed to have completed that leg.

Do not confuse this with the proximity zone you can set around any waypoint, this proximity is active whenever your are using moving map mode. The Route Wp Proximity however only applies to the waypoint you are navigating to.

Alarm Duration - The length of time the alarms will sound for (in seconds), setting to 0 will turn off the alarm sound. Alarms include :

  • Approaching any waypoint which has a proximity set within its proximity's.
  • Approaching the active waypoint in the active route.
  • You have travelled to or past the next (active) waypoint in the active route.
  • You have reached the end of the route.
  • You have entered an Alarm Zone.

Show Line from Position - When ticked a line will be plotted from your present position to the next waypoint in the route.

Project Track Line - This will project (draw) a line from your present position along your current course.

Projected Line Width - The width of the projected line (above). If the line width is greater than 1 the line will be drawn as a solid line instead of dashed, this is a limitation of the Windows API.

Projected Line Color - The color of the projected line (above).

Compass Button - Press button to configure the Compass Rose

  • Show Compass Rose - Tick this check box to display the compass rose around the moving map position.

  • Compass Size - The radius of the compass in pixels.

  • Direction - The Direction that zero degrees on the compass points.

  • Circle Color - The color of the circle lines which make up to compass.

  • Line Color - The color of the lines (tick marks) which make up the compass.

  • Circle Line Width - The width of the circle lines. Set to zero to not draw the compass circles.

  • Line Width - The width of the lines (tick marks).

  • Cross Length - The length of the cross which is drawn across the moving map position (the center of the compass).


Tutorial - Working with the Demonstration Map and Data

OziExplorer

Tutorial

Working with the Demonstration Map and Data

Hopefully you have managed to get OziExplorer up and running and configured to your requirements.

These tutorials will guide you through some of the more common features of the software. Some of the tutorials use the supplied Demonstration data as examples, you can load a map and add map objects to the map.

  • Map Tutorial - Learn about maps and how to use a map in OziExplorer. Introduction to map objects - Waypoints, Events, Track Points, Map Features and Map Comments are referred to collectively as Map Objects.
  • Configuration Tutorial - In the section on Configuration is a guide to configuring some of the critical program settings such as where your maps and data will be stored, the GPS you will be using with the software and much more.
  • Tracking (moving map) Tutorial - Learn about Real Time Tracking (moving map) and Track Logging (log your track as you travel). Use the built-in simulator to try this out.
  • Upload/Download Tutorial - If your GPS supports this feature, connect your GPS and you can download and upload data.
  • Waypoints Tutorial - Working with Waypoints and the Waypoint List.
  • Map Comments and Features Tutorial - Adding and modifying map comments and map features.
  • Tracks Tutorial - Working with Tracks and using the Track Control.
  • Map Calibration Tutorial - Learn how a map is calibrated manually. This will be required if you scan your own maps.
  • Other useful features Tutorial - and other features like Index Map and Name Search.

If you have a printer you can print this tutorial so you can follow it more easily while carrying out the suggested operations with OziExplorer.

If you highlight and right click on a topic of the Contents in the left pane of the Help, a menu will be displayed. One of the menu options is "Print ...". This allows you to print all of that topic.

While this tutorial covers just the basic operations of OziExplorer, you should read the other sections of the help file to familiarize yourself with all aspects of the software.

Be sure you read these section of the OziExplorer help:

  • Hints and Tips
  • Frequently Asked Questions
  • Special Keys and Stuff


Lowrance and Eagle GPS Receivers

Lowrance & Eagle

Direct upload/download support is provided for most Lowrance & Eagle models.

Models Supported

New model Lowrance GPS receivers (such as the iFinder) which use the Lowrance Mapcreate software version 5 or 6 no longer allow upload/download via the serial port. These units read and write files (with the extension .usr) to the plug-in memory card.

Lowrance (using USR Files on a Memory Card)

  • iFinder
  • LMS-240
  • LCX-16CI
  • LCX-15MT
  • LCX-15CI
  • GlobalMap 2400
  • GlobalMap 3000MT
  • USR File (select this GPS model for any not listed above which read and write USR files)

Lowrance (using Serial port upload/download)

  • GlobalNav 200
  • GlobalNav 212
  • GlobalNav 12
  • GlobalNav 310
  • GlobalMap 100
  • GlobalMap 1600
  • Older Lowrances (via WS1)
  • Other Lowrances

Eagle

  • Explorer
  • Expedition
  • Expedition II
  • Map Guide
  • Map Guide Pro
  • View
  • AccuMap
  • UltraMap
  • Older Eagles (via WS1)
  • Other Eagles

OziExplorer will not work with the Eagle AccuNav Sport and similar models, these use a upload/download protocol which OziExplorer does not support. To enable these GPS models to be used OziExplorer can write data files for the WS1 software produced by Lowrance. Only Waypoints and Events are written to the files at this stage. Note that Oziexplorer cannot create these files it simply writes the data into a pre-existing file.

OziExplorer cannot upload or download tracks for the Lowrance Global Map 12 and similar models, these use a protocol for the tracks which is not supported by OziExplorer.

There is a program available called G7ToWin which can read tracks from these units and also write them to direct to OziExplorer track files.

Another option for these units is that OziExplorer can read and write from and to the clipboard in the format used by the latest GPS Data Manager software (GDM) available from the Lowrance and Eagle web sites, by using the GDM software to cut and paste to and from the clipboard the tracks can be uploaded and downloaded between OziExplorer and the GPS via GDM.

OziExplorer Configuration Setting

  1. Go to the GPS tab on the Configuration dialog
  2. Using GPS Make combo box select Lowrance or Eagle
  3. Using the GPS Model combo box select the model from the list. If your model is not on the list select the model as Other Lowrances or Other Eagles
  4. Using the GPS Symbol Set combo box select the Symbol set to match the symbols in your GPS. If unsure leave it as it is as the most likely symbol set has already been selected.
  5. Adjust the GPS Parameters to match the specification of your model of GPS. These parameters may be mentioned in the manual. If unsure leave them as they are as the most likely set of parameters has already been selected.
  6. Set the GPS Upload/Download Datum to WGS 84 (almost always). Most Lowrance and Eagles always send their data and expect their data positions to be referenced to the WGS 84 datum, However some model Eagle Explorers and Lowrance GlobalNav 200's send and receive their data referenced to whatever datum you have the GPS set to, for these units set the GPS Upload/Download datum to match the setting in the GPS.
  7. Set the GPS NMEA Output Datum to the same as the Upload/Download Datum.
  8. Goto the Comms tab on the Configuration dialog.
  9. Select the Comm Port Number to match the one you are using on the PC
  10. Set Parity to none
  11. Set Stop Bits to 1
  12. Set the Upload/Download Baud rate to match the setting you have in your GPS.
  13. The NMEA Baud rate must be set the same as the Upload/Download Baud Rate.
  14. Do not alter the AutoPilot settings unless required.

Special Instructions

Lowrance/Eagles can transmit NMEA sentences and perform upload/download at the same time and use the same comm setup for both. To get NMEA output (for use with the Moving Map part of OziExplorer) you may have to turn it on within the GPS setup, you may also need to specify which NMEA sentences to output, see your GPS manual for details.


Garmin GPS Receivers

This page covers the various ways a Garmin GPS can connect to a PC and how to configure the GPS and OziExplorer.

Notes

OziExplorer cannot send maps to any Garmin GPS, the type of maps OziExplorer uses are not in the correct format required by a GPS.

A Serial Port is also known as a Com Port and both names are used throughout this document.

Types of Output by Garmin GPS

Upload/Download Data Protocols - The standard method Garmins use for uploading/downloading of waypoints, routes and tracks. T he Interface setting in the GPS must be set to Garmin mode.

N MEA Data - A standard method of outputting position data. Garmins have an Interface setting in the GPS to enable outputting of NMEA data. When a Garmin GPS is outputting NMEA data it cannot do upload/download of waypoints, routes or tracks.

PVT Data - A method used by Garmin to output position data when the Interface setting in the GPS is set to Garmin mode. Significantly older Garmin models do not have the ability to output PVT data. PVT data does not include GPS satellite data so there is no way in OziExplorer to display satellite information (NMEA does supply satellite data).

GPX File - A standard file format for storing GPS data. Usually the GPS connects to the computer as a mass storage device (disk drive). The waypoint and track data is saved in GPX file format to the GPS (drive). OziExplorer reads / writes GPX files.

Types of Connections Used by Garmin GPS

Connect to PC using a Serial port - These models have upload/download capabilities and can output NMEA data and also PVT data.

Connect to PC using a USB port

  • Garmin USB - These models have upload/download capabilities (not the GPS 18 USB) and output PVT data. The Garmin USB GPS drivers must be installed for a Garmin USB GPS to be able to transfer data. The drivers should have been supplied on CD with the GPS but is also available for download from www.garmin.com .

  • Mass storage device - These models connect to a computer as a disk drive and have upload / download using GPX files. Some models may also be able to connect via a serial cable.

Connect to PC using a Serial port or a USB port - These models have both interfaces so can be either of the types above.

iQue M3 and M5 (and future Garmins based on the PocketPC platform) - These do not use the standard Garmin upload/download protocols or output NMEA data so cannot be interfaced to OziExplorer. OziExplorerCE (Pocket PC version) will run on these devices.

iQue 3200 and 3600 (and future Garmins based on the Palm platform) - These do not use the standard Garmin upload/download protocols or output NMEA data so cannot be interfaced to OziExplorer.

GPS 10 (and future Bluetooth models) - Uses Bluetooth for communications with a PC, does not have upload/download capability, outputs NMEA sentences. This can be considered a GPS connected to a serial port outputting NMEA data for use for Moving Map.

Which Port is My GPS Using

USB Port - If you are using a Garmin USB GPS then it connects to a USB port.

Serial Port - If you are using a GPS which connects to a Serial Port then there are other options.

If you are connecting to a standard Serial port (pictured left) then it is most likely Com Port 1 or 2 and may be labeled on the PC.

If you are using a Compact Flash GPS then it will create a new Serial Port, if you are using a USB to Serial Port adapter then it will create a new Serial Port, a Bluetooth GPS will use the Bluetooth Serial Port.

The Com Port number of these Serial Ports is not always known or obvious. Here are a couple of methods to determine

You can use the Devices section of the System Shortcut in the Windows Control Panel to see what Com ports are available.

You can use our GpsPortChecker program to see if it can find your GPS.

The sections below provide the configuration settings for -

  1. Garmin GPS Connecting by a USB Port (Garmin USB GPS)

  2. Garmin GPS Connecting by a USB Port (Mass Storage Device)

  3. Garmin GPS Connecting by a Serial Port

1. Garmin GPS Connecting by a USB Port (Garmin USB GPS)

If you are using a USB to Serial Port adapter to connect your GPS you must have a serial port GPS so refer to the section "Garmin GPS connecting through a Serial Port".

Settings for the Upload/Download of Waypoints, Routes and Tracks and Moving Map (the GPS outputs PVT data)

Please note - The GPS must be turned on when Moving Map in OziExplorer is started as OziExplorer needs to send commands to the GPS.

Please double check all settings - do not assume they are correct.

OziExplorer Configuration (done within the OziExplorer software)

  • On the File menu choose the Configuration option, this will open the configuration dialog.

  • Select the GPS tab.

  • Select the GPS Make as Garmin

  • Select the GPS Model to match the model of Garmin GPS you have. If you model is not listed then select the "Other Garmins" setting. The GPS parameters can be adjusted to match the specifications for the model of GPS (refer to the GPS manual for this).

  • Set the GPS Upload/Download Datum to WGS 84, Garmins always do upload/download of positions in the WGS 84 datum regardless of what datum the GPS is set to.

  • Select the COM tab on the Configuration dialog.

  • The Com Port is ignored

  • The Parity is ignored.

  • The Stop Bits is ignored

  • The Upload/Download Baud Rate is ignored.

  • Make sure the Garmin USB Checkbox is ticked

  • Make sure the Use PVT for Garmin instead of NMEA Checkbox is ticked

  • The Serial Port Driver is ignored.

  • Auto Pilot Output settings can be ignored.

2. Garmin GPS Connecting by a USB Port (Mass Storage Device)

Please note - The GPS will connect to the computer as a disk drive.

Upload / Download is by GPX file.

OziExplorer Configuration (done within the OziExplorer software)

  • On the File menu choose the Configuration option, this will open the configuration dialog.

  • Select the GPS tab.

  • Select the GPS Make as Garmin

  • Select the GPS Model to match the model of Garmin GPS you have.

  • Set the GPS Upload/Download Datum to WGS 84, Garmins always do upload/download of positions in the WGS 84 datum regardless of what datum the GPS is set to.

  • Select the COM tab on the Configuration dialog.

  • The Com Port is ignored

  • The Parity is ignored.

  • The Stop Bits is ignored

  • The Upload/Download Baud Rate is ignored.

  • Make sure the Garmin USB Checkbox is ticked.

  • Make sure the Use PVT for Garmin instead of NMEA Checkbox is ticked

  • The Serial Port Driver is ignored.

  • Auto Pilot Output settings can be ignored.

The Oregon and Colardo can be used for moving map

  • Set the GPS Interface to "Garmin Spanner" (do not install or start the Garmin Spanner software, it is not needed)

  • connect to the PC using normal USB cable

  • on the GPS screen set mass Storage Mode OFF

  • in OziExplorer configuration make sure "Garmin USB" and "Use PVT for Garmin instead of NMEA" are both checked

  • start moving map in OziExplorer

3. Garmin GPS Connecting by a Serial Port (older models)
 (this also includes connecting through a USB to Serial Port adapter)

Settings for the Upload/Download of Waypoints, Routes and Tracks

Please double check all settings - do not assume they are correct.

GPS Configuration (done within the GPS)

  • On the GPS menu the Interface setting must be set to Garmin mode, on older models this is called GRMN/GRMN Host mode. Refer to the GPS manual on how to find this setting.

OziExplorer Configuration (done within the OziExplorer software)

  • On the File menu choose the Configuration option, this will open the configuration dialog.

  • Select the GPS tab.

  • Select the GPS Make as Garmin

  • Select the GPS Model to match the model of Garmin GPS you have. If you model is not listed then select the "Other Garmins" setting. The GPS parameters can be adjusted to match the specifications for the model of GPS (refer to the GPS manual for this).

  • Set the GPS Upload/Download Datum to WGS 84, Garmins always do upload/download of positions in the WGS 84 datum regardless of what datum the GPS is set to.

  • Select the COM tab on the Configuration dialog.

  • Set the Com Port number that you have connected the GPS to.

  • Set the Parity to None.

  • Set the Stop Bits to 1

  • Set the Upload/Download Baud Rate to 9600

  • Make sure the Garmin USB Checkbox is unticked

  • The Serial Port Driver should be set to Driver 2 (this is the default)

  • Auto Pilot Output can be ignored.

Settings for Moving Map (real time tracking)

There are 2 ways to configure a Garmin GPS for moving map use.

1. OziExplorer Configuration for Moving Map - Garmin Interface setting in the GPS set to Garmin Mode (outputs PVT data)

Please note - The GPS must be turned on when Moving Map in OziExplorer is started as OziExplorer needs to send commands to the GPS.

  • On the File menu choose the Configuration option, this will open the configuration dialog.

  • Select the GPS tab.

  • Select the GPS Make as Garmin

  • Select the GPS Model to match the model of Garmin GPS you have. If you model is not listed then select the "Other Garmins" setting. The GPS parameters can be adjusted to match the specifications for the model of GPS (refer to the GPS manual for this).

  • The GPS NMEA Output Datum is ignored.

  • Select the COM tab on the Configuration dialog.

  • Set the Com Port number that you have connected the GPS to.

  • Set the Parity to None.

  • Set the Stop Bits to 1

  • The NMEA Baud Rate is ignored..

  • Make sure the Use PVT for Garmin instead of NMEA Checkbox is ticked

  • The Serial Port Driver should be set to Driver 2 (this is the default)

  • Auto Pilot Output settings can be ignored.

2. OziExplorer Configuration for Moving Map - Garmin Interface setting in the GPS set to NMEA Out Mode

  • On the File menu choose the Configuration option, this will open the configuration dialog.

  • Select the GPS tab.

  • Select the GPS Make as Garmin

  • Select the GPS Model to match the model of Garmin GPS you have. If you model is not listed then select the "Other Garmins" setting. The GPS parameters can be adjusted to match the specifications for the model of GPS (refer to the GPS manual for this).

  • Set the GPS NMEA Output Datum to the same datum the GPS is set to, Garmins always output the positions in NMEA data in the datum the GPS is set to.

  • Select the COM tab on the Configuration dialog.

  • Set the Com Port number that you have connected the GPS to.

  • Set the Parity to None.

  • Set the Stop Bits to 1

  • Set the NMEA Baud Rate to 4800 (almost all Garmins output NMEA data at 4800 Baud, there are a couple of models which allow other Baud rates to be specified, if you do change from 4800 in the GPS then you must set the same value in OziExplorer).

  • Make sure the Use PVT for Garmin instead of NMEA Checkbox is unticked

  • The Serial Port Driver should be set to Driver 2 (this is the default)

  • Auto Pilot Output settings can be ignored.

Special Notes

Symbols

There are various Symbol sets for the Garmins, some have been predefined in the Symbol Set combo box. If there is no defined symbol set for your GPS then use the Create button on the GPS tab in OziExplorer Configuration to specify the set of symbols your particular Garmin model supports, or use the Garmin symbol set. This gives access to all the Garmin symbols, however those which your GPS does not support cannot be uploaded and will be ignored. Any symbols which aren't applicable to a particular model are ignored and replaced with the dot symbol.

Tracks

Some model Garmins only have 1 track and this is downloaded without problems.

Some model Garmins such as the GPS III which can store multiple tracks in the GPS, results in all of the tracks being download as a single track.

Current Garmin models download the Active Track and the saved tracks as separate tracks, after downloading these will be shown in the Track Control as separate tracks. These tracks must be saved separately by highlighting the track in the track list and selecting the save button on the Track Control toolbar.


Magellan GPS Support

 OziExplorer - Magellan GPS Support

This page covers the various ways a Magellan GPS can connect to a PC and how to configure the GPS and OziExplorer.

Links to Sections

Which Port is My GPS Using

Configuring OziExplorer to use a Magellan GPS Connecting by a USB Port (Magellan USB GPS) (Explorist and other models)

Configuring a Magellan Explorist for use by OziExplorer

Using a Magellan Triton with OziExplorer

Configuring OziExplorer to use a Magellan GPS Connecting by a Serial port

Notes

OziExplorer cannot send maps to any Magellan GPS, the type of maps OziExplorer uses are not in the correct format required by a GPS.

A Serial Port is also known as a Com Port and both names are used throughout this document.

Types of Connections Used by Magellan GPS

Connect to PC using a USB port (Explorist and other models) - These models have 2 connection modes which are set within the GPS.

  1. USB File transfer Mode - The GPS connects to the PC as a Disk Drive and data files can be read and written to the drive.

  2. NMEA Data Comm Mode - The GPS creates a new Serial Port on the PC and connects to the PC as a Modem on the Serial Port. NMEA data is transmitted through the serial port.

Connect to PC using a Serial port - These models have upload/download capabilities and can output NMEA data.

Which Port is My GPS Using

If you are using a Magellan USB GPS in File Transfer Mode then it connects to a USB port.

If you are using a Magellan GPS which connects to a Serial Port or a Magellan GPS in NMEA Data Comm Mode then there are other options.

If you are connecting to a standard Serial port (pictured left) then it is most likely Com Port 1 or 2 and may be labeled on the PC.

If you are using a USB to Serial Port adapter then it will create a new Serial Port.

The Com Port number of these Serial Ports is not always known or obvious. Here are a couple of methods to determine

You can use the Devices section of the System Shortcut in the Windows Control Panel to see what Com ports are available.

You can use our GpsPortChecker program to see if it can find your GPS.

Configuring OziExplorer to use a Magellan GPS Connecting by a USB Port (Magellan USB GPS) (Explorist and other models)

If you are using a USB to Serial Port adapter to connect your GPS you must have a serial port GPS so refer to the section "Magellan GPS connecting through a serial port".

Settings for the Upload/Download of Waypoints, Routes and Tracks - GPS must be set to File Transfer Mode

Please double check all settings - do not assume they are correct.

OziExplorer Configuration (done within the OziExplorer software)

  • On the File menu choose the Configuration option, this will open the configuration dialog.

  • Select the GPS tab.

  • Select the GPS Make as Magellan

  • Select the GPS Model as Magellan USB. The GPS parameters can be adjusted to match the specifications for the model of GPS (refer to the GPS manual for this).

  • Set the GPS Upload/Download Datum to WGS 84.

  • Select the COM tab on the Configuration dialog.

  • All parameters on the COM tab are ignored.

OziExplorer Configuration for Moving Map - GPS must be set to NMEA Data Comm Mode

Please double check all settings - do not assume they are correct.

GPS Configuration (done within the GPS)

  • The NMEA option to choose is V2.1 GSA.

OziExplorer Configuration (done within the OziExplorer software)

  • On the File menu choose the Configuration option, this will open the configuration dialog.

  • Select the GPS tab.

  • Select the GPS Make as Magellan

  • Select the GPS Model as Magellan USB. The GPS parameters can be adjusted to match the specifications for the model of GPS (refer to the GPS manual for this).

  • Set the GPS Upload/Download Datum to WGS 84.

  • Select the COM tab on the Configuration dialog.

  • Set the Com Port number. (It will be configured as a modem in Windows - try COM3 but it may be different on your PC)

  • Set the Parity to None.

  • Set the Stop Bits to 1

  • Set the NMEA Baud Rate to 115200.

  • The Use PVT for Garmin instead of NMEA Checkbox is ignored.

  • The Serial Port Driver should be set to Driver 2 (this is the default)

  • Auto Pilot Output settings can be ignored.

Configuring a Magellan Explorist for use by OziExplorer

For the Explorist and OziExplorer to communicate the correct communication mode must be specified in the Explorist, this is done by using the Communications Menu.

To get to the Communication Menu press the Menu button, select the Adv. Features option, select the Communications option

A new menu appears which has the following options.

File Transfer

Used for transferring data between the PC and the Explorist. The Explorist is seen as a disk drive by the PC. OziExplorer requires this mode for transferring waypoints and tracks.

NMEA Data Comm

To use NMEA Data Comm mode a driver must be installed on the PC, the driver is provided on the CD provided with the Explorist. The supplied driver may not work with Vista but a Vista driver is available on the Magellan web site.

The Explorist outputs NMEA data. OziExplorer requires this mode for moving map (real time tracking).

After selecting NMEA Data Comm the NMEA must be selected, always select "V2.1 GSA".

The driver sets up a modem on the PC which is attached to a com port. It is this com port which must be used in OziExplorer configuration as the Com Port number.

The comm port number can be found by looking at modems in the System devices

Use the PC Start menu to open the Control Pane, click on the System icon then the Hardware tab, then the Device Manager Button.

This opens the hardware list.

Double click on Modems, this opens the modem properties, select the Advanced tab, click on Advanced Port Settings button, the Com Port Number is at the bottom.

Power Only

No communication with the PC, all it does is provde power for the Explorist.

Using a Magellan Triton with OziExplorer

OziExplorer can be used with the Triton by using the Magellan VantagePoint software.

VantagePoint can read and write gpx files and so can OziExplorer. So by the use of gpx files you can move the data between OziExplorer, VantagePoint and the gps.

In VantagePoint the options are available by clicking on the VP logo on the top left of the software (you use the Open and Save menu options to load to and from VP).

To transfer data from OziExplorer to VantagePoint, use the "Export to GPX (Wps and Tracks)" option on the Save Menu to save the data in GPX format.

To load data from VantagePoint to OziExplorer, use the "Import GPX File (Wps and Tracks)" option on the Load Menu to load the GPX file.

Configuring OziExplorer to use a Magellan GPS Connecting by a Serial port
(this also includes connecting through a USB to Serial Port adapter)

Settings for the Upload/Download of Waypoints, Routes and Tracks and Moving Map

Please double check all settings - do not assume they are correct.

GPS Configuration (done within the GPS)

  • For Moving Map operation the GPS must be configured to output NMEA data. This is done by using the GPS menu system. If you are presented with various NMEA options the one to choose is V2.1 GSA.

OziExplorer Configuration (done within the OziExplorer software)

  • On the File menu choose the Configuration option, this will open the configuration dialog.

  • Select the GPS tab.

  • Select the GPS Make as Magellan

  • Select the GPS Model to match the model of Magellan GPS you have. If you model is not listed then select the "Other Magellans" setting. The GPS parameters can be adjusted to match the specifications for the model of GPS (refer to the GPS manual for this).

  • Set the GPS Upload/Download Datum to WGS 84, Magellans always do upload/download of positions in the WGS 84 datum regardless of what datum the GPS is set to.

  • Set the GPS NMEA Output Datum to the same datum the GPS is set to, Magellans always output the positions in NMEA data in the datum the GPS is set to.

  • Select the COM tab on the Configuration dialog.

  • Set the Com Port number that you have connected the GPS to.

  • Set the Parity to None.

  • Set the Stop Bits to 1

  • Set the Upload/Download Baud Rate to match the Baud rate setting you have in the GPS.

  • Set the NMEA Baud Rate to the same as the Upload/Download Baud Rate.

  • The Garmin USB Checkbox is ignored.

  • The Use PVT for Garmin instead of NMEA Checkbox is ignored.

  • The Serial Port Driver should be set to Driver 2 (this is the default)

  • Auto Pilot Output can be ignored.


MLR GPS Receivers

mlr.gif (3091 bytes)

MLR

Models Supported

  • SP12 X
  • SP24
  • SP24 XC
  • SP24 XC VOL LIBRE
  • FX312
  • FX312 XC
  • FX312 4X4
  • FX412
  • FX412 XC
  • Other models may not be supported fully

OziExplorer Configuration Setting

  1. Go to the GPS tab on the Configuration dialog
  2. Using GPS Make combo box select MLR
  3. Using the GPS Model combo box select the model from the list. If your model is not on the list select the model as Other MLR.
  4. Using the GPS Symbol Set combo box select the Symbol set to match the symbols in your GPS. If unsure leave it as it is as the most likely symbol set has already been selected.
  5. Adjust the GPS Parameters to match the specification of your model of GPS. These parameters may be mentioned in the manual. If unsure leave them as they are as the most likely set of parameters has already been selected. MLR GPS receivers do not have Events (one of the parameters), this can be set to 500 so they can be used as markers on the map.
  6. Set the GPS Upload/Download Datum to match the datum setting in your GPS.
  7. Set the GPS NMEA Output Datum to match the datum setting in your GPS.
  8. Goto the Comms tab on the Configuration dialog.
  9. Select the Comm Port Number to match the one you are using on the PC
  10. Set Parity to none
  11. Set the Stop Bits - some models such as the FX series require 2 Stop bits, others such as the SP24 require only 1. Check your GPS manual for details.
  12. Set the Upload/Download Baud rate to match the setting you have in your GPS. Note : This may always need to be set to 4800. For the "Fast" download methods the baud rate will be adjusted automatically by the software.
  13. The NMEA Baud rate must be set the same as the Upload/Download Baud Rate.
  14. Do not alter the AutoPilot settings unless required.

Special Instructions

Datums

The MLR expects and transmits the positions for NMEA strings and upload/download positions in whatever datum the GPS is currently set to. It is import therefore that in OziExplorer configuration the GPS Upload/Download datum and the NMEA Output datum be set to match the datum setting in the GPS.

The "Fast" download methods use "WGS 84" and this is automatically used in the software.

Baud Rates

The MLR always uses a Baud rate of 4800. In OziExplorer configuration set the GPS Upload/Download and the NMEA Baud rates to 4800. If required for the "Fast" download methods the baud rate is automatically adjusted by the software.

Upload/Download

These comments apply to the SP24 GPS but probably also apply to the other models.

To do any download from the unit you must have the GPS set to Menu Level 2 or 3 (at least for the SP24).

Not that the Symbol number is not included with a waypoint when downloading using the "Fast" method.

Waypoint and Route Download (from the GPS)

Some units have a high speed Waypoint download ability, there is an option on the MLR menu in OziExplorer called "Get Waypoints from GPS (fast method)", if your GPS supports this option then no special settings in the GPS are required, download can be initiated by the software.

If you are downloading using the "Get Waypoints from GPS (nmea method)" then the GPS settings as described below are required.

The Data Output Format setting must be set to WPTS + ROUTES

After making this change in the GPS you must select the VALID option which is on the same screen as the FORMAT option.

Waypoint and Route Upload (to the GPS)

The Data Input setting must be set to NMEA

Track Download (from the GPS)

Some units have a high speed Track download ability, there is an option on the MLR menu in OziExplorer called "Get Track from GPS (fast method)", if your GPS supports this option then no special settings in the GPS are required, download can be initiated by the software.

If you are downloading using the "Get Track from GPS (nmea method)" then the GPS settings as described below are required.

The Data Output Format setting must be set to TRACK

After making this change in the GPS you must select the VALID option which is on the same screen as the FORMAT option.

Track Upload (to the GPS)

MLR GPS receivers do not allow the track to be uploaded to the GPS.


Brunton / Silva GPS Receivers

brunton.gif (1365 bytes) silva.gif (2605 bytes)

Models Supported

  • Multi-Navigator

NOTE : GPS Receivers with Version 2.01software installed have a problem when uploading and downloading routes, the route is cut off at 16 waypoints. We do not know what other versions may also have this problem.

The Version is displayed on the first screen you see when the GPS is turned on.

At the time of writing this document GPS software Versions 2.12 and 2.13 are available for download and installing into your GPS from these sites.

Version 2.13 is available from www.silva.se but you need the Global Map Planner software to install it.

Version 2.12 is available from www.brunton.com and comes with its own installer software.

It appears to be possible to use the installer software from Brunton to install the file available from Silva (we tried it and it worked ok).

OziExplorer Configuration Setting

  1. Go to the GPS tab on the Configuration dialog
  2. Using GPS Make combo box select Brunton / Silva
  3. In the GPS Model combo box there is only one mode which can be selected (the Multi-Navigator).
  4. In the GPS Symbol Set combo box leave it set to Garmin Symbols. The Brunton / Silva does not use symbols for waypoints.
  5. Adjust the GPS Parameters to match the specification of your model of GPS. These parameters may be mentioned in the manual. If unsure leave them as they are as the most likely set of parameters has already been selected. Brunton / Silva GPS receivers do not have Events (one of the parameters), this can be set to 500 so they can be used as markers on the map.
  6. Set the GPS Upload/Download Datum to WGS 84 regardless of the datum setting in the GPS.
  7. Set the GPS NMEA Output Datum to WGS 84 regardless of the datum setting in the GPS.
  8. Goto the Comms tab on the Configuration dialog.
  9. Select the Comm Port Number to match the one you are using on the PC
  10. Set Parity to none
  11. Set Stop bits to 1.
  12. Set the Upload/Download Baud rate to 4800 or 19200. Note : Only baud rates of 4800 or 19200 can be used. It is best to use 19200 for faster upload/download speeds but we have found that 19200 is not always as reliable when the GPS is busy with other tasks (finding satellites for instance - see special notes below).
  13. The NMEA Baud rate must be set to 4800.
  14. Do not alter the AutoPilot settings unless required.

Special Notes

To make Upload to the GPS more reliable and faster it is suggested that the GPS Receiver engine of the GPS be turned OFF before uploading to the GPS.

To turn the GPS engine off - Press the DOWN arrow (middle bottom button) until you are on the POSITION screen press the YES button (lower left), this will present a screen with TURN OFF GPS on it, press the YES button, the GPS receiver engine is now turned OFF.

Track Download

When set to log track points in a TIME mode the GPS will log points even when it does not have a position fix. OziExplorer will "reject" these points during the download process. Therefore the number of points kept in the downloaded track may not be the same number that is downloaded.

Track Upload

The GPS does not allow a track to be uploaded.

Waypoint Upload

Waypoints are stored in the GPS in specified locations (slots), if a waypoint is downloaded from say slot 25 then it will be uploaded back into slot 25 and so on.

If you want to add new waypoints into the GPS then you need to download the waypoints from the GPS first (or load a previously downloaded copy from a file) and then add the new waypoints into OziExplorer and then upload them to the GPS. If you simply add new waypoints to OziExplorer they will be added into slot 1, slot 2 .... and so on, when uploaded to the GPS they will overwrite the waypoints already in those slots.


USB mouse type GPS

The GPS will come with a software driver which will add a virtual serial port to your PC. The driver must be installed.

Connect the GPS to the computer. Use the Find GPS Port button on the GPS tab in OziExplorer configuration. The ports on the PC will be scanned and the information about the GPS found will be displayed so the information can be manually entered into OziExplorer configuration.

In OziExplorer configuration -

  • On the GPS Tab - choose the GPS Make as "USB Mouse GPS".
  • On the COM Tab - select the Com Port - the com port to select is the the port installed by the GPS driver.
  • On the COM Tab - select the NMEA Baud Rate - the Baud Rate can be different for each GPS, if unsure, check your GPS manual.


Bluetooth GPS

The GPS will come with a software driver which will add a virtual serial port to your PC. The driver must be installed.

Connect the GPS to the computer. Use the Find GPS Port button on the GPS tab in OziExplorer configuration. The ports on the PC will be scanned and the information about the GPS found will be displayed so the information can be manually entered into OziExplorer configuration.

In OziExplorer configuration -

  • On the GPS Tab - choose the GPS Make as "Bluetooth GPS".
  • On the COM Tab - select the Com Port - the com port to select is the the port installed by the GPS driver.
  • On the COM Tab - select the NMEA Baud Rate - the Baud Rate can be different for each GPS, if unsure, check your GPS manual.


NMEA Only

see also GPS - NMEA Only menu

This GPS make is selected if your GPS is not one of the directly supported types.

When this GPS make is selected a menu called GPS - NMEA Only appears in the menus. This menu has 2 options for uploading and downloading waypoints which may work with many makes of GPS, these options are detailed here GPS - NMEA Only menu

Even if you own a GPS which is not supported by OziExplorer for upload/download of waypoints etc it can still be used for moving map operation if it outputs the correct NMEA sentence(s).

The required sentence(s) are :

  • $GPRMC or
  • $GPGGA and $GPVTG or
  • $GPGLL and $GPVTG

However there is no guarantee that the software will work with other receivers.

NOTE - other talker Id's are also allowed e.g. $LCGGA (Loran-C receiver).

If you do not know the Baud rate of the GPS you are using try 4800 as this is the standard for NMEA output.


Tripmate GPS

Provision has been made to support the Tripmate GPS by outputting the code needed to start this GPS outputting NMEA.

You must create a file called tripmate.dat in the folder where OziExplorer is installed (it doesn't matter what is in the file), OziExplorer will check for the existence of this file and if found will indicate a Tripmate GPS is being used. Select the GPS Make in OziExplorer GPS configuration as NMEA Only.

There is a delay of 5 seconds when moving map mode is started while OziExplorer waits for the Tripmate to startup.


Earthmate GPS

For OziExplorer to work with the Earthmate USB GPS for moving map, serial emulation drivers are required.

Check the support section of the Delorme website for the latest drivers.


Windows Internal GPS

Windows Internal GPS (including Windows 8 onwards)

Note : You do not need an internet connection for the GPS to function.

OziExplorer provides full support for reading the Internal GPS fitted to Windows 8 tablets and laptops.

In Windows - Configuring Windows to use the GPS

1. Open Windows "Settings" by moving the mouse to the top right corner of the screen to display the pop-out system menu. Select "Settings".

2. From the "Settings" menu, select the "Change PC Settings" option at the bottom of the screen.

3. From the "PC Settings" menu, select the "Wireless" option.

4. From the "Wireless Devices" options, turn "GNSS" ON.

5. From the "PC Settings" menu, select the "Privacy" option.

6. From the "Privacy" options, turn "Let Apps Use My Location" ON. (Windows 8.1 may allow this to be done for each application)

7. Exit the "PC Settings" menu to the Windows Desktop.

8. Repeat step 1 to select "Settings"

9. From the "Settings" menu, select the "Control Panel" option.

10. From the "Control Panel" select the "Location Settings"

11. From the "Location Settings", Turn ON the Windows Location Platform.

12. Exit out of Control Panel

In OziExplorer - Configuring OziExplorer to use the GPS

1. Open Configuration (File Menu / Configuration)

2. Click the GPS tab.

3. On the GPS tab, select the GPS Make = Windows 8 Internal GPS.

4. To connect to the GPS for moving map, click the GPS Communication button on the user toolbar or select the option on the Moving Map Menu.

5. To see if the GPS is obtaining information from the satellites, select the "Show GPS Fix Data" option on the Moving Map menu.


Toolbar

Click on the Images in the toolbar (buttons) to be directed to the description.

Hide Toolbar - Hides the toolbar, a new button will be displayed to show the toolbar again. OziExplorer will remember the position of the toolbar the next time it is started.

Quit OziExplorer - Quits the program.

Load File Menu - Shows a menu of options for loading maps and various objects into OziExplorer, see the Load Menu help for details.

Save File Menu - Shows a menu of options for saving maps and various objects into OziExplorer, see the Save Menu help for details.

Position & Set Waypoints on Map - Pressing this button allows you to add waypoints directly onto the map by point and click, see the Waypoints help for details.

Position & Set Events on Map - Pressing this button allows you to add events directly onto the map by point and click, see the Events help for details.

Position & Set Map Features on Map - Pressing this button allows you to add map features directly onto the map by point and click, see the Map Features help for details.

Position & Set Map Comments on Map - Pressing this button allows you to add map comments directly onto the map by point and click, see the Map Comments help for details.

Manually Create Track Points - Pressing this button allows you to add track points directly onto the map by point and click.

Mark Position on Map, Draw Distance Line - Used for Distance Measurement and for centering the Simulated GPS.

Manually create a Point - Pressing this button allows you to add Points directly onto the map by point and click.

Show/Hide Track Control - Shows or Hides the Track Control.

Show/Hide Tracks on Map (All Tracks) - Turns on the display of the tracks on the map.

Show/Hide Point Control - Shows or Hides the Point Control.

Show/Hide Points on Map (All Sets) - Turns on the display of Point Sets on the map.

Show/Hide the Route Editor - Shows or Hides the Route Editor.

Show/Hide Route Plot - Turns on the display of Routes on the map.

Show the Waypoint List - Shows the Waypoint List.

Show the Distance between Waypoints - Show the Distance between Waypoints dialog, see the Distance Between Waypoints help for more details.

Show Line from Position to Cursor - Turns on the line which connects the position of the map where you last clicked to the mouse cursor.

Show the Distance and Bearing Display - Show the Distance and Bearing Display, see the Distance and Bearing Display help for full details.

Show/Hide the Cursor Zoom Window - Shows or hides the cursor zoom window.

Show/Hide the Map View Window - Shows or hides the map view window. Right click on the map view window to see some more options.

Select the Zoom Range for the Map - For selecting the Zoom level for the map. The PgUp and PgDn keys cycle through these zoom levels also.

Activate Object Drag - With this button down, objects (Waypoints, Events, Map Features or Map Comments) on the map can be dragged to a new position. Press and hold on an object using the left mouse button. While dragging the object it will be replaced with a transparent box and the cursor will change to crosshairs.

Show all Vital Information - Press to show a dialog of information about the current map and important configuration settings.

Find Map Arrows - Use the Arrows to find maps to the North, South, East and West. The yellow circle in the centre of the arrows finds maps which match the coordinates at the center of the screen. See Using the Find Map help for more details.

Lock Find to Current Map Path - With this button down (x) the Map Find feature will only search the Path (folder) where the currently loaded map was loaded from.

Show the Index Map - Shows an Index Map with available maps drawn in outline. See the Index Map help for full description.

Search by Place Name - Shows a dialog which allows place names stored in a database to be searched. See the Name Search help for full description.


User Toolbar

The user toolbar allows operations that are used regularly to be placed on a toolbar for easy access.

Configuration

wUserToolbar.gif (10711 bytes)

Available toolbar buttons - The list of Buttons which can be added to the toolbar.

Current toolbar buttons - The list of Buttons currently selected to appear on the toolbar.

Separator - This is a special button to place a line between a set of buttons. Many separators can be added to the toolbar.

Add -> - Adds the Button to the current toolbar list.

<- Remove - Removes the Button from the current toolbar list.

Close - Closes the window and creates the toolbar.

Move Up - Moves the selected button description up in the list. The list is the order the buttons will appear on the toolbar. Use the up/down buttons to position the buttons in the order you require.

Move Down - Moves the selected button description down in the list.

Position - The position of the toolbar on the OziExplorer window.

Size - The size of the buttons.

Flow Buttons to 2 lines - If the number of Buttons cannot fit on 1 line a second line will be created. If the Buttons cannot fit on 2 lines then the remaining buttons will not be displayed.

Flat Buttons - The buttons will display as just the symbol, taking on a button appearance when the cursor is placed on them.


File Menu

Load From File - Contains the basic File Loading options, see Load Menu for details and more options.

Save To File - Contains the basic File Saving options, see Save Menu for details and more options.

Close Map - Closes the currently opened map and creates a blank map.

Load and Calibrate Map Image - This option allows you to calibrate an image of a map so it can be used in OziExplorer, see Creating Maps for details.

Check Calibration of Map - Allows you to change the various parameters and calibration points of the loaded map, see Creating Maps for details.

Change Image File Name, Path & Drive - Sometimes it is necessary to change the name or location of the Image file used for the map, this option allows the image path of the currently loaded map to be changed, see Changing the Name and Location of Map Images for details.

Import Map - For Importing maps in other formats into OziExplorer. OziExplorer reads the calibration (georeference) information from these maps and creates OziExplorer .map files which the allows the maps to be opened into OziExplorer. During the import process the map images are not moved so if importing from a CD (for example) the CD must be available when opening the imported map into OziExplorer.

Single DRG Map - see Importing DRG Maps for full details.

All DRG Maps on a CD or in a Folder - see Importing DRG Maps for full details.

Single BSB or NOS/GEO Chart - see Importing and Using BSB Charts for full details.

All BSB or NOS/GEO Charts on a CD or in a Folder - see Importing and Using BSB Charts for full details.

Kompass Maps - see Importing Kompass Maps for full details.

Maptech RML, PCX, 024 or AER Charts - see Importing Maptech PCX or RML Maps for full details.

QuoVadis Navigator Maps on CD - see QuoVadis Map Import for full details.

ECW Maps (UTM or Lat/Lon based only) - see ECW Map Import for full details. Note the import DRG options above can also be used and in some cases this is a better option as it will prompt you for any missing

OziExplorer Map Files (*.map) on CD - Some map manufacturers are providing OziExplorer Map (.map) files on the CD with the map images. These map files can sometimes be used direct from the CD but of course cannot be modified. This option allows you to import these .map files from the CD and place them on your hard disk in a folder you specify. In the process the CD is searched for the required map image which belongs to each .map file so the links to the map images are maintained correctly. DO NOT try to import the .map files from a hard disk as the entire hard disk must be searched for each .map file and this can take considerable time. Note that the map images are not moved, the .map files are just copied to the specified folder on the hard disk and the link to the map image is adjusted in the .map file. The CD must still be in the drive to load the maps.

Map Features and Comments from Map File - Imports the Map Features and Map Comments from the selected Map file and adds them to the currently loaded map. Only Features or Comments which are actually positioned on the map are imported.

Print

  • Prints Waypoint, Event and Route Lists, see Printing Lists
  • Prints the Map, see Printing Maps

Save Map to Image File - This option allows the map image with all the various objects (waypoints, tracks etc) drawn on it. The image can be saved as a bmp or png file. Specify which format by including the .bmp or .png extension in the name. The image can also be saved as a Dithered 2 color Black and White image which gives a much smaller file size, see Save Map to Image File help for details.

Configuration - Set the Configuration options for OziExplorer, see Configuration

Customize Toolbar - Add and remove buttons from the User Toolbar, See the User Toolbar help for details

Assign Function Keys - Assign the Function keys to specific OziExplorer functions.

Change Language - Specifies which language to use (if other languages available).

Quit - Quits oziexplorer


Select Menu

Selection Control - This displays a Selection Control which allows objects to be selected on the map.

Delete Selected Objects - Deletes the Selected objects.

Save Selected Objects - Save the selected objects to a specified file name.

Copy Map Screen to Clipboard - This will copy the current Map screen view to the clipboard, all objects on the map are included. Any windows showing on top of the map are also included.

Selection Control

Select Waypoints - Draw a box around Waypoints to Select them.

Select Nearest Waypoints - Shows a dialog which allows the Selecting of Waypoints which are within a specified distance of another Waypoint or within a specified distance of any point in Track Number 1. See Nearest Waypoints help for details.

Select Events - Draw a box around Events to Select them.

Select track Points in Active Track - Draw a box around track points in the Active Track to Select them.

Select track Points in Track Section Active Track - Draw a box around track points in the Active Track to Select all the points in a particular Track Section.

Select Points in Active Point Set - Draw a box around track points in the Active Track to Select them.

Invert Selection - Inverts the selection so those selected become unselected and vice versa.

Delete Selected Objects - Deletes the Selected objects.

Save Selected Objects - Save the selected objects to a specified file name.


Load Menu

Load Map File - This option is for opening an OziExplorer Map File. This is the option you must use to open and display a calibrated map on screen.

Open Recent Maps - This list keeps the 32 most recent maps you have loaded. Click on the map name to load it.

Open Recent Map List - Opens the Recent Maps into a list. Click on the map name in the List to load it. To remove a map from the list use the "Remove" button in the toolbar.

Clear Recent Maps List - Clears the Recent Map List.

Load Waypoints from File - Load a file of waypoints. Waypoint files have a .wpt extension.

Load Events from File - Load a file of events. Event files have a .evt extension.

Load Track from File (Multi) - Load a track file. Track files have a .plt extension. More than 1 track file can be selected, the first file is loaded into Track 1, the next into Track 2 and so on.

Load Routes from File - Load a file of routes. Route files have a .rte or .rt2 extension.

Load Points from File

  • Load Points from File (Multi) - Load a point file. Point files have a .pnt extension. More than 1 point file can be selected, the first file is loaded into Point Set 1, the next into Point Set 2 and so on.
  • Load Points from Waypoint File - This option loads a file of waypoints but loads them into a Point Set. Note that Points do not have all the properties of waypoints and these additional properties are not loaded.
  • Load Points from Track File - This option loads a file of track points but loads them into a Point Set. Note that Points do not have all the properties of track points and these additional properties are not loaded.

Load Project File - Load all files in a project. Project files have a .ozp extension. A Project file is setup in the Project Manager on the Options Menu.

Append Waypoints from File - Loads a file of waypoints and appends them to those already loaded.

Append Visible Waypoints from File - Loads a file of waypoints only keep

Append Events from File - Loads a file of events and appends them to those already loaded.

Append Track from File - Loads a track file and appends the track to the track already loaded into track 1.

Import Waypoints from Text File - Allows waypoints to be imported from a text file in one of the OziExplorer import formats. See Importing Waypoints to and from a Text File help.

Import Tracks

  • Track from Text File - Allows a track to be imported from a text file in one of the OziExplorer import formats.
  • From Mapinfo mif Files - This is a limited import of these files, positions must be in Lat/Lon format.
  • From Mapgen Vector Files - This is a limited import of these files, positions must be in Lat/Lon format.
  • From ArcInfo E00 Files - This is a limited import, there are limitations on the projections and position formats which can be imported.
  • From IGC Track Files - Allows a track to be loaded from an IGC track file.
  • From Compe-Gps Track Files - Allows a track to be imported from a Compe-Gps .trk track file.

Import ESRI Shape File

  • Points - Imports files of points in the ESRI Shape file format (.shp), see Importing ESRI Shape Files for details.
  • Polylines & Polygons - Imports files of polylines or polygons in the ESRI Shape file format (.shp), see Importing ESRI Shape Files for details.

Import GPX File (Wps and Tracks) - Loads waypoints and tracks from a GPX file. Waypoints can replace or be appended to currently loaded waypoints.

Import Google Earth (kml) File - Loads waypoints and tracks from a Google Earth kml file. Waypoints can replace or be appended to currently loaded waypoints.


Save Menu

Save Map File - Saves the currently loaded map to a file, a new file name can be specified if desired. This option is used when making changes to a map such as adding Map Features or Map Comments.

Save Waypoints to File - Saves the currently loaded Waypoints to a file, a new file name can be specified if desired.

Save Events to File - Saves the currently loaded Events to a file, a new file name can be specified if desired.

Save Track to File - Saves the currently loaded Track (Track 1) to a file, a new file name can be specified if desired. If Track Numbers other than Track 1 are to be saved use the Track Control.

Save Routes to File - Saves the currently loaded Routes to a file, a new file name can be specified if desired.

Save Points to File - Saves the currently loaded Points (Point Set 1) to a file, a new file name can be specified if desired. If Point Sets other than Set 1 are to be saved use the Point Control.

  • Save Points to Points File - Saves the currently loaded Point Set (Point Set 1) to a file, a new file name can be specified if desired.
  • Save Points to Waypoint File - Saves the currently loaded Point Set (Point Set 1) to a Waypoint file, a new file name can be specified if desired. In this process the point properties are converted to waypoint properties, any properties that do not also exist in Waypoints are lost.
  • Save Waypoints to Points File - Saves the currently loaded Waypoints a Point file, a new file name can be specified if desired. In this process the waypoint properties are converted to point properties, any properties that do not also exist in Points are lost.

Export Waypoints to Text File - Provides options to export the currently loaded Waypoints in various formats. The resultant file is a comma delimited text file, see Exporting Waypoints for details.

Export Track

  • To Text File - Provides options to export the currently loaded Track (Track 1) in various formats. The resultant file is a comma delimited text file, see Exporting Tracks for details.
  • To IGC Track File

Export to ESRI Shape File (see Exporting to ESRI Shape Files for details)

  • Point Set 1 to Points - Saves the currently loaded Point Set (Point Set 1) to a ESRI (ArcInfo) Shape file (.shp) in the point format.
  • Waypoints to Points - Saves the currently loaded Waypoints to a ESRI (ArcInfo) Shape file (.shp) in the point format.
  • Tracks to Polylines - Saves the currently loaded Track (Track 1) to a ESRI (ArcInfo) Shape file (.shp) in the polyline format.
  • Tracks to Polygons - Saves the currently loaded Track (Track 1) to a ESRI (ArcInfo) Shape file (.shp) in the polygon format
  • Tracks to Points - Saves the currently loaded Track (Track 1) to a ESRI (ArcInfo) Shape file (.shp) in the point format.

Export to GPX File (Wps and Tracks)

  • Save Waypoints and Tracks to a GPX file.

Export to Google Earth

  • Save Waypoints and Tracks to a Google Earth KML file
  • View Waypoints and Tracks in the Google Earth software
  • View current map position in the Google Earth software


View Menu

Show

  • Main Toolbar
  • User Toolbar
  • Zoom Window - Shows or Hides the small Cursor Zoom Window.
  • Map View - Shows or Hides the Map View Window.
  • Map Scale - Shows or Hides the Map Scale. Drag the map scale into position on the map.

Hide - Hide Map Objects, allows you to hide individual types of Map objects as well as all Map objects at once. To hide a specific Map object use the Hide option on the Right Click Menu for an object.

UnHide - UnHide Map Objects, will redisplay all map objects which have been hidden, this also includes those which have been hidden by using the Hide option on the right click menu of a map object (waypoint,event etc).

Lists

  • Waypoint List - Shows a list of the currently loaded waypoints. See the Waypoint List help for details.
  • Event List - Shows a list of the currently loaded events. See the Event List help for details.
  • Map Feature List - Shows a list of the map features on the map. See the Map Feature List help for details.
  • Map Comment List - Shows a list of the map comments on the map. See the Map Comment List help for details.

Distance Between Waypoints - Measures distance and bearing between Waypoints, see Distance Between Waypoints for details.

Distance Display - Measures distances and bearings on the Map, see Distance and Bearing Display for details.

Route Editor - Allows the manipulation of routes, See the Route Editor help for details.

Show Routes on Map - Shows and Hides the display of the Routes on the map.

Tracks

  • Track Control - Allows the manipulation of tracks. See the Track Control help for details.
  • Track Replay Control - Replays a track. See the Track Replay Control help for details.
  • Track Move Control - For nudging the track around on screen. See the Track Move Control help for details.
  • Track Filter Control - For reducing the number of points in a track by filtering based on various parameters. See the Track Filter help for details.
  • Track Profile - For plotting the track profile of altitude or speed against distance or time. See the Track Profile help for details.
  • Track Reverse - Reverses the order of points in a track.

Show Tracks on Map - Shows and Hides the display of the Tracks on the map.

Points

  • Point Control - Allows the manipulation of Point Sets. See the Point Control help for details.

Show Points on Map - Shows and Hides the display of the Points on the map.

Datum List - Shows all the datums that OziExplorer supports in a list.


Map Menu

This page describes the options on the Map Menu.

Re-index Map Files - This will re-index the map files so they will be up to date for map searching functions. For normal operation it is not necessary to do this operation as OziExplorer will automatically keep the map index files up to date.

Index Map - Opens the Index Map. See the Index Map help for details.

Blank Map (Auto Scale) - This will create a blank map scaled to cover the whole world. When any data is loaded onto the map it will automatically rescale to suit the data. You can zoom in and out of the data using the normal Zoom controls.

ReScale Blank Map - Will force the Blank map to rescale itself based on the data currently displayed. Useful when you manually add or delete data and want the map to scale itself to the remaining data.

Grid Line Setup - Displays the map grid setup dialog, see the Displaying Lat/Lon and other Grids help for details.

Clear All Waypoints - Clears all Waypoints from memory and the map, if you have made changes you will be prompted if you want to save the Waypoint file.

Clear All Events - As above but for Events.

Clear Route Data from Map - As above but for Routes.

Clear All Tracks from Map - As above but for Tracks.

Clear All Points from Map - As above but for Point Sets.

Clear All of Above - Clears All Waypoints, Events, Routes, Tracks and Points.

Add or Drag Map Object - All these options are also available as buttons on the Button Bar.

  • Waypoint - Allows you to add a Waypoint by point and click on the map.
  • Event - As above but for an Event.
  • Map Feature - As Above but for a Map Feature.
  • Map Comment - As above but for a Map Comment.
  • Track Point - Allows track points to be created on the map.
  • Points - Allows Points to be created on the map.
  • Mark - See the Distance & Bearing Display for details.
  • Drag Object - Allows objects to be moved by dragging the object with the mouse pointer.

Find Maps - see the Find Map Help for full details.

Map Open Position

  • Save Map Open Position - Save the current map position as the position this map always loads at.
  • Clear Map Open Position - Removes the Saved Map Open Position from the map, it will now open at the position the map was last used.


Option Menu

Options Menu

Project Manager - Allows Projects to be created which consist of a map and data files. See Project Manager help for details.

Name Search - Provides a list of names from a name database which can be searched and plotted on a map. See Name Search help for details.

Night Vision - Turns all screen colors into shades of red for better vision at night.

Set Intensity - Allows you to set the intensity of the screen colors to reduce the brightness of the screen at night.

Area Calculation - Calculates the area of polygons drawn on the map, see Area Calculations help for details.

Project New Waypoint - This option allows you to project a Waypoint (or a Track point) from another waypoint (or the last track point). See Project a Waypoint or Trackpoint help for details.


Moving Map Menu

Moving Map Control - Displays the Moving Map Control which allows various options to be set and displays basic speed and heading information. See the Moving Map Control for details.

Show GPS Fix Data - see GPS Fix Data help for details.

Anchor Alarm - see Anchor Alarm help for details.

Ship Automatic Identification System (AIS) - see AIS Configuration help for configuration details. Ships sending AIS information will be plotted on a map displayed in OziExplorer. This allows you to view a list of the ships sending AIS and also to configure the AIS com port.

Start NMEA Communication with the GPS - Starts communication with the GPS, if all is ok OziExplorer should show your position on the screen. You are now in moving map mode. Text will be displayed in the status line indicating that "Moving Map is ON". When receiving NMEA data of the correct type the text "<+>" will toggle ON and OFF in the status line. If this is not happening then there is no NMEA sentence of the correct type being received by the software, or the data within the sentence is not valid. There is a button included on the standard User Toolbar to start or stop communication with the GPS.

Stop NMEA Communication with the GPS - Stops communication with the GPS.

Ignore NMEA Valid Data Flag - This is for those GPS receivers which send an invalid data flag with the data when they are in simulator mode (such as Lowrance and Eagles and others), if the flag is not ignored no position will be plotted when using the GPS in simulator mode.

  • However it is no good ignoring the valid data flag if the GPS is not in simulator mode or does not have a satellite fix, the data will be ignored anyway.
  • Important - turn this off when your GPS has a true fix.

Show NMEA Input & Output - Shows the NMEA sentences that OziExplorer is receiving and the NMEA sentences that OziExplorer is sending (to an Autopilot).

NMEA Simulator - To simulate the input of the $GPRMC sentence from a GPS. See the NMEA Simulator help for details.

Log Track Tail - The track is automatically logged and displayed on the map. See "The Track" section of the Moving Map help page for more information.

Copy Track Tail to Track 1 - Copies the track tail to Track 1.

Clear Track Tail - Clears the track tail.

Log Track to File - The track is automatically logged to a file. The file name and creation interval is dependent on the Track Log File setting on the Track tab in Configuration. The track log can be stored to different files Daily, Weekly, Monthly or Never. The default setting is Daily. e.g. The Daily track log file name includes the date (TrackLog 2011-08-12 daily.plt). The track log file is just a normal track file and can be opened and displayed on the map at a later time.

If the setting "Never" is used, the track file name specified in the option below is used (the default file name is mmTrack.plt).

Automatically Scroll Map - This option turns on or off the automatic map scrolling which will keep your current position displayed in the viewing area of the map as you move.

Range Rings Setup - Shows the Range Rings setup dialog.

Set Waypoint at Position

  • Man Overboard (Alt O) - Selecting this option or pressing (Alt O) will create a waypoint at the current GPS position and automatically activate navigation to the waypoint.
  • Marker (Alt K) - Selecting this option or pressing (Alt K) will create a waypoint at the current GPS position.

Attach Cursor Line to Position - If the "Show Line from Position to Cursor" button on the Toolbar is active then the line will always be drawn from the current GPS position to the mouse cursor.

Show Regional Map Window - see Regional Map help for details.


Navigation Menu

Navigation Control - Displays the Navigation Control, the the Navigation Control help for details.

Navigate To .....

  • Navigate along a previously defined route
    Select the route from the list supplied.
    Load a new set of routes from a route file using the Load button.
    Reverse the direction of the route using the Reverse Route Check Box.
  • To a waypoint selected from a list of waypoints
    A list of the waypoints currently loaded are displayed for you to select from.

Cancel Navigation - Cancels the navigation and turns off all visable navigation features and resets all parameters.

View Waypoint Proximity Zones - Proximity zones can be set around waypoints at any specified distance. If you enter this zone an alarm will sound. If you have set proximity zones this option will show or hide them. The proximity zones are displayed around waypoints as red circles with a blue diagonal hatch.

Note : While the proximity waypoints are similar to those found in Garmin GPS receivers it is not possible at this stage to upload these to the Garmin.


Garmin Menu

Garmin GPS which connects as Mass Storage Device and uses GPX files to store data

Load Waypoints and Routes from GPS - Loads the Waypoints and Routes from the GPS and displays them on the map. The waypoints can then be manipulated and saved to a file for future use.

Load Current Track from GPS - Loads the current track from the GPS and displays it on the map. The track can then be manipulated and saved to a file for future use.

Load Saved Tracks from GPS - Loads saved tracks from the GPS and displays them on the map. The tracks can then be manipulated and saved to a files for future use.

Save Waypoints to GPS - Saves the Waypoints to the GPS (in a GPX file). When the GPS is turned on, the waypoints will be read by the GPS from the GPX file.

Save Track 1 to GPS - Saves Track 1 to the GPS (in a GPX file). When the GPS is turned on, the track will be read by the GPS from the GPX file.

Save All Tracks to GPS - Saves all tracks to the GPS (in a GPX file). When the GPS is turned on, the tracks will be read by the GPS from the GPX file.

Save Routes to GPS - Saves the Routes to the GPS (in a GPX file). When the GPS is turned on, the routes will be read by the GPS from the GPX file.

Delete Files from GPS - Shows a list of GPX files on the GPS. Select the files to delete and press the Delete button.

USB or Serial Garmin GPS

Merge Waypoints from GPS - Downloads Waypoints from the GPS and keeps or discards them based on selected criteria.

Get Waypoints from GPS - Downloads the Waypoints from the GPS and displays them on the map. The waypoints can then be manipulated and saved to a file for future use.

Get Track from GPS - Downloads the Track from the GPS and displays it on the map. The track can then be manipulated and saved to a file for future use. The downloaded track is always put into Track 1. If the GPS supports more than 1 track (and the GPS model supports it) then you are asked which track to download, other models will just download all the tracks as one and there is no way to avoid this.

Get Routes from GPS - Downloads the Routes from the GPS and displays them on the map. The routes can then be manipulated and saved to a file for future use. It is preferred that Waypoints should have already been downloaded from the GPS (or loaded from a file) and be displayed on the map before downloading the routes.

Send Waypoints to GPS - Uploads the Waypoints loaded on the map to the GPS.

Send Track to GPS - Uploads the Track which is loaded into Track 1 to the GPS. If the GPS supports more than 1 track (and the GPS model supports it) then you are asked which track to upload to. Other models with multiple tracks can only upload to the main track.

Send Routes to GPS - Uploads the Routes which are loaded to the GPS. It is preferred (but not necessary) that the Waypoints used in the Routes be uploaded to the GPS first.

Text File Support

These options read and write waypoints and tracks in the Waypoint+ software text format.

Get Waypoints from WP+ Text File

Get Track from WP+ Text File

NOTE : When importing a Waypoint+ text file the file must have been written from Waypoint+ using the WGS84 datum, OziExplorer does NOT try to use different datums when importing Waypoint+ text files.

Save Waypoints to WP+ Text File

Save Track to WP+ Text File

NOTE : When exporting to a Waypoint+ text file the WGS 84 datum will always be used.

PCX5 Support

These options read and write waypoints and tracks in the Garmin PCX5 file formats. These files can also be read by Garmins Mapsource software.

OziExplorer cannot read the Mapsource export format.

The positions in the files must be in Lat/Lon or UTM format.

OziExplorer assumes the datum used for the positions in the file is the same as its configured GPS upload/download datum.

PCX5 is very intolerant if the software version in the file does not match the version of PCX5 being used, if this is the case then the version number in the file can be adjusted in a text editor. Mapsource ignores the version number.

Get Waypoints from GRM File

Get Track from GRM File

Save Waypoints to WPT File

Save Track to TRK File

Turn Off GPS - Turns off the GPS, if the GPS is busy it may not respond to this command.

Get Almanac from GPS - Gets the Satellite Almanac from the GPS and saves it to the specified text file.

Show GPS Protocol Info - Shows the various upload/download protocols that the GPS supports. This option is not particularly useful, its just for interest.


Magellan Menu

Some Magellan models connect to the computer as a drive and the data is transferred to/from a file on the GPS. To open/save a file to/from the GPS on these models use the options below to display a dialog to locate the GPS (drive letter) and file.

Get Waypoints from GPS - Downloads the Waypoints (Landmarks) from the GPS and displays them on the map. The waypoints can then be manipulated and saved to a file for future use.

Get Track from GPS - Downloads the Track from the GPS and displays it on the map. The track can then be manipulated and saved to a file for future use. The downloaded track is always put into Track 1.

Get Routes from GPS - Downloads the Routes from the GPS and displays them on the map. The routes can then be manipulated and saved to a file for future use. The Waypoints (Landmarks) should have already been downloaded from the GPS (or loaded from a file) and be displayed on the map before downloading the routes. This option is not available for the Explorist USB models.

Send Waypoints to GPS - Uploads the Waypoints (Landmarks) loaded on the map to the GPS.

Send Track to GPS - Uploads the Track which is loaded into Track 1 to the GPS.

Send Routes to GPS - Uploads the Routes which are loaded to the GPS. The Waypoints (Landmarks) used in the Routes must be uploaded to the GPS first.

DataSend POI Manager - For working with the POI's available on the Magellan Datasend CD, see DataSend POI Manager help for details. This option is only available for the Magellan 315 and 320 GPS receivers.


Lowrance Menu

There are various Lowrance menus depending on which model of GPS is selected. This document covers the main Lowrance menu.

The GPS receivers which transfer their data using USR files on a memory card have a different menu which only has 2 options for Loading and Saving the USR files.

Merge Waypoints from GPS - Downloads Waypoints from the GPS and keeps or discards them based on selected criteria.

Merge Events from GPS - Downloads Events from the GPS and keeps or discards them based on selected criteria.

Get Waypoints from GPS - Downloads the Waypoints from the GPS and displays them on the map. The waypoints can then be manipulated and saved to a file for future use.

Get Events from GPS - Downloads the Events from the GPS and displays them on the map. The events can then be manipulated and saved to a file for future use.

Get Track from GPS - Downloads the Track from the GPS and displays it on the map. The track can then be manipulated and saved to a file for future use. The downloaded track is always put into Track 1. If the GPS suports more than 1 track then you are asked which track to download.

Get Routes from GPS - Downloads the Routes from the GPS and displays them on the map. The routes can then be manipulated and saved to a file for future use. The Waypoints should have already been downloaded from the GPS (or loaded from a file) and be displayed on the map before downloading the routes.

Send Waypoints to GPS - Uploads the Waypoints loaded on the map to the GPS.

Send Events to GPS - Uploads the Events on the map to the GPS.

Send Track to GPS - Uploads the Track which is loaded into Track 1 to the GPS. If the GPS suports more than 1 track then you are asked which track to upload to.

Send Routes to GPS - Uploads the Routes which are loaded to the GPS. The Waypoints used in the Routes must be uploaded to the GPS first.


MLR Menu

Get Waypoints from GPS (nmea method) - Downloads the Waypoints from the GPS and displays them on the map. The waypoints can then be manipulated and saved to a file for future use.

Get Waypoints from GPS (fast method) - Downloads the Waypoints from the GPS and displays them on the map using a fast binary protocol. The waypoints can then be manipulated and saved to a file for future use. Note that waypoints downloaded using the "Fast" method do not have the waypoint symbol number with the downloaded data.

Get Routes from GPS - Downloads the Routes from the GPS and displays them on the map. The routes can then be manipulated and saved to a file for future use. The Waypoints should have already been downloaded from the GPS (or loaded from a file) and be displayed on the map before downloading the routes.

Get Track from GPS (fast method) - Downloads the Track from the GPS and displays it on the map using a fast binary protocol. Not all MLR's may support this protocol. The track can then be manipulated and saved to a file for future use. The downloaded track is always put into Track 1.

Get Track from GPS (nmea method) - Downloads the Track from the GPS and displays it on the map using the NMEA protocol. The track can then be manipulated and saved to a file for future use. The downloaded track is always put into Track 1.

Get Map Profile from GPS - Some MLR's have the ability to store a simple map as lines, this downloads the map data as a track.

Send Waypoints to GPS - Uploads the Waypoints loaded on the map to the GPS.

Send Routes to GPS - Uploads the Routes which are loaded to the GPS. The Waypoints used in the Routes must be uploaded to the GPS first.

Send Map Profile to GPS - Some MLR's have the ability to store a simple map as lines, this allows the map to be uploaded from track 1.

Reset GPS - Use with caution, this resets the GPS back to factory defaults removing all configuration and data.

It is not possible to send tracks to an MLR GPS.


Brunton / Silva Menu

Get Waypoints from GPS - Downloads the Waypoints from the GPS and displays them on the map. The waypoints can then be manipulated and saved to a file for future use.

Get Routes from GPS - Downloads the Routes from the GPS and displays them on the map. The routes can then be manipulated and saved to a file for future use. The Waypoints should have already been downloaded from the GPS (or loaded from a file) and be displayed on the map before downloading the routes.

Get Track from GPS - Downloads the Track from the GPS and displays it on the map. The track can then be manipulated and saved to a file for future use. The downloaded track is always put into Track 1.

Send Waypoints to GPS - Uploads the Waypoints loaded on the map to the GPS.

Send Routes to GPS - Uploads the Routes which are loaded to the GPS. The Waypoints used in the Routes must be uploaded to the GPS first.

Delete Waypoints and Routes - This will delete all the waypoints and routes from the GPS. There is option available in the GPS Receiver itself which also does this and may be quicker.

Delete Routes - This will delete all the routes stored in the GPS but does not delete any waypoints.


GPS - NMEA Only Menu

see also NMEA Only

Send Waypoints to GPS Using $GPWPL NMEA Sentence - This option will output the waypoints through the serial port to the GPS using the standard $GPWPL NMEA sentence. If your GPS supports this function the waypoints will be loaded into your GPS. The baud rate and datum used are set in the configuration. The GPS NMEA Output Datum and the NMEA baud rate are used.

Get Waypoints from GPS Using $GPWPL NMEA Sentence - If your GPS has the ability to send its waypoints via the serial link using the $GPWPL NMEA sentence then OziExplorer can read these as waypoints. This requires that your GPS can be set via its menu's to transmit its waypoints, if this cannot be done then this feature in OziExplorer is of no use.

Select the menu option, then set the GPS to start transmitting its waypoints. The sentences are displayed in the dialog as they are received, when transmission of the waypoints stops you need to manually press the close button. Any waypoints received are displayed on the map and in the waypoint list, you need to save these to a waypoint file using the Option on the Save button (on the Toolbar).


Creating Maps

  • What is a Map
  • Creating the Image File
  • What Calibration Method to Use
  • Selecting the Map Projection or Grid
  • Specifying the Calibration Points
  • Entering Positions
  • Image Types Supported
  • Corner Markers
  • Options
    • Attaching Files to the Map
      • Attaching Tracks to the Map
      • Attaching Waypoint, Event or Route Files
    • Use Polynomial Calibration for map
    • Moving Map Options
    • BSB Calibration

What is a Map

A map in OziExplorer is an image of a map which has been calibrated (georeferenced) so OziExplorer can use any pixel position on the map to determine the true geographic position. When you calibrate a map OziExplorer creates a .map file which contains the calibration information and a link to the image you are using.

The other method of creating maps is to import them. There are maps and charts available in digital form which have the calibration (georeferencing) for the map included either directly in the file or provided as information in an additional file. Importing these maps reads the calibration information from the map files and creates an OziExplorer map file.

Creating the Image File

Where do you obtain the map images from -

  • you can obtain them from 3rd parties who have produced them in digital form as images
  • you can scan them yourself.

To create your own maps you need access to a scanner.

Scan the maps at or about 125 to 200 dpi (dots per inch) and 256 colors. The dpi can be modified to suit your requirements but the colors should always be 256 unless you have some other reason for changing this.

The amount of control you have for setting these parameters depends on your scanner and its software.

If you are using an unregistered version which only uses a 2 point calibration method you must scan the map with the latitude lines running exactly horizontal. If using the registered version it is not critical to have the scanned image perfectly aligned with the grid lines as a rotated image can be handled by a multipoint calibration using 3 or more points.

Save the scanned image as a BMP file, this is the only type of map image supported in the shareware version. The registered version also supports TIF, JPG, PNG and other formats.

To calibrate a map, you need to know the latitude and longitude of at least 2 points on the map, preferably near opposite corners of the image.

From the File Menu select the Load and Calibrate Map Image option.

Give the map a name.

If using a Registered version you can specify the Datum for the Map. The Datum should be written somewhere on the map from which the scan was taken, otherwise you must determine the datum from other sources.

What Calibration Method to Use

The calibration method to use depends on the map projection.

The unregistered version is limited to using 2 calibration points and as stated above the Latitude/Longitude lines must run parallel to the edges of the screen for the calibration to be acceptable.

The 3 point method uses an affine transformation to calculate the calibration coefficients. This is a linear transformation and will work with maps which are rotated or skewed but the lat/Lon or Easting/Northing grid must be linear (i.e. be straight lines) after the map projection calculations have been applied. As an example, a map with curved lat/Lon lines may in fact be linear when projected and therefore calibrated in the Transverse Mercator projection.

The 4,5,6 point method use a least squares method fit to the linear Affine method to do the transformation. This method will work with maps which are rotated or skewed. It is the same as the 3 point method but gives an overdetermined calibration taking into account all the points. It uses the same method as the 3 point but gives a calibration which is an average of all the points.

The 7 or more point method has the option of using a 2nd order polynomial to do the transformation. This method will work with maps which are rotated or skewed and have a large curve in the Lat/Lon or Grid lines. The polynomial option is located on the Options button on the map calibration window.

While the polynomial method can calibrate maps with curved grids the curve must be constant for all parts of the map. Example - if a Latitude line towards the bottom of the map is curved a line near the top of the map must have the same amount of curve, the method cannot give an accurate calibration if the map is warped by different amounts over the extent of the map.

If after calibrating you find the waypoints etc do not stay where originally placed on the map this indicates the calibration is not accurate enough, the forward calibration is different to the inverse calibration, the map is most likely warped or needs to be calibrated using a different map projection.

When dealing with maps with curved Lat/Lon lines and you are not sure of the projection it is advisable to try calibrating using the Transverse Mercator projection as this is the most common for general purpose topographic maps.

calibrate1.gif (5099 bytes)

Tabs

Setup - Displays the setup window

Point 1, Point 2, ..... Point 9 - Shows windows for up to 9 calibration points to be entered, use the arrows on the right hand side of the tabs to scroll the tabs.

Buttons

Projection Setup - When disabled there are no parameters required, otherwise enter the necessary parameters.

Options - See Options for details.

Show/Hide Corner markers - See Display Corner Markers for details.

Show Cursor Zoom Window - Shows this window.

Show MapView Window - Shows this window.

Fields

Map Name - The name you want to give to this map.

Map Datum - The actual datum of the map. To be fully correct this must be the datum of the positions of the points used to calibrate the map. Since these points are usually taken from the map itself then the MapDatum should be the actual datum of the map you are calibrating. If the map datum is not specified correctly then any positions obtained from the GPS and plotted on the map will be in error.

Mag Var - The Magnetic Variation, this may be given on the border of the map. If not specified OziExplorer will calculate the magnetic Variation when it is required.

Map Projection

Selecting the Map Projection or Grid

These instructions only apply to the registered version of OziExplorer. The unregistered version is limited to a 2 point calibration in a projection called Latitude/Longitude.

The Map Projection to choose depends on the projection and/or primary Grid system used by the map. This is usually stated somewhere on the map. Most (but not all) topographic maps used for general purpose mapping are in the Transverse Mercator projection and if you do not know the projection this is a good one to start with. Maps for marine use are usually in the Mercator projection.

The combo box labeled Map Projection gives a choice of various Map projections or Grid systems supported by OziExplorer.

If you are using a map which is laid out in a standard Grid system such as UTM (Universal Transverse Mercator), BNG (British National Grid) etc simply choose the grid from the list, all the parameters required are known by the software.

Specifying the Calibration points

calibrate2.gif (4910 bytes)

Fields

Image Coordinates (X,Y) - The x and y pixel coordinates of the map image.

Degrees & Mins

Lat - The latitude of the specified image coordinate. See Special Keys and Stuff for notes on how to enter positions in different degree formats.

Long - The longitude of the specified image coordinate.

Grid Coordinates (in this case UTM Coordinates but the name will vary depending on the selected Grid in the Map Projection)

Zone - The Zone used by the coordinate, this field is not always required. UTM, British National Grid and the Irish Grid require a zone.

N/S - The coordinate North or South of the Equator, this field is not always required, mainly used for UTM coordinates.

Easting - The coordinate in the east/west direction.

Northing - The coordinate in the North/South direction.

Tip : The country or region defaults can be configured on the Maps Tab in Configuration.

Notes

When using scanned maps the edges of the image can sometimes be distorted when the original map is placed on the scanner so it is better not to place any of the calibration points near the edge of the image.

2 point method - The 2 points can be placed anywhere on the map but it is preferable to give the 2 points as wide a spread on the map as possible. Do not place the 2 points in a horizontal or vertical line.

3 point method - (Registered versions only) The 3 points can be placed anywhere on the map. The preferable locations are towards 3 of the corners. Do not place the 3 points in a straight line in any direction.

4 or more points - (Registered versions only) The points can be placed anywhere on the map but the geometry of the points can have a big effect. The preferable locations are 4 points towards each corner of the map and the rest evenly distributed over the map. Make sure that the points have a good spread across the map.

Entering Positions

For any point you can enter either the Latitude/Longitude or the Grid coordinates. You can enter some points as Lat/Lon and some as Grid coordinates it does not matter.

The Grid coordinate system used will change depending on the selection in the Map Projection combo box. If there is no standard Grid system for the projection selected then UTM will be used.

When specifying Degrees and decimal Minutes - do not put in negative numbers, use the N/S and E/W to specify the hemisphere quadrant you are in.

Some Grid systems use Zones and the zone must be entered, other Grid systems do not use zones and this field will be disabled. For UTM the zone consists of a number and a letter, only the number part is required, the letter part cannot be entered.

Click on the Point 1 tab (the mouse pointer will now have a number 1 on it). Position the cross hairs over the known point and click the left mouse button. The point coordinates are entered into the fields. Now enter the known latitude and longitude of that point or the Grid coordinate, if you enter both only the Lat/Lon position will be used.

Click on the point 2 tab (the mouse pointer will now have a 2 on it), position the cross hairs over the 2nd known point and click the left mouse button. The point coordinates are entered into the fields. Enter the known position of that point.

The other points (3 to 9) are handled in the same manner.

A calibration point can be excluded from inclusion in the calibration by unchecking the box next to the x/y coordinate.

Press the Save button, you need to specify a map name, the extension MAP must be used. The map file stores the name you gave the map, the coordinates of the calibration points and the location and name of the image file. Later it will also store the Map Features and Map Comments.

To display a map use the Load Map File option on the Load menu.

NOTE : The location of the Map image file is stored within the MAP file. If you move the image file and try to load the map you will get an error message and be asked if you want to browse the hard disk to find the image. If you do find the image simple save the map to save the new location of the image in the map file.

Image Types Supported

The shareware version can only use BMP files for the map image.

The registered version can use BMP, JPG, PNG and TIFF files but the preferred format is TIFF files as these can be paged from disk and therefore have a lower RAM requirement.

The PNG (Portable Network Graphics) format is a highly compressed format which can give similar compression to GIF. To use this format you need to have the dll LPNG.DLL available from the web site. Put the dll in the Oziexplorer directory.

See Image Formats Supported for more information.

For Map Feature pictures the image type can be BMP or JPG.

Display Corner Markers - See Corner Markers for details.

Options

wOptions.gif (5857 bytes)

Attaching Track,Waypoint, Event or Route Files to the Map

Attaching Tracks to the Map

You can attach tracks to any map and they will automatically be loaded when the map loads. Once loaded they are permanently displayed on the map and will not disappear when the Show Track button is raised as will normal tracks.

The track files you attach are just normal tracks downloaded from your GPS or more usually, manually created using the Manually Create Track Points button. The color and width of the track plot is set for the track using the Track Control dialog, the attached track will use these same settings when it is displayed.

How to Attach a Track to the Map

  1. If the map is already loaded choose the Check Calibration of Map option on the File Menu.
  2. Press the Options button in the calibration frame - the Map Advanced Options dialog will be displayed.
  3. Press the Open Folder button on the edit box (to the immediate left of the Add button).
  4. Select a .plt file which has the track you want to attach to the map - it will appear in the edit box.
  5. Press the Add button to add it to the list.
  6. Repeat steps 3 to 5 until you have added all the tracks you require, up to 50 tracks can be attached.
  7. Press the Close button.
  8. Press the Save button to save the map using the same or a new name.
  9. Its done.

The limitations are as follows :

  • There is a limit of 50 attached track files.
  • Attaching too many tracks with too many track points can slow performance.

Uses

  • The attached tracks can be used to display new roads not shown on the map
  • You can design tracks in geometric shapes to show special features
  • Tracks which have been specified as Alarm Zones perform a special function when using moving map mode.

Attaching Waypoint, Event or Route Files to the Map

When you attach these files you can only attach 1 of each . The software will allow you to attach more than 1 of each type but only the 1st of each type in the list will be processed. The attached files are loaded automatically each time the map is opened. However if you have specified in the configuration to Keep Map Objects (waypoints,events and routes) in the Map Load Options these files will only be loaded if there are none of the specific object type in memory. This is done because the 2 options conflict with each other, you cannot keep the specific object type (say waypoints) and also load a waypoint file as well, as this would destroy the waypoints (objects) already in memory.

Even with the Keep Map Objects enabled when you load a new map, the ability to attach waypoints etc to a map is still very useful the 1st time you load (or autoload) a map for each session of OziExplorer.

Use Polynomial Calibration for map

To use this option you must have 7 or more calibration points specified.

If this option is ticked OziExplorer will use 2nd order polynomial calculations when calibrating the map. This allows maps to be calibrated even if they are not truly square (linear). This is useful for calibrating maps where the true map projection is not known.

Limitations - Using a polynomial calibration on a truly linear map can cause unpredictable results.

Moving Map Options

Include in Moving Map - Once you have ticked this option this map will be checked when your position moves off the existing map and the software is attempting to locate the next map to automatically load. There are good reasons for not including certain maps in the moving map process. Example - if you included the world map and there were no other "better" maps for the software to select it would be loaded. You may also have other maps for experimenting which you may not want automatically loaded. However if a map not ticked for automatic inclusion in the moving map process is loaded manually the software WILL attempt to find another map.

BSB Calibration

Many BSB charts have a set of calibration equations provided by the manufacturer of the BSB chart. There are some charts where these equations have errors in them and calculate an incorrect calibration. This option allows the calibration of the manufacturer to be replaced by a calibration calculated by OziExplorer. If the selection is disabled then you do not have a BSB chart loaded or the BSB chart loaded does not have the calibration equations provided.


Image Formats Supported

There are 3 things required in a good raster image format for mapping use.

  1. High compression to give small file sizes.
  2. The ability for the image to be paged from disk to reduce the amount of memory required.
  3. Fast loading of the image or image pages.

Standard Image Formats

BMP - Not recommended but is the only format supported in the shareware/demo version. No compression so image files are large. Image must be fully loaded into RAM.

The formats below can only be used in the registered version of OziExplorer.

TIF - The TIF format has many different variations and compression schemes which can be used. This format allows paging from disk so is efficient on memory usage.

  • LZW compression - Gives good compression of maps and images.
  • Packbits compression - Gives good compression of raster maps with solid colors but does not compress self scanned images very well.

This is the recommended standard image format to use if the larger file sizes when using packbits compression is not of concern.

24bit Color TIFF files can be used and are paged from disk as the 8bit color TIFF images are. (Please note that 24bit Planar TIFF images are fully loaded into RAM, for large images the amount of RAM required can be a factor in whether the images can be used or not.)

PNG - This format gives good compression but the image must be decompressed and fully loaded into memory (it cannot be paged from disk). This is the preferred "non-paging" format to use. (8bit or 24bit color images are supported)

ECW - Highly compressed format. This format allows paging from disk so is efficient on memory usage. Images can also be loaded from ECW image servers - see Importing ECW help for details.

SID - Highly compressed format. This format allows paging from disk so is efficient on memory usage.

JPG - Provides excellent compression but it is slow to load and the fully uncompressed image must be loaded into Memory (non-paging), not recommended for use with large images.

JP2 - JP2000 is a format which gives good compression. If the JP2 file is supplied with a (.j2w) file, OziExplorer can use it for geo-referencing.

Special Formats Used for Mapping

BSB - a proprietary format developed specifically for mapping, the use of professionally created images gives good compression and the image can be paged from disk. This format cannot be written by the user. This is a proprietary format which is licensed for use in OziExplorer.

Maptech PCX (.HDR,.A01,.A02....) - An older format produced by Maptech but still in use. This is a proprietary format which is licensed for use in OziExplorer.

Maptech Superdisk Format (.RML) - Similar to the PCX format above but the images are compressed. This is a proprietary format which is licensed for use in OziExplorer.

OziExplorer's own Formats

These formats below were developed especially for use in OziExplorer and OziExplorerCE. The Img2Ozf and MapMerge programs create Ozf4 images. OZF, OZF2 and OZFx3 are supported but no longer produced.

OZF2 / OZFx3 / OZF4 - These formats which give good compression, can be quickly paged from disk, are efficient for decompression of small image sections and also have separate images built into the format for zoom levels 25% and below. Other zoom levels below 100% (90, 80, 70 ...) are created as needed by OziExplorer using a smoothing function and look almost as good as the original image. There is a small disadvantage of having some of the zoom images included in the file as the file size is slightly larger but the nice looking zooms make up for this.

See the separate help for the Img2ozf program for more details.

The OZF2 / OZFx3 / OZF4 format is the best format to use in OziExplorer for most map images.


Map Projections

A map projection is a means of projecting the spherical earth onto a flat plane.

There are numerous projection methods available, OziExplorer supports the more common these. If there is a need for a projection not supported a request to the author of the software may result in it being included in future versions.

It is essential that the correct map projection be specified. In many cases the projection is not given or the projection is given but not the required parameters, in these cases it is very difficult to work out what to use.

Also be aware then many maps in digital form may have had the projection altered during the imaging process, as an example many of the US DRG maps have been reprojected from Polyconic to Transverse Mercator (actually UTM format).

Supported Projections and Grid Systems

Latitude/Longitude

This is a projection where the lines of latitude and longitude are projected as straight lines at 90 degrees to each other.
It is also used for calibrating a map in the shareware version or in the registered version if the true projection is not known.

Mercator

Commonly used in marine charts. The rhumb lines (lines of constant bearing) are straight lines. The latitude and longitudes are straight lines which meet at right angles.

Transverse Mercator

The Transverse Mercator projection is very commonly used for topographic maps and is the projection you are most likely to be using. The map is projected from a central meridian (line of longitude) which is straight, the equator (a line of latitude is also straight) all other lines of longitude and latitude are curved. Scale exaggeration increases the further away from the central meridian, this projection therefore is only useful for a small region either side of the central meridian. Since most maps we use only cover a relatively small region or zone these errors induced by the scale change are too small to be important.

Also know as the Gauss Conformal Cylindrical projection.

Many common grid systems are based on the Transverse Mercator projection such as UTM, Gauss Krueger, German Grid, Dutch Grid, Israeli Grid. All these grids can be setup in the User Grid.

The following parameters are required to use a map with a Transverse Mercator Projection. These parameters are sometimes referred to as a User Grid.

Latitude Origin - may be zero (0) degrees
Central Meridian - Must be known for your particular map
Scale Factor - used to set up a grid system
False Easting - used to set up a grid system
False Northing - used to set up a grid system

(UTM) Universal Transverse Mercator

The UTM is not really a projection in its own right but is a Grid coordinate system based on a special case of the Transverse Mercator projection. The Latitude origin is set at 0 degrees; the Central Meridian is the centre of one of the 60 UTM zones which circle the earth 6 degrees apart; the scale factor is set at 0.9996; the False Easting is set at 500000; the False Northing is set at 0 for the northing hemisphere and 10000000 for the southern hemisphere.

The Central Meridian is calculated by OziExplorer based on your calibration points.

(BNG) British National Grid

The BNG is a Grid coordinate system based on the Transverse Mercator projection, all required parameters to set up the projection are automatically used. Also known as the OSGB grid.

(IG) Irish National Grid

The IG is a Grid coordinate system based on the Transverse Mercator projection, all required parameters to set up the projection are automatically used.

(NZG) New Zealand Grid

This is a specific projection and a grid system only used by New Zealand. All required parameters are known.

(NZTM2) New Zealand TM 2000

This is a specific projection and a grid system only used by New Zealand. All required parameters are known.

(SG) Swedish Grid

The Swedish Grid is a Grid coordinate system based on the Transverse Mercator projection, all required parameters are known.

(SUI) Swiss Grid

This is a specific projection and a grid system only used by Switzerland. All required parameters are known.

Lambert Conformal Conic

A sterographic projection which gives good directional and shape relationships, useful for large scale mapping. Used for air navigation and meteorological charts.

You need to enter the 2 lines of Latitude and the Central Meridian which are required to calculate this projection, these must be known for the particular map you are using.

Sometimes the projection can be specified with only 1 line of Latitude, since oziExplorer expects there to be 2 lines of latitude specified which are different values simply enter one of the values as a slightly different number (say add .000001 of a minute to the value).

Sinusoidal

The lines of latitude are straight and equally spaced. The Central Meridian is straight all other lines of longitude are curved. Good projection for large continental sized areas.

You need to enter the Central Meridian for the particular map you are using.

Polyconic (American)

Preserves area,shape, distance and azimuth for small areas, best for north-south extents. Former projection for US topographic maps, not recommended for larger areas because of distortion.

You need to enter the Central Meridian for the particular map you are using.

Albers Equal Area

Best for maps of east-west extents away from the equator, one of the most commonly used projections for maps of conterminous USA.

You need to enter the 2 lines of Latitude and the Central Meridian which are required to calculate this projection, these must be known for the particular map you are using. The Latitude Origin may also be required but defaults to zero degrees.


The France Grids

Calibration Procedure

Lambert I, II, III, IV maps

Map Datum - Select the datum you want to use for the map, the most likely would be "European 1950 (Mean France)". Even though the France Grids use "NTF France" for the IGN coordinates there is no need to choose this as the map datum as OziExplorer will automatically use the "NTF France" datum in its internal calculations but produce the positions in the selected map datum.

Grid Selection - In the Map Projection field select the France grid number you want to use, this should be the grid number the map uses for the +'s placed on the map as these are the points which will be used for the calibration.

Use the + marks printed on the map for calibration. The numbers for the +'s are shown on the edge of the map. You must add 000 to the IGN coordinates shown on the map edge to get the full Easting or Northing.

New Maps (Lambert 93)

The new maps are much easier to calibrate as they have a full grid in UTM "WGS 84" printed on them.

Select the Map datum as WGS 84

Select the Map Projection as UTM.
(Actually it may be more accurate to select the Map Projection as Lambert Conformal Conic and set the parameters as Latitude 1 = 44deg, Latitude 2 = 49deg and the Central Meridian as 3deg.). However it doesn't seem to make much difference to the calibration.

Calibrate the points using the UTM Grid on the map. You must add 000 to the UTM coordinates shown on the map edge to get the full Easting or Northing.

The France Grid is also shown on the maps as +'s so it is also possible to calibrate using the same method as the Lambert I, II, III, IV maps..


Changing the Name and Location of Map Images

The location and name of the image (link) for the map is stored within the map file (these files have a .map file extension). If you move the map images then this link is no longer correct and needs to be changed.

This feature allows you to :

  1. Change the link for the map image within the currently loaded map to a new location or to a new location and name if required.
  2. Change the links for the map images for all the map files in a specified folder to a new location. This option only changes the location (path) for the images not the image name.
  3. Change the Drive specified in the links for the map images for all the map files in a specified folder to a new location. This option only changes the Drive identifier in the location (path) for the images not the full image path or the image name.

wChangeImage.gif (6975 bytes)

Fields

Change Map Image File for Current Map

Change To - Select the image file you want the currently loaded map to be changed to.

Save Map - Saves the map file with the selected image link.

Change Image File Path for All Maps in Selected Folder

For All Maps Here - Specify the location of the maps to change. Note : all map files in this path will be changed.

Change Image Path To - Select the path where the images are located.

Change and Save Maps - Process all the map files.

Change the Drive Identifier in the Image File Path for All Maps in Selected Folder

For All Maps Here - Specify the location of the maps to change. Note : all map files in this path will be changed.

Change Image Drive To - Select the new Drive that you want to change the image link to. The path or image name is not changed, only the Drive identifier in the path is changed.

Change and Save Maps - Process all the map files.


Import Map Features and Comments from Map File

Allows you to import the Map Features and Comments from an existing map file into the currently loaded map.

Only the Features and Comments which will be located on the current map will be imported.

There is only 1 input required, that is the name of the map file you want to import the Features and Comments from.

If any Features or Comments are imported the currently loaded map must be saved to make these permanent.


Importing DRG Maps

For Registered (purchased) copies only.

  • Introduction
  • Importing a Single DRG Map
  • Importing a DRG CD or Folder
  • Importing DRG's with only a .tfw File (or other geo-reference file)

While it is simpler to be able to import the DRG maps, it is possible, for those which cannot be imported, to calibrate the maps by hand using 3 Lat/Long points, 3 corners of the map are quite adequate for an accurate calibration.

Introduction

Use this option to import maps of the supported map image types (TIF, BMP, PNG, JPG, SID, ECW, .....) An example is the USGS DRG raster maps provided by the USA government.

DRG stands for Digital Raster Graphic but are really images of maps in a digital image format which have the map geo-referencing supplied either as a separate file or embedded within the image format.

Examples

  • Some images are supplied with a .tfw file, a .tfw file is a simple text file which contains very basic calibration (georeferencing) information.
  • A Geotiff image file has the calibration (georeferencing) data embedded within the image file.

Georeference information may also be supplied in a .jgw file for JPG images, a .sdw file for SID images, ....

OziExplorer has various levels for importing these maps and try's to select the method which has the most information to give the best calibration and other parameters.

The georeference information is obtained in this order of priority:

  1. If the file is a Geotiff and the information is in the correct format or,
  2. from the TFW file if it is available or,
  3. from the FGD file if it is available

If the FGD file is available then additional information is obtained from it :

  • The Map Name
  • The Map Scale
  • The positions of the map corners (the border or neat line).

If the positions of the corner markers can be obtained then 3 of the corners are used as calibration points. There have been the some instances where the corners of the map stored in the FGD file are in error, this produces an incorrect calibration.

Maps from other sources may have a .XML or .MET file and these serve a similar purpose.

NOTE: If there is no DRG (or similar) file and the image is not Geotiff then the .TFW file is used. This file contains very basic calibration information and is missing some necessary parameters, this process is described fully below, see Importing DRG's with only a .tfw File .

If none of the above are available then the map image cannot be imported and must be calibrated manually.

Geotiff

OziExplorer can extract the georeference information from Geotiff files but it only knows how to decode the information if it is from a known source. Decoding is limited to just the commonly used map projections and grids.

The ability to decode other sources of georeference information in Geotiff files will be added on an as need basis where it is possible to do so.

(To import geotiff images, a geotiff support file (dll) is required. This can be downloaded from our website.)

Importing a Single DRG Map

Select the Import Map/Single DRG Map Option on the File Menu.

Step 1 - Find the image file of the map you want to import.

You need to know the name of the image file of the map you want to import. (It must be one of the supported image types such as TIF, BMP, PNG, JPG, SID, ECW, .....). You will have to find out this name from the information supplied with the CD, I would assume.

Press the OK button and the software will allow you to navigate through your Disk Drives and Directories until you locate the file. If the CD is from the USGS then the file would normally be located in the DATA folder. When you have located the file, select it by double clicking on the name or click on the name and press the Open button.

A METADATA (FGD or other) file may also be available for the image. This is usually located in the METADATA directory of the CD. If you copy the image file to your hard drive the metadata (FGD) file must also be copied and placed in the same directory as the image file.

Step 2 - Specify the Name and Path of the OziExplorer Map file you want to create.

The Map file name will be the same name as the image file but with a .MAP extension. The name of the file can be changed but do not change the extension. Save the file.

Step 3 - The newly created Map will now be opened.

From now on you open the Map by selecting the MAP file using the Load Map from File option. The original image must always be available when opening the map.

The map calibration used can be viewed using the normal Check Calibration of Loaded Map menu option.

Importing all DRG maps on a CD or in a Folder on your Hard Disk

This option allows you to import all DRG maps from a CD but can also Import DRG maps which have been copied to a Hard Disk. If you have a USGS CD and copy the image files to the hard disk you must also copy the fgd files from the metadata directory, place these in the same directory as the tif files.

Select the Import Map/All DRG Maps on CD or Folder Option on the File Menu.

The Import DRG Maps dialog will appear.

Image File Path - The path where the Image files are located. Press the button at the right hand end of the Image File Path field (or enter the Image File Path directly into the field). Select the path (directory) by browsing the disks.

Map File Path - The Path where the created map files will be placed. Press the button at the right hand end of the Map File Path field (or enter the Map File Path directly into the field). Select the path (directory) by browsing the disks.

Use Geotiff if available - If checked and the map images are in Geotiff format and the format is known then the georeference information will be extracted from the image file.

Press the Import button, the maps will be imported.

The new map files are created in the Map File Path you have specified in the configuration.

At the end of the process the number of maps successfully imported (and not imported if any) will be displayed.

The maps are now ready to use, simply open the map you want to view using the OziExplorer Load Map from File menu option.

Importing DRG's with only a .tfw File

This also applies to JPG files which have a .jgw file, the jgw file is the same as a tfw file, sdw files can also be used for .SID images, OziExplorer will use these file automatically if it exists.

While not preferred, it is possible to import DRG maps which only have the .tif (or other image format) and a .tfw file. There are a lot of parameters missing such as datum, UTM zone number, scale, map bounding coordinates + others. Most of these can be ignored and set manually after the map is imported.

A dialog will be opened which requests some of this information.

Map Datum - specify the map datum to be used.

Map UTM Zone - specify the zone, 2 digits only. For UTM projection maps the UTM zone number must be known to import the map so you must know this in advance. On the USA DRG maps the zone number is usually provided on the lower left hand corner of the map image, the datum is also provided there. You will need to open the map image in a paint program such as Paint Shop Pro www.jasc.com to view the image.

If you are importing a USA USGS DRG map with just a tfw file and the map image name is in the standard USGS format (example O43107C4.TIF) then OziExplorer will work out the correct UTM Zone number to use from the file name and put it in the Zone field of the DRG Import Options dialog as the default.

Hemisphere - Select the correct Hemisphere (North or South of the equator).

Always Ask - if checked this dialog will be shown for each map imported, if unchecked the parameters entered into the dialog will be assumed to apply to all maps.

Map Projection - Select the map projection which matches the projection of the map you are importing. If it is unknown, it is often provided on the map image. You will need to open the map in a paint program (see above). Some projections are not supported. Some projections require additional parameters (an example is Lambert Conformal Conic), the Projection Setup dialog will popup for you to enter these parameters.

Not all tfw files have the data values exactly as OziExplorer expects, so not all maps can be imported correctly with just the tfw file.


Converting Geotiff Image Files

Converting Geotiff Image Files from 24 bit color to 8 bit.

Note : OziExplorer can read both 24 bit and 8 bit tif images and both formats are paged in as required.

If a 24 bit image is converted to 8 bit color the Geotiff georeference information is lost.

This document describes a technique to save the georeference information and to then put it back into the file.

You need

Software to convert the Geotiff image from 24 bit to 8 bit color. Paint Shop Pro (www.jasc.com) works well.

The Tiff Utilities available from the Utilities section of the OziExplorer web site (www.oziexplorer.com).

Steps

These instructions assume the geotiff file you are converting is called mytiff.tif and is located in a folder called c:\images, replace this with the real name of the tif file and path.

Step 1

Open a DOS window.

Step 2

Use the listgeo.exe program to save the georeference information from the geotiff file into a file called mytiff.met, actually this file can have any name.

listgeo c:\images\mytiff.tif >c:\images\mytiff.met

Step 3

Convert the image to 8 bit color using Paint Shop Pro, the image is saved to mytiff1.tif, the compression method must be packbits and this is set up in the options button on the save dialog.

Step 4

Use the geotifcp.exe program to put the georeference information back into the file.

geotifcp -g c:\images\mytiff.met c:\images\mytiff1.tif c:\images\mytiff2.tif


Importing and Using BSB Charts

Use this option for importing the following charts.

  • BSB3, BSB4, BSB5 charts
  • NOS/GEO charts
  • NV.Digital charts

For Registered copies only.

  • Importing a Single BSB Chart
  • Importing a BSB Charts on a CD or In a Folder
  • BSB Import Options
  • Notes

While it is simpler to be able to import the BSB Charts, it is possible, for those which cannot be imported, to calibrate the maps by hand using 3 Lat/Long points, 3 calibration points are usually adequate for an accurate calibration.

Importing a Single BSB Chart

Select the Import Map/Single BSB Chart Option on the File Menu.

Step 1 - Find the KAP file of the map you want to import.

You need to know the name of the KAP file (the image file) of the map you want to import. You will have to find out this name from the information supplied with the CD, I would assume.

Press the OK button and the software will allow you to navigate through your Disk Drives and Directories until you locate the file. The file would normally be located in the BSBCHART directory of the BSB CD. When you have located the file, select it by double clicking on the name or click on the name and press the Open button.

Step 2 - Specify the Name and Path of the OziExplorer Map file you want to create.

A default Map file name will be given based on information extracted from the KAP file. The name of the file can be changed but do not change the extension. Save the file.

Step 3 - The newly created Map will now be opened.

From now on you open the Map by selecting the MAP file using the Load Map from File option. The original KAP file must always be available when opening the map.

Importing a BSB Charts on a CD or in a Folder

This option allows you to import all the BSB Charts from a CD but can also Import BSB Charts which have been copied to a Hard Disk.

Select the Import Map/All BSB Charts from CD Option on the File Menu.

Press the button at the right hand end of the Image File Path field (or enter the Image File Path directly into the field).

Select the path (directory) by browsing the disks.

Press the Import button, the maps will be imported.

The new map files are created in the Map File Path you have specified in the import dialog.

At the end of the process the number of maps successfully imported (and not imported if any) will be displayed.

The maps are now ready to use, simply open the map you want to view using the OziExplorer Load Map menu option.

Options

Shift datum - Some BSB charts have been georeferenced based on the WGS84 or NAD83 datum even though the source chart (image) is based on another datum. When this is done the calibration is correct but the positions displayed do not agree with the grid shown on the map as this grid is based on the original source map datum. The Shift Datum option allows you to change the georeferencing back to the original source map datum. You cannot choose just any datum, it must be datum the chart was originally produced in.

Examples - Charts produced by NDI (Canada) have been georeferenced to NAD83 but the source datum may have been NAD27 Canada Mean (or similar). BSB topographic maps produced by Maptrax (Australia) have been georeferenced to WGS84 but the source datum may have been Aust geodetic 1966.

Conditions - Not all charts can have the datum shifted.

NDI charts where the source datum is NAD83 or WGS84 will not be shifted, even if you specify a Shift datum.

Any chart must be georeferenced in NAD83 or WGS84 within the BSB file before it will be shifted. Charts must meet these conditions before they will have the datum shifted even if you do specify a Shift Datum.

NOTES :

Some BSB charts use datums which OziExplorer doesn't support, when this happens OziExplorer will set the Map Datum to "Auto Shift ....." and handle the datum conversions internally. Do not alter this setting as this could cause the calibration to be incorrect.

Any BSB charts which are imported will have the calibration locked, this means you cannot adjust the calibration points or corner markers manually. I have had to do this because BSB charts carry the calibration equations within the header of the chart so adjusting the calibration points will not alter this, the older charts do not have the equations but may have more calibration points than you are allowed to adjust manually so again there is no point adjusting only some.

BSB charts can have an unlimited number of calibration points, OziExplorer only uses the first 30 it finds, this limitation only applies to version 1 charts as version 2 charts have the calibration equations supplied.

The corner markers cannot be adjusted because there may be more than are allowed to be manually adjusted, the corner markers are set from the BSB file header.


Importing NOS

Importing NOS/GEO Charts

NOS/GEO charts are similar in format to BSB charts and can be imported using the BSB Import option.

See Importing BSB Charts help.


Importing NOS

Importing NV.Digital Charts

NV.Digital charts are similar in format to BSB charts and can be imported using the BSB Import option.

See Importing BSB Charts help.


Importing Maptech PCX or RML Charts

This option is on the File/Import Maps menu.

These types of Maptech Charts can be imported using this option.

  • This option is used to import Maptech PCX charts, these charts have a .HDR file extension (which are the files you import) and a series of files with the extensions of .A01, .A02.... etc.
  • Maptech RML charts (Superdisks) are also imported with this option. These charts have a .RML file extension.
  • Maptech Terrain Navigator .024, .100 and .250 charts can be imported.
  • Maptech .AER aeronautical charts can be imported.

The process involves OziExplorer examining the chart files on the CD (or folder) and creating OziExplorer .map files for each chart. The .map files are saved on the hard disk in the path specified. It is these .map files which are used to open the charts into OziExplorer.

The map images are not moved from the CD so the CD needs to be in the drive when the map files are opened.

Note

  • This Import option does not apply to Maptech BSB charts, these are imported using the separate BSB Import options on the Import menu..

wMaptechImport.gif (5572 bytes)

Image File Path - The Path where the chart files are located, for PCX charts this is the path where the .HDR files are located and is usually the charthdr folder on the CD. For Superdisks this is where the .RML files are located.

Map File Path - The path where you want the OziExplorer .map files to be placed, it is these files you will use to open the map in OziExplorer.

Import - Imports the maps and creates the OziExplorer .map files. The .map files can then be loaded from the map file path using the Load Map from File option on the Load button on the Toolbar. The map image files are not moved and must be available from their original location (usually the CD).


QuoVadis Map Import

This option is on the File/Import menu.

This does not mean every mapping CD sold by QuoVadis can be imported into OziExplorer. Only certain mapping CD's produced by QuoVadis Navigator can be imported. This includes but may not be restricted to specific Africa and Canada CD's. These maps come with calibration files for the Quovadis software. It is these .cal files that are imported to create OziExplorer .map files. If there are no .cal files on the CD then it cannot be imported.

Not every map calibration file that has been created by the QuoVadis Mapping Software can be imported using this option. The option has been specifically created for importing the QuoVadis Navigator CD's, only CAL files in the calibration formats (+some others) found on these CD's can be imported.

Please not that the Quovadis map calibration files are quite different from OziExplorer .map calibration files, this makes it difficult to do a perfect translation of 1 format to the other. If you find any maps that do not import correctly please notify me at info@oziexplorer.com

The process involves reading the .cal files on the CD and creating OziExplorer .map files for each map. The .map files are saved on the hard disk in the path specified. It is these map files which are used to open the maps into OziExplorer.

The map images are not moved from the CD so the CD needs to be in the drive when the map files are opened.

wQuovadis.gif (5629 bytes)

Cal File Path - The Path where the .cal files are located, this is usually a CD.

Map File Path - The path where you want the OziExplorer .map files to be placed, it is these files you will use to open the map in OziExplorer.

Import - Imports the maps and creates the OziExplorer .map files. The .map files can then be loaded from the map file path using the Load Map from File option on the Load button on the Toolbar. The map image files are not moved and must be available from their original location (usually the CD).


ECW Import

This option is on the File/Import Maps menu.

This option is used to import map images in ECW format, these charts have a .ECW file extension.

NOTE : ECW images can also be imported using the Import DRG options on the Import menu. This is useful if the map cannot be imported using the ECW Import option as many essential parameters can be added manually.

It is also possible to use ECW images located on an ECW image server.

  • Create a text file with an extension of .ecwp
  • Add the url of the ECW image as the first line of the file.

    Example a file called gtopo30.ecwp would have the first line of the file as
    ecwp://www.earthetc.com/images/world/gtopo30.ecwp

  • The .ecwp file can then be imported using the Import ECW option. NOTE : The ecwp file must always be kept as OziExplorer will refer to it each time the image is required when the OziExplorer map file is opened.

ECW images can have geo-referencing included within the image header and if this information is included then the images can be imported and the OziExplorer .map file created. Only ECW images which use a map projection of Lat/Lon or UTM can be imported. Other map projection data will not be decoded correctly and will result in incorrect geo-referencing (calibration) of the map.

The process involves scanning the image files on the CD and creating OziExplorer .map files for each image. The .map files are saved on the hard disk in the path specified. It is these map files which are used to open the charts into OziExplorer.

wEcwImport.gif (6083 bytes)

Image File Path - The Path where the ECW image files are located.

Map File Path - The path where you want the OziExplorer .map files to be placed, it is these files you will use to open the map in OziExplorer.

Import - Imports the maps and creates the OziExplorer .map files. The .map files can then be loaded from the map file path using the Load Map from File option on the Load button on the Toolbar. The map image files are not moved and must be available from their original location (usually the CD).


ECW Import

SID Import

SID images are imported using the Import DRG options on the File/Import Maps menu. See the help on Importing DRG maps for more details.

SID images are normally supplied with a file with a .sdw extension, this file contains the geo-reference information and must be available with the .sid file when importing the map images.


QuoVadis Map Import

Kompass Map Import

This option is on the File/Import menu.

Kompass maps can be used in OziExplorer but they must be first imported to create the .map file. The .map file can then be loaded into OziExplorer using the Load Map File option on the Load menu.

The map images are not moved from the CD so the CD needs to be in the drive when the map files are opened.

Kompass Map Path - The Path where the Kompass map is located, the map file is most likely map.gvg and is in the DKL folder on the CD.

Map File Path - The path where you want the OziExplorer .map files to be placed, it is these files you will use to open the map in OziExplorer.

Import Button - Imports the maps and creates the OziExplorer .map files. The .map files can then be loaded from the map file path using the Load Map from File option on the Load button on the Toolbar. The map image files are not moved and must be available from their original location (usually the CD).


Save Map to Image File

This option allows you to save the map as an image file. All the objects (waypoints, tracks routes etc) are drawn on the image. The image saved is almost exactly as you see it on the screen.

The image can be saved as a PNG image file (specify a .png file extension) or a BMP image file (specify a .bmp file extension). The png file will be much smaller because the format is compressed.

Images are saved in 24bit color format, if the image is required as a 8 bit color image (256 colors max) use a paint program such as Paint Shop Pro to reduce the colors.

Why are the images saved as 24bit color - A 256 color image has a limited palette, to be able to draw objects on the map in their correct color a larger palette is required.

Black & White Image (2 Color dithered) - The image is reduced to 2 colors (black & white) before saving, this results in a much smaller image. However to do the color reduction a large amount of memory is required to process it. If you do require an image of this type the best option would be to save it as a color image and use a paint program such as Paint Shop Pro to process it.


Map Searching

The searching of maps is used for many functions of OziExplorer

  • Map Find commands
  • Index Map
  • Name Search
  • Moving Map - changing maps
  • Moving Map - more detailed map

The map search may find one or more maps to load. In Moving Map, the most detailed map (best scale) will be loaded. Any of the Map Find commands (for example, if one of the directional arrows on the Find Maps toolbar button is pressed) will load the map if only one map is found. If more than one map is found a list of the maps is displayed in a Map Search dialog.

The maps in the list can be sorted, click on the heading of the column to sort. The example above is sorted on Pixel Scale. Select the map to you want to load and press the Open button , double click on the selected map or press the Enter key.

Options Button - select whether you want the dialog to automatically close or shrink the dialog when you open the map.

How it works

There are 2 stages involved in the search

1. Creating/Checking the Index files

When a search is performed OziExplorer will scan all the folders in the search path and create an index file for them if it does not already exist. The index files are stored in the System Files folder which is attached to the oziexplorer folder.

In order to discover if the map files in a folder have changed, been added to, or a new folder created OziExplorer stores a checksum in the index file. When you do a map search OziExplorer checks if the folders have changed, if something has changed OziExplorer creates or updates the index file, however in order to improve performance OziExplorer will not do this check again until 60 seconds have elapsed since the last check.

Certain operations are exempt from this rule

  • Any Index Map operation will always check the map indexes.
  • Saving a Map file in OziExplorer will force an index check the next time a map search is done.
  • Changing the OziExplorer configuration will force an index check the next time a map search is done.
  • Clicking on the red X on the Map Find buttons on the toolbar will force an index check the next time a map search is done.
  • Restarting OziExplorer will also force an index check the next time a map search is done.

There is an option on the Map menu to Re-index Map Files, this will re-index the map files so they will be up to date for map searching functions. For normal operation it is not necessary to do this operation as OziExplorer will automatically keep the map index files up to date.

2 .Searching the Index files

The actual map search just looks into the index files, this means the search is very fast because all the original map files do not have to be searched..

General

In order to find a map OziExplorer compares the search position to see if it fits within the corner markers of the map, if it does then that map is further processed to see if it meets other criteria (more detailed and so on).

So for a map to work correctly in a map search the corner markers must meet certain conditions.

  • The corner markers must be present - in some cases imported maps do not get corner markers until they are saved in OziExplorer for the first time - OziExplorer warns of this when the map file is first loaded.
  • The corner markers must be set in the correct position for the map. I know this seems obvious but there are many maps available which are created outside of OziExplorer which do not have correct corner markers.
  • The corner markers of the maps must not cross the 180 degree longitude
  • The corner markers must be within the mathematical limitations of the map projection being used. World maps or continental type maps are usually the ones which do not always meet these conditions.

Tips

If you make changes to the map files stored in a folder OziExplorer may not pick this change up until 60 seconds have elapsed since the last search. You can force OziExplorer to scan for changes by clicking on the red X on the Map Find buttons on the toolbar (you need to click it twice so it returns to its original position). Restarting OziExplorer will also scan for changes.

Be careful if you specify a root folder as a path ( say C:\ ) as OziExplorer will scan the entire hard disk for map files, this could take considerable time.


Index Map

The Index Map dialog allows an OziExplorer map to be loaded and displayed. An outline of all the maps stored in the Search Path will be drawn onto the loaded map. By moving the mouse over the window the maps available are displayed as a hint and the cursor changes to a finger pointer. By clicking the mouse all the maps available will be displayed in the map search list where the required map can be selected.

Guidelines

The map loaded into the dialog should be small (approximately 1/4 screen size is a good guide). If your map is larger use a program such as Paint Shop Pro to reduce it in size (if possible) and recalibrate it. You can have a selection of maps to use as index maps depending on the area you are working in.

Whatever map you choose to load into the index map window will be fully loaded into memory. Highly compressed images such as BSB or JPG will take considerable time to load and require a lot of memory.

There is a limit of 10000 maps which will be scanned in the folders and only the first 100 found under the cursor as it is moved across the index map will be displayed as a hint but they are still available in the map search window.

It is not always possible to display all maps on an index map or use all maps for an index map. The corner markers of the maps must not cross the 180 degree longitude and the corner markers must be within the mathematical limitations of the map projection being used. World maps or continental type maps are usually the ones which do not always meet these conditions.

wIndexMap.gif (17205 bytes)

Fields

im5.gif (972 bytes) Search Path - The path to search, any maps in this path will have their outline drawn on the index map.

Lock - The Search Path will be locked to the path of the currently loaded map in the main OziExplorer window.

Sub-Folders - If checked any sub-folders below the Search Path will be searched as well.

Size - The window will resize to fit the loaded map (within certain limitations).

Buttons

im1.gif (952 bytes) The Search Path will be set to the Map File Path that is specified in the main OziExplorer configuration.

im2.gif (946 bytes) Load a new map into the dialog.

im4.gif (1047 bytes) Zooms the map in and out.

im3.gif (898 bytes) Display a dropdown menu of options below

  • Refresh Maps - Will rescan the Search Path folder and redraw the map polygons.
  • Recent Index Maps - Keeps a list of the most recent Index Maps used which can be selected.
  • Recent Search Paths - Keeps a list of the most recent Search Paths used which can be selected.
  • Load New Map - Load a new map into the dialog
  • Highlight - Will show the map polygons the cursor is hovering over in a different color. If you have a large number of maps drawn on the index map then this option may be too slow to use.
  • Fast Draw - If checked the map polygon lines on the index map will be drawn with straight lines (which is must faster), if unchecked the map polygon lines will be drawn with curved lines which follow the curvature of the lat/lon lines on the index map (much slower to draw).
  • Auto Hide - After a map is opened the Index Map is automatically hidden.
  • Show Map List at Pointer - Will show a list of the maps available at the pointer location on the index map.

im6.gif (927 bytes) Unloads the map and frees all the resources being used, when the Index Map dialog is opened again the map must be reloaded.

im7.gif (959 bytes) Closed the dialog but keeps the map loaded.

im8.gif (934 bytes) Shows this help.


Name Search

Name Searching allows you to pick a name from the list of names and either plot the position of the place on the current map or search for maps which contain the location.

Limitations

Name Searching will not work on any map where the east and west map corner markers (the map boundary) are on either side of the 180deg longitude line.

wNameSearch.gif (9249 bytes)

Fields

Name to Find - Enter then name or part name of the place you want to find.

Feature Code - Select the type of feature to see in the list.

Left - When checked the text in the "Name to Find" field is searched for, starting at the left most character in the list.

On Map - When checked only those places which are located on the currently loaded map are displayed in the list.

Dock - When checked the Name Search dialog is docked to the right hand side of the window.

Buttons

bLoad.gif (276 bytes) Load Name Database - Used to load a Names database. Additional databases may be available in the Name Search folder if it exists.

bClearName.gif (225 bytes) Clear the Name to Find - Refreshes the search and also removes the text from the "Name to Find" field.

bClearCode.gif (194 bytes) Clear the Feature Code - Resets the Feature Code to "All Codes".

bAdvNameSearch.gif (205 bytes) Advanced Search - Advanced options - such as places located within a specified distance from a selected point (see below)

bLocate.gif (201 bytes) Plot Location - Plots the location of the place on the currently loaded map. If the place is not located on the map it automatically searches for other maps.

bFindmapwp.gif (216 bytes) Find Maps - Searches for other maps the place may be located on. Searching uses OziExplorers standard methods. It either searches for maps in the "Map File Path" set in configuration or the path of the currently loaded map depending on the settings in OziExplorer.

bPlotPoints.gif (158 bytes) Plot Locations as Points - Plots the location of all the positions on the map as "Points".

bCreateWp.gif (187 bytes) Create Waypoint - Creates a waypoint at the current selected location.

Help - Shows this help.

Close - Closes the Name Search dialog.

Other

When entering text into the "Name to Find" field searching automatically commences 1.5 seconds after you typed the last character.

The column widths in the list can be adjusted by dragging on the column boundary, the column width setting will be stored.

The datum of the positions in the .names file defaults to "WGS 84".

If a different datum is needed one of the lines of the .types file will contain the datum name, an example is below.

DATUM,Australian Geodetic 1966

Advanced Name Search

wAdvNameSearch.gif (3823 bytes)

Lat, Long - Enter the position, click on the map to enter the position automatically.

Distance - The search radius.

Distance Units - The units used for the search radius.

Refresh plotted position.

Draw - The circle will be drawn on the map.

Hatch - The circle will be filled with a diagonal pattern.

Search - Start the search, the locations within the specified circle will show in the name Search list.

Close - Close the Window.


Using the Find Map Feature

The symbol used on the Button bar for the Find Map options.

The Find Map option is available on the Button Bar, the Map Menu, the Waypoint List, and on the Right Click Menu for any of the Map Objects (waypoints, events etc).

The Find Map option will scan all the maps in the Map File Path (set in Configuration).

If the small Red X button is not depressed then the Map File Path and its subfolders are searched for maps which will contain the specified position.

If the small Red X button is depressed then the Map Find feature will only search the Path (folder) where the currently loaded map was loaded from.

The Red X button is the same as selecting the "Lock to Current map Path" option on the Find Maps option on the Map menu.

This section describes the options available on the Button bar and Map Menu.

From Entered Position - The option is only available on the Find Maps option on the Map menu. A dialog will be presented to allow you to enter a position, the maps are searched for this position.

At Present Position - The present position means the map position at the centre of the screen. The Lat/Lon coordinates at the centre of the screen are calculated and the maps are searched, and maps which can display this position are listed. The yellow circle in the Find Maps button set on the toolbar selects this option.

To the North - To obtain the position to search the following method is used. The Longitude is calculated for the position at the center of the screen. The Latitude is then calculated for a position immediately beyond the north edge of the map, the maps are then searched for this position.

A similar method is used for South, East and West. The arrows on the Find Maps button set on the toolbar selects these options.

The Map Find Display

wFindMap.gif (4486 bytes)

This lists all the maps found which contain the specified position.

The ".." at the start of the map path indicates the map is located in a subfolder below the "Map File Path" (or for Index Map searches it is the Search Path specified).

The maps are shown in the order of the column which shows the small triangle in the title of the column. For Example, click on the title "Pixel Scale" to sort the maps in order of Pixel Scale.

Select the map to you want to load and press the Open button , double click on the selected map or press the Enter key.

Buttons

Help (?) - Displays this help.

Options - Displays a drop down menu.

Auto Close Window on Map Open - When ticked the dialog will be closed when a map is opened.

Auto Shrink Window on Map Open - When ticked the dialog will shrink to the window title when a map is opened.

Open - Loads the selected map.

Close - Closes the Find Map dialog.

How Map Searching works


Using the Blank Map

A Blank Map can be created by selecting the Blank Map (Auto Scale) option on the Map menu.

Note: If you were using a Blank Map the last time you were using OziExplorer and have the "Load Last Map" configuration option set, the Blank Map will be created automatically.

When first created the Blank Map will be calibrated to cover the entire world. When you load data from file or download data from the GPS the map will automatically rescale itself so the data will fit completely on the map. When any additional data is added or deleted manually, you can use the ReScale Blank Map option on the Map Menu. Other than by using the zoom option there is no way for the user to set this scale.

By default a 10 degree grid is drawn on the map, different grids can be selected by choosing the Blank Map Grid on the Map menu.


Magnetic Variation

The Magnetic Variation is used to calculate Magnetic Headings or Bearings from True Headings or Bearings and vice versa.

OziExplorer has 3 methods of obtaining the Magnetic Variation.

  1. It can be manually entered for each map in the Calibration screen, this is optional.
  2. It can be obtained from the GPS when connected and actively doing real time tracking
  3. It can be calculated by OziExplorer for any position on the globe for any given point in time.

Which Magnetic Variation is used

When calculating bearings for "Routes" and "Distance between waypoints (bearings)" the manually entered Magnetic Variation is used, if this has not been entered the calculated Magnetic Variation is used.

When displaying a route for navigation but the GPS is not active then the manually entered Magnetic Variation is used, if this has not been entered the calculated Magnetic Variation is used.

When displaying a route for navigation and the GPS is active and is transmitting the Magnetic Variation or Magnetic Course then this reading is used, if the reading is not available then the manually entered Magnetic Variation is used, if this has not been entered the calculated Magnetic Variation is used.


Seamless Maps

Seamless Maps (Experimental)

This method of displaying many maps at the same time is experimental and does have some limitations which are explained below.

Overview

  • A seamless map can be thought of as a container which can have many OziExplorer maps loaded into it. For Example : load a seamless map (.map) file and all the maps contained in the map file will be loaded.

  • You can have many seamless maps with each one having many loaded maps.

  • To setup your seamless map - As you would normally load a map in OziExplorer, load the map file "Seamless.map" and use the Seamless Map Control to add your maps. The options on the "Options Menu" allow you to create additional seamless map files.

Limitations in this version

  • Map Projection and Datum - The seamless map can only be displayed in the Mercator map projection and the WGS 84 datum but this will be changed in a future version to allow any map projection / grid and datum to be used for the displayed map.

  • Mapview - Will be implemented in a future version.

  • BSB4/5 and Nv Digital not supported but will be in a future version.

  • Internet maps cannot be loaded into a seamless map.

  • Some other map types such as UBD and Kompass cannot be loaded into a seamless map.

  • Printing will be supported in a future version.

  • Saving does not work, it may be supported in a future version.

Getting Started

Steps to set up a Seamless Map.

  • Load the seamless map file from the Seamless Maps folder.

  • Use the option on the Options Menu "Create New Empty Seamless Map" to create and name your own map file Eg: "Seamless Map - My Maps.map". This can be done any number of times to create different seamless maps to add different maps. (Maps of different scales or maps for different regions etc).

  • Use the "Seamless Map Control" toolbar buttons to add maps to the seamless map.

  • There are 4 zoom buttons on the toolbar to change the seamless map zoom.

  • In the map list, if the "Status" does not show "ok" the map will not be shown.

  • Use the options on the drop down Options Menu to change the list sort order. (NOTE: if maps have been moved up or down the list using the Up/Down buttons, changing the sort order will re- sort any maps that have been moved).

  • The control can be resized by dragging the sides of the control (the size and position will be remembered). Use the Show Action List button to show/hide the action list.

Toolbar Buttons

Add Maps - Select one or more files in a folder to load into the seamless map.

Add Maps from a Folder - Add all maps from a folder and subfolders - Select a folder, all maps in the folder and its subfolders are loaded.

Find Maps for Screen Region - Find and load maps for screen region - Select a folder, all maps in the folder

Zoom to 100% - Zoom in to 100% for the map at the centre of the screen.

Zoom In - Zooms the map in, the zooms from the buttons are finer than the zoom levels from the drop down menu.

Zoom Out - Zooms the map out.

Select Map Zoom Level (menu) - A drop down menu of zoom levels is displayed.

Show Action List - The Seamless map Contol is expanded to show the actions list.

Show Options - A drop down menu of options is displayed. (The menu options are explained below)

Move the Selected Map Up - moves it up. Maps at the top of the list will be displayed on top of maps further down the list.

Move the Selected Map Down - moves it down.

Centre Position on the Selected Map - The map position is moved to the position of the center of the first selected map.

Remove the Selected map from the List - removes the selected maps.

Save the Map File - Save the loaded seamless map (the map is automatically saved when it is closed).

Option Menu

Copy Map to New Seamless Map - There is no limit to the number of seamless maps you can have. This option copies the loaded seamless map to a new name, the new seamless map can then be loaded and individual maps can then be deleted or added as required.

No Sort of Maps - Does not automatically sort the maps, useful if you want to move the maps into a specific order that will not change.

Sort Maps by Pixel Scale - The maps at the top of the list are shown on top of the maps that are lower in the list. Sorting the maps by their pixel scale is usually the best way as you would normally want the higher detail maps on top.

Sort Maps by Name - Sorts the maps by the map name.

Remove All maps from the List - Removes all the maps from the seamless map list. This does not affect the maps on disk it only removes them from this seamless map.

Delete All Map Thumbnails - For seamless maps OziExplorer creates small thumbnails of various sizes for each map to speed up the loading process. This option deletes the thumbnails and they will be recreated as needed.

Configuration - Shows the configuration dialog.

Configuration

Max Memory (MBytes) - The amount of memory OziExplorer is to use for working with maps. The default is 750 MBytes but much higher or lower values can be specified depending on the amount of memory your PC has.

The Status Bar

Number Maps - the number of maps loaded

Mem Total for Maps - the total memory allocated in seamless maps configuration

Free for Maps - the amount of allocated memory remaining


Datums

What is a Datum?

The latitude and longitude of places on a chart or map depend on what mathematical shape is used to represent the Earth when the chart or map is drawn. Different shapes get used for mapping different areas of the world and these are known as ellipsoids. A datum references a particular ellipsoid known as the reference ellipsoid. Different datums can also have different origins and rotations. Both these factors affect the numerical representation of a position.

Datums affect the positions of Latitude/Longitude and local grid systems (UTM, British National Grid etc).

So how does this affect me?

If you have two charts of the same area and they have been drawn on different datums, then the latitude and longitude for the same place is likely be different on each chart. In Australia the difference between an AGD66 and a WGS 84 charted position can be up to 200 meter's (0.1 miles). This could be the difference between one side of a reef and the other!

If you plot a GPS latitude and longitude on a chart which uses a different datum, you must apply some corrections otherwise you will plot your position in the wrong place. Mapping software such as OziExplorer will usually do these corrections for you.

CHECK YOUR DATUMS CAREFULLY– all latitudes and longitudes which you use for navigation must relate to the SAME datum.

How does OziExplorer Handle Datums?

OziExplorer can handle many different datums and knows how to translate positions from one datum to another. Provided you have entered your datums correctly OziExplorer will ensure that all positions are translated to the correct datum as required.

How to set Datums in OziExplorer

Setting Datums incorrectly will make the positions used in OziExplorer incorrect.

The Map Datum - (set in the Map Calibration screen) must always be set to be the same as the Datum the map was drawn in. (Actually to be more correct the Map Datum must be set to be the same as the Datum used to obtain the positions used to calibrate the map). Changing the Map Datum to anything else will definitely cause positions to be calculated and displayed on the map incorrectly.

The Data File Datum can be set to any datum you like. It only affects the positions stored in the file. It is only provided as a configurable option in case you want to work directly with the data file.

The GPS Upload/Download Datum - must always be set to match the datum your GPS expects its position data to be transmitted in.

  • For Garmins this Datum should always be set to WGS 84.
  • For Magellans this Datum should always be set to WGS 84.
  • For Lowrance/Eagle - Most should have this Datum set to WGS 84 but care should be taken if using a GlobalNav 200 or Eagle Explorer as certainly some of these units require the Upload/Download Datum to be set to the same datum as the GPS is set to.

The GPS NMEA Output Datum - must always be set to the same datum that the GPS uses for the positions it sends in the NMEA sentences.

  • For Garmins the Datum must be set to the same as the Datum setting in the GPS. If using moving map mode and you change the GPS datum then you should always change this datum also.
  • For Magellans you need to check this, some models output in WGS84 and others such as the 315/320 output in the Datum the GPS is set to.
  • For Lowrance/Eagle - Most should have this Datum set to WGS 84 but care should be taken if using a GlobalNav 200 or Eagle Explorer as certainly some of these units require the NMEA Output Datum to be set to the same datum as the GPS is set to.


Adding User Datums

OziExplorer can use up to 10 user defined datums.

To add User Datums to OziExplorer you need to do the following.

If it doesn't already exist Create a text file called datums.dat in the OziExplorer directory. OziExplorer will read this file the next time it is run, the user datums will always be added to the bottom of the list.

Within this file add the following line or lines (if more than 1 datum is to be added).

The format of the line is as follows :

Datum name , Ellipsoid number , dx , dy , dz

Datum name - Any name you want to enter

Ellipsoid number - All datums have a reference ellipsoid, choose the number from the list below. If the ellipsoid is not in this list then you cannot add the datum, you need to contact the author of OziExplorer and have the ellipsoid added into the code.

dx,dy,dz - these must be known for the particular datum you are entering.

A comma must be used between all the fields.

Example - A line in the file may look something like this

NAD 27 User, 4, -8, 160, 176

Ellipsoid List

0 : 'Airy 1830'; a : 6377563.396; invf : 299.3249646
1 : 'Modified Airy'; a : 6377340.189; invf:299.3249646
2 : 'Australian National'; a : 6378160.0; invf: 298.25
3 : 'Bessel 1841'; a : 6377397.155; invf:299.1528128
4 : 'Clarke 1866'; a : 6378206.4; invf: 294.9786982
5 : 'Clarke 1880'; a : 6378249.145; invf:293.465
6 : 'Everest (India 1830)'; a : 6377276.345; invf:300.8017
7 : 'Everest (1948)'; a : 6377304.063; invf:300.8017
8 : 'Modified Fischer 1960'; a : 6378155.0; invf: 298.3
9 : 'Everest (Pakistan)'; a : 6377309.613; invf:300.8017
10 : 'Indonesian 1974'; a : 6378160.0; invf: 298.247
11 : 'GRS 80'; a : 6378137.0; invf: 298.257222101
12 : 'Helmert 1906'; a : 6378200.0; invf: 298.3
13 : 'Hough 1960'; a : 6378270.0; invf: 297.0
14 : 'International 1924'; a : 6378388.0; invf: 297.0
15 : 'Krassovsky 1940'; a : 6378245.0; invf: 298.3
16 : 'South American 1969'; a : 6378160.0; invf: 298.25
17 : 'Everest (Malaysia 1969)'; a : 6377295.664; invf:300.8017
18 : 'Everest (Sabah Sarawak)'; a : 6377298.556; invf:300.8017
19 : 'WGS 72'; a : 6378135.0; invf: 298.26
20 : 'WGS 84'; a : 6378137.0; invf: 298.257223563
21 : 'Bessel 1841 (Namibia)'; a : 6377483.865; invf:299.1528128
22 : 'Everest (India 1956)'; a : 6377301.243; invf:300.8017
23 : 'Clarke 1880 Palestine'; a: 6378300.789; invf:293.466
24 : 'Clarke 1880 IGN'; a: 6378249.2; invf:293.466021
25 : 'Hayford 1909'; a: 6378388.0; invf:296.959263
26 : 'Clarke 1858';a:6378350.87;invf:294.26
27 : 'Bessel 1841 (Norway)' ; a:6377492.0176;invf:299.1528
28 : 'Plessis 1817 (France)'; a: 6376523.0 ; invf:308.6409971
29 : 'Hayford 1924'; a : 6378388.0; invf: 297.0
30 : 'Danish (Andrae) 1876'; a: 6377019.25666 ; invf: 300.0
31 : 'Walbeck 1819'; a: 6376896.0 ; invf: 302.7821565
32 : 'Walbeck 1819 (2)'; a: 6377016.7608 ; invf: 302.7821565
33 : 'Tenner 1844'; a: 6377096.0 ; invf: 302.5


Select the Display Datum

This dialog allows the selection of a datum used to display positions and the grid. All dialogs that display positions that do not have their own datum selection provided are shown using the selected display datum. If the selection of the datum in the list is "Datum of Loaded Map" then the display datum will always be the same as the datum of the currently loaded map.

wDatumSelect.gif (5049 bytes)

Buttons

ds1.gif (168 bytes) Set the Display Datum to always be the same as the currently loaded map. Even if a new map is loaded with a different datum to the one currently loaded the display datum will change to match the datum of the new map which is set in the Map Calibration screen. Pressing this button is the same as selecting "Datum of Loaded Map" at the top of the datum list.

ds2.gif (153 bytes) Accept the datum selected in the list as the display datum and close the list. The Datum can also be selected by double clicking on the selection in the list.

ds3.gif (171 bytes) Shows this help screen.

ds4.gif (168 bytes) Close the list without making any change.


Moving Map

  • Introduction
  • Setting Up Maps
  • GPS Setup
  • Starting Moving Map
  • Command Line Parameters
  • Status Display
  • The Track

See also - Moving Map Control Moving Map Menu Configuration

Introduction

When your GPS is connected directly to a computer and the GPS is sending the NMEA $GPRMC or ($GPGGA and $GPVTG) or ($GPGLL and $GPVTG) sentence OziExplorer can plot your location directly onto the map on screen in real time, this is called "Moving Map". You must have a calibrated map available which covers the position the GPS is sending.

Software Simulator - For testing, a software simulator is provided in OziExplorer and details on how to use this are provided below.

Moving Map has the following features.

  • Ability to automatically change maps when your position moves off the current map or across the map "neat lines". The "neat lines" (corner markers) are set up in "Check Map Calibration".
  • OziExplorer can be set to scan for more detailed maps at configured intervals and load a more detailed map if one is available, Note - you do not have to cross the map "neat line" for this to occur.
  • Ability to show the track onscreen (called the Track Tail) and log the track direct to a file.
  • Ability to sound and show alarms when approaching waypoints.
  • Ability to sound and show alarms when entering Alarm Zones.
  • Ability to navigate along a predefined route or to a specific waypoint, see Navigation.

Setting up Maps for Use with Moving Map

When you move off the current map OziExplorer will search through the available maps and select a map which can show the GPS position and provides the best scale. If a suitable map cannot be found OziExplorer will wait 15 seconds and search again, then 30 seconds and search again and then 60 seconds between searches.

Maps are setup for use in Moving Map by default. If necessary, changes can be made in the map calibration screen. See the Moving Map Options of the Creating Maps help for details and explanation.

GPS Setup

To use moving map your GPS must output certain NMEA sentences in the 0183 format. The required sentence(s) are :

  • $GPRMC (preferred) or
  • ($GPGGA and $GPVTG) or
  • ($GPGLL and $GPVTG).

Most GPS receivers can output the required sentences but most require configuring. You may need to refer to your owners manual for the method.

Some Garmins have the capability of outputting the required information using the PVT format, this is also supported by OziExplorer and this option is turned on in the Comm Tab in Configuration.

The GPS needs to be connected to the USB or serial port of the PC. Other GPS types, such as bluetooth, use driver software to install a virtual serial port.

Starting Moving map

If you have everything setup correctly Moving Map can be started by selecting the Start NMEA Communication with the GPS option on the Moving map Menu. Alternatively (and preferred) you can activate the Moving map Control and press the Start button.

If it is working ok you should see some indication on the Status Line at the bottom of the map. See the Status Display section below.

If it is not working as expected see the Trouble Shooting section in the Help Index.

Command Line Parameters

To allow moving map to be automatically started when starting OziExplorer the following command line parameters are available. Note, the / is part of the parameter name.

The following command line parameters can be used when starting OziExplorer

/mmstart - Starts Moving Map (NMEA) communication
/mmcontrol - Shows the Moving Map Control
/navcontrol - Shows the Navigation Control
/gpsfix - Shows the GPS Fix window

example command lines
oziexp.exe /mmstart /mmcontrol /navcontrol /gpsfix
oziexp.exe /mmstart
oziexp.exe c:\oziexplorer\maps\mymap.map /mmstart /mmcontrol

Note that you can specify a map on the command line but if the GPS position is not on that map or the map has not been specified as available for Moving Map OziExplorer will attempt to find a new map.

Status Display

The status line at the bottom of the screen displays the following.

The left hand panel will show "Moving Map is ON" when you start the NMEA communication. It does not have to be receiving data from the GPS to display this message. The panel will show a <+> symbol which will toggle on and off when actual data is being processed. If you see the plus sign it means the correct data is being received and processed for display on the map, if you do not see the <+> symbol something is not right. If the <+> symbol is not being toggled on and off data is not being processed.

The next panel will display the following, these should be toggled on and off when data is being received.

  • <nmea> when any type of nmea data is being received.
  • <gprmc> if the $GPRMC nmea sentence is being received, other sentences being used have a similar code.
  • <no fix> if the data in the $GPRMC nmea sentence is invalid (no fix or on some GPS units the unit may be being operated in simulator mode).
  • < pvt > if using PVT mode for Garmins which support it.

There a 2 little lights that flash. The left hand light will flash blue and white when NMEA sentences are being received. The right hand light will flash green and white when a suitable NMEA sentence is being processed and the data is valid, it will flash red and white when the data is invalid (the gps may not have a fix or it may be in simulator mode).

The right panel displays the position of the GPS.

The time displayed to the right of the position is the PC time the last position was received, this indicates how old the position fix is.

The Track

Track Tail - If the Log Track Tail option is ticked on the Moving Map Menu the track will be displayed by Moving Map and this is called the Track Tail. It is a track of 10,000 points. If the maximum is reached, the first track points collected drop off as needed. To turn on/off the display of the Track Tail, tick/untick the Log Track tail option on the Moving Map Menu. Note : Even with the Log Track Tail unticked, if the Log Track to File option is ticked, all track points will still be stored in a file on the hard disk.

If the Log Track to File option is selected on the Moving Map Menu then the track is automatically captured can stored to file. The track log can be stored to different files Daily, Weekly, Monthly or Never. The default setting is Daily. Never means a different file is never created (see below). This setting is configured on the Track tab in Configuration. A new file (based on the date and time) will be created daily, weekly, monthly as required.

If the Never setting is selected for the file frequency and the Log Track to File option is ticked on the Moving Map Menu, the track will be automatically saved to a file mmTrack.plt (or a name you specify). The track is always appended to this file even when starting new moving map sessions and the file will keep growing in size. An option is provided on the Moving Map menu to clear this file. The track file mmTrack.plt (or the file you specify) is a normal OziExplorer track file and can be loaded and displayed on a map as normal. Each moving map session is treated as a separate track segment. To change the file name (mmTrack.plt), use the option Change Track Log File on the Moving Map Menu.

See the Moving Map tab on the Configuration dialog for setting up the intervals at which the track points are captured and stored. The configuration help has details on this feature. Note - capturing of the track is disabled when the interval is set to zero (0).

The track log files can be loaded and saved the same as any track, and it can be loaded and saved at any time to any name.

The time collected and stored for a track is the UTC time extracted from the NMEA sentences but the date used is the PC date. This is necessary as not all NMEA sentences provide the date. Note that the time initially used to log track points may be the PC time until a time has been collected from the NMEA sentence.


Proximity Waypoints

Proximity zones can be set around waypoints at any specified distance in the units you have specified in the configuration.

If you travel into (enter) this zone while using Moving Map an alarm will sound.

Proximity zones are used to indicate when you are approaching a waypoint and also have a good visual presence so can be used to highlight a waypoint.

Note 1 : Proximities can be used for any waypoint not just those in routes.

Note 2 : Do not confuse waypoint proximities with the Route Waypoint Proximity, they are separate parameters. The route waypoint proximity is used to indicate when the leg of a route has been completed and the number applies to all waypoints in the route.

The proximity zones show as red circles with a blue diagonal hatch.

Note : While the proximity waypoints are similar to those found in Garmin GPS receivers it is not possible at this stage to upload these to the Garmin.

Creating Proximity Waypoints

Any waypoint can have a proximity zone set. Go into the properties for a waypoint, on the properties there is a field called Proximity Distance, enter a number into this field.


Anchor Alarm

The Anchor Alarm will check how far your vessel has drifted from its anchor point and sound an alarm when the value exceeds the specified radius.

Screen

The center of the circle is the vessels anchor position.

If the vessels position leaves the red circle then the alarm will sound.

The green dot is the vessels current position.

The track behind the green dot shows the movement of the vessel.

Buttons

Reset - Will reset the Anchor position to the vessels current position.

Sound - Will temporarily turn off the alarm sound.

Configuration

Radius - The radius from the anchor position. if the vessel leaves this circle the alarm will sound.

Radius Unit - The unit used for the radius.

Show Track - If ticked the track will be shown as the vessel moves.

Track Ageing - Track points which are older than this value will not be shown.

Averaging Time - The amount of time the vessel position will be averaged when determining the anchoring position. Averaging will give a more accurate anchor position.

Alarm Sound File - The sound file to play when the vessel moves outside the defined radius. Sound Files are normally stored in the Sound Files folder which is attached to the OziExplorer folder.

Alarm Duration - How long the alarm sounds for.

On - If ticked the alarm will sound.


Alarm Zones

Alarm Zones are polygons (multi sided boxes) drawn onto the map, if you travel into (enter) into an alarm zone while in moving map mode an alarm will sound.

Alarm zones are mainly used in the marine environment to mark reefs etc but may have uses elsewhere.

Creating an Alarm Zone

Alarm Zones are just a special type of track and are created using the normal track creation methods.

A map must be loaded.

Select the Create Track button on the Toolbar

bTrack.gif (2482 bytes)

Click the mouse on the map around the area you want to turn into an alarm zone. A series of track points will be drawn. Draw a line around the area, just before the area is closed stop drawing the track and select the Track Control

bTrackControl.gif (2272 bytes)

Refer to the Track Control help on how to open the Track Properties.

In the Track properties the Type must be specified as Alarm Zone.

Other properties can also be set to suit your requirements.

Alarm Zones will only cause the alarm to be activated if they are attached to the map. This is done using the Options button in the Check Calibration of Map option which is on the File Menu.

To edit an existing Alarm Zone it must be loaded onto the map using the Load Track from File option on the Load button on the Toolbar.

Notes

Note 1 : The number of points in an alarm zone must be 100 or less.

Note 2 : The number of Tracks attached to a map (which includes alarm zones) must be 50 or less.


Range Rings

Range Rings are circles drawn around the current GPS position (using moving map). The radius of the rings and other properties can be specified in the Range Rings Setup dialog.

wRangeRings.gif (3253 bytes)

Rings On - When checked the rings are drawn around the GPS position.

Ring Radius - The radius of the first ring, this is used in combination with the Radius Units below.

Radius Units - The units to use to obtain the radius distance of the first ring.

Number of Rings - How many rings to draw. Example - if you specify 3 rings are to be drawn and the radius in 1Km then the first ring is drawn at a radius of 1 Km around the GPS, the 2nd line is drawn at a radius of 2 Km, and the 3rd ring is drawn at a radius of 3 Km.

Ring Color - The color of the line used to draw the rings.

Line Width - The width in pixels of the line used to draw the rings.


Regional Map

wRegionalMap.gif (33343 bytes)

The regional map window is used when using moving map (real time tracking) mode, it shows your position on a map loaded in the regional map window. When not using moving map mode it centers on the center of the main map.

NOTE - If you do not have a map loaded in the main OziExplorer window then you will not see the map in the regional window as it links to that map. If the area of the map loaded in the main OziExplorer window is not located within the boundaries of the regional map then the regional map will scroll off the window and you will not see it.

The Tracking of the Main map can be turned off by using the "Track Main Map" option on the right click menu. When the Tracking of the main map is turned off the regional map window is given scroll bars to navigate over the map.

I designed it to have display a map which covers a very large area so when tracking you can see where you are positioned relative to local landmarks (towns etc).

Loading a Map into the regional map window.

Select the Show Regional Map Window on the Moving Map menu.

If the window is already open then right click on the window to show a menu where the Open Map option can be selected.

Saving the Window Position

Open the window by loading a map into it, position the window where required and close it by pressing the X in the top right hand corner, from now on the window will be positioned in the same place until changed again using the same method.

Resizing the Window

Right click on the window to show a menu, select the size from the list of options. The size you select is remembered from now on until changed again.

Limitations

While any of the normal type of map images can be loaded in the regional map window the image is always fully loaded into memory. This means that TIF, BSB, Maptech and OZF maps are fully loaded into RAM (instead of being paged from disk), these maps can be quite large and there is a chance your computer may run out of resources while loading the image, in these cases the loading will be aborted.


Moving Map User Defined Pointers

There are 3 user pointers which can be selected on the Moving Map tab in Configuration.

If Selecting User 1 the pointer will be read from a file called userPointer1.dat

User 2 from userPointer2.dat

User 2 from userPointer3.dat

OziExplorer reads the pointer from the file when moving map is started.

The drawing consists of a set of points which have lines drawn between them.

There is a limit on the size of the drawing, if it is too big it will be clipped when drawn onto the map. Use the example below as a for the size.

This is an example of a file (userPointer1.dat) which draws an aeroplane

;moving map user pointer
;aeroplane
;lines starting with ; are treated as comments and not read
;empty lines are not read
;file consists of a set of x,y coordinates - 1 set per line
;a maximum of 100 points
;whole numbers only
;the 0,0 coordinate is plotted at the GPS position
;OziExplorer loads this file when it starts moving map
0,0
3,3
3,7
15,7
15,11
3,13
1,22
5,22
5,26
0,27
0,24
0,27
-5,26
-5,22
-1,22
-3,13
-15,11
-15,7
-3,7
-3,3
0,0


Navigation

Introduction

You can use the moving map feature of OziExplorer to simply display your actual position on a map as you move.

You can use the Navigation feature to help you navigate to a waypoint or along a route composed of waypoints.

Navigating Along a Route or to a Specific Waypoint

You must load a set of waypoints and a set of routes (if navigating along a route) before you can select a navigation option. Select Navigate To ..... on the Navigation menu. Select either Along a Route or Waypoint From a List. Select either the Route or Waypoint, the route can be reversed by selecting the Reverse Route checkbox. If you selected a route the route will be displayed on screen with details of each leg (if relevant configuration option set). Navigation assistance will start as soon as you are receiving a position from the GPS (or simulator). The Navigation Control shows the information you need to navigate to the 1st waypoint.

The Navigation tab in OziExplorer Configuration has settings which affect navigation, you must set these to your requirements.

The software determines if you have reached a waypoint by

  • Entering the Route Wp proximity zone (set in configuration)
  • Going past the waypoint (a line perpendicular to the leg direction).

If either of these 2 events occur you are deemed to have reached the waypoint and navigation along the next leg of the route will be commenced.

If you have a route but don't want to start at the 1st waypoint you can select which waypoint in a route to navigate to 1st by selecting the Show Details of Active Route button which is on the Moving Map Control. Select a Waypoint and press the Navigate To button.


Anchor Alarm

AIS Configuration

Automatic Identification of Ships

All ships above a certain size are required to broadcast their position.

By using an AIS receiver the positions and types of ships can be plotted on the loaded map.

AIS data can be supplied on the same com port as the GPS NMEA data or on a separate com port. If AIS is marked as Active (in AIS configuration) then it is automatically started when Moving Map is started. A button for the AIS control can be manually added to the User Toolbar. For my testing I have been using the Nasa Marine AIS Engine.

Use AIS System - Tick this box if you want the AIS system to be active.

Ship Size - Specify the size of the graphic (triangle) seen on the screen.

AIS Distance Units - Select the distance units you want to use.

AIS Speed Units - Select the speed units you want to use.

Ship Track Length - Specify the length of track that is plotted behind each ship.

Loaded Map Only - If this is ticked only ships which are positioned on the currently loaded map are processed and displayed.

Ship database

  • Delete if older then (days) - If a ship has not been updated within this time it is deleted from the database.
  • Ignore if older than (mins) - If a ship has not been updated within this time it is ignored.
  • Flag if older than (mins) - If a ship has not been updated within this time it is flagged with a different color in the list (its position may not be valid).

Use Com Port Input - If you have a AIS receiver connected to a com (serial) port.

  • Com Port - Specify the com port number the receiver is connected to, if the gps and AIS receiver use the same cable the port number can be the same as the gps NMEA port setting set in the main OziExplorer configuration.
  • Baud Rate - Set the baud rate the receiver uses, if the same port as the gps NMEA then this baud rate setting is ignored.

Use TCP/IP Input - If you are reading AIS data through the internet.

  • TCP/IP Host - The TCP/IP host address.
  • TCP/IP Port - The TCP/IP port number the host is using.

Show Label - A label with the ship information is shown on the map next to the ship.

  • Never - Never show the label.
  • Always - Always show the label.
  • Less than Range - Only show the label if the distance the ship is away is less than the specified range.
  • CPA Alarm - On show the label if the ship is generating a CPA alarm.

Label Style - Select the label style that suits.

  • Transparent
  • Opaque

Label Range - Specify the range using the specified units.

Show On Label - Tick the box to show the information on the label.

Settings for the Closest Point of Approach (CPA)

Alarm On - If this is ticked the alarm will sound if the specified conditions you set happen.

Minimum CPA - Sound the alarm if the cpa to any ship is less than this value.

Minimum Time to CPA - Sound the alarm if the time to the cpa to any ship is less than this value.

Alarm Duration - Sound the alarm for this length of time.

Alarm Sound File - Specify a .wav file for the alarm, if no file is specified a default beep will be used.

Show CPA Graphics - The CPA graphics show lines form each ship and a blue dot at the position the CPA will occur.

  • Never - Never show the CPA graphics.
  • Always - Always show the CPA graphics.
  • Less than Range - Only show the CPA graphics if the distance the ship is away is less than the specified range.
  • CPA Alarm - On show the CPA graphics if the ship is generating a CPA alarm.

CPA Graphics Range - Specify the range using the specified units.


Auto Pilot Output

The Auto Pilot Output option has been provided for experimentation purposes only, do not use it to guide your vehicle without supervision.

The functionality has not been tested to a satisfactory degree in this version of OziExplorer.

The Auto Pilot output option is turned on using the options on the Comm tab in the Configuration dialog.

Outputs the Standard NMEA sentences which can control an Autopilot. The sentences output are $GPRMC, $GPRMB and $GPAPB. You must check if these sentences are compatible with your Autopilot.

The sentences being output can be viewed by selecting the Show NMEA Output to Autopilot option on the Navigation Menu. You must be in active moving map (tracking) mode and also be navigating for the outputs to be valid.

The sentences are output each time a sentence is received from the GPS.

The output also functions when using the NMEA simulator in OziExplorer so this could be used for testing its operation.

The NMEA strings only contain valid navigational information if you are navigating along a route or to a waypoint. Otherwise the parameters in the strings are empty.

The most common connection is where the GPS and Autopilot share the same serial port, this is a diagram of a typical cable connection.

AutopilotConnect.gif (2965 bytes)


Waypoints

Waypoints are used to mark fishing or hunting locations, landmarks, boat ramps, and virtually any other point of interest.

If you have a compatible make and model of GPS waypoints can be uploaded/downloaded to or from the GPS.

Waypoints can also be included in a Route.

Creating Waypoints

bSelectWp.gif (2602 bytes)

Select the Position & Set Waypoints button on the toolbar. The cursor will change to a cross hair when it is in the map area.

Select the position on the map where you want to place the Waypoint and press the left mouse button.

Editing the Properties of Waypoints

To open the property dialog for a Waypoint either double click on the Waypoint object or right click with the cursor on the Waypoint object and select the properties option on the menu.

The properties of a Waypoint can be modified in the properties dialog, see Waypoint Properties for details.


Waypoint Properties

wWpProperties.gif (9292 bytes)

Fields

Name - The name assigned to the waypoint. The length of the name depends on the model of GPS configured and can be set in GPS configuration. There is usually a limitation of what characters can be used in a waypoint name, check your GPS and/or GPS manual for these.

Size - The size of the font used to display the waypoint on the map.

Bold - Determines if the font is displayed with bold characters.

Description - The description of the waypoint.

Symbol Size - The size the symbol will be drawn on the map. 17 is the normal size of the symbol and this is the size where it will look natural. reducing the size below 17 will result in lost pixels from the symbol and an inferior image.

Waypoint Symbol - Select the symbol from the list provided. The list of symbols provided depends on the symbol set available for the GPS which has been specified in the configuration.

Fore Color - The foreground color of the event symbol.

Back Color - The background color of the symbol.

Display Format - For the map display of the waypoint only, select the display format type. Has no affect on the GPS waypoint display format.

Pointer Direction - The direction the pointer or symbol is located from the waypoint name. This is dependant on the display format which has been selected.

Garmin GPS Display - For Garmin GPS receivers only. Specifies the default way the waypoint is to be displayed on the GPS plotter screen. Not all Garmin models support the feature.

Proximity Distance - The proximity distance is used when using moving map mode (real time tracking). If your position moves inside the waypoint proximity an alarm is sounded. This proximity is not uploaded to the GPS and has no affect on the GPS at all.

Altitude - The Altitude of the waypoint. The units used can be specified in OziExplorer configuration. If the GPS supports it the altitude can be uploaded and downloaded from the GPS.

Buttons

Edit Position - Opens a dialog where the position of the point can be edited.

Edit Date - Opens a dialog where the date assigned to the waypoint can be edited.

Attachments - Allows files to be attached to a waypoint - see Waypoint Attachments help for details.

Default - Saves the currently set waypoint properties as the defaults used when new waypoints are created. The Name, Description, Proximity Distance and Altitude are NOT saved as defaults.

Help - Gives help for the properties dialog.

Cancel - Close the dialog and discard any changes.

Save - Close the dialog and keep the changes.

If you make any changes to the waypoint you must save the waypoint file to make the changes permanent.


Waypoint File Attachments

wWpAttachments.gif (7095 bytes)

Fields

File Attachment - Any file can be attached to a waypoint. To attach a file press the button at the end of the field and select the file. To open the file move the mouse cursor over a waypoint and right click, a menu will be presented with an option called "Open File Attachment", select this option and the file will be opened by Windows in whatever program is associated with the file type. If the attached file is a program it will be executed, parameters can be passed to the program by use a "/" character between the program name and the parameters.

Proximity / Route Attachment - Any type of file can be attached but it is usual to attach a sound (.wav) file. If a .wav file is attached then it is played internally by OziExplorer, any other type of file is sent to Windows for action.

Proximity / Route Symbol - Any BMP image can be attached to a waypoint and is displayed when the proximity is entered. A selection of symbols are provided in the PSymbols folder under the OziExplorer folder.

Symbol Position - The position of the symbol relative to the waypoint.

Time - The length of time the wav file is played and the symbol is shown.

Proximity / Route - The Proximity / Route attachments will be used when the proximity zone of the waypoint is entered for just a waypoint (waypoint proximity) and/or if the waypoint is part of a route (route waypoint proximity).

Notes

A waypoint proximity is set up on the waypoint properties dialog and you can enter any distance you like.

A Route Waypoint proximity is set up on the Navigation Tab in OziExplorer configuration and applies to all waypoints in a route.


Waypoint List

wWpList.gif (12392 bytes)

Sorting by Name or Description - Click the left mouse button on the "Name" column title to sort the waypoints by name. To reverse the sort click again on the title. The waypoints can also be sorted by description.

Datum

Datum - The datum of the positions displayed in the list.

ep1.gif (181 bytes) Sets the Datum to the Datum of the currently loaded map.

If the Datum of Loaded Map is selected then the datum used will always be the same as the datum of the currently loaded map. To see the datum of the loaded map place the mouse pointer on the field and the datum will be displayed as a hint.

Buttons

Sort - Sorts the Waypoints permanently into alphabetical Name order. Save the Waypoint file if you want the changes kept.

bPositionFormat.gif (249 bytes) Position Format Buttons - Show the positions in Degrees or the selected Grid. The Grid will change to reflect whatever Alternate Grid system you have chosen in the Configuration.

- Save selected waypoints to file.

- Send selected waypoints to the GPS.

- Allows you to change the Font Size, Style, Color, Symbol, Display Format, Pointer Direction, Proximity Distance or the Garmin GPS Display Format for All selected waypoints. If the OziExplorer3D add-on has been installed, Altitude can be added to the selected waypoints if Height Data is available for the region of the map.

bLocate.gif (201 bytes) - Plot Location of Selected Waypoint on Current Map - Will position the current map so the Waypoint is in the center of the screen.

bFindmapwp.gif (216 bytes) - Find Map for Selected Waypoint - Will find all maps which can display the waypoint, see Find Map help for details.

- Selection functions, none, all, invert.

Delete - Deletes the selected waypoints.

Select if Not on Map - Selects all Waypoints which will not plot on the currently loaded map, they can then be deleted or another action performed.

Add - Manually Add a new Waypoint.

Edit - Edit the selected Waypoint.

Properties - Opens the properties window for the selected Waypoint, a double click on the waypoint also opens the properties window.

Close - Closes the Waypoint List. If you have made any changes to the Waypoints you will be reminded to save the Waypoint file.

Adding and Editing Waypoints

Editing Waypoints

There are 2 ways to edit waypoints from within the Waypoint List.

Select the waypoint and press the Edit Button - this gives an editor where only the major properties are available, this is the preferred method for editing waypoints quickly.

Select the waypoint of press the Properties Button - this gives access to all the properties of the waypoint.

Adding Waypoints

To add a new waypoint to the current list press the Add Button - this will open up the Add/Edit Waypoint window where the major details of the waypoint can be entered. To set the other properties of the waypoint you must first add the waypoint and then select the properties button to open the properties window.

Add/Edit Waypoint Window

This section describes the fields in the window.

Name - The waypoint name

Position Fields - These are entered using the same coordinate system you have selected in the waypoint list.

Altitude - The altitude of the waypoint.

Description - The description of the waypoint.

Symbol - The symbol to use.

Position Datum - This is the datum you were using when you obtained the position of the waypoint you are now entering. The coordinates will be converted from this datum to the datum of the current map.


Project a Waypoint (or Trackpoint)

Project a Waypoint
(or Trackpoint)

This feature allows a new waypoint or trackpoint to be created at a specified bearing and distance from a known point (waypoint or last trackpoint).

wprojectwp.gif (3215 bytes)

From Waypoint - Select the Waypoint name to project from or the last Trackpoint

Button - Refresh the waypoint name list.

Projection - Lat/Lon or UTM. With the Lat/Lon projection the calculation are based on the standard calculations using the latitude, longitude and bearing. With UTM projection the latitude and longitude are converted to x,y coordinates using a Transverse Mercator projection, the bearing and distance are applied to these x,y coordinates and the new position calculated. The UTM projection method more closely approximates drawing lines on a map which uses a Transverse Mercator projection.

Bearing (Degrees) - The direction to project from the current position. Select either True or Magnetic reference. The reference does not apply to UTM projection as the bearing is always referenced to the grid.

Distance - Enter the distance in the units specified below.

Distance Units - Select unit of distance to use.

Close - Close the dialog

Project Button - Do the projection and create the new Waypoint or Trackpoint.


Working with Routes

The Lowrance/Eagle, Garmin, Magellan and MLR GPS units handle the upload and download of routes in different ways.

The Lowrance/Eagles only use the Waypoint numbers to define the waypoints which belong to a route, the waypoint must already be in the GPS. When routes are downloaded and uploaded only the waypoint numbers are sent.

The Magellan and MLR only send the waypoint names to the GPS the waypoints must already exist in the unit.

The Garmins send all the waypoint information (name, position etc) for each waypoint in the route. This causes complications as a waypoint with the same name may already be present on the map. To overcome this problem the assumption is made that the waypoints already displayed on the map take preference and hence the waypoint in the route always takes on the attributes (name, position etc) of the waypoint on the map with the same name.

Creating Routes

From the Tool Bar or View menu select the Route Editor option.

On the top window of the Route Editor select the Route Number you want to create.

Press the Properties button at the top of the form.

A new form will appear which will allow you to enter the Route name, description and select the waypoints in the route from those available (loaded from file).

If you are going to upload the routes to a Lowrance or Eagle GPS the Waypoints specified must exist within the GPS or will be uploaded shortly so they will be valid. The GPS will accept Waypoints in the Route which do not exist but will not be able to navigate to them.

If uploading to Garmins the Waypoints in the Route will automatically be created if they do not exist or will overwrite any waypoints already in the GPS which have the same name.

The other way to add Waypoints to the Route is by point and click.

The Waypoints must be visible on the Map either by creating them manually, loading them from a file or downloading them from the GPS.

Press the Add Waypoint button on top of the Route Editor.

When the cursor is moved over the Map it will change to an arrow with the word ROUTE written below it. Position the cursor on top of a Waypoint and press the LEFT mouse button - the Waypoint will be added to the Route you have selected.

NOTE - The Routes can be saved to file and loaded from file by using the Load and Save menu options on the button bar.

There is a button on the Route Editor named ReLink, this button is for use with Garmin GPS . The Route waypoints also store the waypoint attributes (name, position etc). These attributes could be incorrect if the actual waypoints on the map have been edited since the route was created. The ReLink button will copy the attributes of the waypoints on the map into the route waypoints.

Loading Routes from File

This is still causing me problems on how to code this properly.

At the moment you should make sure you load the waypoint file which you were using when you created the route. It is not possible to display a route unless the waypoints are loaded as well.

It is possible for the waypoint stored in the route not to agree with the waypoints loaded on the map if the waypoints have been modified since the route was created. This is corrected by pressing the ReLink button on the Route editor.

Upload/Download

All the Routes can be uploaded to the GPS or downloaded from the GPS using options on the Lowrance, Garmin, Magellan and MLR menus.

Single Routes can also be uploaded and downloaded using the buttons on the Route Editor.


Route Editor

wRouteEditor.gif (9645 bytes)

Lists

Upper List - The number of Routes available. This number depends on how many routes are available in your GPS and how many you specified in the GPS parameters in configuration.

Lower List - A list of the waypoints in the Route selected in the upper list. The list scrolls to the right to see all the columns. To see the list in full press the Show button to the right of the list.

Buttons

Add Wp - Depressing this button the allows you to click on top of waypoints on the map and they are automatically added to the end of the selected Route.

Properties - Opens the selected Route properties.

Show (Routes) - Shows or hides the routes on the map.

ReLink - If you make any changes to a waypoints geographic position or sort the waypoints you need to press this button to relink the waypoints stored in the route to the actual waypoints in the waypoint file you used when the routes were created. Note that relinking does not work if you change the names of 1 or more waypoints. The Route must be manually edited to fix name changes.

Help - Display this help.

Reduce/Expand Arrow - Reduces the size of the Route Editor dialog to get it out of the way.

Clear - Cleas the waypoints from the selected Route.

Send - Send the selected Route to the GPS.

Get - Gets the selected Route from the GPS.

bUpDown.gif (1049 bytes) Route Up/Down - Moves the position of the route up and down in the list.

Show (Route List) - Show the Route in a larger dialog.

Move (Up) - Move the selected waypoint up in the list.

Move (Down) - Move the selected down in the list.

Delete - Delete the selected waypoint from this Route.


Route Properties

wRouteProperties.gif (5377 bytes)

Fields

Name - The Name of the route, up to 16 characters. This is the name which will be uploaded to the gps if your GPS supports Route names.

Desc - The Description of the Route, up to 40 characters.

Color - The color used to display the Route on the screen.

Waypoints Available - The list of waypoints which have been loaded into OziExplorer.

Waypoints in Route - The list of waypoints in the Route.

Buttons

Show - Show this Route on the map.

Add - Add the selected waypoints in the left list to the end of the Route.

Insert > - Insert the selected waypoints in the left list into the Route before the selected waypoint in the right list.

< Select All - Select All waypoints in the left list.

< Unselect - Unselect waypoints in the left list.

Unselect > - Unselect waypoints in the right list.

Delete - Delete the waypoint from the Route.

Help - Display this help.

OK - Close the Dialog and save the changes.

Cancel - Close the Dialog and ignore any changes made.


Events

Events are specific to the Lowrance and Eagle models of GPS.

If you are having trouble finding them described in your Lowrance or Eagle GPS manual they are referred to as Icons. On the box they may be referred to as Events or Event markers.

Events are used to mark fishing or hunting locations, landmarks, boat ramps, and virtually any point of interest.

In the GPS an event has only a position and a symbol (the symbol may also be called an Icon).

If you have a compatible model of Lowrance or Eagle GPS events can be uploaded/downloaded to or from the GPS.

If you are using OziExplorer with some other brand of GPS Events can still be used to indicate positions on the map in the various symbols but of course they cannot be uploaded to your GPS.

Creating Events

bSelectEvent.gif (2430 bytes)

Select the Position & Set Events button on the toolbar. The cursor will change to a cross hair when it is in the map area.

Select the position on the map where you want to place the Event and press the left mouse button.

Editing the Properties of Events

To open the property dialog for an Event either double click on the Event object or right click with the cursor on the Event object and select the properties option on the menu.

The properties of an Event can be modified in the properties dialog, see Event Properties for details.

Events can be saved to a file by using the Save Events to File option on the Save menu.


Event Properties

wEventProperties.gif (3382 bytes)

Fields

Fore Color - The foreground color of the symbol. The Garmin symbol set does not allow the color to be changed.

Back Color - The background color of the symbol.

Event Symbol - Select the symbol from the list provided. The list of symbols provided depends on the symbol set available for the GPS which has been specified in the configuration.

Symbol Size - The size the symbol will be drawn on the map. 17 is the normal size of the symbol and this is the size where it will look natural. reducing the size below 17 will result in lost pixels from the symbol and an inferior image.

Buttons

Edit Position - Opens a dialog where the position of the event can be edited.

Default - Saves the currently set event properties as the defaults used when new events are created.

Help - Gives help for the properties dialog.

Cancel - Close the dialog and discard any changes.

Save - Close the dialog and keep the changes.

If you make any changes to the event you must save the event file to make the changes permanent.


Event List

wEventList.gif (10331 bytes)

Datum

Datum - The datum of the positions displayed in the list.

ep1.gif (181 bytes) Sets the Datum to the Datum of the currently loaded map.

If the Datum of Loaded Map is selected then the datum used will always be the same as the datum of the currently loaded map. To see the datum of the loaded map place the mouse pointer on the field and the datum will be displayed as a hint.

Buttons

bPositionFormat.gif (249 bytes) Position Format Buttons - Show the positions in Degrees or the selected Grid. The Grid will change to reflect whatever Alternate Grid system you have chosen in the Configuration.

bSymbol.gif (259 bytes) Symbol - Allows the Symbol properties to be changed for all the selected Events (Fore color, back color, symbol and symbol size).

bLocate.gif (201 bytes) Plot Location of Selected Event on Current Map - The map is moved to position the selected Event in the center of the map.

bFindmapwp.gif (216 bytes) Find Map for Selected Event - The maps are scanned and those which contain the position of the selected Event will be shown in a list.

Delete the Selected Events - Deletes all the Events which have been selected.

Select if not on Map - If the Events are not located on the currently loaded map then they are selected.

Properties - Opens the property dialog of the selected Event.


Map Features

Map Features are objects which can be placed on a map, they are used to show the position of places or features of interest. They can be displayed as a blue circle with a number or as a symbol which the user can select.

A link to a picture file can also be added to a map feature and the picture is displayed with the map feature in the properties dialog.

Map Features are saved in the map file.

There is limit of 500 map features per map.

Creating Map Features

bSelectMf.gif (3215 bytes)

Select the Position & Set Map Feature button on the toolbar. The cursor will change to a cross hair when it is in the map area.

Select the position on the map where you want to place the map feature and press the left mouse button.

Editing the Properties of Map Features

To open the property dialog for a map feature either double click on the map feature object or right click with the cursor on the map feature object and select the properties option on the menu.

The properties of a map feature can be modified in the properties dialog, see Map Feature Properties for details.

Map Feature Symbols

A map feature can also be displayed as a symbol, extra symbols can be created by the user.

See Map Feature Symbols for details.


Map Feature Properties

wMfProperties.gif (30257 bytes)

Fields

Feature Name - The name you give to the feature, this name is displayed in the hint when the cursor is placed on the map feature object.

Comment - Any comment or description you want to give to the feature.

Picture File - If you want a picture displayed in the properties dialog select the image by clicking on the arrow at the end of the field. BMP or JPG files can be selected.

Symbol - Press the button to select a symbol. This symbol will be used to display the map feature on the map.

Delete Symbol - The X button will remove the link to the symbol and the map feature will display as a blue circle until a new symbol is allocated.

Create Waypoint - If this checkbox is ticked a waypoint will be allocated for the map feature. The waypoint only exists for upload to a gps and will not appear in waypoint lists etc.

Wp Name - The name you want to give to the waypoint when it is uploaded to the GPS.

Buttons

Edit Position - Opens a dialog where the position of the map feature can be edited.

Help - Gives help for the properties dialog.

Cancel - Close the dialog and discard any changes.

Save - Close the dialog and keep the changes.

If you make any changes to the map feature you must save the map file to make the changes permanent.


Map Feature List

wMapFeatureList.gif (10499 bytes)

Datum

Datum - The datum of the positions displayed in the list.

ep1.gif (181 bytes) Sets the Datum to the Datum of the currently loaded map.

If the Datum of Loaded Map is selected then the datum used will always be the same as the datum of the currently loaded map. To see the datum of the loaded map place the mouse pointer on the field and the datum will be displayed as a hint.

Buttons

bPositionFormat.gif (249 bytes) Position Format Buttons - Show the positions in Degrees or the selected Grid. The Grid will change to reflect whatever Alternate Grid system you have chosen in the Configuration.

bLocate.gif (201 bytes) Plot Location of Selected Map Feature on Current Map - The map is moved to position the selected Map Feature in the center of the map.

bFindmapwp.gif (216 bytes) Find Map for the Selected Map Feature - The maps are scanned and those which contain the position of the selected Map Feature will be shown in a list.

Delete the Selected Map Features - Deletes all the Map Features which have been selected.

Select if not on Map - If the Map Features are not located on the currently loaded map then they are selected.

Properties - Opens the property dialog of the selected Map Feature.


User Symbols for Map Features

The Map features can be displayed as a symbol. The symbol files are bitmap images.

The symbol for a Map feature is selected on its property dialog.

Symbol Format

The symbol is displayed as a 17x17 pixel grid.

The symbol files are windows Bitmap files (BMP). Any BMP file can be used of any size, if the BMP is too large it is reduced to 17x17 pixels, the aspect ratio is maintained. A bitmap less than 17x17 is displayed as it is.

To design proper symbols with a transparent color the following format should be used.

Create a bitmap which is 18 pixels wide and 18 pixels high. Only the 1st 17 pixels are displayed so design the symbol image within a 17x17 pixel square. The color of pixel 18x18 i.e. the lower right pixel becomes the transparent color, (you will be able to see the map through the transparent color). There are quite a few examples provided to look at in an image editor to see how to design them.

Adding your own Symbols

Simply place your bitmap files in a folder called SYMBOLS which should be created as a sub-folder of the folder where OziExplorer was installed (normally oziexplorer). The next time OziExplorer is run the new files will be added to the available symbols.

New Symbols Required

A selection of symbols has been provided, if anyone designs new symbols which they feel may be useful to others please email then to me and they will be included in subsequent releases. I may even be able to provide them directly on the web page for download.


Map Comments

Map Comments are text objects which can be placed on a map, they are used to give specific information or notes you may require.

Map Comments are saved in the map file.

There is limit of 500 map comments per map.

Creating Map Comments

bSelectMc.gif (3799 bytes)

Select the Position & Set Map Comments button on the toolbar. The cursor will change to a cross hair when it is in the map area.

Select the position on the map where you want to place the map comment and press the left mouse button.

Editing the Properties of Map Comments

To open the property dialog for a map comment either double click on the map comment object or right click with the cursor on the map comment object and select the properties option on the menu.

The properties of a map feature can be modified in the properties dialog, see Map Comment Properties for details.


Map Comment Properties

wMcProperties.gif (6391 bytes)

Fields

Comment - The text you want to see on the map.

Width - The width of the map comment box.

Height - The height of the map comment box.

Size - The size of the font used to display the comment on the map.

Bold - Determines if the font is displayed with bold characters.

Fore Color - The foreground color of the event symbol.

Back Color - The background color of the symbol.

How it will Look - This shows how the comment will look on the map and changes as you adjust the other properties.

Buttons

Default - Saves the currently set map comment properties as the defaults used when new map comments are created. The Comment text is NOT saved as a default.

Help - Gives help for the properties dialog.

Cancel - Close the dialog and discard any changes.

Save - Close the dialog and keep the changes.

If you make any changes to the map comments you must save the map file to make the changes permanent.


Map Comment List

wMapCommentList.gif (10630 bytes)

Datum

Datum - The datum of the positions displayed in the list.

ep1.gif (181 bytes) Sets the Datum to the Datum of the currently loaded map.

If the Datum of Loaded Map is selected then the datum used will always be the same as the datum of the currently loaded map. To see the datum of the loaded map place the mouse pointer on the field and the datum will be displayed as a hint.

Buttons

bPositionFormat.gif (249 bytes) Position Format Buttons - Show the positions in Degrees or the selected Grid. The Grid will change to reflect whatever Alternate Grid system you have chosen in the Configuration.

bLocate.gif (201 bytes) Plot Location of Selected Map Comment on Current Map - The map is moved to position the selected Map Comment in the center of the map.

bFindmapwp.gif (216 bytes) Find Map for the Selected Map Comment - The maps are scanned and those which contain the position of the selected Map Comment will be shown in a list.

Delete the Selected Map Comments - Deletes all the Map Comments which have been selected.

Select if not on Map - If the Map Comments are not located on the currently loaded map then they are selected.

Properties - Opens the property dialog of the selected Map Comment.


Working with Tracks

Also see the Track Tutorial (click here)

Tracks can be downloaded from the GPS, loaded from file or manually created.

Tracks which have been downloaded from the GPS can also be modified manually.

OziExplorer can display multiple tracks on a map at the same time but with the following conditions.

The Active Track is the track selected in the Track Control, if the Track Control is not visible the the Active Track is Track 1.

Uploading to the GPS

A Track downloaded from the GPS always loads into track number 1. The track can then be saved to disk and reloaded from disk into any track number. When uploading to the GPS it is always loaded from Track number so you must load the track from disk into track 1 first.

Loading Tracks

Tracks can be loaded from file from Load menu or from the Track Control. Multiple tracks can be selected and loaded at the same time.

Use the Track Properties on the Track Control to set the properties for each of the tracks. By saving the track the properties are saved with the track. Each track can be displayed with independent properties.

Manually Creating Tracks

Tracks can be created directly onto the map and then saved to file and/or sent to the GPS.

To manually create a Track.

When manually creating a track you are working with the Active Track.

Press down the Manually Create Track Point Button which is located on the button bar [image] - The Track Control also has this button as well as an Insert Track Point button.

Move the mouse pointer to a selected location on the map and press the left mouse button - a track point will be added to the map joined to the last previous point which was created. You can continue adding track points.

Special keys which can be used when Creating Track Features

For efficient creating of map features the use of these key combinations is essential, I suggest you print them out or write them down so they are easily seen.

Holding the Alt key down when creating a new track point will automatically start a new track section.

Holding the Shift key down when creating a new track point will "snap" onto the closest track point to the point where you clicked.

Holding the Shift & Ctrl keys down together when creating a new track point will "snap" onto the closest track line to the point where you clicked.

Holding the Shift & Alt keys down together will create a new track section and "snap" to the nearest track point.

Holding the Shift & Ctrl & Alt keys down together ( need good finger control) will create a new track section and "snap" to the nearest track line.

These options are also available on the right click menu of track points.

Working with Track Points

The "Enable Mouse on Track Points" button on the Track Toolbar allows the mouse to interact with track points.

  • A track point can be dragged by holding down the shift key.
  • Right clicking on a track point will show a menu of options.
  • Placing the mouse on a track point will show a hint of the track point properties.
  • Double clicking on a track point will open the properties.

The Selection Control on the OziExplorer Select menu allows track points or track sections to be selected and saved or deleted.

Splitting and Joining Tracks

Splitting or Joining Track Sections

A track can be split into sections (putting a break in the track). Open the Track Control and select the track to be split. Press the Track List button to show the list of the track points. Select the track point where the break in the track is required. To help select the correct track point, a location cursor [image] on the currently selected track point is displayed. Press the [image] split/join button to split the track and create a new track section at the selected track point. If the selected track point is the first point of a section, the section will be joined to the previous section. The section number is shown in the track list for each track point.

Splitting Track Sections into Individual Tracks

To split track sections into individual tracks, on the Track Control, select the track and select the "Split Track Sections into Separate Tracks" option on the drop down menu button of the Track Control. New tracks will be created in the track control for each track section.

Another method is in the Track List, select the first point for the track to be saved, hold down the Shift key and select the last point for the track. The track points will be selected. (while holding the shift key, the down or up arrow can be used to select the track points). Click the Save button on the top of the Track List to save the selected points to a new track.


Track Properties

wTrackProperties.gif (4105 bytes)

Fields

Track Desc - Any text to describe this track, up to 35 characters.

Line Color - The Color used to draw the track on screen.

Width - The width in pixels of the line used to draw the track.

Line Style - The style used to draw the track on screen.

Type - The track type.

  • Line - draws a line between points.
  • Polygon - Closes the track and fills the inside with the selected fill color and type.
  • Alarm Zone - A special case of a polygon, a track with an Alarm Zone type can be attached to a map and will issue an alarm when your position enters the zone when in moving map (real time tracking) mode.

Fill Color - The color used to fill the track when it is a closed polygon.

Fill Type - The method used to fill the polygon.

Time Zone Offset (mins) - The time offset for the date / time of the track points. The time zone offset is stored in the track file.

Buttons

Load - Load a track File into this track.

Save - Save the Track to a File.

Clear - Clear the Track from memory.

Show - Show this Track on the screen.

Help - Shows this help.

OK - Close the Property Dialog.


The Track Control

To display the Track Control dialog press down the Show/Hide Track Control Button [image] on the Main Toolbar.

wTrackControl.gif (5951 bytes)

The track which is highlighted in the list is the "Active Track", all operations are done on this track.

Note : The Selection Control allows multiple track points (or other objects) to be selected on the map using the mouse. Select Menu / Selection Control option to open the Selection Control.

Fields

Num - The numbers 1 to 1000 ... indicate the track number. The colored box to the left of the number is the current color of the track when drawn on the map.

Description - The description for each track. This description can be set in the properties of each individual track.

Points - The number of points used by the track, there is a limit on the number of track points for each different GPS Model and Type but there is no limit to how many track points that can be displayed.

Distance - The distance along the track in the "Map Distance" units specified in the configuration.

Buttons

trkShow.gif (196 bytes) Show/Hide the track display on the map - Display or hide all the Tracks on the map.

trkCreate.gif (181 bytes) Manually Create Track Points - When this button is depressed new track points can be created by clicking on the map.

Insert a new track point - When this button is down the track points are insert mode. To insert a new track between existing points position the mouse over an Active track point, hold the Alt key down, press the left mouse button, a new track point will be created to the right of the currently selected point, drag the new point to its required position.

Enable Mouse on Track Points - When you place a mouse on a track point it will be active - shows a hint when the mouse is on the track point, allows the track point to be dragged, right click on a track point will display a menu of options.

Show Individual Track Points - Draws a dot around the track point on the map.

trkProp.gif (156 bytes) Open properties dialog when creating new track points - Automatically open the properties dialog for the track point when the track point is created.

Load a Track from File - Loads a Track from File into a vacant track position in the list.

trkSave.gif (199 bytes) Save the Selected Track - The track currently selected in the list will be saved to a file.

trkList.gif (168 bytes) Show Track List - See the Track List help for details.

Selected Track Properties - Shows the Track Properties dialog for the track selected in the list, see Track Properties help for details.

Clear the Selected Track - The track selected in the list is cleared and removed from the list.

trkMenu2.gif (160 bytes) A menu with additional options

  • Join Tracks Together - Joins 2 tracks together.
  • Split Track into Sections - Split Track 1 into Separate Tracks for Each Track Section - Many tracks are divided up into sections (consecutive track points are not joined), this option splits the track putting each section into a new track.
  • Remove All Track Sections - Removes all the breaks in a track, making it a continuous line.
  • Move Selected Track to Track 1 - Moves a track from its current place into the list into track 1.
  • Sort List by Description - List is sorted into alphabetically order.
  • Track Replay - See the Replay Track Control help for details.
  • Track Profile - For plotting the track profile of altitude or speed against distance or time. See the Track Profile help for details.
  • Track Filter Control - For reducing the number of points in a track by filtering based on various parameters. See the Track Filter help for details.
  • Track Move Control - See the Move Track Control help for details.
  • Track Reverse - Reverses the order of track points in a track.
  • Adjust Time of Track Points - Adds the specified number of minutes to each track point in the selected track (can be negative).
  • Add Date/Time to Track Points - Adds the date and time to each track point. The start date and time can be entered and the time between each track point. This only works correctly if the track was collected at specified even intervals of time. Even if the track was collect at specified even intervals of time there is no guarantee that the GPS collected them at those precise intervals so there will be steps in the speed and distance calculations.

trkUp.gif (154 bytes) Move track Up - Moves the selected track up in the list.

trkDown.gif (155 bytes) Move Track Down - Moves the selected track down in the list. In some cases track 1 needs to be cleared so a new track can be loaded. If the track already in track 1 needs to be kept then the best method is to move an empty track up into its place.


Track List

wTrackList.gif (15171 bytes)

If the Date and Time have been collected with the track then the speed for each section between track points is calculated.

Datum

Datum - The datum of the positions displayed in the list.

ep1.gif (181 bytes) Sets the Datum to the Datum of the currently loaded map.

If the Datum of Loaded Map is selected then the datum used will always be the same as the datum of the currently loaded map. To see the datum of the loaded map place the mouse pointer on the field and the datum will be displayed as a hint.

Buttons

bPositionFormat.gif (249 bytes) Position Format Buttons - Show the positions in Degrees or the selected Grid. The Grid will change to reflect whatever Alternate Grid system you have chosen in the Configuration.

Split or Join Track into sections - Splits a Track and creates a new track section at the selected track point. If the selected track point is the first point of a section, the section will be joined to the previous section.

bTrackSummary.gif (166 bytes) Show Summary of Selected Track Points - Shows a summary of the selected track points.

bSave.gif (983 bytes) Save Selected Track Points to File - Saves the selected track points to a file.

Change Properties for All Selected Track Points

  • Add Altitude to Selected Track Points - (requires OziExplorer3D addon) with 3D dem data loaded, altitudes can be added to the track points.

bLocate.gif (201 bytes) Plot Location of Selected Track Point on Current Map - The map is moved to position the selected track point in the center of the map.

bFindmapwp.gif (216 bytes) Find Map for Selected Track Point - The maps are scanned and those which contain the position of the selected track point will be shown in a list.

bS.gif (954 bytes) Selection Functions - Provides various ways of working with the selection of the track points.

Delete the Selected Track Points - Deletes all the track points which have been selected.

Select if not on Map - If the track points are not located on the currently loaded map then they are selected.

Properties - Opens the properties dialog for the selected point.


Track Replay

wTrackReplay.gif (2412 bytes)

The track replay does not use the date/time for each track point to replay the track.

Track - The Track number to replay.

Color - Selects the track replay color

- adjusts the track replay speed, higher the number the faster the replay

- Start and stop the replay at it current point

- Clear the replayed track up to its current position

- Replay the track from the start

The Speed, Heading, Altitude and Distance are displayed in the units you have selected in the main configuration.

Double click on the distance to zero it at any time, this allows you to measure track distances between points.

Help - Displays this help.


The Track Move Control

wTrackMove.gif (2533 bytes)

Fields

Track No - The Track number to move.

Move Units - The number of pixels to move at each step.

Combo Box - Determines which track points to move.

  • All Track Points - All the points belonging to a track are move.
  • Selected Points Only - Only the Selected points are moved. Points are selected using the options on the Selection Control.

Buttons

Arrows - Moves the track in the indicated direction.

Help - Displays this help.

Save - Saves the moved track to a file.


Track Profile

The Track Profile can display a graph of Altitude or Speed against the Distance or Time travelled.

To show the Altitude it must be stored with each track point. Tracks downloaded from the Garmin eTrex, eTrex Summit, eMap do have the altitude. Tracks downloaded from most other GPS receivers do not have the altitude. Tracks collected in moving map mode (real time tracking) will normally have the altitude.

To show the speed the date and time when each track point was collected must be stored with each track point. Garmins store the date/time for each track point, most other GPS receivers do not. The Garmins do not store the date/time for saved tracks (tracks saved within the GPS). Tracks collected in moving map mode (real time tracking) will normally have the date/time for each point. Tracks created manually in OziExplorer or downloaded from GPS receivers which do not store the date/time will be assigned a date/time to the point but it is not useful for this purpose.

wTrackProfile.gif (10064 bytes)

Clicking on the graph will popup a window which shows

  • The Distance and Altitude or Speed of the point where the click was done
  • and the details of the closest Track Point

Fields

X Axis - Will graph either Distance or Time on the X Axis.

Profile Type - Will graph either Altitude or Speed.

Track - Select the track Number to view. The tracks must have already been loaded into the track number.

Section - The Section Number in the track. The sections are numbered from 1. The section numbers are drawn on the graph adjacent to the first point in each section.

Dots - Draws a square symbol at each point.

Lines - Draws Lines between points.

Distance - Select the units that the Distance is displayed in.

Time - Select the units that the Time is displayed in.

Altitude - Select the units that the Altitude is displayed in.

Speed - Select the units that the Speed is displayed in.

Zoom - 1 Control for Horizontal and 1 for Vertical. These zoom the scales of the axis.

Pan - 1 Control for Horizontal and 1 for vertical. These slide the axis along.

Color - The background color of the Graph.

Refresh Button - Loads the Track again and replots it. Useful if you load a new track into a track number and want to view it without having to restart the Track Profile dialog.


Track Filter

The Track Filter provides the ability to reduce the number of points in a track by selectively removing points using the specified parameters.

The best filter setting is the one which produce the smallest number of points but still retain a good representation of the original track.

The track can be filtered using the Filter Index method or the Number of Points method.

wTrackFilter.gif (3922 bytes)

From Track - The track number you want to filter.

To Track - The track number where the filtered track is to be placed.

Filter Index - If this method is selected, the higher the index the less points in the filtered track. (default setting = 5).

Number Points - If this method is selected, the track will be filtered to the number of points entered. (default setting = 100). The number of points produced may not exactly match the number specified but will be close.

Filter - Press this button to create the filtered track.


Points

see also Point Properties Point Set Properties Point Control

Do not confuse points with waypoints they are not the same type of object, it is suggested that you also read the section on Waypoints to fully understand the difference.

A point is also not related to a track point, they are a different type of object.

Definitions

Point - A position on the map which has as its main properties a position and a name. All other properties are derived from the properties of the Point Set. The number of points per Point Set is limited only by the resources of the PC. Points use very few resources so many thousand can be displayed on the map at the same time.

Points cannot be directly uploaded to a GPS and cannot be included in a Route.

Points can be used to add numerous names and/or locations of objects to a map.

Points are used for editing the Magellan Datasend POI's.

Points are used by the OziMC add-on for editing the Name feature.

Points are used for Importing ESRI Shape files (of type point).

Point Set - Groups points together, each set is made up of zero to an unlimited number of points. Each point set has its own set of properties which can be adjusted, these properties affect all points in the set.

There are 75 Point Sets available.

The properties of a Set of Points can be modified in the properties dialog, see Point Set Properties for details.

To work with Point Sets you use the Point Control

Manually Creating Points

bPoint.gif (2762 bytes)

Press the Manually Create Point button on the Toolbar. Click on the map to create a point. The Point Control can be used to modify the behaviour of point creation.

Editing the Properties of Points

To open the property dialog for a Point you first have to make the Point "active", you do this by using the Point Control. When the Point is active you can either double click on the Point object or right click with the cursor on the Point object and select the properties option on the menu.

The properties of a Point can be modified in the properties dialog, see Point Properties for details.


Point Set Properties

see also Points Point Properties Point Control

These are the properties of a Point Set which can contain an unlimited number of Points. All points in the same set use these properties.

wPointSetProperties.gif (4257 bytes)

Fields

Points Desc - Any text to describe this set of Points up to 25 characters.

Fore Color - The Color of the foreground used to draw the points on screen.

Back Color - The Color of the background used to draw the points on screen.

Format - How to display the points. Select from the list.

Style - The Style used to display the points. Select from the list.

Size - The size in pixels of the point symbol.

Font Size - The size of text used for the point name.

Buttons

Load - Load a File of points into this Point Set.

Save - Save the Point Set to a File.

Clear - Clear the Point Set from memory.

Show - Show this Point Set on the screen.

Help - Shows this help.

Close - Close the Property Dialog.


Point Properties

see also Points Point Set Properties Point Control

These are the properties of an individual Point within a Point Set.

wPointProperties.gif (3127 bytes)

Fields

Name - The name assigned to the point, up to 35 characters can be used.

Rotation - Rotates the text on screen, any rotation angle between -90 to 90 can be used, only applies if the Format for Point Set is "Name Only". This property is mainly used by Names in the OziMC add-on.

Desc 1 - The 1st line of the description, up to 20 characters.

Desc 2 - The 2nd line of the description, up to 20 characters.

Desc 3 - The 3rd line of the description, up to 12 characters.

These 3 description fields are available and have specific widths as they are used for Magellan Datasend POI's.

Buttons

Edit Position - Opens a dialog where the position of the point can be edited.

Help - Gives help for the properties dialog.

Cancel - Close the dialog and discard any changes.

Save - Close the dialog and keep the changes.

If you make any changes to the point you must save the point file to make the changes permanent.


The Point Control

The Point Control is used to manipulate Points and Point Sets. It allows you to edit Point and Point Set properties, create new Points, make Points active and many other things.

see also Points Point Properties Point Set Properties

To activate the Point Control press the Show/Hide Point Control button on the Toolbar.

bPointControl.gif (2641 bytes)

Using the Point Control

The Point Set which is highlighted in the list is the "Active Point Set", all operations are done on this Point Set.

Buttons

ptShow.gif (205 bytes) Show/Hide Points on Map - Display or hide all the Point Sets on the map.

ptCreate.gif (188 bytes) Manually Create a Point - When this button is depressed new Points can be created by clicking on the map.

ptProp.gif (156 bytes) Open Properties when Creating New Points - When a new Point is created by clicking on the map the Properties dialog is automatically opened.

ptAppend.gif (179 bytes) Append Point Sets Together - The Points from a Point Set can be appended to another.

Load a Point Set from File - Loads a Point Set from File into a vacant position in the list.

trkSave.gif (199 bytes) Save the Selected Point Set - The point set currently selected in the list will be saved to a file.

trkList.gif (168 bytes) Show Point List - See the Point List help for details.

Selected Point Set Properties - Shows the Point Properties dialog, see Point Set Properties help for details.

Clear the Selected Point Set - The Point Set selected in the list is cleared and removed from the list.

trkUp.gif (154 bytes) Move Point Set Up - Moves the selected Point Set up in the list.

trkDown.gif (155 bytes) Move Point Set Down - Moves the selected Point Set down in the list. In some cases Point Set 1 needs to be cleared so a new Point Set can be loaded. If the Point Set already in Point Set 1 needs to be kept then the best method is to move an empty Point Set up into its place.


Importing Waypoints from a Text File

see also Exporting Waypoints to a Text File

To Import waypoints simply select the Import Waypoints from Text File on the Load menu.

wImportWp.gif (3105 bytes)

The datum used for importing (the datum used for the positions in the file) can be specified, if the datum is in the file in one of OziExplorers standard datums then it will default to this.

Before manually creating your own text files for importing you should create some waypoints in OziExplorer and Export these to a file in the desired format and use this file as a template.

File Format

The format is the same as the Waypoint text files from Waypoint+ but with some extensions.

However these files are not meant for import by Waypoint+ there are extra options on the Garmin menu for importing and exporting Waypoint+ files. The reason Waypoint+ cannot use these files is the datum names are different, when Waypoint+ finds a datum name it does not recognize it gives an error.

RECORD TYPES

Waypoint+ types

The 1st field is signifies that it is a Waypoint record, the characters Waypoint or WP can be used.

Each keyword is followed by a designator that describes what kind of storage is used with latitude and longitude. DM and DMS are stored in as single packed floating point number.

D=decimal degrees; ddd.dddddddd (34.064531922)

DM=degrees minutes; ddd.mmmmmmm = ddd mm.mmmmmmm (34.06548 = 34 6.548')

DMS=degrees minutes seconds; ddd.mmsssssss = ddd mm ss.sssss (34.06453 = 34 6' 4.53")

UTM=zone,easting,northing

Extended Types

To make it easier for text data entry extra extended types have been added.

DMX=degrees minutes; the degrees and minutes are entered into their own fields separated by commas.

DMSX=degrees minutes seconds; the degrees, minutes are entered into their own field separated by commas.

BNG=zone,easting,northing (British National Grid)

IG=zone,easting,northing (Irish Grid)

NZG=easting,northing (New Zealand Grid)

SG=easting,northing (Swedish Grid)

SUI=easting, northing (Swiss grid)

WP, waypoint name, latitude, longitude, date , time , waypoint description.

Example:

Standard Waypoint+ types

WP, waypoint name, latitude, longitude, date , time , waypoint description.

The date must be in month/day/year format or left out and the current date will be used.

Examples:

WP,D,WPNAME,34.064531922,-117.2959507350,11/23/1995,19:29:00,Description

WP,DM,WPNAME,34.06548,-117.80632,11/23/1995,19:29:00,Description

WP,DMS,WPNAME,34.06453,-117.29595,11/23/1995,19:29:00,Description

WP,UTM,WPNAME,56J,445946,7063980,11/23/1995,19:29:00,Description

Extended Types (preferred for manual data entry)

WP, waypoint name, latitude(multiple fields), longitude(multiple fields), date , time , waypoint description.

Examples:

WP,DMX,WPNAME,34,6.548,-117,80.632,11/23/1995,19:29:00,Description,Symbol

WP,DMSX,WPNAME,34,6,4.53,-117,29,5.95,11/23/1995,19:29:00,Description,Symbol

No fields are case sensitive, lowercase or mixed case can be used in any field.

The symbol is coded as A=0 B=1 C=2 etc

The Garmin GPS waypoint display format is also added to the end of the line after the symbol, however it is not guaranteed that this will be continued in future. N = Name S = Symbol C = Comment

Datum

The datum can be specified in the file.

The Datum Record Type

DATUM,WGS 84

The datum is optional, if it is not there you will be requested for the datum.

The datum must be a recognized OziExplorer datum name, these can be viewed on the datum list.

When importing the file the software will allow you to modify the datum.


Importing Tracks

Tracks can be imported from :

Text File - Allows a track to be imported from a text file in one of the OziExplorer import formats. See Export Track to Text File for an explanation of the fields.

PCX5 files - These files are produced by the Garmin PCX5 software. The positions in the file must be in either Lat/Lon or UTM. This option is on the Garmin menu.

Waypoint+ files - These files are produced by the Waypoint+ software. The positions in the file must be in either Lat/Lon or UTM. This option is on the Garmin menu.

Mapgen Vector files - This is a limited import, the positions in the file must be in Lat/Lon. This option is on the Load button on the Toolbar. The datum used for positions in the file are assumed to be WGS 84.

IGC Track Files - Allows a track to be loaded from an IGC track file.

Compe-Gps Track Files - Allows a track to be imported from a Compe-Gps .trk track file.


MapInfo MIF File Import

Import MapInfo MIF File

This is a limited import, the projection used in the file must be latitude/longitude, positions in the file must be in Lat/Lon or a Transverse Mercator projection (including UTM).

The datum is read from the file and most datums used for positions in the file are supported and the positions are translated automatically.

The following objects are imported.

Point - Imported as points, these are placed in a points object, use the Point Control to manipulate.

Line - Imported as a 2 point track section.

Polyline - Imported as a multi point track section.

Region - Imported as a multi point track section.

Arc - Imported as a multi point track section, the arc is converted to a set of points.

Rectangle - Imported as a 5 point track section which close.

Rounded Rectangle - same as for rectangle, no rounded corners.

Ellipse - Imported as a multi point track section, the ellipse is converted to a set of points.

This option is on the Load button on the Toolbar.


Importing ESRI Shape Files

Shape files are a format developed by ESRI and used in ArcInfo and other GIS packages.

see also Shape File Import/Export Options Exporting to ESRI Shape Files

Conditions and Limitations

Points, polylines and polygons can be imported.

The format of the positions stored in the shape file must be know and specified in the Options dialog during the import process. Failure to use the correct position will give incorrect data.

The position formats supported are Lat/Lon, UTM, Albers projection and the New Zealand grid.

If the positions are in UTM then the UTM Zone of the positions must be known and specified in the Options dialog during the import process. Failure to specify the correct zone will give incorrect data.

The datum used for the positions must also be known and specified in the options dialog during the import process. Failure to specify the correct datum will give incorrect data.

Importing Points

wShapeFilePoints.gif (2585 bytes)

Fields

Only if On Map - The point will only be kept if they are positioned on the currently loaded map.

Type

  • Waypoints - Import the points as Waypoints - Note that OziExplorer has a maximum limit of 10000 waypoints. It is not advisable to load large shape files as waypoints.
  • Points - Import the points as points - OziExplorer has an unlimited number of points (until your system runs out of resources).

Action

  • Replace - replaces the currently loaded waypoints or points with these new ones.
  • Append to Existing - appends these new ones to those already loaded.

wPShapeFileAttributes.gif (1598 bytes)

During importing the above dialog is presented. To use this dialog you need to know something about the data you are importing. You can select a DBF field as a Name Field and the named stored in the record is used as the name of the imported point or waypoint.

If you imported the points as points then use the point control to manipulate them.

Importing Polylines or Polygons

wShapeFileTrack.gif (2763 bytes)

Fields

Track No - The number of the OziExplorer track to use.

Track Color - The color to use for the track.

Track Width - The width to make the track line.

wShapeFileAttributes.gif (1926 bytes)

During importing the above dialog is presented. To use this dialog you need to know something about the data you are importing. You can select a DBF field as a Type Field and a new track will be created each time the Type Field contents change. The Description Field is used as the description of the new track.

After importing a polyline or polygon to a track use the track control to manipulate it.


E00 File Import

This could be called experimental.

There are limitations on the projections and position formats which can be imported.

When importing the datum and projection of the data in the file can be specified.


Exporting Waypoints to a Text File

see also Importing Waypoints from a Text File

To Export waypoints simply select the Export Waypoints to Text File on the Save menu.

wExportWp.gif (2578 bytes)

The datum used for exporting can be selected and will default to the datum used for the current map.

NOTE : When exporting to a Waypoint+ text file the datum cannot be altered from WGS 84. Also when importing a Waypoint+ text file the file must have been written from Waypoint+ using the WGS84 datum, OziExplorer does NOT try to use different datums when importing Waypoint+ text files.

The Record format can be selected, I would suggest you use the DMX format for manual editing, this will allow you to enter the Waypoints in degrees and minutes.

File Format

See Importing Waypoints from a Text File for a full description of the formats.


Exporting Tracks to a Text File

see also Importing Tracks

To Export Tracks simply select the Export Tracks to Text File on the Save menu.

wExportTracks.gif (2523 bytes)

The datum used for exporting can be selected and will default to the datum used for the current map.

The Record format can be selected, I would suggest you use the DMX format for manual editing, this will allow you to enter the Waypoints in degrees and minutes.

Export File Format (for UTM)

Line 1 : Geodetic Datum of export data

Track export data

  • One line per track point
  • each field separated by a comma
  • non essiential fields need not be entered but comma separators must still be used (example ,,)

Field 1 : TP - track point identifier
Field 2 : data format selected during export
Field 3 : UTM Zone
Field 4 : y position data in your selected format (Latitude)
Field 5 : x position data in your selected format (Longitude)
Field 6 : Date - month, day, year
Field 7 : Time - hours, minutes, decimal seconds
Field 8 : Section change code
Field 9 : Altitude
Field 10 : Track section
Field 11 : Distance
Field 12 : Time
Field 13 : Speed
Field 14 : Heading

Example :

Datum,WGS 84
TP,UTM,56J,505390,6974571,03/26/2002,07:24:26.386,0,-9999,1, , , ,
TP,UTM,56J,505241,6974663,03/26/2002,07:24:26.386,0,-9999,1,210.2,0.0, ,237.9


Exporting to ESRI Shape Files

Shape files are a format developed by ESRI and used in ArcInfo and other GIS packages.

see also Shape File Import/Export Options Importing ESRI Shape Files

Point Set 1 to Points - Saves the currently loaded Point Set (Point Set 1) to a ESRI (ArcInfo) Shape file (.shp) in the point format.

Waypoints to Points - Saves the currently loaded Waypoints to a ESRI (ArcInfo) Shape file (.shp) in the point format.

Tracks to Polylines - Saves the currently loaded Track (Track 1) to a ESRI (ArcInfo) Shape file (.shp) in the polyline format.

Notes

During the export process the following must be specified :

  • The format of the positions as you want them stored in the shape file must be specified. The position formats supported are Lat/Lon, UTM, Albers projection ,the New Zealand grid and the Swedish grid.
  • If specifying UTM as the position format then the UTM Zone must be specified.
  • The datum used for the positions must be specified.

The DBF file created has the following fields

For exporting OziExplorer Waypoints as points

  • Lat - the y position, usually latitude
  • Lon - the x position, usually longitude
  • Name - the name of the waypoint in the record (if known)
  • Aux1 - Date and Time of the taypoint
  • Aux2 - not used
  • Aux3 - Altitude of the waypoint
  • Longname

For exporting OziExplorer Points as points

  • Lat - the y position, usually latitude
  • Lon - the x position, usually longitude
  • Name - the name of the point truncated to 17 characters
  • Aux1 - Description 1
  • Aux2 - Description 2
  • Aux3 - Description 3
  • Longname - the full name of the point

For exporting OziExplorer Tracks as polylines

  • Tracknum - The OziExplorer track number
  • Sectionnum - The section number of the track
  • Trackname - The name of the track
  • Aux1 - not used


Area Calculations

Caution : The accuracy of the calculation of areas from a map depends on many factors (and combination of factors) some of which are :

  • the scale of the map
  • the type of map projection used
  • the size of the area being calculated.

Do not rely on the result where accuracy is essential.

Limitations

Area calculation will only produce acceptable answers if the following conditions apply.

  • There is a limit of 15000 track points that can be used to mark the perimeter for the Area Calculation.
  • The Area calculation is only designed to be used on maps covering small areas, say 1:100000, 1:50000, 1:25000 and similar. For maps which display full countries or continents or world maps the caution above applies.
  • The track must not fold back on itself.
    Is NOT acceptable and will give a bad result.

    This is an example of a good track for area calculation.

Using the Area Calculation

On the Options Menu select the Area Calculation option.

The Area Calculation dialog will be displayed.

Press the Create Track Point Button [image] on the toolbar and draw a track around the perimeter of the area you want calculated by clicking on the map to form a track. As you draw track points the polygon will be filled with hatching. The area will be displayed in the dialog. Select the units for the area.


Distance and Bearing Display

Distance & Bearing Display

Caution : The accuracy of the calculation of distances from a map depends on many factors (and combination of factors) some of which are :

  • the scale of the map
  • the type of map projection used
  • the length of the distance being calculated.

Do not rely on the result where accuracy is essential.

The software can calculate the Distance and Bearing from :

  • A Waypoint
  • An Event
  • A Map Feature
  • A Track Point
  • A Point
  • A Position Marker
  • and Any point on the Map

The software can calculate Accumulated Distance from :

  • A Position Marker, by moving the Marker and clicking the mouse.
  • Along a Track (the distance for a track is displayed on the Track Control Dialog).
  • Along a Route (the distance for a Route is displayed on the Route Editor Dialog).
  • and Any point on the Map

Measuring Distances

On the View menu or Tool Bar select the Distance Display option.

To measure the distance from a Waypoint, Event, Map feature, Trackpoint or Point simply click on the object, the Distance and Bearing to the mouse pointer will be displayed on the Distance & Bearing Display dialog.

Note 1 : To select a Trackpoint or Point the Trackpoint or Point must be "Active" set by using the Track Control or Point Control dialog, so this can only be done for Track 1 or Point Set 1. However distance & bearing is displayed as you are manually creating a track.

Note 2 : When measuring the distance between 2 objects (Waypoints, Events, Map Features and so on) the measurement is taken from the position stored within the object i.e. its Lat/Lon coordinates.

To measure a distance from any point on the map and draw a permanent line between the points select the Mark button + on the Button Bar. This will change the mouse pointer. Select a position on the map and Mark [image] by pressing the left mouse button. As you move the mouse the distance and bearing to the mouse pointer will be displayed on the Distance & Bearing Display dialog. The distance for each segment will be shown on the Distance dialog.

To measure the distance between any points on the map you just need to activate the Distance & Bearing Display, the distance and bearing will be displayed from the last click of the mouse.

To show a line from the mouse position (rubber banding) to the last point on the map select the Show Line from Position to Cursor Button on the ToolBar.

Measuring Accumulated Distance

Select the Mark button as described immediately above. As you move the mouse pointer and press the left mouse button a cross is drawn on the Map, a blue cross indicates the start of a measurement line, pressing the left mouse button again will draw the line and show the distance along the line. The Leg Distance Display and Leg Distance Color are controlled by configuration options on the Navigation Tab of the Configuration screen.

The previous lines and marks are changed to gray, these marks and lines will be removed the next time the screen is refreshed.

To zero the Total Distance display you must double click on the total distance number or press the button to the right of the total distance field.


Distance Between Waypoints

Caution : Do not assume these measurements are correct at this stage, they need additional testing and proofing, make sure you have verified that the software calculates the measurements correctly yourself before using them for navigation.

Great Circle Distance

Gives the shortest distance between 2 points on the earths surface. The heading when travelling between them is constantly changing.

Rhumb Line Distance

Rhumb lines or loxodromes give the distance between 2 points on the earths surface when travelling between them at a constant heading. This is not the shortest distance between the points.

For small distances the 2 methods give the same values.


Displaying Lat/Lon and Other Grids

Lat/Lon Grid

wGridLL.gif (6665 bytes)

The lat/lon grid can be displayed for any map of any scale of any projection. There are some limitations, such as maps crossing the 180 degree longitude and maps which have a border outside a valid lat/lon such as the example world map.

Other Grid

wGridGR.gif (6957 bytes)

The grid displayed is the one selected in the "Alternate Grid" in configuration. If the UTM grid is selected then the grid displayed on the map is a UTM grid etc.

The display of a grid is very much controlled by the map. It is really only intended for maps of scale say 1:250,000 and below, maps cannot cross a zone boundary (the part displayed on screen anyway). As an example you cannot expect a grid to be displayed on a map which covers a country or the whole world. This does not apply to the UK OSGB (BNG) or the Irish Grid as the format of these grids allow them to be handled as a special case.

I am sure you will find there will be times when the grid will not be displayed on a map.

Parameters

Most of the parameters need no explanation, the ones which are not obvious are decribed below.

Clip to Neat Line - If checked the grid will stop at the neat line boundary which is setup using the corner markers in map calibration. For maps with curved projections odd displays can be noticed if "clip to neat line" is active but these are unimportant.

Auto Scale - If checked as you zoom the map in and out the "Line Interval" will be automatically altered to keep roughly the same line spacing on the display. The line spacing however must be one of the accepted values in the Line Interval selection box.

Numbers

  • Normal - Grid numbers are displayed in full.
  • No Meters - If checked the Grid (on the map grid) will be displayed without the meters - example 1273000 can now display as 1273. This only applies if the last 3 digits of the grid are 000, if they are not the grid number is displayed in full.
  • Last 3 Digits - Only the last 3 digits are displayed if they are not 000, if the grid number is an even multiple of 1000 (last 3 digits are 000) then it is displayed as example - 243* where the full number would be 243000. The * indicates the this is a full grid number without the 000. This lets you work out the full coordinate number. Example - If the number of the next grid line is 200 then the full grid number would be 243200.

Save - Will save you current settings in the the map file and they become the default for the map.

Label Screen Display - "Only on Map borders" the labels will only be shown on the edge of the map. "On all Screens" the labels will be seen on all screens.

Default - Saves the current settings as the defaults to be used when ever the Grid Config dialog is displayed for a map where a grid is not already configured the defaults will be entered automatically (if you have saved defaults), all you have to do is turn the grid on.

Notes

Printing - A grid will be printed if it is displayed on screen at the time of printing.

Limitations

There is a limit of 200 lines for each grid which can be displayed, after this the lines stop. This is to prevent delays in regaining control (if ever) if too fine a grid is chosen. 200 lines on a screen still allows a very fine grid to be used.

There is a limit of 50 labels which can be used on the grid screen display. When this limit is exceeded the labels will stop being displayed. This limit is not restricting as even with 50 the labels overlay each other anyway and cannot be read.


Map printing

Map Printing Options

wPrintMap.gif (6910 bytes)

Note: Due to licensing conditions, there may be printing restrictions on some map types.

Select Area to print on the main map

Only enabled when a Selected option is specified in Print Map. When enabled, you can use the mouse (with the left mouse button depressed) to drag a rectangle on the main map window marking a section of the map you want printed.

If you need to select an area larger than the current screen view you can zoom the map so you see more of the map in the window or use the arrow keys to scroll the map while dragging the selection window.

Print Map

The portion of the image or the size of the printout.

Window - Fit to page(s) - Prints the map portion that is currently visible and fits it to the page, the aspect ratio is retained. Note that the amount of image printed can be controlled by setting the map zoom function to an appropriate level before printing.

Window - to Scale - Prints the map portion that is currently visible. You can select the scale to print to.

Selected - Fit to page(s) - Allows you to draw an area on the main OziExplorer map window. This selected area can then be printed and it is fitted to the page(s). If the Lock Aspect Ratio checkbox is ticked the correct aspect ratio of the page/s will be maintained as you draw the area on the map. Change to zoom level of the map to enable larger areas of the map to be selected.

Selected - to Scale - Allows you to draw an area on the main OziExplorer map window. This selected area can then be printed to the specified scale. Change to zoom level of the map to enable larger areas of the map to be selected.

Map - Fit to page(s) - Prints the map and fits it to the page(s), the aspect ratio is retained.

Map - to Scale - Prints the map to the specified scale.

Scale - Select the scale you want to use to print the map. If the scale you want is not in the list simply enter it in. Be careful specifing low scale values for a large map. This can result in a large number of pages being printed.

Printing of the map can be aborted by pressing the Esc key when the OziExplorer window has the focus. Pressing the Esc key does not give an instant response, but be patient it will respond when it gets control.

Pages

This allows you to set the number of pages wide and the number of pages deep that the "Fit to Page(s)" options use. These values are not applicable to the "to Scale" options. The Wide and Deep work together and because the map is always printed with the correct aspect ratio one of the setting will override the other. In reality they mean the map will be NO wider and NO deeper than the values specified.

Example - to print a map to fit on 2 pages wide specify Wide=2 and Deep =10(a large number), Deep is specified as 10 (or whatever) to make sure it does not affect the Wide value, if Deep was specified as 1 or even 2 it may reduce the wide value to a smaller value (say 1.5) because of the aspect ratio calculations.

Orientation

Selects the page orientation.

Portrait

Landscape

Map Objects

Black & White - Prints the Waypoints, Events, Map Features and Map Comments in Black & White for clarity. This does not apply to colored Symbols.

Color - Prints the above in color. Note the colors of the objects may change to match the map palette.

Note : This setting does not affect the way the actual map is printed, only the objects drawn on the map.

Do not Print Map Image

This option allows you to print everything on the map without printing the actual image of the map, useful for printing map overlays on clear plastic.

Margin

The margin around the map image on the page.

Track Line (mm/unit)

Controls the Line width used for printing tracks. If the track line width is set to 1 pixel then it prints at the specified mm width, if it is 2 pixels it prints at 2 x the specified mm width and so on.

Route Line (mm)

Controls the Line width used for printing routes.

Grid Label (mm)

The height of the font used for printing the Grid labels.

Object Scale

This determines how big the waypoint, events and map features are drawn on the map. A setting of 1 gives a reasonable size, select a larger or smaller scale to change the size accordingly.

Preview

Click on the Preview button to show a preview window of the pages to be printed. This allows you to untick the pages that you do not want to print.

Zooming Preview Window

The preview window has a Zoom button, click the Zoom button to zoom the preview window. There are 3 levels of zoom, press the Zoom button again to show the next zoom level.

Technical Notes

The minimum scale allowed to be selected is 1:500 - this is to prevent possible problems in calculations of the various parameters required.

It is possible, with the selection of a scale which is too small for the particular map, to generate thousands of pages of print. The software will warn you if the number of pages is going to exceed 20 and will not allow you to print more than 200. The selection of such a scale will most likely result in a printing error #102 or may result in a GPF error. If you just want a section of the map printed at a much smaller scale use the zoom levels and the Print Window to Scale option to print just that section.

Each page of a map being printed is regarded as a separate print job - in this way the pages will start being printed while others are being processed.

If the Main OziExplorer window has the focus it is possible to cancel printing by pressing the Esc key. Note that this is not instantaneous but will happen when the current page section is finished.

The size of the waypoints, events and map features is controlled so they will always be visible on any printout. This doesn't mean they will always print at the same size, there is a point at which the size cannot be controlled because they would loose clarity when this point is reached they are simply drawn on the map using a 6 point font.

Other Notes

Tracks and Routes will only print on the map if they are also visible on screen i.e. sort of "What You See Is What You Get" approach.

Waypoint Symbols will not print - This is a problem which seems to occur on just some printers, the cause has not been determined yet. A work around to this problem is to activate a different symbol printing procedure, this can be activated by placing a file called "nopcanvas.dat" into the folder where OziExplorer is installed, is does not matter what is in the file. The Object Scale parameter on the print dialog does not work using this method.

If you are using a color inkjet printer with a black only cartridge make sure you have changed the printer setup in windows to monochrome printing (if applicable).


Printing Lists

Lists can be printed for Waypoints, Routes and Events.

The print option is on the File Menu.


Special Keys

Special Keys and Stuff

This page lists the keys which can be used or actions which can be done but are not discoverable by the user and have no other page to be placed in.

Keys

Calibration Points | When in calibration mode the calibration points (circles) can be adjusted by holding down the shift key and using the arrow keys.
Cursor Move | The cursor can be moved by holding down the shift key and using the arrow keys. The map screen must have the focus. If adding waypoints etc holding the shift key down and pressing the Enter key will add the object.
Events | When adding Events using the mouse pointer directly on the map, you can hold down the Alt key and instead of adding an Event a Waypoint will be added (saves having to click the buttons on the Toolbar). Conversely when adding Waypoints holding the Alt key down will add an Event instead.
Map Comments | See Map Objects below.
Map Features | See Map Objects below.
Map Objects

There are two ways of dragging objects (Waypoints, Events, Map Features or Map Comments).

  • Press the Drag button down, press and hold on the object and drag to the new position.
  • When the Drag button is not active, the map objects can still be dragged, you must also hold down the shift key when dragging with the mouse.
Map - Scroll
  • Scroll the map by dragging with the mouse, hold down the left mouse button and drag with the mouse.
  • The map can be scrolled using the keyboard arrow keys. The map screen must have the focus.
Track Points | When adding Track Points to a track use the Alt key to start a new track section.
Waypoints | When adding Waypoints using the mouse pointer directly on the map, you can hold down the Alt key and instead of adding a waypoint an Event will be added (saves having to click the buttons on the Toolbar). Conversely when adding Events holding the Alt key down will add a Waypoint instead.
Waypoints | See Map Objects above.
Zoom Levels | The zoom levels can be changed by pressing the PgDn and PgUp keys. The map screen must have the focus of course.

Stuff

Distance Measurement | To zero the Total Distance field in the Distance & Bearing window simply double click on the field itself.
Map Open At Startup | To open a particular map at Startup, the map name can be passed as a parameter to OziExplorer. If the map is not local the path and extension (.map) are required.
Position Display | Right click on the position display and alternate grid display (above the map) to change the display format. These changes are not remembered the next time Oziexplorer is run, use the configuration to do this.
Properties Window | Double Click on any Map Object (Waypoint, Event, Map Feature or Map Comment) to open the properties window.
Zoom Window | The Zoom Window can be dragged to any position, simple click on it and drag.

Lat/Long Position Formats

It is possible to enter Lat/Long positions in other formats instead of just Degrees and Minutes.

Decimal Degrees | To enter as Decimal Degrees you put the decimal part of the number in the minutes field. The decimal point must be the first character in the minutes field. For international settings the decimal separator may also be a comma (,). Example [image] this is the same as 26 degrees 30 minutes.
Degrees, Minutes & Seconds | To enter as Degrees & Minutes & Seconds you put the Minutes and Seconds in the Minutes field separated by a space. Example [image] this is the same as 26 degrees 10.5 minutes.
Special Note | It doesn't matter what Lat/Lon format you have specified in Configuration, positions can be entered in any format.

Startup Parameters

The following command line parameters can be used when starting OziExplorer

Note, the / is part of the parameter name.

A map name can be included on the command line but it must come first

/mmstart - Starts Moving Map (NMEA) communication
/mmcontrol - Shows the Moving Map Control
/navcontrol - Shows the Navigation Control
/gpsfix - Shows the GPS Fix window

example command lines
oziexp.exe /mmstart /mmcontrol /navcontrol /gpsfix
oziexp.exe /mmstart
oziexp.exe c:\oziexplorer\maps\mymap.map /mmstart /mmcontrol

The following files cause changes in OziExplorers actions

"tiffull.dat" - Tiff files will be loaded fully into memory instead of being paged from disk as required. Useful for laptops so the disk is not being continually accessed. This does not take into account the memory requirements of the image, if the image is very large it may take considerable time to load or not load at all.
"bsbfull.dat" - The same as above but for BSB files.
"tripmate.dat" - OziExplorer will look for a tripmate GPS when it starts moving map (nmea) mode.
"showxy.dat" - OziExplorer will show the x,y pixel coordinates of the map image on the status line, this is useful when using OziExplorer to setup image calibration for use in other software.

The file(s) must have the above names and be placed in the same folder as the OziExplorer exe file. The files can have anything in them or be empty it does not matter.


Frequently Asked Questions

see also Hints and Tips Special Keys and Stuff

Why can't I upload to a Garmin GPS at 115,000 BAUD, Mapsource does it.

115,000 baud can be used for uploading maps and for upgrading the ROM software in the GPS, but to the best of my knowledge and experiments it does not work for upload/download of waypoints etc, if someone can show me any software which can do it I will try to do it also.

It would be great if the map calibration points could be set using keyboard control with the arrows, the mouse is too coarse for this.

Already there, the arrow keys scroll the whole map, but the shift + arrow keys will move the calibration point marker (bulls eyes). The method is to select the cal point required and use the mouse to place the cal marker close to the spot required, then use the shift + arrow keys to move it into place. This is mentioned in the Special Keys and Stuff help section.

Why doesn't OziExplorer have zooms larger than 750%

OziExplorer is Raster software (that is it uses images for the map, even the blank map is just an image). Zooming in on a raster image does not improve accuracy. The best a raster map can be calibrated to is +or - 1 pixel, when you zoom in at say 500% (x5 times) each pixel in the map image is increased 5 times, the accuracy of a position is now +or - 5 screen pixels. There seems little point in adding more zoom levels, as the calculations cause pixel rounding the liklehood of causing positional errors (on the zoomed screen that is) increases as the zoom level increases.

I do agree the blank map zooming could be improved as an image need not be used for that but to do that I have to rewrite quite a bit of the code and am saving that for a while.

Why can't there be unrestricted zoom levels.

The true mapping image formats such as TIFF (geotiff), BSB, NOS/GEO, maptech PCX and my own formats OZF and OZF2 are paged from disk as required, so only a small portion of the image is in memory at any time. When a zoom level is required, for example, at 50% zoom only every 2nd scanline (row) of the image is read from disk, at 33% (actually 33.333%) only every 3rd scanline is read, this speeds up image reading and therefore display times. This means only those zoom levels which can be divided into 100 evenly can be done (quickly) (50,33.33,25,20, etc). This limits the zoom levels available and the way zooming can be done. Hence there is no zooming by dragging the mouse and you are not able to enter your own zoom levels into the combo box.

Other image formats could have other zoom levels but I have decided to just use the 1 method, however I have added a 75% zoom level for other image formats.

How come a 75% zoom level is not available for TIF, BSB and OZF files.

See the explanation above.

When I load in some maps the higher level zooms (up to 750) are not available.

With large maps the large levels of zoom cause the size of the map to exceed the internal limitations of windows, this is a by-product of the method I used to implement the zoom. To avoid this problem the levels of zoom which would cause the problem have been removed.

Are there other ways of Zooming instead of having to select the Zoom combo box all the time.

The PgUp/PgDn keys zoom the map in and out.

There are 50, 100 and 200% zoom levels available on the right click map menu.

There are + - zoom buttons on the toolbar.

There will soon be a version released which has specific zoom buttons which can be added to the user toolbar, including a "Full" zoom button.

When I use the Zoom there is a considerable delay until control is returned.

This is an unavoidable problem when using very large BMP image files for the map and your system doesn't have enough memory. In this case Zoom is unusable with very large files, reduce the size of the files if possible. This problem does not occur with tiff files which use a different method for zooming. Tiff files can only be used by the registered version.

I calibrated my map but waypoints do not plot on the map when I download them from the GPS or load them from a file even though they should.

Very likely the map calibration is wrong. Make sure you have set the E/W or N/S fields to specify negative positions of latitude and longitude. Make sure the positions are in Degrees and decimal minutes. If using UTM make sure you specify the correct zone and use the N/S field to indicate if you a north or south of the equator.

All waypoint positions I download plot slightly off from where they should by the same amount, why is this.

Datums, Datums, Datums. A mismatch of datums cause this sort of affect. If you only have the shareware version and have a Lowrance or Eagle make sure the GPS has its datum set to match the Map you are using when you collect the data. Note some Lowrance and Eagles now output all data in WGS84 so check out exactly what your GPS does.

If you have a Garmin it will always download in WGS84 no matter what datum you set the GPS to so with the shareware version there is nothing you can do.

To fix this problem you must have the registered version so datums can be set for the Map and GPS. But before you set Datums read the Datums help.

When I print the map or save it as a BMP or PNG file the tracks or routes are not shown even though I have them loaded.

The tracks or routes will only be printed or saved on the map if they are visible on the screen map (not just loaded), this is a sort of "what you see is what you get" approach.

I have a track loaded and displayed on the map but when I start to use moving map the track seems to disappear even though the show tracks button is down.

The track you have displayed would be loaded into Track 1. When you start using moving map and display the Moving map Control this sets up its own parameters for Track 1, you may have it set to only display a certain number of track points as a tail from your position.

When I add the symbols to the symbols directory in OziExplorer they do not appear in the symbol selection for Waypoints.

The symbols are only for use by Map Features. The symbols used by the waypoints are fixed to match those available in your GPS and cannot be altered by the user.


Hints and Tips

Hints & Tips

see also Frequently Asked Questions Special Keys and Stuff

  1. To drag objects around on the map press the Drag button on the toolbar and drag the object with the mouse pointer. If the Drag button is not down, hold down the shift key while dragging with the left mouse button.
  2. To change the size of the MapView window place the mouse pointer over the small diagonal button in the bottom right of the MapView window and drag the window. This size is remembered the next time you run the software.
  3. To scroll the map by dragging use the left mouse button.
  4. To display new roads which is not on the map use this technique. Manually create a track where the new road runs. Set the track color and width etc using the Track Control, save it to a file. Attach this track file to the map using the "Attach Track, Waypoint ..... Files" option on the Options section of the map calibration form, the track will then be loaded automatically with the map. This option will also allow you to attach waypoint, event or route files also, however conditions apply for these. Point files can be attached using the same method.
  5. You can attach a waypoint, event or route file to a map so it is automatically loaded by using the Options button on the Map Calibration form.
  6. To gain access to the properties of a waypoint, event, map feature or map comment place the cursor on the object and press the right mouse button. You can also double click on the object to open the properties window.
  7. If you have 2 Waypoints or any 2 Map Objects (waypoints, events, map features or map comments) which are overlaying each other or to close together to work with you can hide the object on top by choosing the Hide option on the properties menu (right click on the object). To Unhide the objects select the Unhide Options.
  8. If you put the .map file and the image file in the same folder OziExplorer will always find the image regardless of its link in the map file.
  9. By Right Clicking on the MapView window a menu of options is provided.
  10. By Right clicking on the Regional Map Window a menu of options is provided.


Error Codes

Error Code # | Error Description | Possible Fix
General
1 | This error is displayed instead of the Latiude or Longitude. Most likely caused by an incorrect Map calibration. Error occurs when software attempts to convert a image coordinate (x,y) to a Latitude,Longitude. | Check Map calibration for input errors, All North/South or East/West entered correctly. Calibration points not all in horizontal or vertical line (must have good spread across the map).
2 | This error is displayed when attempting to create a Waypoint. Most likely caused by an incorrect map calibration. Error occurs when software attempts to convert a Latitude,Longitude to an image coordinate (x,y). | As above.
Printing a Map
101 | The temporary windows bitmap needed could not be created. | Your system may be very low on resources, memory or hard disk space.
102 | Printing Error - The image could not be transferred to the printer, this usually means the section of image being printed causes an error in the windows StretchDiBlit function. | You may not have enough free disk space on C: drive for the image to be spooled. You may need many hundreds of megabytes to spool a large image. Free up some disk space or trying printing with a larger scale.
103 | The error occured in the windows Bitblt command. | Should not normally happen, try a reboot of the computer.
Saving a Map Image
110 | The file where the image is to be save could not be created. | The file may may already exist and be marked as read-only.
111 | There was not enough disk space to create the image. | Free up some disk space.
112 | There was not enough disk space to create the image. | Free up some disk space.
113 | The temporary windows bitmap needed could not be created. | Your system may be very low on resources, memory or hard disk space.
114 | The error occured in the windows Bitblt command. | Should not normally happen, try a reboot of the computer.


OziExplorer Crashes my System

see also Trouble Shooting Common User Problems

Here I am not meaning the odd bug in OziExplorer which causes an error or occasional crash of the software, I mean a crash which could cause a "General Protection Fault" or a system wide crash or lockup, usually every time you run OziExplorer.

This is rare but there are some systems which do have this problem, possible problems and cures are discussed below.

OziExplorer Configuration file has become corrupted.

An error can occur because a file or setting has become corrupted.

If OziExplorer is running, Quit the program. Run the "Reset OziExplorer Defaults" option on the Windows Start Menu / OziExplorer.

When you run OziExplorer after this it will have a default configuration.

Note: It will be necessary to re-configure OziExplorer.

Graphics Card problems.

The problem may be caused by the Graphics card drivers and usually graphics cards which use high acceleration.

Some of the problems which show up are :

  • The computer locks up when the cursor is moved to the top of the map.
  • A General Protection Fault is generated in the Graphics card driver
  • When scrolling, the map window becomes fragmented.

To test this you can turn down the acceleration of the graphics card and try OziExplorer.

Open the Display Properties.

Depending on the version of Windows the Acceleration settings may be on the Performance tab, or may be accessed by pressing the "Advanced" button on the settings tab and selecting the Troubleshooting tab.

Turn the Acceleration down to 1 click above the minimum setting and test OziExplorer. If the problem disappears then it may have been caused by bugs in the graphics card drivers.

OziExplorer causes a "General Protection Fault" . The error generated will look something like this.

OZIEXP caused a general protection fault
in module GRF128.DRV at 0001:00001263.
Registers:
EAX=00000000 CS=0357 EIP=00001894 EFLGS=00000246

Look at the module name if it has a .DRV extension the module is most likely part of your Graphic Card drivers.

There is little that can be done to Oziexplorer to fix these problems, it is likely being cause by bugs in the graphics card drivers. The drivers are just software programs and are subject to bugs as any other programs are.

The manufacturer of the graphics card may have new drivers available which have fixed the problem so check out their web site.

Turning the acceleration down as per the above instructions is the test for this.

If you get an error eOutofResources error this indicates that Windows has run out of Resources. This is a limitation of early Windows versions. A reboot of the System may help


Common User Problems

This page lists the most common problems that many users seem to have.

see also Trouble Shooting OziExplorer Crashes my System

Communications with the GPS

Garmin GPS - Upload/Download

When using a Garmin GPS and are having problems uploading/downloading make sure you check these settings:

GPS - set the GPS Interface to GRMN/GRMN HOST mode. On newer model Garmins the mode is just called GARMIN.

OziExplorer - set the GPS Upload/Download Baud rate to 9600, garmins always do upload/download at this speed.

Garmin GPS - Moving Map mode (NMEA)

When using a Garmin GPS and are having problems using Moving Map mode make sure you check these settings:

GPS - set the GPS Interface to NMEA/NMEA mode. On newer model Garmins the mode may be called NMEA OUT.

OziExplorer - set the GPS NMEA Baud rate to match the GPS, on most Garmins this is set automatically to 4800 and cannot be altered.

If using a Magellan GPS try a Baud rate setting of 9600, even though they have an option of 19200 I have never found one that works at this speed.

Make sure you have the baud rate settings the same in the GPS and in Oziexplorer.

Waypoint Positions (any positions) do not agree.

If your waypoint positions are not where you think they should be it is most likely caused by a datum mismatch. Typically a datum problem can alter a position by 50 to 200 meters but it could be less or more for some datums.

Datums are complicated and many users seem to get these settings wrong.

See Datums help for more information.

When using "Moving Map" and you position is slightly off the correct position on the map check these items:

  1. That you have the Map Datum set correctly.
  2. That you have the OziExplorer GPS NMEA Output Datum set correctly. For Garmins this must be set to the same datum as the GPS, for most other GPS's it should be set to WGS 84. The Eagle Explorer and Lowrance GN200 require it to be set to match the GPS datum.

See Datums help for more information.

When calibrating a map and are using readings from your GPS make sure the readings were taken with the GPS datum set to the same datum as the map.


Trouble Shooting

see also OziExplorer Crashes my System Common User Problems

Communication Problems

Read this section if you are having problems communicating with your GPS.

This can be divided into 2 sections, problems with the com port on the PC and configuration problems with OziExplorer and/or the GPS.

COM Port Problems

Make sure you do not have any other programs also trying to use the COM port. These may include FAX programs, programs which interface to Palm Pilots and other PDA's, terminal type programs (e.g. Hyperterminal). If you have been using a DOS terminal program to read the output from the GPS you must not only exit the terminal program but may also have to completely exit the DOS window to release the COM port.

If you get the error from OziExplorer "Failure to Open Com Port" this means the port is in use by another program or does not exist, note that OziExplorer has not yet attempted to communicate with the GPS, it does this only after it has successfully opened the COM port.

The serial output from most GPS receivers is in fact RS232C which means the output from the GPS only swings between 0 anf 5 volts instead of the usual + and - 10 volts (nominal). The majority of PC's can handle the 0 to 5 volt input without any problems but I have heard of PC's which could not, but this is rare and should only be checked as a last resort.

It is also possible to lock up the communication port on the GPS, so it is advisable to turn the GPS off and on when attempting to establish communication to reset the port.

Configuration Problems

See the GPS Communication section of the Common User Problems for information about this.

At low Baud rates (4800 or less) OziExplorer is more likely to not communicate with the GPS if NMEA output is turned on, this applies to Lowrance & Eagle units only.

Screen Display Problems

If the map appears blocked and disjointed, usually after zooming the map then this is usually caused by the graphics card drivers. See the section OziExplorer Crashes my System the same fix applies for this.

Waypoint Symbols will not print - This is a problem which seems to occur on just some printers, the cause has not been determined yet. A work around to this problem is to activate a different symbol printing procedure, this can be activated by placing a file called "nopcanvas.dat" into the folder where oziexplorer is installed, is does not matter what is in the file. The Object Scale parameter on the print dialog does not work using this method.


OziExplorer Limitations

Maximum Waypoints Loaded = 100000

Maximum Events Loaded = 1000

Maximum number of Routes = 100

Maximum number of Waypoints per Route = 300

The actual number of the above objects is controlled by the numbers specified for the configured GPS model. These can be adjusted on the GPS tab of the configuration. Of course specifying more objects (waypoints,events etc) than the GPS supports means the extra objects cannot be uploaded to the GPS.

Maximum Number of Tracks Loaded = 1000

Maximum Number of Points per Track = unlimited

The actual number of track points is controlled by the number specified in the GPS configuration.

Maximum Number of Point Sets = 1000

Maximum Number of Points per Point Set = unlimited

Maximum Map Features per map = 500

Maximum Map Comments per map = 500

Attaching Files to a Map

Maximum Number of Track files attached to a map = 50

Maximum Number of Point Set files attached to a map = 50

Maximum Number of Waypoint files attached to a map = 1

Maximum Number of Event files attached to a map = 1

Maximum Number of Route files attached to a map = 1


OziExplorer File Formats

Waypoint File (.wpt)

Line 1 : File type and version information
Line 2 : Geodetic Datum used for the Lat/Lon positions for each waypoint
Line 3 : Reserved for future use
Line 4 : GPS Symbol set - not used yet

Waypoint data

  • One line per waypoint
  • each field separated by a comma
  • comma's not allowed in text fields, character 209 can be used instead and a comma will be substituted.
  • non essential fields need not be entered but comma separators must still be used (example ,,)
    defaults will be used for empty fields
  • Any number of the last fields in a data line need not be included at all not even the commas.

Field 1 : Number - for Lowrance/Eagles and Silva GPS receivers this is the storage location (slot) of the waypoint in the gps, must be unique. For other GPS receivers set this number to -1 (minus 1). For Lowrance/Eagles and Silva if the slot number is not known (new waypoints) set the number to -1.
Field 2 : Name - the waypoint name, use the correct length name to suit the GPS type.
Field 3 : Latitude - decimal degrees.
Field 4 : Longitude - decimal degrees.
Field 5 : Date - see Date Format below, if blank a preset date will be used
Field 6 : Symbol - 0 to number of symbols in GPS
Field 7 : Status - always set to 1
Field 8 : Map Display Format
Field 9 : Foreground Color (RGB value)
Field 10 : Background Color (RGB value)
Field 11 : Description (max 40), no commas
Field 12 : Pointer Direction
Field 13 : Garmin Display Format
Field 14 : Proximity Distance - 0 is off any other number is valid
Field 15 : Altitude - in feet (-777 if not valid)
Field 16 : Font Size - in points
Field 17 : Font Style - 0 is normal, 1 is bold.
Field 18 : Symbol Size - 17 is normal size
Field 19 : Proximity Symbol Position
Field 20 : Proximity Time
Field 21 : Proximity or Route or Both
Field 22 : File Attachment Name
Field 23 : Proximity File Attachment Name
Field 24 : Proximity Symbol Name

Event File (.evt)

Line 1 : File type and version information

Line 2 : Geodetic Datum used for the Lat/Lon positions for each event

Line 3 : Reserved for future use

Line 4 : Reserved for future use

Event data

  • One line per event
  • each field separated by a comma
  • non essential fields need not be entered but comma separators must still be used (example ,,)
    defaults will be used for empty fields

Field 1 : Number - this is the location in the array (max 1000), must be unique, usually start at 1 and increment.
Field 2 : Latitude - decimal degrees.
Field 3 : Longitude - decimal degrees.
Field 4 : Symbol - 0 to number of symbols in GPS
Field 5 : Map Display Format - not yet used, set to 0
Field 6 : Foreground Color (RGB value)
Field 7 : Background Color (RGB value)
Field 8 : Symbol Size - 17 is normal size

Track File (.plt)

Line 1 : File type and version information
Line 2 : Geodetic Datum used for the Lat/Lon positions for each trackpoint
Line 3 : "Altitude is in feet" - just a reminder that the altitude is always stored in feet
Line 4 : Reserved for future use
Line 5 : multiple fields as below

Field 1 : always zero (0)
Field 2 : width of track plot line on screen - 1 or 2 are usually the best
Field 3 : track color (RGB)
Field 4 : track description (no commas allowed)
Field 5 : track skip value - reduces number of track points plotted, usually set to 1
Field 6 : track type - 0 = normal , 10 = closed polygon , 20 = Alarm Zone
Field 7 : track fill style - 0 =bsSolid; 1 =bsClear; 2 =bsBdiagonal; 3 =bsFdiagonal; 4 =bsCross;
5 =bsDiagCross; 6 =bsHorizontal; 7 =bsVertical;
Field 8 : track fill color (RGB)

Line 6 : Number of track points in the track, not used, the number of points is determined when reading the points file

Trackpoint data

  • One line per trackpoint
  • each field separated by a comma
  • non essential fields need not be entered but comma separators must still be used (example ,,)
    defaults will be used for empty fields

Field 1 : Latitude - decimal degrees.
Field 2 : Longitude - decimal degrees.
Field 3 : Code - 0 if normal, 1 if break in track line
Field 4 : Altitude in feet (-777 if not valid)
Field 5 : Date - see Date Format below, if blank a preset date will be used
Field 6 : Date as a string
Field 7 : Time as a string

Note that OziExplorer reads the Date/Time from field 5, the date and time in fields 6 & 7 are ignored.

Example
-27.350436, 153.055540,1,-777,36169.6307194, 09-Jan-99, 3:08:14
-27.348610, 153.055867,0,-777,36169.6307194, 09-Jan-99, 3:08:14

Point File (.pnt)

Line 1 : File type and version information
Line 2 : Geodetic Datum used for the Lat/Lon positions for each point
Line 3 : Reserved for future use
Line 4 : Reserved for future use
Line 5 : multiple fields as below

Field 1 : point set fore color (RGB)
Field 2 : point set back color (RGB)
Field 3 : point set size
Field 4 : point set font size
Field 5 : point set format
Field 6 : point set style
Field 7 : point set description (no commas)

Point data

  • One line per point
  • each field separated by a comma
  • non essential fields need not be entered but comma separators must still be used (example ,,)
    defaults will be used for empty fields

Field 1 : Latitude - decimal degrees.
Field 2 : Longitude - decimal degrees.
Field 3 : rotation angle
Field 4 : point name
Field 5 : description 1 (no commas)
Field 6 : description 2 (no commas)
Field 7 : description 3 (no commas)

Route File (.rte)

Line 1 : File type and version information
Line 2 : Geodetic Datum used for the Lat/Lon positions for each waypoint in the routes
Line 3 : Reserved for future use
Line 4 : Reserved for future use

Route data

  • One line per route followed by each waypoint in the route
  • each field separated by a comma
  • comma's not allowed in text fields, character 209 can be used instead and a comma will be substituted.
  • non essential fields need not be entered but comma separators must still be used (example ,,)
    defaults will be used for empty fields
  • Any number of the last fields in a data line need not be included at all not even the commas.

Route Record

Field 1 : R - indicating route details
Field 2 : Number - this is the location in the array, must be unique, usually start at 0 for Garmins 1 for other and increment.
Field 3 : Name - the waypoint name, use the correct length name to suit the GPS type.
Field 4 : Description.
Field 5 : Route Color as displayed on map (RGB).

Route Waypoint Record

Field 1 : W - indicating route waypoint details.
Field 2 : Route Number - location in array of routes
Field 3 : Number - this is the location in the array of route waypoints, this field is now ignored.
Field 4 : Wp Number - this is the number of the waypoint (the Wp number within the GPS for lowrances)
Field 5 : Name - the waypoint name, use the correct length name to suit the GPS type.
Field 6 : Latitude - decimal degrees.
Field 7 : Longitude - decimal degrees.
Field 8 : Date - see Date Format below, if blank a preset date will be used
Field 9 : Symbol - 0 to number of symbols in GPS
Field 10 : Status - always set to 1
Field 11 : Map Display Format
Field 12 : Foreground Color (RGB value)
Field 13 : Background Color (RGB value)
Field 14 : Description (max 40), no commas
Field 15 : Pointer Direction
Field 16 : Garmin Display Format

While all the waypoint details are stored with each route it is always the waypoints loaded on the map which have priority, in other words if a waypoint on the map has the same name and/or array number location as a waypoint in a route loaded from a route file the waypoint on the map could replace the waypoint currently loaded from the route record. This occurs when the user presses the relink waypoints button on the Route Editor.

Date Format

Delphi stores date and time values in the TDateTime type. The integral part of a TDateTime value is the number of days that have passed since 12/30/1899. The fractional part of a TDateTime value is the time of day.

Following are some examples of TDateTime values and their corresponding dates and times:

0 - 12/30/1899 12:00 am
2.75 - 1/1/1900 6:00 pm
-1.25 - 12/29/1899 6:00 am
35065 - 1/1/1996 12:00 am


Map File Format

In the text below the lines in the map file are marked with a dot.

Only those parameters which can be modified/created by the user are described, parameters which are used for special cases are not described.

The lines in green are optional

The Map File

The lines are in the order they are in the map file.

Header and Version of File

  • OziExplorer Map Data File Version 2.2

Title of Map - any text string

  • Brisbane Region

Link to map image file

  • D:\OziMaps\regional\south.ozf4

Can be 1 of 2 things

  • 1 TIFF scale factor - redundant, no longer used and has been replaced by line below
  • 1 ,Map Code, - only used for special types of maps - Note - cannot be modified by the user but must be there.

Datum settings

  • WGS 84,, 0.0000, 0.0000,WGS 84 - Note - for normal maps only the datum in the first field is used the rest of the parameters are for datum shifts and there is normally no need for these to be modified by the user.

Reserved fields, the lines must be there

  • Reserved 1
  • Reserved 2

Magnetic Variation entry - degrees,minutes

  • Magnetic Variation,,,E

Map Projection

  • Map Projection,Lambert Conformal Conic,PolyCal,No,AutoCalOnly,No,BSBUseWPX,Yes

Parameters

  1. Map Projection - must match the projection name used in OziExplorer
  2. PolyCal - the next parameter is Yes if Polynomial calibration is used and No if not
  3. AutoCalOnly - Yes if calibration cannot be adjusted by the user No if it can
  4. BSBUseWPX - For BSB images only, Yes if the calibration equations contained in the BSB file are used.

Calibration points, there are always 30
Only 9 points can be modified from within OziExplorer but OziExplorer will use the full 30 if they exist in the .map file.

  • Point01,xy, 494, 235,in, deg, 24, 0,S, 148, 0,E, grid, , , ,S
  • Point02,xy, 4076, 238,in, deg, 24, 0,S, 154, 0,E, grid, , , ,S
  • Point03,xy, 4011, 2854,in, deg, 28, 0,S, 154, 0,E, grid, , , ,S
  • Point04,xy, 550, 2851,in, deg, 28, 0,S, 148, 0,E, grid, , , ,S
  • Point05,xy, , ,in, deg, , ,S, , ,E, grid, , , ,S
  • Point06,xy, , ,in, deg, , ,S, , ,E, grid, , , ,S
  • ...
  • Point30,xy, , ,in, deg, , ,N, , ,W, grid, , , ,N

Projection setup parameters, all on one line.

  • Projection Setup, 0.000000000, 152.000000000, 1.000000000, 2500000.00, 100000.00, -24.666667000, -27.333333000,,,

Parameters

  1. Latitude Origin
  2. Longitude Origin
  3. K Factor
  4. False Easting
  5. False Northing
  6. Latitude 1
  7. Latitude 2
  8. Height - used in the Vertical Near-Sided Perspective Projection
  9. Sat - not used
  10. Path - not used

A marker line, it contains no information but is used as a file marker, must be there

  • Map Feature = MF ; Map Comment = MC These follow if they exist

Map Features, there are 3 lines per feature

Line 1 Parameters

  1. Number
  2. Name
  3. Latitude
  4. Longitude
  5. Show Format - not used
  6. Fore Color
  7. Back Color
  8. Symbol Name
  9. Create Waypoint
  10. Waypoint Name
  11. Format Type - internal use

Line 2 - the link to the picture, if there is no picture a blank line must be there
Line 3 - the description of the feature, if no description the blank line must be there

  • MF, 1,MF 1 , -26.557302, 152.679007, 0, 16777215, 16711680, ,1,MF1
  • c:\pictures\photo5.jpg
  • This is a good camping spot
  • MF, 2,MF 7 , -26.713354, 153.249176, 0, 16777215, 16711680,Asterisk.bmp ,1,MF7

Map Comments, there are 2 lines per comment

Line 1 Parameters

  1. Number
  2. Latitude
  3. Longitude
  4. Show Format - not used
  5. Fore Color
  6. Back Color
  7. Width
  8. Height
  9. Font Size
  10. Font Style

Line 2 - The text for the comment

  • MC, 1, -26.572626, 152.512726, 0, 0, 65280, 68,20,6,0
  • Map Comment 1
  • MC, 2, -26.661532, 152.633450, 0, 0, 13158342, 182,82,13,1
  • Map Comment 2 This is a large map comment
  • MC, 3, -26.659946, 152.634492, 0, 0, 13158342, 182,82,13,1
  • Map Comment 3

Attached file marker, .plt, .wpt, .evt, .pnt files can be included

  • Track File = TF These follow if they exist

The attached files - not limited to just track files

  • TF,e:\GpsMap\Data\000_2.plt
  • TF,e:\GpsMap\Data\aa_demo1.plt
  • TF,e:\GpsMap\Data\000_test.plt
  • TF,e:\GpsMap\Data\001_test.plt
  • TF,e:\GpsMap\Data\aaa.pnt
  • TF,e:\GpsMap\Data\names.pnt

The Moving Map section marker

  • Moving Map Parameters = MM? These follow if they exist

Use in Moving Map, if this parameter is set to No then the map will be excluded when looking for a new map to change to when using moving map mode. It does not affect other map find functions.

  • MM0,Yes

Number of Map border points (corner markers)
Only 4 points can be set graphically in OziExplorer but up to 100 points can be used when derived from other sources, such as importing BSB charts.

  • MMPNUM,4

The x, y pixel location of each border point, there must be an entry for each border point.
These are used by OziExplorer as the map loads to determine the map border points.

  • MMPXY,1,494,234
  • MMPXY,2,4076,238
  • MMPXY,3,4012,2855
  • MMPXY,4,549,2852

The lat, lon position of each border point, there must be an entry for each border point.
These values are used in the map find and moving map functions when looking for maps.
If these values are not there then the map will never be found.
If these values do not agree with the MMPXY points (after map calibration is applied) then map finding in moving map will not function correctly.
These values will be overwritten by the calculated value from the above x, y points every time the map is saved.

  • MMPLL,1, 147.999332, -23.998496
  • MMPLL,2, 154.000701, -23.999946
  • MMPLL,3, 154.001025, -28.001546
  • MMPLL,4, 147.998983, -28.001469

The scale of the image meters/pixel, its calculated in the left / right image direction.
It is calculated each time OziExplorer is run, the value in the file is used when searching for maps of "more detailed" scale.

  • MM1B,170.352987

The lat/lon grid setup

  • LL Grid Setup
  • LLGRID,No,10 Min,Yes,8421504,255,16711935,10 Min,16777215,8421504,9,1,Yes,x

Parameters

  1. LLGRID - identifier
  2. Grid On - Yes = display grid
  3. Grid spacing - number and unit
  4. Autoscale - Yes = autoscale on
  5. Degree line color
  6. Minute line color
  7. second line color
  8. label spacing - number and unit
  9. label fore color
  10. label back color
  11. label size
  12. label - show on all screens
  13. x - ignore

The Other grid setup

  • Other Grid Setup
  • GRGRID,No,10 Km,Yes,255,16711680,10 Km,16711680,16777215,9,1,Yes,Yes,No,x
  1. GRGRID - identifier
  2. Grid On - Yes = display grid
  3. Grid spacing - number and unit
  4. Autoscale - Yes = autoscale on
  5. Km line color
  6. Meter line color
  7. label spacing - number and unit
  8. label fore color
  9. label back color
  10. label size
  11. label - show on all screens
  12. Clip to neat line
  13. No meters shown in label ??
  14. Show last 3 digits in label ??
  15. x - ignore

The position the map will display when it is opened (now redundant but will be used if there)

  • MOP,Map Open Position,3008,2324

The position the map will display when it is opened (overrides the MOP above). This is the position saved using the Save Map Open Position option on the Map Menu.

  • MOPLL,Map Open Position,3008,2324

The map image width and height - not used, just for information

  • IWH,Map Image Width/Height,4440,3590

The last map saved position. This is the position the map will be opened at. If the MOPLL above has been saved, it will override this position and the map will be opened at the saved position.

  • MLP,Map Last Position,-33.5473616,151.2392178,100


OziExplorer API

(Application Programming Interface)

The API is a controlling interface, the API provides methods for other programs to control many actions of OziExplorer.

The files and documentation for the API can be downloaded from the Utilities section of the web site www.oziexplorer.com


Introduction

OziExplorer3D is an optional add-on to the OziExplorer software, details of the software and an evaluation version can be obtained from our web site www.oziexplorer.com

OziExplorer3D is software which allows map images to be viewed in 3D with the ability to rotate in all directions and zoom in and out of the view.

The 3D maps are created using the OziExplorer GPS Mapping Software, the 3D maps are then viewed by OziExplorer3D, in this respect OziExplorer3D can be considered as an add-on to the OziExplorer GPS Mapping software.

A 3D map can be created from any map that can be loaded in OziExplorer provided you have elevation data for the region.

When the term OziExplorer3D is used the 3D map viewer is being referred to, when the term OziExplorer is used the OziExplorer GPS Mapping Software is being referred to.

A 3D map is composed of a map image (or image part) and a grid of heights at a spacing specified by the user. The software plots the height grid in 3D and then overlays the map image on the grid (this is called texturing) to produce a 3D map.

OziExplorer creates the grid of heights using the height data you have obtained and writes this to a file. Other required information is also written to the file and the file is then passed to OziExplorer3D which loads the file and the map image (or image section) and displays the 3D map.

The evaluation version of OziExplorer3D will work with the evaluation version (shareware/demo version) of OziExplorer but the limitations of both packages will apply.

To get the full benefit of creating and viewing 3D maps you must have a purchased copy of OziExplorer3D and a purchased copy of OziExplorer.

Design Philosophy

Because OziExplorer can handle maps and also requires the use of height data for its own needs it was decided to include the creation of the 3D maps within OziExplorer rather than duplicating its map handling functionality in OziExplorer3D as well. OziExplorer can use a normal OziExplorer map and the height data which the user has installed to create a 3D map file which is then sent to the OziExplorer3D map viewer.

Requirements

  • Windows 95/98/ME/NT4/2000/XP with OpenGL support (this is standard for all except Windows 95).

  • A graphics card with OpenGL hardware and driver support is preferred for performance reasons but is not essential

  • OziExplorer GPS Mapping Software

  • OziExplorer3D Software

  • Height Data for the regions of interest

Computer systems with 3D graphics cards with acceleration will obtain better performance. OziExplorer3D uses OPENGL programming which is highly dependent on your graphics card drivers. It is expected some systems will have problems because of this.

Features

  • Display maps in 3D
  • Most maps which can be viewed in OziExplorer can be viewed in 3D (some image types are excluded for licensing reasons)
  • Rotate your maps in 3D, view from any direction
  • View waypoints, tracks and points on the 3D map
  • Zoom in and out
  • Apply 3D shading to your map
  • Apply Fog to the map
  • Load multiple maps in OziExplorer3D (purchased version only)
  • Show GPS position on the 3D map
  • Save, copy to the clipboard and print the current 3D map view


OziExplorer3D FAQ

 OziExplorer 3D - FAQ

General Information

  • OpenGL and Windows Operating System

OziExplorer3D uses the OpenGL graphics engine for high-performance 3D graphics similar to the engine used in many of the video games. Most video card manufacturers support OpenGL, but to get the best performance from your computer it is important to make sure you have the most recent drivers. Hardware acceleration of OpenGL requires special drivers which take advantage of the graphics hardware in the system.

  • What if I only have a basic graphics card and my maps rotate slowly

If your system does not have a graphics card with hardware acceleration, the software will perform slowly. The reason for this is that although most Windows users will have access to a software implementation of OpenGL, it uses the CPU (instead of a dedicated graphics card) to render 3D graphics. Windows 95B (OSR2/2.1), Windows 98 and Windows NT 4.0 all ship with Microsoft software implementations of OpenGL.

If you select "Wire Frame Rotate" in OziExplorer3D configuration, the software will operate better on your system when you drag or rotate your map. Use of smaller map sections with less vertices will improve performance.

  • Will 3D graphics cards improve the performance of OziExplorer3D

Yes, if you have a graphics card with built-in opengl 3D support you will get an improved performance from one without. However, you should obtain specialist advice on which graphics best suits.

FAQ
  • I have DEM files which are projected in the local Grid and map datum, how can I use these.

OziExplorer has the ability to specify the grid and datum being used, see the Height Data help (bottom of the page) for information on how to do this.

  • When I select the "whole map" my computer is very slow.

1. Try selecting a smaller section of the map, some computer systems will not be able to handle selection of the whole map, particularly if the map is large.

2. Reduce the number of vertices. Some computer systems will slow down if you have 10,000 or more vertices.

3. If you select "Wire Frame Rotate" in OziExplorer3D configuration, the software will operate better on your system when you drag or rotate your map.

  • My track elevation does not correspond with the map elevation pattern (shape).

1. The height datum of the track elevation data and the DEM elevation data may be different.

2. The map will show the elevations at the accuracy of the data from the DEM file. Also the grid spacing of the data will have an effect. (eg Gtopo30 data is 1km grid spacing which will tend to smooth out the map elevation shape).

3. The track height data captured by a GPS is not accurate.

There are two elevation offsets you can make

  • In OziExplorer / Elevation Configuration, you can enter an "Elevation Adjustment" value (m). This will adjust both your Track heights (from GPS) and your map elevations from your DEM files.
  • In OziExplorer3D, the "Elevation Offset" on the Map Control allows you to adjust your 3D map elevation.
  • Can height data captured by my GPS with a track be used to replace DEM data for my map.

If height data is downloaded with the track then it will be used in the track display. It cannot be used to replace the elevations shown from the DEM data.

  • My heights do not agree with the contour lines on my map

The units (metres /feet) may not be correct, check that the units selected in OziExplorer are the same as the units the contour lines are drawn.

We have seen DEM data files with incorrect data, use the "Elevation Adjustment" in OziExplorer / Elevation Configuration to adjust the data. (Don't forget to reset the Elevation Adjustment back to zero).

  • My operating system is Windows 95

    Windows 95 and Windows 95a users may download OpenGL Version 1.1 from Microsoft's website. Download it and place the files in the Windows\System directory. It should fix OpenGL problems with the Win95a Operating System.

    DO NOT run this program unless you have the original edition of Windows 95 AND you are specifically getting the error message that you are missing OpenGL32.DLL.

    Windows 95 OpenGL Update or Download Windows 95 OpenGL Update from Microsoft

  • My map doesn't look smooth, it has ridges which should not be there

You have turned off filtering in Elevation Configuration in OziExplorer and then you have "oversampled". In the 3D Map Control dialog in OziExplorer, the value of the grid delta (metres per grid) is a lot less than the elevation data grid. Change the grid size in pixels using the drop down box until the metres per grid value is about equal or greater than the resolution of the elevation data.

Over sampling Normal Under sampling
  • It is taking a long time to create my 3D map

The number of vertices is too many for your computer system to process quickly. Reduce the number of vertices by increasing the "metres per pixel" or select a smaller area of the map. Older computer systems will have difficulty processing more than approximately 10,000 vertices.


Sources of Height Data

 OziExplorer 3D - Sources of Digital Height Data

Height Data from these sites or data files in the same formats are supported

SRTM

SRTM (Shuttle Radar Topography Mission), a joint project between the NIMA and NASA to produce digital topographic data for 80% of the Earth's land surface (all land areas between 60º north and 56° south latitude).

Most of the world has been released on a 3-arc-second (approximately 90 meters) grid, with the USA data being available on a 1-arc-second (approximately 30 meters) grid.

Note: Also available for download is SRTM30 (approximately 1km grid) comprising a combination of data from the Shuttle Radar Topography Mission, and the the U.S. Geological Survey's GTOPO30 data set. It is formatted the same as the GTOPO30 convention so should be considered as GTOPO30 data (see below).

(OziExplorer version 3.95.3a or later is required to read SRTM data. A new version can be downloaded from the OziExplorer webpage. Older versions of OziExplorer will not detect SRTM data.)

Downloading

Note: OziExplorer version 3.95.4j or later has the ability to download SRTM height data for the region of map being viewed so manual downloading through the FTP site shown below is not required. The SRTM Download option is on the 3D/Elevation Menu. (OziExplorer3D must be installed for this menu to be visible.)

  • FTP Download - SRTM data for some regions can be downloaded from here.

Note : The file names represent the bottom left corner of your map, check your map to make sure you obtain the correct files. The naming convention of the files is "N49W110.hgt", for example this file covers the region from 49-50 deg North and 109-110 deg West. In the southern hemisphere, the file "S17E142.hgt" covers the region 16-17 deg South and 142-143 deg East.

If you have downloaded the data for your area but OziExplorer does not display any heights , downloading the wrong files is the most likely cause, double check that you have downloaded the correct data files.

The SRTM data has artifacts, this is particularly noticeable over water (lakes or rivers) and where sharp changes in height occur.

Using the Data

  • The files have a .zip extension indicating they are a compressed file. A program called oziUnGzip.exe is supplied with OziExplorer3D which can uncompress these files.

  • Run the oziUnGzip program and select the file (or files) you want to extract, they will be extracted to the same folder as the compressed file. Note - You must use version 1.1 of the oziUnGzip program (the version is in the program caption - version 1.0 does not display a version number).

  • The file extracted will have the extension .hgt. Important - Do not change the file name of the .hgt file as it is used to position the dem.

  • Place the file in the "Globe (Arcview)" Elevation Data folder.

  • OziExplorer must be configured to use SRTM data by configuring the use of Globe Data in Elevation Configuration (see the Help file for details). If you have not configured this path then you must do that before the height data will be used.

  • If you no longer want the original .zip then you can delete it manually using windows explorer.

NGA (NIMA) DTED

NGA (NIMA) DTED is a global Digital Terrain Elevation Database (DTED) provided by the National Imagery and Mapping Agency (USA) with a horizontal grid spacing of 30 arc seconds (approximately 1 kilometer).

The NGA DTED data can be downloaded from the NGA Raster Roam page here NGA DTED Data for most of the World. (Free download)

Downloading

  • When you open the web page you will see a map of the World with many options.

  • In Desired Product Level, select "DTED Level 0".

  • Click on the image at the required Lat/Lon and wait for the next page to be displayed, centered on these coordinates.

  • Go to the Raster Exporter section at the bottom of the page.

  • If necessary, change the coordinates in the boxes showing the "bounding rectangle" to adjust the selected area.

  • There is a limit on the amount of data you can download at one time.

  • When you have the area selected, click on the Raster Exporter button.

  • The data file will be compiled and the "Raster Roam Requested Download File" web page with the file download link.

  • Click on the link and Save the file to a folder on your hard disk.

  • It is suggested you download the files to a folder called \Elevation Data\DTED located under the folder where OziExplorer is installed.

Using the Data

  • The files have a .zip or .tar extension indicating they are a compressed file. A program called oziUnGzip.exe is supplied with OziExplorer3D which can uncompress these files. If you want to use Winzip to uncompress tar files you must turn OFF the smart carriage return linefeed conversion otherwise the data is destroyed.

  • Run the oziUnGzip program and select the file (or files) you want to extract, they will be extracted to the same folder as the compressed file. Note - You must use version 1.1 of the oziUnGzip program (the version is in the program caption - version 1.0 does not display a version number).

  • The DTED data contains many files that are not required by OziExplorer so these are automatically deleted. Only the .dt0 files are kept (or dt1 or dt2).

  • If you no longer want the original .zip or .tar file then you can delete it manually using windows explorer.

  • The uncompressed DTED data files must be placed in the NIMA DTED path that you have configured OziExplorer to point to in Elevation Configuration (see the Help file for details). If you have not configured the NIMA DTED path then you must do that before the height data will be used. If your OziExplorer does not have a NIMA DTED path then you need to download a later version.

  • Note - The DTED data is stored in numerous folders, a separate folder for each 1 degree of longitude. Within each folder numerous .dt0 files are placed, 1 file for each 1 degree of latitude. The files must be left in this structure. The folders must be directly attached to the NIMA DTED path you configured in Elevation Configuration, if not they will not be found.

  • Caution - The data will be extraced into a new folder called dted (its part of the path stored with each file in the zip) so be aware that you may end up with path which ends with /dted/dted, if this happens make sure the DTED path in Elevation Configuration includes both the names (example C:\OziExplorer\Elevation Data\dted\dted)

  • After adding new height data files to OziExplorer you must restart OziExplorer or go into Elevation Configuration and press the Save button to force the new files to be scanned.

Level 1 and level 2 Data

The data available to the public is called Level 0 and has a 30 arc second spacing.

Other higher resolution data called Level 1 and Level 2 is not available to public but can be used in OziExplorer if you have it by making sure the DTED path name ends in a 1 or a 2 ( example \dted1 ) depending on the level you are using. OziExplorer uses the last character in the path name to determine the files to search for ( .dt1 or .dt2 ). Note the use of Level 0 data does not require a special folder name.
GTOPO30 | GTOPO30 is a global digital elevation model (DEM) with a horizontal grid spacing of 30 arc seconds (approximately 1 kilometer).

The Gtopo30 data can be downloaded from here GTOPO30 DEM Data for most of the World. (Free download)

Downloading

  • From the Gtopo30 web site download the files you require by clicking on the map of the world, a page showing the area you clicked on will be displayed, you can download the file from this page. It is suggested you download the files to the \Elevation Data\Gtopo30 folder located under the folder where OziExplorer is installed.

Using the Data

  • The files have a .tar.gz extension indicating they are a Gzip compressed tar file. A program called oziUnGzip.exe is supplied with OziExplorer3D which can uncompress these files. If you want to use Winzip to uncompress these files please read the warning on the Gtopo30 web site.

  • Run the oziUnGzip program and select the .gz file (or files) you want to extract, they will be extracted to the same folder as the .gz file.

  • The Gtopo30 data contains a large .src file, this file is not required by OziExplorer (and probably not by any other software) so it is automatically deleted. The files required by OziExplorer are the .DEM and .HDR files, any other files can be deleted if you wish.

  • If you no longer want the original .gz file then you can delete it manually using windows explorer.

  • The uncompressed Gtopo30 data files must be placed in the Gtopo30 path that you have configured OziExplorer to point to in Elevation Configuration (see the Help file for details). If you have not configured the Gtopo30 path then you must do that before the height data will be used.

  • After adding new height data files to OziExplorer you must restart OziExplorer or go into Elevation Configuration and press the Save button to force the new files to be scanned.
GLOBE

The Global Land One-km Base Elevation (GLOBE)
The GLOBE project has developed a quality-controlled global Digital Elevation Model (DEM) with a 1 Kilometer spacing (approx).

The Globe data can be downloaded from here GLOBE Data for most of the world. (Free download)

Downloading

  • Press the Get Data link on the Globe page

  • Press the Select your own area. link under the Data heading, this will take you to a page where you can specify the region you want to download. (Do not use the "Any or all 16 "tiles" link, data downloaded via this graphical interface is NOT compatible with OziExplorer.)

  • You can Choose Your Type Of Area Selection as the "Text Entry" or the "Map-based (uses a Java applet)", both will produce the same type of files.

  • You MUST use the following settings to produce data in the correct format

    • Export Type ESRI ArcView

    • Data Type int16

    • File Format PC binary

    • Compression Option Compressed tar file

    • Transfer Option FTP

    • Enter a different File Name and Unique Name if desired.

  • Press the Get Data button to create the data files, there will be a delay while the files are created.
  • When complete click on the link "click here" to download the data files

  • It is suggested you download them to the \Elevation Data\Globe folder located under the folder where OziExplorer is installed.

Using the Data

  • The files have a .tgz extension indicating they are a compressed tar file. A program called oziUnGzip.exe is supplied with OziExplorer3D which can uncompresss these files. If you want to use Winzip to uncompress these files please read the warning on the Globe web site.

  • Run the oziUnGzip program and select the .tgz file (or files) you want to extract, they will be extracted to the same folder as the .tgz file.

  • If you no longer want the original .tgz file then you can delete it manually using windows explorer.

  • The uncompressed Globe data files must be placed in the Globe (ArcView) path that you have configured OziExplorer to point to in Elevation Configuration (see the Help file for details). If you have not configured the Globe (ArcView) path then you must do that before the height data will be used.

  • After adding new height data files to OziExplorer you must restart OziExplorer or go into Elevation Configuration and press the Save button to force the new files to be scanned.
NOTE : It may not be of any benefit to get data from both GTOPO30 and GLOBE. Data from either site is likely to be the same data for your region as the data has been derived from the same source.
1:250K DEM | The 1-Degree DEM (also referred to as "1:250K scale" DEM data) with a horizontal grid spacing of 3 arc second (approximately 100 meter) provides coverage of United States, Hawaii, and limited portions of Alaska. (For Alaska - also see the 1:24k section below)

The 250K data can be downloaded from here USGS Geographic Data Download Home Page (select 1:250K DEM)

This is a direct link to the graphical download page FTP via Graphics links direct to the FTP site. (select your region using the interactive USA Map) Once you have selected your region, download the compressed file format. (Free download)

Files size - from 100K to 2MB

Downloading

  • Click on the map to obtain the region you want

  • This will take you to a more detailed map, click on the region you want

  • This will present you with a list of files which cover the region, to save download time only download the compressed files.

  • It is suggested you download them to the \Elevation Data\USADem250 folder located under the folder where OziExplorer is installed.

Using the data

  • The files have a .gz extension indicating they are a Gzip compressed file. A program called oziUnGzip.exe is supplied with OziExplorer3D which can uncompresss these files.

  • Run the oziUnGzip program and select the .gz file (or files) you want to extract, they will be extracted to the same folder as the .gz file.

  • If you no longer want the original .gz file then you can delete it manually using windows explorer.

  • The uncompressed USA Dem 250K data files must be placed in the USA DEM 250 path that you have configured OziExplorer to point to in Elevation Configuration (see the Help file for details). If you have not configured the USA DEM 250 path then you must do that before the height data will be used.

  • After adding new height data files to OziExplorer you must restart OziExplorer or go into Elevation Configuration and press the Save button to force the new files to be scanned.
1:24K DEM

Download from GISDataDepot.com (or other source). Once you have selected your region, select "Digital Elevation Models (DEM) - 24K" and download the compressed file. (Free download)

Files size vary from 300K to 4MB

Download for Alaska from USGS - This data is 15 minute for Alaska and will work with OziExplorer, unzip the .dem files to a folder and configure the path in 3D configuration as USA DEM 24K.

Downloading

  • Click on the map to obtain the region you want

  • This will take you to a more detailed map, click on the region you want

  • This will present you with a list of files which cover the region, to save download time only download the compressed files.

  • It is suggested you download them to the \Elevation Data\USADem24 folder located under the folder where OziExplorer is installed.

Using the data

  • The files have a .DEM.SDTS.TAR.GZ extension indicating they are a Gzip compressed file. The files are also in the SDTS format, for OziExplorer to use them they must be in the DEM format. A program called oziUnGzip.exe is supplied with OziExplorer3D which can :

    • uncompresss the files

    • extract the files from the TAR file

    • convert the SDTS files to a DEM file

    • the TAR and SDTS files are automatically deleted after being converted

  • Run the oziUnGzip program and select the .gz file (or files) you want to extract, they will be extracted to the same folder as the .gz file.

  • If you no longer want the original .gz file then you can delete it manually using windows explorer.

  • The uncompressed USA Dem 24K data files must be placed in the USA DEM 24K path that you have configured OziExplorer to point to in Elevation Configuration (see the Help file for details). If you have not configured the USA DEM 24K path then you must do that before the height data will be used.

  • After adding new height data files to OziExplorer you must restart OziExplorer or go into Elevation Configuration and press the Save button to force the new files to be scanned.
SRTM

This should be the best data to use for Australia.

The data that has been released is 3-arc-second (approximately 90 meter grid).

See the instructions above in the "SRTM" section on how to use the data.
NGA (NIMA) DTED

Our testing shows that for Australia this data is much better than the Gtopo30 and the Globe data. (approximately 1 kilometer grid)

See the instructions above in the "World" section on how to use the data.
GTOPO30 and
GLOBE

Both the GTOPO30 and GLOBE data (see World section above) covers Australia. (approximately 1 kilometer grid)

See the instructions above in the "World" section on how to use the data.

9 Sec DEM

GEODATA 9 Second DEM Version 2 is available on CD. (Note: This data can also be downloaded from the Geoscience Australia website but the data which is downloaded is NOT in a suitable format that can be used directly by OziExplorer).

The grid spacing is 9 seconds in latitude and longitude (approximately 250 meter grid).

9sec DEM Data Information Page on Geoscience Australia (Auslig) website.
Canada
USGS DEM Format

The grid spacing is based on geographic coordinates at a maximum and minimum resolution of 0.75 and 3 arc seconds for the 1:50 000, and 3 and 12 arc seconds for the 1:250 000 respectively, depending on latitude.

Place the .dem file in a folder under the USA DEM 24K path or the USA DEM 250K path set in OziExplorer3D configuration in OziExplorer.

The data can be downloaded from here http://www.geobase.ca/

France
Visual D.E.M.

A CDROM was produced which contains height data for all of France at 75meter grid spacing. This CDROM is no longer available for purchase. The height data on the CDROM is in Vistapro DEM format. For use in OziExplorer this data must be converted. A program is available here for download which converts this data to the Arcview BIL format.

Download the conversion program here Download the FranceVisualDem2BIL software This is a self extracting exe file.

A similar CDROM was produced with height data for the Alps, the conversion program has not been tested with this CDROM but should work ok.

Useful Tools

Here is a link to a "plt2dem" program which makes a DEM file from OziExplorer Track and Waypoint files.

http://gps.prv.pl/plt2dem

(Author: Grzegorz Chyła)

DEM Formats

The Data listed above is the data we are aware of, no doubt there are many other sources of data in other formats.

These are the formats that OziExplorer supports

It is our intention to support other formats where possible and also to support more map projections and coordinate grids. For us to support a particular format we would need a couple of example DEM files, information on the projection/grid used for the data and the specifications for the format of the dem file.

See the bottom of this page for details on making your own "default.ozproj" files.

OziExplorer Name
(This is the name given to the "Elevation Data Type and Path" settings in Elevation Configuration in OziExplorer.) 		Data Source Other Names Data Spacing Projection/Grids Supported
NGA (NIMA) DTED | NGA (NIMA) | Military Specification | 30 arc seconds (approx 1 Kilometer) | Data must be in Lat/Lon with a WGS84 datum.
Gtopo30 | Gtopo30 | Similar to the ArcView BIL format but the data file has a .dem instead of a .bil extension | 30 arc seconds (approx 1 Kilometer) | Data must be in Lat/Lon with a WGS84 datum.
Globe (ArcView) Globe

Other data sources will be available in this format

Also known as the ArcView BIL format Various

(The Globe data is 30 arc seconds (approx 1 Kilometer))

The default is Lat/Lon, with a WGS84 datum.

A file called default.ozproj can be setup in each folder to specify the Grid, Datum and the Zone.

Grid ASCII AUSLIG (Australia)

Other data sources will be available in this format

Some sort of ArcView text format I believe.

File extension must be .ASC , .GRD , .TXT

Various

(AUSLIG data is 9 arc seconds - approx. 250 meter)

The default is Lat/Lon, with a WGS84 datum.

A file called default.ozproj can be setup in each folder to specify the Grid, Datum and the Zone.

USA DEM 250 USGS
  • 1 deg dem
  • 3 arc second dem
  • 1:250,000 scale dem
 3 arc second - approx 100 meter Data must be in Lat/Lon, a default datum of WGS84 assumed.

A file called default.ozproj can be setup in each folder to specify the Datum.

USA DEM 24K USGS
  • 7.5 minute dem
  • 1:24,000 scale dem
 mostly 30 meter but some at 10 meter Data must be in UTM or Lat/Lon, if no datum is specified in the file header a default datum of NAD27 CONUS.

A file called default.ozproj can be setup in each folder to specify the Datum.

The USA DEM 24K files are usually provided in the SDTS file format. OziExplorer does not read files in the SDTS format, these files can be converted to DEM using the sdts2dem.exe program provided with OziExplorer3D. The sdts2dem program was written by Sol Katz. A program called oziUnGzip.exe has been provided with OziExplorer3D which can uncompress the dem files and convert them automatically.

Height Data in XYZ format will not be supported as individual heights cannot be quickly read from files in this format.

Using Height Data Files by Specifying the Grid and Datum

Many countries supply Height data files (DEMs) which are projected in their own local grid and datum.

For many types of DEM formats it is not possible to store this information in the DEM file so it must be specified externally.

To do this OziExplorer uses a file called default.ozproj (a Projection file) which stores the Grid, the grid zone (if applicable) and the datum of the data in the DEM files in the folder.

This is an example of a default ozi projection file for using DEM's in other grids and datums.

  • Download example file here - default_ozproj.zip

  • The use of a default.ozproj file is optional

  • If a default.ozproj is not found, the DEM is assumed to be using the default grid and datum for the type of DEM

  • see the table above, whether you will require a default.ozproj file for your DEM

The default.ozproj file is read as each folder is scanned, all the DEM files in the same folder are assumed to be using the parameters specified in the default.ozproj file. If you have DEM's which use different grids or datums then these must be put in their own folder with a default.ozproj file setup with the correct parameters. OziExplorer scans all sub-folders attached to the folder configured in Elevation Configuration so all the DEM's will be found.

Example Projection File

Below is an example of a default.ozproj file - this file is setup for the New Zealand Grid and Datum.

These are the lines in the file which control the DEM - not all these parameters are required in every instance, the parameters which are not required can be left out of the file. Read the instructions contained in the example default.ozproj file below.

  • grid - the grid the dem is using

  • datum - the datum the dem is using

  • zone - the zone the dem is using

  • delta_x - used to offset the height data in the x direction (east - west)

  • delta_y - used to offset the height data in the y direction (north - south)

These lines are only needed for certain grids and projections

  • lat_origin

  • lon_origin

  • lat1

  • lat2

  • k

  • false_easting

  • false_northing

Example default.ozproj file

;this is an example default.ozproj file which has been set up for the New Zealand Grid
;---------------------------------------------------------------------------------
;the grid is a number from the list below.
;0=lat/lon
;1=UTM Grid
;2=Transverse Mercator (user grid)
;3=British National grid (BNG,OSGB)
;4=Irish Grid
;5=New Zealand Grid
;6=Swedish Grid
;7=Swiss Grid
;8=France I
;9=France II
;10=France III
;11=France IV
;12=Italy 1 Grid
;13=Italy 2 Grid
;14=Vicmap TM Grid
;21=Lambert Azimuthal Equal Area
;22=Lambert Conformal Conic

grid 5
;NZ grid specified

;The parameters below are used for the grid or projection specified above if required
;They are only required for the Transverse Mercator User Grid and for grid numbers
;21 and 22 from the list above.

lat_origin
lon_origin
lat1
lat2
k
false_easting
false_northing
;in this case no parameters are required so they are left blank

;-------------------------------------------------------------------------------
;the Datum is an ID number taken from the datum list in OziExplorer (View menu).
;these are some of the more common datum numbers
;104=WGS 84
;12=AGD 66
;13=AGD 84
;14=GDA 94
;28=European 1950
;31=Geodetic Datum 1949 (New Zealand)
;62=NAD27 CONUS
;79=Ord Survey of Great Britian

datum 31
;Geodetic Datum 1949 specified

;----------------------------------------------------------------------------------------------------
;the zone is the UTM zone number (example - zone 10) or BNG zone letters (example zone - SJ) or .....

zone
;in this case the zone is not required so is left blank

;----------------------------------------------------------------------------------------------------
;These values can be used to offset a dem in the x (east - west) and y (north - south) directions
;in order to have the map and the heights line up correctly.
;If the DEM is in lat/lon then the values must be specified in seconds
;If the DEM is in a Grid (UTM, BNG ....) then the vaues must be in meters.

delta_x
delta_y
;in this case no offsets are required so they are left blank


Elevation Configuration

 OziExplorer 3D - Elevation Configuration

System Tab

Use Elevation Data - Important, If unticked OziExplorer will not make use of Elevation from Elevation Files or allow 3D maps to be created.

Elevation Display at Startup - If ticked the Elevation Display window (shows the Elevation under the mouse position) will be shown when OziExplorer is started.

Filter Elevation - It is recommended that this parameter be ticked.

If ticked OziExplorer will interpolate the elevation between the known height points (the height grid in the height data file) using a best fit spline through a 16 point grid.

If ticked

  • the height profile of the map will be smooth
  • the map will take longer to create

If unticked

  • the height profile will be noticeably stepped if a small height grid is selected
  • the map creation will be faster

Save Small Image Section in 3D File - If ticked the required part of the map image is saved in the 3D1 file. This happens if the uncompressed size of the image is less than 1.5 MBytes. The image section is saved compressed in the 3D1 file.

Number Vertices - This shows the maximum number of vertices that you will allow. This value is set to a conservative 25,000 as a default but can be set between 0 and 2,000,000 as you become familiar with your system performance. If you set too high a value the map may not be usable in OziExplorer3D because of performance issues. (Note: The Evaluation version of OziExplorer3D is limited to using 100,000 vertices.)

Elevation Adjust -The figure entered here (in meters) is added to the elevation data of the map as the map is created. This allows the height data used to create the 3D map to be adjusted to allow for difference in height datums etc.

DEM File Paths Tab

Elevation Data Type and path

As OziExplorer is started (or exiting OziExplorer Elevation Configuration) then

Each type of height data file must be kept separate and placed in their own folder(s). The paths below are then set to point to where the files are located. Sub folders belonging to these paths are also scanned for files.

These are the categories of DEM files that OziExplorer supports

  • Gtopo30
  • Globe (ArcView)
  • Grid Ascii
  • USA DEM 250
  • USA DEM 24K

See the Height Data help for more details of the type of data supported.

The checkbox beside each path enables the file type to be made active (used in OziExplorer) or not active (not used in OziExplorer).


3D Control

 OziExplorer 3D - 3D Map Control

The 3D Control is used for the creation of 3D maps for use in OziExplorer3D

The creation of 3D maps assumes you have elevation data installed which covers the area of the map you are using.

Use this Control to create a map or part of a map for display in OziExplorer3D.

ozi3dControl.gif (4969 bytes)

Buttons

Draw Box to Set Limit of 3D Map - This allows a box to be drawn on the map. The area inside the box can be processed to create a 3D map for display in OziExplorer 3D. To create larger areas of the map use the zoom function in OziExplorer to zoom out first. Note - In unregistered versions of OziExplorer the creation of 3D maps can only be done at 100% zoom.

Create the 3D Map - After selecting the map limits (above) the 3D map will be compiled and transferred to OziExplorer3D.

Grid Size - The grid spacing (in image pixels) use to create the 3D map. When compiling the 3D map an elevation is taken at these points. The grid spacing determines look of the 3D map.

Select Viewing Window - The current viewing window will be selected. Note - This option is disabled in unregistered versions of OziExplorer.

Select Full Map - The full map will be selected. Note - This option is disabled in unregistered versions of OziExplorer.

Select Inside Corner Markers (Neat Line) - The map area inside the corner markers (map neat line) is selected.

  • The selected area must form a rectangle with corners at 90 degrees. The corner markers on a map may form a 4 sided polygon where the corners are not at 90 degrees, in these cases the top left and bottom right corner markers will be used.
  • There will be some maps where this option will not work because the corner marker configuration is not as expected.

Note - This option is disabled in unregistered versions of OziExplorer.

Configuration - Opens the Configuration dialog. There is separate available for configuration.

Fields

Meters per Pixel - The approximate number of meters per pixel for this map.

Meters per Grid - The number of meters per grid for the grid size specified.

Number Vertices - The number of vertices (grid points) that will be created. The number of vertices determines how the 3D map will look. The number of vertices also determines the performance (usability) of the map in OziExplorer3D. Too many vertices will affect performance.


Track Profile

 OziExplorer 3D - Create and View a Track Profile

The creation of a Track Profile assumes you have elevation data installed for the map you are using.

The Track Profile allows a track to be created along a defined straight line. The altitude for positions along this line are determined and stored with the track points for later display.

The created Track Profile is just a normal OziExplorer track and can be manipulated using the standard track methods.

ozi3dprofile.gif (6393 bytes)

Fields

Track No - When a profile is created it will be placed in a track, this specifies the track number to use.

Distance - The distance to use between each track point as the track profile is created. A smaller distance unit means more track points will be created.

Distance Units - The units for above.

Profile Start & End - This sets the start and end of the profile. Press the "Set Start" option and click on the map to set the start position. The "Set End" button will automatically become active, click on the map again to set the end position. The Create button can then be pressed to create the track and the View button can be pressed to view the track.

Buttons

Close - Close the window.

Create - Create a track of the profile.

View - View the created profile on a profile graph.

Help - Provides this help.


Elevation Display

 OziExplorer 3D - Elevation Display

The display of Elevations assumes you have elevation data installed for the map you are using.

The Elevation Display window shows the Elevation under the mouse position.

ozi3dShow.gif (2963 bytes)

Fields

Altitude - Displayed in the unit specified.

File Name - The name of the file used to obtain the elevation for this position.

Resolution - The distance between elevations (the grid spacing) in the above file.


How it Works

 OziExplorer 3D - How it Works

With OziExplorer the DEM files are never fully loaded into memory, OziExplorer uses a method of indexing, pre-calculating and caching to extract the required elevation from the dem file in the quickest possible time.

The DEM files are placed in the folder that has been specified for the type of dem.

When OziExplorer is started (or the Elevation Configuration is saved) the DEM File Paths are scanned (if set as active), sub-folders attached to these paths are also included in the scan. If a file called default.ozproj is found in the folder the grid and datum are read from it and used for each DEM in the folder. As the DEM files are scanned the details about each dem are stored in memory.

When an elevation is required the most suitable DEM is selected and the elevation is read from the file.

If many types of DEM's are active OziExplorer selects the DEM to use in this order.

  1. USA Dem 24K
  2. USA Dem 250
  3. Grid ASCII
  4. NIMA DTED
  5. Gtopo30
  6. Globe (Arcview)

Example - if a USA Dem 24K and Gtopo30 data exist and are set as active, the USA Dem 24K data will always be used.

Within each type of DEM type the file with the best horizontal resolution of data points is used

If you have a large number of dem files it may become too slow to scan them all, it is therefore suggested you divide them into regions and set the paths to point to a region of interest.

Some dem types are indexed and this produces an extra file called .ozline. If the .ozline file does not exist it is created the first time the dem is scanned. The creation of the .ozline file can take a few minutes but only has to be done once. The .ozline files can be deleted at any time, if required they will be created the next time the dem is scanned.

If Use Elevation Data is active and elevation data is available and you are using waypoints or tracks for any purpose, such as Track Profile, sending to OziExplorer3D and so on, then if the data does not include elevations then they are automatically used from the DEM files as required.

When a 3D map is being created OziExplorer divides the map into a grid using the specified grid spacing, it then obtains an elevation for each of the grid points (using interpolation with filtering if specified). The height data is written to the .3d1 file together with any other information required by OziExplorer3D, the file is then passed to OziExplorer3D for display.


Limits of Evaluation Versions

 OziExplorer 3D - Limitations of Evaluation Version

Limitations of the OziExplorer3D Evaluation Version

  • Nag screen pops up whenever a new map is loaded
  • Limit of 1 window open at a time (purchased version has no limit (system limitations apply))
  • Limit of 100,000 vertices
  • Lighting and Fog parameters cannot be adjusted

OziExplorer Shareware/Demo and Trial Versions

This only lists those limitations which apply to creating 3D maps, other limitations may also apply.

  • 3D maps can only be created at 100% zoom
  • the ability to select the full map and the map inside the neat lines are disabled


Calibrating Maps Using Waypoints

This provides the ability to use waypoints to obtain the position of map calibration points.

The waypoints must be loaded onto a map (any map, including the "blank" map is ok) before selecting the Load and Calibrate Map Image or Check Calibration of Map options and entering the map calibration screen.

When a waypoint is selected the position coordinates are translated to use the datum of the map you are calibrating, therefore it is essential that the correct map datum be specified before any waypoints are used.

How it Works

When entering the calibration screen the waypoint names and position are copied into the calibration waypoint list. The positions in the wp list are shown using the datum you set for the map you are calibrating. This is dynamic, if you change the map datum at any time while calibrating, the positions in the waypoint list are translated. However this does not affect any positions currently entered into the calibration points only those in the waypoint list.

When you "Use Wp" from the waypoint list the position is moved into the calibration point you are currently working with.

When you choose the option Load and Calibrate Map Image the waypoints loaded on the map are removed, this does not affect the waypoint list for calibration as the waypoints are copied before the waypoints are removed. The waypoints in the list can then be used for additional map calibrations until OziExplorer is closed. If a new set of waypoints are loaded they will replace the ones in the calibration waypoint list.


OziExplorer Conditions of Use

Forudsætninger for brug

OziExplorer er kun lavet til at bruges til hobby og eksperimentering, og er ikke ment som eneste navigationskilde ved brug på sø eller land. Du skal altid bruge godkendte kort og navigationsmidler i tillæg til din egen dømmekraft.

Garanti

Vi giver absolut ingen garanti med denne programvare og garanterer heller ikke at den vil virke som du ønsker det hele tiden. Den er ikke fejlfri og du vil kunne finde programfejl og andre ting som kan skabe problemer.

Begrænsninger af ansvar

Ikke i noget tilfælde vil vi være ansvarlig for problemer eller skader som vil kunne opstå ved brug af dette program. Brugen af OziExplorer foregår helt på eget ansvar.

Forudsætninger for licensen

En registreret og købt version af OziExplorer kan enten blive brugt af en enkelt person på som bruger programmet på en eller flere af sine datamaskiner eller installeret på en arbejdsstation som bruges af flere personer til træning. Dette er ikke en flerbrugerlicens.

Du kan bruge programmet I et netværk, forudsat at de forskellige arbejdsstationer har hver sin licens, uafhængigt af om programmet bruges samtidigt eller på en maskine af gangen.

Tilbagemelding

Vi kan ikke garantere at OziExplorer er uden fejl eller mangler, men vi prøver hele tiden at rette på fejl som vi bliver gjort opmærksomme på af brugerne, samtidig som vi prøver at lægge nye funktioner ind.

Copyright (c)

OziExplorer er beskyttet af Copyright og alle rettigheder til programmet tilhører D & L Software Pty Ltd Australia


OziExplorer Conditions of Use

Gebruiksvoorwaarden

Onderstaande voorwaarden zijn een vertaling van de oorspronkelijke Engelstalige gebruiksvoorwaarden (“Conditions of Use”). Deze Nederlandse vertaling is uitsluitend ter informatie opgenomen, er kunnen dan ook geen rechten aan worden ontleend.

OziExplorer is uitsluitend bedoeld voor recreatief en experimenteel gebruik, het is niet bedoeld als primair navigatiemiddel of als primaire besturing dan wel geleiding van voer-, vaar of vliegtuigen. Vertrouw niet blindelings het programma maar gebruik altijd uw eigen navigatievaardigheden, en maak gebruik van officiële kaarten.

Garantie

Wij verlenen geen enkele garantie op deze software, en garanderen niet dat de in de software opgenomen functies voldoen aan uw verwachtingen en eisen, en garanderen niet dat de software ononderbroken, foutloos of 100% nauwkeurig functioneert. Alhoewel wij ons uiterste best hebben gedaan om deze software zo foutloos als mogelijk te maken vallen fouten, problemen, verkeerde berekeningen enzovoorts te verwachten.

Schadeloosstelling/aansprakelijkheid

In geen enkel geval zijn wij aansprakelijk voor enige schade waaronder enig verlies van inkomsten of andere incidentele of gevolgschade voortvloeiende uit het gebruik of de onmogelijkheid tot het gebruik van de software of voor enige aanspraak door enig andere partij.

Het gebruik van de software is uitsluitend op risico van de gebruiker.

Licentievoorwaarden

Een geregistreerde of aangeschafte kopie van OziExplorer mag gebruikt worden door één enkel persoon die de software persoonlijk op één of meerdere computers gebruikt. Een andere mogelijkheid is installatie van de software op één enkele PC/werkstation waar meerdere personen niet tegelijkertijd de software gebruiken. De licentie staat niet toe dat de software gelijktijdig gebruikt wordt, bovenstaande mogelijkheden mogen niet tegelijkertijd toegepast worden.

U kunt de software in een netwerk gebruiken, vooropgesteld dat u voor elk werkstation welke de software via het netwerk benaderd een individuele kopie registreert ongeacht of gebruikers op verschillende tijden of gelijkertijd gebruik maken van de software.

Feedback

Alhoewel we niet kunnen garanderen dat elk aspect van de software naar uw verwachtingen werkt kunnen we wel garanderen dat we ons best zullen doen om problemen op te lossen en mogelijkheden toe te voegen. We stellen daarom feedback zeer op prijs.

Copyright (c)

OziExplorer wordt beschermd door Copyright. Alle rechten zijn voorbehouden aan D & L Software Pty Ltd Australia.


OziExplorer Conditions of Use

Condiciones de Uso

OziExplorer solo debe usarse con un propósito de entretenimiento y/o experimentación. No está diseñado ni debería usarse como un programa primario de navegación, o como el único método de pilotaje o guiado de vehículos. Por favor, use sus propias habilidades o conocimientos de navegación y mapas oficiales antes de tomar una decisión en cualquiera de las acciones que tome.

Garantía

No ofrecemos garantías de ningún tipo con este programa, y tampoco garantizamos que este programa satisfaga todas sus necesidades, que funcione sin interrupciones, o que esté libre de errores al 100%. Aunque trabajamos para evitar la aparición de errores, se debe esperar que éstos existan, así como inconsistencias, cálculos mal realizados, etc.

Limitaciones de Responsabilidades

Bajo ninguna circunstancia seremos responsables de cualquier daño que se produzca derivado del uso del programa, incluyendo pérdidas remuneradas, de beneficios o de cualquier tipo de incidente proveniente de un uso adecuado o no del programa, incluyendo reclamaciones de terceros. El usuario final es el único responsable del uso de este programa y de las consecuencias que produzcan.

Condiciones de la Licencia

Una copia Registrada o Comprada de Oziexplorer permite a una sola persona instalar el programa para su exclusivo uso personal en uno o más ordenadores personales. Alternativamente le permite instalarlo en una estación de trabajo con la condición de que el programa no sea utilizado simultáneamente por más de una persona al mismo tiempo. No puede hacerse ambas cosas a la vez. Esta no es una licencia de tipo concurrente.

Puede accederse al programa a través de una red siempre que se haya registrado o adquirido una copia individual del programa en cada estación de trabajo con la que se trabaje independientemente de que el programa se use a diferentes horas o de forma concurrente.

Mejoras

Aunque no podemos garantizar que todos y cada uno de los apartados del programa funcionará de la forma que usted desee, si le garantizamos que haremos lo posible para solventar los problemas que surjan, y que nos esforzaremos para incluir nuevas características y mejoras en el programa.

Copyright (c)

OziExplorer está registrado y protegido por derechos de autor (copyright), siendo todos los derechos de la exclusiva propiedad de D & L Software Pty Ltd Australia.


OziExplorer Conditions of Use

Käyttötarkoitus

OziExplorer on tarkoitettu vain harraste ja kokeilukäyttöön, sitä ei ole tarkoitettu ensisijaiseksi navigointi ohjelmaksi, eikä aluksien ohjaamiseen. Luota aina omiin navikointi taitoihin ja virallisiin karttoihin ennenkuin tee mitään päätöksiä.

Takuu

Me emme anna minkäänlaista takuuta koskien ohjelman käyttöä, emmekä takaa että ohjelman ominaisuudet vastaavat omia tarpeitanne, taikka että ohjelma toimisi keskytyksittä ilman virheitä tai olisi 100%:sen tarkka. Vaikka olemme tehneet kovasti töitä että ohjelma olisi virhevapaa, on oletettavaa että löydät virheitä, ongelmia, ristiriitaisuuksia, laskuvirheitä jne.

Vastuunkanto

Emme kanna vastuuta ohjelman aiheuttaneista vahingoista, kadonneista tallenteista, kolmannen osapuolen syytteistä emmekä mistään muustakaan ongelmista mitä ohjelma saattaa aiheuttaa. Ohjelman käyttäjä ottaa aina itse täyden vastuun sen käytöstä!

Käyttöoikeudet

Rekisteröityä tai ostettua OziExplorerin kopiota saa käyttää joko yksi henkilö, joka käyttää ohjelmaa yhdessä tai useammassa tietokoneessa tai asennettuna yhteen työasemaan jota käyttää usea henkilö mutta ei samaan aikaan. Ei kuitenkaan kahta edellä mainittua tapaa yhtä-aikaa. Lisenssin tyyppi ei ole yhdessä vaikuttava.

Voit käyttää ohjelmaa verkossa edellyttäen että sinulla on erillinen rekisteröity tai ostettu kopio jokaisessa työasemassa, jonka kautta ohjelmaa käytetään huolimatta siitä käytetäänkö ohjelmaa eri aikaan tai samaan aikaan.

Palaute

Vaikka emme voikkaan taata että ohjelman jokainen ominaisuus toimisi kuten sinä haluat, niin voimme taata että teemme parhaamme ratkaistaksemme ongelmat, lisätä ominaisuuksia ja parantaa sen toimintaa.

Tekijänoikeudet (c)

OziExplorer on suojattu tekijänoikeudella ja kaikki sen oikeudet omistaa D & L Software Pty Ltd Australia


OziExplorer Conditions of Use

Conditions d'utilisation

OziExplorer est destiné à une utilisation de loisirs et d'experimentation uniquement, il n'a été conçu ni comme une source principale de navigation ni comme un moyen principal de pilotage ou de guidage des véhicules. Fiez vous toujours d'abord à vos propres capacités d'orientation et aux cartes et schémas officiels avant de prendre une décision pour toute action que vous entreprendrez.

Garantie

Nous ne fournissons aucune garantie, d'aucune sorte avec ce logiciel et nous ne garantissons pas que les fonctions contenues dans ce logiciel correspondront à vos besoins précis ou que le fonctionnement sera ininterrompu, sans erreurs, 100% précis, bien que nous ayons travaillé dur pour le rendre aussi exempt de bugs que possible, vous devez vous attendre a trouver des bugs, des problèmes, des incohérences, des erreurs de calcul et ainsi de suite... .

Limites de responsabilité

En aucun cas nous ne serons tenus pour responsables de dommages incluant des pertes de profits, pertes de biens ou autre dommage accidentel ou consécutif à l'usage du logiciel ou à l'incapacité de l'utiliser ou pour toute plainte d'une tierce partie. L'utilisation du logiciel est aux risques exclusifs de l'utilisateur.

Conditions de la licence

La copie enregistrée ou achetée d'OziExplorer peut être utilisée soit par une seule personne pour un usage personnel sur un ou plusieurs ordinateurs, soit installée sur un poste de travail utilisé par plusieurs personnes non simultanément, mais pas les deux. Ce n'est pas une licence d'utilisation simultanée.

Vous pouvez acceder au logiciel en réseau, pourvu que vous ayez une copie individuelle enregistrée ou achetée pour chaque poste qui aura acces à Oziexplorer, independamment du fait qu'ils utilisent Oziexplorer à différents moments, ou concurrement.

Remontées utilisateur

Si nous ne garantissons pas que chaque aspect du logiciel fonctionnera exactement comme vous le souhaitez, nous pouvons vous garantir que nous faisons de notre mieux pour résoudre les problèmes, ajouter des fonctions et améliorer son fonctionnement.

Copyright (c)

OziExplorer est protégé par copyright and tous les droits demeurent la propriété exclusive de D & L Software Pty Ltd Australia


OziExplorer Conditions of Use

Nutzungsbedingungen

OziExplorer wird nur zur Unterhaltung und für Experimentierzwecke zur Verfügung gestellt. Es ist nicht als Grundlage der Navigation oder als Basis des Steuerns und der Orientierung von Fahrzeugen vorgesehen. Vergewissern Sie sich stets auf Basis Ihrer eigenen Navigationsfähigkeiten und amtlicher Karten oder anderer Unterlagen bevor sie eine Entscheidung auf Grund der Ihnen vorliegenden Informationen treffen.

Garantie

Wir geben in keinster Weise Garantie für diese Software und garantieren nicht, dass die Funktionen, die in dieser Software enthalten sind, Ihren Anforderungen entsprechen, oder dass der Software-Betrieb ununterbrochen möglich ist, Störungsfrei arbeitet, oder 100% richtig ist. Wir haben hart daran gearbeitet alle Fehler zu beseitigen, trotzdem ist es möglich das Sie Fehler, Probleme, Inkonsistenzen, Fehlberechnungen und so weiter finden.

Haftungsbeschränkung

In keinem Fall haften wir Ihnen für mögliche Beschädigungen, einschließlich irgendwelcher verlorener Profite, verlorener Einsparungen oder andere Nebenkosten oder Folgeschäden, die aus dem Gebrauch oder der Unfähigkeit der Software heraus entstehen oder für möglichen Ansprüche Dritter. Der Gebrauch dieser Software unterliegt der exklusiven Gefahr des Benutzers.

Lizenzbestimmungen

Eine eingetragene oder gekaufte Kopie von OziExplorer kann durch eine einzelne Person, die die Software persönlich auf einem oder mehreren Computern, oder auf einer einzelne Workstation, aber nicht beides, die nicht simultan von mehreren Personen genutzt wird, benutzen. Dies ist keine gleichzeitige Gebrauchslizenz.

Sie können die Software durch ein Netzwerk zugänglich machen, vorausgesetzt, Sie haben für jede Workstation eine einzelne Kopie registriert oder gekauft, der der Zugriff von OziExplorer durch das Netzwerk möglich ist, unabhängig davon, ob sie OziExplorer zu unterschiedlichen Zeiten oder gleichzeitig verwenden.

Feedback

Da wir nicht garantieren können, dass die Software in der Art korrekt arbeitet, wie Sie es sich vorstellen, können wir garantieren, dass wir unser Bestes geben, um Probleme zu lösen und Erweiterungen zu erarbeiten um den Betrieb zu verbessern.

Copyright (c)

OziExplorer ist durch Copyright geschützt und alle Rechte bleiben das alleinige Eigentum von D u. L Software Pty Ltd. Australien.


OziExplorer Conditions of Use

Condizioni d’uso

Il Software OziExplorer (di seguito nominato “Software”) viene fornito esclusivamente a scopo ludico e di sperimentazione, non è assolutamente inteso come strumento primario di navigazione oppure come strumento primario di pilotaggio e guida di veicoli. Fate sempre affidamento sulle vostre capacità di navigazione e sulle mappe o carte ufficiali prima di prendere una decisione su ogni azione da intraprendere.

Garanzia

Non viene fornita garanzia di alcun tipo per il Software, e non viene garantito che le funzionalità contenute nel Software corrispondano alle vostre esigenze o che l’operatività del Software possa essere esente da interruzioni, errori o con accuratezza del 100%. Nonostante il nostro lavoro sia per quanto possibile accurato e dedicato onde fornire un prodotto quanto più possibile esente da errori di programmazione, è possibile che l’Utente rilevi errori, problemi, incostanze, errori di calcolo e così via.

Limitazione di Responsabilità

In nessun caso potrà esservi responsabilità del Produttore verso l’Utente o verso terzi per qualsiasi danno incluso il mancato profitto, la perdita di profitto o altro danno incidentale o conseguente, attribuibile all’utilizzo o all’incapacità di utilizzo del Software o per qualsiasi pretesa da parte di terzi. L’utilizzo del Software ed i rischi connessi sono di esclusiva responsabilità dell’Utente.

Condizioni di Licenza

Una copia Registrata o Acquistata del Software può essere utilizzata da una singola persona che usi il Software personalmente su uno o più computer, oppure installata su una singola stazione di lavoro usata in maniera non simultanea da più persone, ma non entrambe le possibilità. Questa non è una licenza multipla.

E’ possibile accedere al software attraverso una rete (network), posto che si sia in possesso di una copia individuale di Registrazione o Acquisto per ciascuna stazione di lavoro che accederà al Software attraverso la rete, a prescindere se gli accessi al Software siano simultanei o differiti.

Feedback

Mentre non possiamo garantire che ogni aspetto del Software funzionerà esattamente come l’utente si aspetta, noi garantiamo che faremo tutto il possibile per la risoluzione dei problemi, l’aggiunta di caratteristiche e l’attuazione di migliorie alla sua operatività.

Copyright (c)

OziExplorer è protetto da copyright e tutti I diritti sono di esclusiva proprietà della D & L Software Pty Ltd Australia.


OziExplorer Conditions of Use

Forutsetninger for bruk

OziExplorer er bare laget for å brukes til hobby og eksperimentering, og er ikke ment som eneste navigasjonskilde ved bruk på sjø eller land. Du må alltid bruke godkjente kart og navigasjonsmidler i tilegg til din egen dømmekraft.

Garanti

Vi gir absolutt ingen garanti med denne programvaren og garanterer heller ikke at den vil virke som du ønsker det hele tiden. Den er ikke feilfri og du vil kunne finne programfeil og andre ting som kan skape problemer.

Begrensninger av ansvar

Ikke i noen tilfeller vil vi være ansvarlig for problemer eller skader som vil kunne oppstå ved bruk av dette program. Bruken av OziExplorer foregår helt på eget ansvar.

Forutsetninger for lisensen

En registrert og kjøpt versjon av OziExplorer kan enten bli brukt av en enkelt person på som bruker programmet på en eller flere av sine datamaskiner eller installert på en arbeidsstasjon som brukes av flere personer til trening. Dette er ikke en flerbrukerlisens.

Du kan bruke programmet I et nettverk forutsatt at de forskjellige arbeidsstasjonene har vær sin lisens, uavhengig av om programmet brukes samtidig eller på en maskin av gangen.

Tilbakemelding

Vi kan ikke garantere at OziExplorer er uten feil eller mangler, men vi prøver hele tiden å rette på feil som vi blir gjort oppmerksomme på av brukere, samtidig som vi prøver å legge inn nye funksjoner.

Copyright (c)

OziExplorer er beskyttet av Copyright og alle rettigheter til programmet tilhører D & L Software Pty Ltd Australia


OziExplorer Conditions of Use

Podmienky používania

OziExplorer je určený pre zábavu a experimentovanie, nie je určený ako primárny zdroj navigačných údajov pre námorné, letecké alebo automobilové účely. Vždy sa spoliehajte na svoj vlastný navigačný úsudok, skúsenosť a oficiálne mapy. Každý pohyb v neznámom teréne sa snažte vždy vopred naplánovať.

Záruka

Na produkt nie je poskytovaná žiadna záruka. Program je možné pred jeho registráciu bezplatne vyskúšať a zoznámiť sa so všetkými jeho funkciami. Neručíme zato, že program splní všetky vaše očakávania, ani zato, že pracuje 100% bezchýb. Nepretržite pracujeme na zapracovaní pripomienok užívateľov a rýchlom odstrání zistených chýb a nedostatkov. Všetky nové verzie sú pre registrovaných užívateľov dostupne zdarma.

Obmedzenie zodpovednosti

Nenesieme žiadnu zodpovednosť za škody spôsobené používaním programu. Užívateľ nemá nárok na preplatenie jemu vzniknutých nákladov z dôvodu nesprávnej funkcie alebo poruchy programu. Tento program používa užívateľ na vlastné riziko.

Licenčné podmienky

Registráciou a nákupom programu OziExplorer získava užívateľ jednu licenciu, ktorá je viazaná na jednu osobu, ktorá môže program používať na jednom alebo viacerých počítačoch. Program môže byť inštakovaný aj na sieťovom serveri v pripade ak nie je používaný viacerými užívateľmi súčasne.

V prípade sieťovej inštalácie je potrebné zakúpiť taký počet inštalácií, aký je počet pracovných staníc, na ktorých bude súčasne program OziExplorer používaný.

Spracovanie požiadaviek užívateľov

Negarantujeme, že všetky časti programu pracujú správne a presne tak, ako ste očakávali. Garantujeme však, že sa snažíme všetky Vaše problémy a pripomienky vyriešiť a zapracovať do programu tak, aby sa program neustále vylepšoval.

Každej Vašej pripomienke a návrhu sa budeme venovať.

Copyright (c)

OziExplorer je chránený autorskými zákonmi, všetky práva k produktu vlastní spoločnosť D & L Software Pty Ltd Australia.


OziExplorer Conditions of Use

Villkor för användandet!

OziExplorer är bara för nöjes och experimentella ändamål. Det är inte avsett som ett tillförlitligt program för navigation eller för att framföra sitt fordon. Se alltid till att du kan navigera med hjälp av vanliga navigationskort innan du börjar navigera med hjälp av programmet.

Garantier

Vi lämnar inga garantier i något avseende på detta program. Inte heller någon funktionsgaranti gällande ifall mjukvaran passar er dator eller ifall mjukvaran kommer krascha ditt system. Inte heller att programmet är till 100 % felfritt. Vi arbetar ständigt hårt med att ta bort alla buggar och andra fel för att få programmet så felfritt som möjligt. Det förväntas att ni själva ska finna en del av buggarna, problemen, felberäkningar och så vidare.

Gränsen för ansvar

Inte i något hänseende tar vi ansvar för skador inkluderat förlorade inkomster eller andra skador som har uppkommit när programmet har använts, inte heller några ersättningskrav från andra inblandade.

Användandet är en Exklusiv risk för användaren.

Villkor för licensen

En registrerad eller köpt kopia av Oziexplorer kan antingen användas av en person på en eller flera datorer eller installerad på en stationär dator där flera personer kan använda programmet, men det får inte användas på båda.

Detta är ingen licens för flera användare.

Du kan använda programmet genom ett nätverk om du har en registrerad version eller har en individuell kopia av programmet för varje stationär dator, men då får endast en användare åt gången köra programmet.

Feedback

Vi kan inte garantera att programmet fungerar exakt som ni har förväntat er.

Men vi kan garantera att vi gör allt för att lösa problem, lägga till ändringar och andra saker som behövs för att programmet ska fungera på ett bra sätt.

Copyright (c)

OziExplorer är skyddad av copyright och alla rättigheter tillfaller D & L Software Pty Ltd Australia


Corner Markers

Corner Markers (Corner markers are adjusted in map calibration)

Many maps have a border around the actual map (called the neat line). OziExplorer can make use of the neat line to change maps when you cross this boundary when using moving map real time tracking mode. So the software can detect where the actual map boundaries are you must position the corner markers on the map corners.

The corner markers will default to the corners of the image, if your map has no borders (neat line) there is no need to move the corner markers.

Display Corner Markers

Use the Map Border Control to display the corner markers and manage the points which form the border around the map.

  1. Press the Show Corner Markers Button to show the Map Border Control. The corner markers will now be visible.
  2. By default 4 border points are added at the corners of the image, these can be moved and new points added.
  3. The maximum number of Border Points is 100.
  4. To Delete a Border Point right click on it.
  5. To Insert a Border Point select the Insert Map Border Point button and click on the map to insert a point.
  6. Move the map image and move, delete or add new corner points.
  7. Do this process for each corner.
    When finished the effect could be something like this.
  8. Save the map to store these positions.


DataSend

DataSend POI Manager

This feature allows OziExplorer to add new POI's (Points of Interest) to the Data set provided with the DataSend software and to also edit the POI's provided with DataSend. The new or edited POI's can then be uploaded to a Magellan GPS (which supports POI's) using the DataSend software. The new POI's can also be edited as required. Note that OziExplorer does not directly upload POI's to the GPS it just writes new data files for use by DataSend.

Also note that all POI's that you want in the GPS must be uploaded at the same time by DataSend, it is not possible to upload different POI's to a GPS in different stages. Uploading any set of POI's always deletes the POI's in the GPS first.

The DataSend POI Manager option is on the Magellan Menu.

Requirements

The Magellan DataSend software installed on your PC.

Please NOTE well : The Datasend CD MUST be installed using the Custom Install Option and all the POI's installed to the hard disk, this is essential (1) if OziExplorer is to find them and (2) if they are to be edited.

A Magellan GPS 315 or 320 (any Magellan that has the ability to store POI's)

The set of symbols provided for use by OziExplorer with DataSend (available for download on the web site). The symbols must be installed in a folder called Dsymbols directly attached to the folder where the OziExplorer software is installed.

Warning

While it is possible to edit the POI's supplied with DataSend, editing them (and saving) will loose some of the extra information supplied with the data. Information such as Long Name, State and some other info will be lost as OziExplorer only saves the data necessary for use as POI's in the GPS. The lose of this extra information does not affect the uploading of the POI's at all. Of course the original data on the CD is not affected so DataSend can be reinstalled to get the extra information back if required.

The POI Manager Dialog

wDataSend.gif (3534 bytes)

DataSend Path - Set this to the Path (folder) where the Datasend.exe file is located. Setting this path also scans DataSend for the Groups it currently has available. The Path is remembered and usually only needs to be set just the once.

Group - The POI's are divided into groups with titles such as Aviation. The combobox will have a list of all those currently available. New Groups can be added by pressing the New button and entering its name. Note that the new group will not be kept unless POI's are added into it.

Owner - This is the name of the original supplier or source of the data. When creating your own data you would add a name like OziPOIs, MyPOIs, User Data, or something similar. Note that the new Owner name will not be kept unless POI's are added into it. Do not put you own data into an existing name as it will be hard to find. This name appears in DataSend POI selection dialog with a heading of Source.

Name - Within each group there can be many different names, with each name storing a different set of POI's. New Names can be added by pressing the New button and entering its name. Note that the new Name will not be kept unless POI's are added into it. IMPORTANT - Names must be unique, not only within the one group but within all groups. The name is also used to display on the GPS menu's so keep it short and use standard characters, a space is allowed.

Priority - The Priority is a number between 1 and 255, it determines the drawing priority on the DataSend software map display. A priority of 1 shows on top of all other POI's displayed on the map. It probably has no influence on POI display in the GPS. The priority number forms the 1st part of the file name that stores the POI's.

Symbol - The symbol can only be selected from the list provided. You can add your own symbols for use here. The symbols MUST be BMP files, 13 pixels wide, 13 pixels high and saved with RGB encoding (a parameter in Paint Shop Pro - Options on the Save dialog). The background color must be pure white, the foreground can be any color.. Use an existing symbol as a template.

Sort - Sorts the POI's alphabetically. This is so they will be listed alphabetically on the GPS screen.

Save - Saves the POI's into the Distend POI data tree using the Group, Owner and Name specified..

Close - Closes the dialog, it also removes any POI's from memory.

Help - Provides this help online.

Tutorial

You may like to have a World map loaded for this exercise because you may not know where the POI's you select are going to be plotted. You can change to local maps later.

Select the DataSend POI Manager option from the Magellan menu.

Hopefully you have already purchased and installed the Magellan DataSend CD, if not, there is no point in proceeding.

If this is the first time you have run the POI manager you must select the DataSend Path. Press the button at the right hand end of the DataSend Path field and select the Drive and Directory (Folder) where the Datasend.exe file was installed to (most likely c:\Program Files\Datasend). When you have this correct you should have a list of names in the Group combobox.

Opening a set of POI's

Now you need to select in turn the Group, Owner and Name as indicated below.

In the Group combobox select a group (other than Choose .... of course).

There should now be a list of Owners in the Owners combobox. Select one of these.

There should now be a list of Names in the Names combobox. When you select one of these names the POI's will automatically be loaded and displayed on the map.

dpoints.gif (8690 bytes) This is what they look like, the POI's are the read and white colored circle and text. The POI symbol is not displayed in OziExplorer.

When loaded into OziExplorer the POI's are loaded into objects called "Points". Points are a standard OziExplorer object and can be manipulated in OziExplorer. POI's are always loaded into Point Set 1 and are always saved from Point Set 1.

You should read the help on Points and the Point Control for information on how to use these objects.

Many of the POI Data sets are quite large, this causes OziExplorer to slow down considerably when these are loaded.

Editing the POI's

You can move, edit the name of individual POI's and add new POI's.

The Points can be moved by dragging or editing the position, the name can be changed, Points deleted and new Points can be added. To do this you need to use the Point Control.

To add new POI's Press the Manually Create a Point button on the Toolbar, click on the map to add points. The Point Control can be used to set how the points are created, with properties window displayed, active that sort of thing.

bCreatePoint.gif (2639 bytes)

You should read the help on Points and the Point Control for information on how to use these objects.

Saving the POI's

Pressing the Save button on the POI Manager dialog saves the POI's into the DataSend data structure.

The POI's can also be saved to a Point File using the Save Points to File option on the Save button on the main Toolbar but saving the POI's this way does not save them to DataSend.

Adding a New set of POI's

First of all you must have the POI Manager open.

Either select or add a new Group, Owner and Name.

Press the Change Symbol button and select a Symbol.

To manually add points select the Manually Create a Point button on the Toolbar. The Point Control can be used to assist in adding Points, such as automatically opening the point properties as each is added.

Points can also be added by loading from a Point file, Waypoint File and other sources such as ESRI Shape files.

After adding the Points press the Sort button on the POI Manager to sort the Points by name.

Press the Save button on the POI Manager to save them into DataSend.

Appending POI sets Together

The GPS has a limited number of POI sets that can uploaded. OziExplorer allows you to append point sets together which can help overcome this limitation.

To do this you use the Point Control.

  • Start the POI Manager and open a set of POI's.
  • Start the Point Control.
  • Highlight the Point set (Num 1) and use the Move Point Set Down arrow to move it to set 2 (Num 2)
  • DO NOT press the Save button on the POI Manager otherwise you will save that set of POI's as empty.
  • Open another set of POI's
  • Goto the PointControl you will have 2 sets of Points loaded
  • Press the Append Point Sets together button
  • Append Point Set 2 to Point Set 1
  • Press the Sort button on the POI Manager to sort the Names
  • Press the Save button to save into DataSend.

There are many variations you can use on this method to join POI sets and save them as a completely new set, and so on.

Converting Waypoints to POI's

First of all you must have the POI Manager open and the Group, Owner and Name selected.

To convert Waypoints to POI's use the Load Points from File option on the Load button on the main Toolbar, choose the Load Points from Waypoint File on the submenu. The Waypoints in the file will be loaded as Points, the extra attributes that waypoints have will be lost when loaded as Points.

Converting POI's to Waypoints

To convert POI's use the Save Points to File option on the Save button on the main Toolbar, choose the Save Points to Waypoint File on the submenu. The Points will be saved as Waypoints. Note that while it is possible to save many thousand of Points to a waypoint file it may not be possible to load them all as Waypoints because there is a limit of the number of Waypoints OziExplorer will load.


Datum Shift

You don't know the datum parameters but you know the datum shift values from WGS84

You have calibration points in WGS84 and the datum shift values.


Edit Position

Allows the position to be edited.

Note : If the datum is changed backwards and forwards there may be small changes in the position because of rounding errors.

wEditPos.gif (5739 bytes)

Fields

Datum - The datum of the positions displayed in the fields below.

ep1.gif (181 bytes) Sets the Datum to the Datum of the currently loaded map.

If the Datum of Loaded Map is selected then the datum used will always be the same as the datum of the currently loaded map. To see the datum of the loaded map place the mouse pointer on the field and the datum will be displayed as a hint.

Position Format - The choice is either

  • Lat/Lon in degrees, degrees & mins or degrees & mins & secs, the format is selected in OziExplorer configuration.
  • The Alternate Grid selected in OziExplorer configuration, in the dialog above UTM is the Alternate Grid.

Depending on which is selected the position fields will be enabled below.

Position fields - Fields for entering the position.

Buttons

ep2.gif (280 bytes) Saves the changes to the position and closes the dialog.

ep3.gif (289 bytes) Cancels any changes to the position and closes the dialog.

ep4.gif (277 bytes) Shows this help.


Garmin Symbol Set Creator

Most of the newer model Garmins have a set of available symbols which are a subset of the full set of symbols listed in the Garmin upload/download protocols.

There is no way to determine which set of symbols a model is using other than by physically examining each unit to see those available in the symbol list.

OziExplorer stores the symbol sets for many units internally but with many new models being released the sets cannot be kept up to date quickly enough.

This utility allows the user to specify the set of symbols used in a particular Garmin GPS model, OziExplorer will then use this set whenever a symbol is required, the symbol sets created can be selected in the GPS Symbol Set combo box on the GPS tab of OziExplorer configuration.

Note that this utility cannot change the symbol set in the GPS it only allows you to specify which symbols are available in your GPS so OziExplorer can present you with a correct and valid set whenever the choice of a symbol is required.

It is known that a particular symbol can have a different name in some GPS models and in some cases the internal symbol number can have a different shape between models. Therefore there may be some trial and error in specifying the symbol set. The way to test if a symbol is correct is to create a waypoint with the symbol and upload it to the GPS, if it is not displayed correctly (a different symbol or the default square or flag symbol) then it is not supported within that GPS.

wGarminSymbolSetCreator.gif (6507 bytes)

Fields

GPS Symbol Set - The symbol sets currently available internally OziExplorer or added by the user. User added sets have an "*" in front of the name.

New Name - When creating a new Symbol set you specify the name you want to call the set.

Buttons

Delete - Deletes the currently selected set, only user created sets can be deleted.

Copy From - Keeps the symbol set of the currently displayed set and allows you to specify a new name to create a new set.

Add New - Removes all symbols from the set and allows you to enter a new name to create a new set.

Save - Saves the symbol set using the name in the New Name field.

Close - Closes the window,

Creating a Symbol Set

Basically you need to put a tick against any symbol your GPS has in its list of symbols. The symbol list in the GPS can be viewed by editing the symbol in a waypoint and scrolling through the symbol list.

When you have all the symbols specified make sure you have a name in the New Name field and press the save button, if the name in the field already exists it is replaced.

You can also save the symbol set and return later to edit it and save it again.

The symbol sets created can be selected in the GPS Symbol Set combo box on the GPS tab of OziExplorer configuration.


GPS Fix Data

Moving Map Menu / Show GPS Fix Data

This information is read from the NMEA sentences output by the GPS.

Notes

  • To display this information, your GPS must be connected and must output the GSV NMEA sentences.
  • Garmin PVT mode cannot be used because it does not output any Satellite fix information. It outputs position, speed, course and altitude which can already be read from OziExplorers standard dialogs.

Satellite View - a graphical display shows the satellites your GPS has connected with.

Satellite information

  • each satellite is identified by its PRN number
  • yellow satellite - fix OK
  • red satellite - no fix

The small light in the bottom right corner of the Satellite View display will flash when NMEA sentences are being received.

The bar graph shows the signal level (SNR) of the satellites in view. The signal level scale is between 25 (min) and 70 (max).

Satellite Data

  • Fix Quality
  • Number of Satellites the GPS is tracking
  • Horizontal Dilution of Precision
  • Time in secs since the last DGPS update
  • DGPS Station number being used

Position Data - of the current position from the NMEA sentences.

The data is presented in the same units that are used in the NMEA sentences.
  • Latitude and Longitude in the format selected for main window display
    and uses the datum the GPS uses for sending the data.
  • Date is in UTC
  • Time is in UTC
  • Speed is in knots
  • Altitude is in metres
  • Course is in degrees True


GPS Receivers Supported

While every effort has been made to make sure the drivers comply with the official protocols provided by the manufacturer, there are many variations of the protocols sometimes even within the same model of GPS and of course programming errors can occur.

Please be aware that you are using the GPS support at your own risk.

Upload/Download

Lowrance & Eagle

Direct upload/download support for the Eagle Explorer, Eagle Expedition, Lowrance GlobalNav 200, 212, GlobalMap 100 and most other Lowrance & Eagle models.

OziExplorer will not work with the Eagle AccuNav Sport and similar models. To enable these GPS models to be used OziExplorer can write data files for the WS1 software produced by Lowrance. Only Waypoints and Events are written to the files at this stage.

OziExplorer cannot upload or download tracks for the Lowrance Global Map 12 and similar models, these use a protocol which is not supported. To enable this function OziExplorer can read and write from and to the clipboard in the format used by the latest GPS Data Manager software (GDM) available from the Lowrance and Eagle web sites, by using the GDM software to cut and paste to and from the clipboard the tracks can be uploaded and downloaded between OziExplorer and the GPS via GDM.

Garmin

Direct upload and download support is provided for most Garmin receivers. The drivers have been tested with numerous models.

Magellan

Direct upload/download support is provided for most Magellan receivers. The drivers have been tested with a GPS 2000XL, 3000XL, 4000XL, 315, 320, 330, ColorTrak and Tracker.

mlr.gif (3091 bytes)

Direct upload/download support is provided for MLR receivers.

Moving Map

Moving Map means the onscreen plotting and tracking of you position by reading the position and other parameters from the data being output from the GPS.

Any GPS which outputs the $GPRMC or the $GPGGA and $GPVTG nmea sentences can be used with the Moving Map part of OziExplorer.


Moving Map Control

see also Moving Map Moving Map Menu

wMovingMap.gif (4364 bytes)

The Moving Map Control allows you to control most Moving Map options from a single dialog.

Buttons and Fields

Start/Stop - Start NMEA communication with the GPS, or the NMEA simulator if applicable.

Automatically Scroll Map (4 arrows) - When depressed the map will automatically scroll to keep the GPS position pointer on screen. If not depressed the GPS position pointer can move off the screen.

Find Maps at GPS Position - The Map File path will be searched

Check for more Detailed Map - If this button is depressed then OziExplorer will search for a more detailed map at the interval that has been set in configuration. If a more detailed map is found then it will be loaded.

Look for Maps in Folder of Currently Loaded Map - If this button is depressed then when searching for a new map (leaving the current map) or for a more detailed map the search will only be done in the folder which contains the currently loaded map. If the button is not depressed then the "Map File path" and its sub-folders will be searched.

Valid - Ignore the NMEA Valid Data Flag. This is for those GPS receivers which send an invalid data flag with the data when they are in simulator mode (such as Lowrance and Eagles and others), if the flag is not ignored no position will be plotted when using the GPS in simulator mode.

Note : The fields described below cannot be adjusted in the shareware version.

UR - Screen Update Rate, the interval in seconds between screen updates. NMEA position information is still processed and track points are still collected. Increasing the time between screen updates reduces the flickering of the other information displayed on the screen.

TI - Track Interval, the minimum interval between track point updates in distance units. The units to be used are set on the Moving Map tab in OziExplorer configuration as part of the Set Track Point Interval parameter. Setting to Zero (0) will disable the collecting of track points.

TT - Track Tail, how many points of the track are displayed. Example if set to 100 only the last 100 points collected will be displayed. Displaying too many points will slow screen refresh performance dramatically. It is best to limit the number of points displayed. The full number of points are still collected. Setting to zero (0) will display all points collected so far.

SM - Scroll Method, select the method to use for map scrolling.

The parameters below are taken from the GPS output

Speed - Speed in the speed units specified in OziExplorer configuration.

Alt - The Altitude, the units are specified in OziExplorer configuration.

True - Direction of travel (bearing), True North.

Mag - Direction of travel (bearing), Magnetic North. The Magnetic Variation use to calculate this reading is also supplied by the GPS.


Navigation Control

Allows Navigation to be activated and displays the parameters for navigation to the next waypoint.

wNavControl.gif (3664 bytes)

Buttons

Navigate along a Route - Displays a list of loaded Routes and for selection.

Navigate to a Waypoint - Displays a list of loaded Waypoints for selection.

Cancel Navigation - Cancels the navigation.

Reduce/Expand - Reduce or Expand the Control window.

Show Details of Active Route - Shows the full details for the active route.

More Information ... - Displays the distance remaining in the total Route and the ETE and ETA.

Fields

Next Wp - The name of the next waypoint

Distance - The distance to the next waypoint

CTS - Course to Steer, the bearing to steer for a straight course to the waypoint.

XTE - Cross Track Error, your deviation from the desired course line.

ETE - Estimated time Enroute, how long to get to the next waypoint from your current position.

ETA - Estimated Time of Arrival, the time of your arrival at the next waypoint


Nearest Waypoint

see also the Select Menu help.

This option is used to select waypoints which are within a specified distance of a selected waypoint or within a specified distance along the entire length of Track Number 1.

Once the waypoints are selected the other options on the Select menu or Selection Control can be used to manipulate them.

wNearestWp.gif (2353 bytes)

Fields

From Waypoint - Specify the Waypoint to use, all waypoints will be selected if they are within the specified distance from this Waypoint. A special option "Track Number 1" is also included - all waypoints within the specified distance of any track point within the track will be selected.

Distance - Waypoints within this distance are selected.

Distance Units - The units the distance is specified in.

Buttons

Refresh the Waypoint list.

Help - Shows this help.

Close - Closes the window.

Select - Process each waypoint and select them if they are within the specified distance.


NMEA Simulator

The simulator provides the software equivalent of a GPS transmitting the NMEA $GPRMC sentence. This is output at a rate of 1 per second. The simulator allows experimentation with the Moving Map features without having a GPS connected to the computer.

The simulator is designed to simulate a GPS traveling at a specified speed in a specified direction, it will not automatically follow a loaded route, if you want to follow a route you must manually change the direction of travel of the simulator where required.

The Bearing, Speed and Start position can be specified as follows.

Buttons

Here - Press this button and then click somewhere on the map to set the geographic position where the simulator will start.

The number on the green background is the direction of travel (or bearing) in degrees, the bearing is relative to True North.

-10,-,+,+10 - These subtract or add degree units to the direction of travel.

The number on the red background is the speed in whatever the units are (KPH, MPH, Knots) you have selected for speed units in the configuration.

-20,-,+,+20 - These subtract or add to the speed.


Old History 1

Beta 3.64g

Bug Fixes

  • The bug when importing USGS DRG maps has been found. It occurred when a map was imported and the "Map File Path" in configuration was empty or the "Map File Path" when importing a full CD of maps was not entered.

Changes

  • nil

Beta 3.64f

Bug Fixes

  • Probable bug when importing USGS DRG maps which was introduced in the last version, could not directly find the problem but I made some fixes to a new section of code which may have been the cause.
  • Use Grid in the Transverse Mercator Projection now allows the Easting and Nothing to have a minus sign.

Changes

  • nil

Beta 3.64e

Bug Fixes

  • Navigation options were disabled when right clicking on Map Feature without a waypoint, but they were not turned back on, now fixed.
  • Proximity waypoints would sometimes plot in the wrong place on the map when in fact they should not be on the map at all, this has been fixed.

Changes

  • 16 color TIF files can now be used.
  • Can now import the DRG maps from Wyoming web site - see help section "Importing USGS DRG Maps" for details.
  • Although not recommended you can now import DRG files which only have the .tif and the .tfw file.
  • You can now turn on or off the checking of the Check Sum for NMEA sentences.
  • There has been other subtle changes to the comms setup and the reading of NMEA sentences.
  • I have changed the colour for the "tooltips", the tips that appear when you put the mouse on a button or waypoint etc. These now show in the same color you have set for windows tooltips which you set in the appearance tab in the display settings.

Beta 3.64d

Not actually released

Beta 3.64c

Notes

Version 3.64b has internal problems with the code which were created when a compiler directive was changed from previous versions. This can result in unexpected "crashing" of the software which usually results in windows being corrupted and a reboot being required. If you have a 3.64b version you should delete it. This does not happen on all systems, my desktop does not show the problem but it causes my laptop to crash consistently. All the other changes made in version 3.64b to fix bugs etc are still valid and are in 3.64c.

For the technical minded the compiler directive changed was "Code Optimization was turned on", this is not supposed to have any effect on the operation of the code. As the compiler help file says "All optimizations performed are guaranteed not to alter the meaning of a program. In other words, no "unsafe" optimizations are performed that require special awareness by the programmer." , ah well.

Bug Fixes

  • Fixed problem with Potsdam datum, referencing wrong ellipsoid.
  • Some minor fixes, mainly fine tuning, especially of the Moving Map operation.

Changes

  • Waypoint Name and Map Comment background colors now have a transparent option.
  • Map Comments now have the ability to change font size and select "bold" style.
  • There is now the ability to link the Map User Grid (Transverse Mercator projection), which is setup when calibrating, to the User Grid which you setup in the configuration for onscreen coordinate display. There is a new option on the "Map" tab in configuration to specify "Use map User Grid". If this is true and the map being loaded has a user grid set, the "map user grid" is automatically copied to the "Alternate Grid" for coordinate display.

Beta 3.64b

Bug Fixes

  • Finally found problem and fixed it (I hope) with the Mag Variation calculation when using the NMEA simulator, traced problem to international settings, when the decimal separator being used was a comma it resulted in an extra comma being inserted into the NMEA sentence.
  • The Moving could give a terminal error when first started when it needed to change maps, the errors were various including "Division by Zero", but the cause was the same. These type of dynamic bugs can be difficult to find but I did find something and corrected it.
  • Closing OziExplorer while receiving NMEA data from the GPS (Moving Map) would sometimes result in an "Access Violation" error, caused by closing files etc when the last NMEA sentence was still being processed, now fixed.
  • The track file names are now remembered correctly when resaving the files from the "Track Control".
  • and the usual minor housekeeping type changes.

Changes

  • Version 3.64a added a larger "blank map", this caused the load times of the "normal" maps to be increased because before loading any map a "blank map" was always created to put the system into a known state. In this version the new "blank map" has been refined and may be quicker to create, however, the "blank map" is no longer created when loading a "normal" map. Load times should actually be quicker now than any previous version. BUT, this has meant recoding of the map load procedures which can of course add in new bugs and problems, but testing has not shown any.
  • There have been a few changes to stop data (waypoints, map data etc) from being lost when changes have been made. You will now be prompted before any changed data is discarded.
  • Added 2 new symbol pointers for Moving Map, a cross and a new simple boat.

Beta 3.64a

Bug Fixes

  • Removed bug in the "Find Map" routine. If you were in any zoom level other than 100% the calculations used to find the available maps were incorrect.
  • Fixed bug in Position Edit in the properties window of waypoints etc. only when editing in UTM coordinates. This was a recent bug only in 3.63f and 3.64.
  • Some other minor bugs.

Changes

  • Many changes for Windows "Large Font" support, OziExplorer should look much neater now. But optimization has been done for small fonts so there will still be some things slightly out of place.
  • The Austrian datum (or 1 of them) has been added.
  • The Geocentric Datum of Australia (GDA94) has been added.
  • OziExplorer will now also use the GLL sentence for NMEA if the RMC or GGA sentences are not available.
  • You can now double click on any map object (Waypoint, Event, Map Feature or Map Comment) to open the properties window.
  • The "Blank" map has been increased in size by a factor of 2.5, this means the blank map is this much bigger and effectively increases the zoom level available by 2.5 over previous versions. The max zoom available is still 7.5 (750%) but the map is now 2.5 times bigger.
  • The Grid has been modified and a selection of Grid intervals has been added for the blank map, these are located on the map menu.

Beta 3.64

Bug Fixes

  • The routes being navigated had a bug where the bearing was being displayed as Magnetic when in fact it was a True bearing.
  • Found bug in Magnetic Variation calculation.
  • quite a few minor fixes.

Changes

  • The Cursor Zoom Window is now selectable for display at startup.
  • When calculating distances there is now a choice of a using a spherical method or ellipsoid method. OziExplorer was using the spherical method only, the difference is about 1%. I assume the ellipsoid method should be the more accurate. See the configuration help for a little more info.
  • Found the bug in Magnetic Variation calculation (a bit of development code left behind) and did a bit more fine tuning of the handling of Magnetic Variation, see the help topic for a description of how OziExplorer deals with this.
  • Some fine tuning to the Magellan drivers.
  • When using "Moving Map" there is now an option to project (draw) a line from your present position along your current course.
  • When using "Moving Map" your present position plots on the "MapView" window.

Beta 3.63f

Bug Fixes

  • Version 3.63e Map Features had a bug where they would disappear after changing the properties.
  • Magnetic Bearing had a bug, the calculation was not correct in certain circumstances.

Changes

  • The bearings in the Moving Map and Navigation Controls now only display whole numbers (not 1 decimal place as before), if this causes problems let me know.

Beta 3.63e

Bug Fixes

  • For Map Features if the "picture" file name had spaces within the name it would not load and be displayed, fixed.
  • The Track description in the Track Control could not always be accessed and changes were not always recognised.
  • The Track default color and width were not correctly used after being altered in the Track Control, this showed when adding track points.
  • The editing of waypoints in UTM using the waypoint editor had an error if the coordinates were in the Southern Hemisphere.
  • The MagVar in the NMEA simulator had "W" (west) hardcoded into it so it always assumed the MagVar was to the west.

Changes

  • Full support has been added for the Garmin GPS III. This includes the modified protocols, the correct selectable symbols on screen and of course the ability to upload and download the waypoint symbols and display formats to the GPS.
  • You can now specify the waypoint name for a Map Feature, this is on its property window. Note that if you do not want these Map Feature waypoints to be downloaded when using the "Merge Waypoints from GPS" option the waypoint name must start with "MF" (hopefully only temporary until I code a new fix).
  • The ability to edit the position of a Map Feature has been added to its properties window.
  • Quicker clearing of Routes - this took a considerable amount of time on slower PC's, 10 to 15 secs, it will be much faster now.
  • There are now options on the Map Menu to allow the adding of waypoints, events etc.
  • There are now options on the Map Menu to show the Zoom window and MapView.

Beta 3.63d

Bug Fixes

  • The Zoom when the PgUp or PgDn down was hit for the first time has now really been fixed, (yeah sure).
  • There was a comm problem when using NT4 and attempting to communicate with the GPS after using a modem on the same serial port, it would not work. Traced the problem and hopefully corrected it.

Changes

  • As well as the "Man Overboard" waypoint there is now a "Position Marker". These can be set at the current GPS position while using "Moving Map". These are just special types of Waypoints with their own symbols.
  • In version 3.63c I was experimenting with setting the BMP images to 8 bit color in the code, this was causing color changes on some systems, this has now been removed. Please not however that on some systems OziExplorer does not like to use 16 color BMP images.
  • When printing BMP or JPG files I was reloading the whole image again, this was to overcome a technical problem which has now been rectified (possibly). The images will not be reloaded again, this should give 2 advantages for large files, the images will start printing much quicker and there is much less chance of running out of memory resources. Let me know if this still causes problems.
  • Also when printing TIF files I needed to create a tempory BITMAP to hold the portion of the image for printing, this is a tradeoff between memory requirements and printing speed. The size of the BITMAP required was about 4Mbytes, I have now reduced the size to about 2Mbytes, this should allow systems with tight memory resources to have a better chance of printing. Let me know if you still have problems.
  • Please note in calibration mode you now need to also hold down the shift key when using the arrow keys to move the calibration points.

Beta 3.63c

Bug Fixes

  • The zoom was not correct when the PgUp or PgDn key was hit the first time, fixed.
  • Waypoints added with the new waypoint editor were not able to be uploaded to Lowrance/Eagles, a parameter was not set correctly, now fixed.
  • Scrolling the map using the cursor keys when in calibrate mode were still enabled, this cannot be allowed and has now been turned off.
  • When the "Last Map" was loaded and scrolled to the "Last Position" the "MapView" window did not update correctly, now fixed.
  • The "Distance Display" window could not be activated correctly from the Menu etc, now fixed.
  • When drag map was enabled (hand cursor) and the map was clicked to exit from a menu the map was not refreshed correctly, fixed.
  • In order to print maps accurately at a specific scale it required a more accurate method to calculate the scale. This resulted in a situation where 2 maps of similar scale would be loaded alternately (continuously) when using moving map. This was caused by the new calculated scale not agreeing with the old scale stored in the map file. To fix this I have placed a tolerance of 2% on changing to a better scale map. This means if a map is not at least 2% better in scale factor (more detail) than the current map it will not be loaded. This avoids those calculation type problems with floating point numbers as well as my coding changes.

Changes

  • Polyconic (American) and Albers Equal Area projections have been added.
  • The ability to add a "Man Overboard" waypoint at your current position (when using Moving Map) has been added. This is on the Moving Map menu and the right click map menu and the "Alt+O" key combination. The waypoints now have a new Display format called, what else, "Man Overboard".

Beta 3.63b

Bug Fixes

  • Bug in reading xml metadata files from Penn. State University.
  • There is a bug in Navigation to waypoint feature, found a problem and fixed it, but not sure if it was the correct problem?
  • Many minor fixes.

Changes

  • A lot of fine tuning to get ready for non-beta release in the near future.
  • Completely new map printing functions, completely rewritten, now with print to scale - any scale you like to select or enter. These changes have hopefully removed most of the GPF problems of the old method.
  • I have made extensive changes to the Magellan drivers and have found some more info on how to interface with these units, actually it was no secret I just had to work out how to do it properly. I have changed the name of the 2nd Magellan driver to Magellans (No Handshaking). I think that ALL Magellans should now work with either driver, the preferred driver being the Magellans one, this provides for upload/download using the full handshaking protocol which should be more reliable.
  • The zoom levels can be adjusted using the PgUp and PgDn keys. The map screen must have the focus.
  • The map can be scrolled using the arrow keys. In calibration mode the calibration points can be moved by holding down the shift key and using the arrow keys.
  • There is a goto waypoint button on the waypoint list window. The waypoint must be located on the current map.
  • You can now specify in configuration that when the last map is loaded the last map zoom level is selected and the map scrolls to the last map position being used.
  • The last map datum being used for calibration is remembered.
  • When loading maps etc the last directory accessed is now remembered.
  • The event list now has the ability to display positions in the various grid formats.
  • When calibrating using the user grid in a Transverse Mercator projection you now enter the calibration points in the user grid coordinates.
  • many improvements to allow OziExplorer to run direct from a CDROM.
  • The Esc key will now exit many of the windows.
  • Many Shortcut keys have been set up and can be seen on the menus.
  • The amount of windows resources being used has been reduced.
  • The maximum number of routes has been increased to 100 to handle the new Lowrance Global map 100.
  • Waypoint editor has been done and is available from the Waypoint List window.
  • The icons for the Magellans have been slightly improved.
  • It is now possible to input Lat/Lon position formats in DMS as well, this is only a limited solution as they cannot be shown in DMS. When entering into the Minutes field if you enter as say 43 53.123 this is read as 43 minutes 53.123 seconds.
  • There is a new way of displaying Lines and Distance between 2 points on the map.
  • You can now select the ability to show a line from the mouse cursor to the current map position.
  • The NMEA simulator always assumed a Magnetic Variation of 3 degrees west. This has now been changed to use the Mag var entered with the map calibration. An extra feature has been added to automatically calculate the Mag Variation if it has not been entered with the map calibration. It is automatically calculated whenever a Mag variation is required to obtain a Magnetic bearing. No guarntee on how accurate it is though.
  • New "Conditions of Use" window pops up when you start OziExplorer. After you read it simply click the "Do not show this message again" box to remove permanently.
  • I have added 38400,57600,115200 Baud rates but have not yet tested them thoroughly, they seem to work ok.
  • When downloading tracks from a Magellan the Altitude is now captured, also when collecting track details using Moving Map the Altitude is collected if the GGA NMEA sentence is available. These altitudes are not used other than being saved in the track data file (.plt file).
  • The Altitude for waypoints is now captured from Magellans and displayed in the waypoint hint if available.
  • There is a new window available on the Moving Map menu to display the GPS fix information. Naturally only available when using NMEA communication.
  • If you right click on the map a popup menu will appear which has various options available. To acommodate this the way of adding waypoints, events etc has been changed, there are now new buttons on the Toolbar for these functions.
  • I tried to add the Robinson projection but there seems to be a bug in the algorithm so I have had to remove it until it is sorted out.

Beta 3.63a

Bug Fixes

  • The position indicator for moving map was not plotting in the correct position when the map was zoomed. Now fixed.

Beta 3.63

Notes

The implementation of the Magellan upload/download support should now work reasonably well. This version includes fine tuning of the protocol to remove some timing problems which caused problems when uploading routes etc. This version also includes the implementation of a variation in the way Magellan has used their protocol, this variation is called Magellans (other) in the GPS configuration. New waypoint symbols have been added for Magellans, these were taken from the Magellan Color Trak and designed from descriptions so may not look quite correct, I do not know how these relate to other Magellan models.

Bug Fixes

  • More fixes to NMEA bearing calculations.
  • Fixed bug where waypoints not on the map were mysteriously appearing in places they should not.
  • More fine tuning to Magellan support to correct some uploading problems.
  • various other minor fixes.

Experimental

  • The Find Map buttons (4 arrows) on the button bar and options on the waypoint list etc can still be regarded as experimental, I want to change this to only 1 button on the button bar with a graphical display of the available maps but have not yet had the time.
  • There is a new experimental option on the Moving Map menu called Show Regional Map Window. My wife (and navigator) told me that "moving map" is good but she would like to be able to see where we are located relative to the next town or landmark. I have coded the ability to load a map (any map) into a small window (called Regional Map Window) , this map is linked to the main map and scrolls as the main map scrolls, your position from the GPS is also displayed on this regional map. It is intended that a map of the region you are traversing be loaded into this window so you can see a reasonably large area, this map should be say 1:1,000,000 up to 1:4,000,000 scale. There are limitations to the small map - it will not automatically load the next map if you leave the small map, if you run out of map you did not load a map of sufficient extent in the first place.

Changes

  • Moving Map and Navigation have been split to separate menus, and the controls split into separate windows.
  • When scanning for (locating) maps for "Moving Map" or "Find Map" OziExplorer will now look through the default or configured map directory as well as ALL subdirectories under that directory.
  • Support has been provided for older Lowrance and Eagles (AccuNav Sport etc) by reading and writing data files for the Lowrance WS1 software. This has been implemented for Waypoints and Events only at this stage. If your GPS will work with the WS1 software you can now get this data to and from OziExplorer.
  • OziExplorer can now read and write track data from the Lowrance GDM software, using the clipboard, so it is now possible to upload/download tracks to and from GPS receivers such as the Global Map 12 by using the GDM software to communicate with the GPS.
  • The font size used for for printing of the waypoint list has been increased.
  • There is now a Navigate To ... option on the Waypoint popup menu (right click menu).
  • There is now also a Find Map option on the Waypoint popup menu.
  • There is now the ability to hide all waypoints or all events on the Map Menu and unHide of course.
  • The printing of Routes has been done (1st draft).
  • There is now the ability to specify the directory USGS DRG maps are imported into.
  • For Garmins when uploading or downloading after using NMEA output OziExplorer will now automatically turn off NMEA input when you select an upload/download option.
  • Route colors can now be selected by the user.
  • The display of individual routes can now be turned off or on.

Beta 3.62

Notes

The Magellan support provided in version 3.61 and in this version 3.62 is only for one implementation of the Magellan protocol, while the protocols are similar, different model Magellans implement them in slightly different ways. The other protocol implementation (that I know off) is being coded ASAP. The current support has been tested and works with an older 3000XL and a new 2000XL, it is known not to work with at least one 4000XL.

Bug Fixes

  • USGS DRG maps not importing correctly if the East Bounding longitude was against the zone boundary - fixed.
  • Lowrance/Eagles not working correctly with NMEA or upload/download if ALL nmea sentences are turned on and 4800 Baud rate set - a timeout problem - fixed. However do not use 4800 Baud if there is a faster Baud rate available - performance will suffer.
  • Mercator Projection maps had a small error in the projection calculations causing the waypoints to not be positioned in the correct spot - fixed.
  • Fixed bug where waypoints not on the map were mysteriously appearing in places they should not depending on zoom level.
  • MapView will now stay off when it is turned off.
  • For Magellan support - if you changed the Baud rate configuration in OziExplorer they did not take affect until you restarted the software (a bug) - now fixed, no need to restart OziExplorer now.
  • Uploading Routes for Magellans would not work unless the route names were 01,02,03,04,05 - now fixed.
  • There was a problem with the calibration window being too narrow when using "large fonts" in windows - now fixed.
  • Problem with navigation - Course to Steer (CTS) was not displayed correctly if the true bearing is not known, the Magnetic variation is now taken from the map calibration (if entered) and used to calculate the true bearing (or magnetic bearing if true bearing is known). There is no guarntee the problem has been finally fixed but I am trying to sort it out.

Changes

  • 6 point calibration now will be done using the linear Affine method instead of the 2nd order polynomial, 7,8,9 points will be done using the 2nd order polynomial.
  • This addition is very nice (for registered users) - There is a set of arrow buttons on the toolbar (and menus) which allows you to select maps from a list of available maps. I am also working on a feature (not available yet) to display the maps diagramatically as simple rectangles in their relative positions. The current implementation will show a list of maps which :
    • are available for your position (center of screen) on the currently opened map
    • are available North or South or East or West of the currently opened map
  • In the Waypoint List dialog there is a new button to enable you to find maps which will display a particular waypoint.
  • A special addition for users of USGS DRG Maps from Pennsylvania State University, the import DRG option will now use the xml file which you can download with these maps. There is a special section in the Importing USGS DRG Maps help for importing these maps.

Beta 3.61

Notes

Version 3.60 has caused problems with datums when loading USGS DRG maps. It appears that there are some NAD27 and NAD83 maps have the same entries in the fgd file even though they have different datums. I have decided to now load these maps as NAD27 as these seem to be the most common. The code has been changed accordingly. This now will mean that some NAD83 datum maps will now have the wrong datum when imported.

IMPORTANT - If the last version you were using was one of the 3.51 versions you must resave or re-import your map files so the new moving map information for automatic map changing is stored in the map file. Map files saved with 3.60a will be OK.

Waypoint editor still not done.

Printing problem with large maps still not fixed.

Bug Fixes

  • When using the Latitude/Longitude Map Projection any coordinates entered in UTM format when calibrating the map were totally ignored.
  • For Moving Map there was a minor bug when automatically loading the next map, the most detailed map may not always have been selected.
  • Fixed various bugs for adding, deleting track points.
  • Fixed various problems with NMEA sentences + extras see below.
  • Fixed error when closing program when in calibrate mode.
  • Fixed bug when importing USGS DRG maps, if there were maps at different scales on the same CD the map file for each of the scales would overwrite the previous one. The map file name now has the scale as part of the name, this should now not overwrite and also gives additional info in the name.
  • When importing USGS DRG maps the dialog when done would say Error - there was no error just an incorrect name used for the dialog.

Changes

  • Basic support has been added for Magellan GPS receivers. The extra Magellan stuff will be added gradually. Note - could not get Magellan to download at 19200 Baud (4800, 9600 OK), 19200 works with my Lowrance ??? - and as far as I know it is not possible to upload the track to a Magellan. The upload/download was tested using a 3000XL..
  • The 4,5,6 point calibration method was not working well, the geometry of the points was too critical. I have changed the software so that 3,4,5 points use a linear affine method and 6,7,8,9 points use a 2nd order polynomial.
  • Support for JPG images has been added. Note that while you get good compression with JPG's this means that they take longer to load, far too long for large images. I also convert them to 256 colors during the loading process to reduce the amount of memory required for large images, you should not notice much difference in the colors. The preferred format for large images if still TIFF with packbits compression.
  • For moving map, OziExplorer will now check at a configurable interval to see if there is a more detailed map available for the area you are traversing, you don't actually have to leave the current map - this is magic.
  • You can now specify the datum for the blank map in the configuration screen.
  • Thanks to another user there are some additional symbols on the web page for marine use.
  • NMEA can now be read from other talkers not just GPS receivers and various bugs corrected.

Beta 3.60a (Developmental)

Notes

When you load this version, you will notice that it looks exactly the same as the last version. There have been no changes to the look of the software this time, but there are new menu options and configuration settings and heaps of changes, some subtle some major.

The new calibration methods (up to 9 points) are quite complex mathematically and could be regarded as experimental.

The same also applies to the map projection and grid systems now supported, they have had limited testing.

There have been many complex changes in this version so there must be bugs, please report any problems and I will fix them ASAP.

There are changes to the OziExplorer GPS datum settings and the Buad rate settings, there are now 2 of each, please check and modify these using the Configuration option on the File menu.

I have changed the way I do the automatic changing of maps when doing moving map (yes again). You will need to load and save all maps you use for Moving Map (load the map and then press the Map File button which is located on the right hand side under the button bar - this will save the map and write the necessary new stuff).

Bug Fixes

  • The problem with Garmin route creation should be better, but I have not entirely solved this problem to my satisfaction.
  • Printing 256 color Grayscales fix.
  • Color display for 256 color mode has been fixed and improved.
  • Better trapping of errors.
  • Unable to save the "Scroll Method" on the Navigation configuration screen - now fixed.
  • Magnetic Bearing was not being calculated correctly - now fixed.
  • Many International Settings problems now fixed.
  • lots of minor fixes.

Changes

  • There are now separate Datum settings for GPS Upload/Download Datum and GPS NMEA output Datum to cater for the many varying ways GPS receivers output their data. Please check you configurations.
  • There are now separate BAUD rates for GPS Upload/Download and GPS NMEA output, OziExplorer will automatically swap between the two when doing upload/download or Moving Map (NMEA). Please check you configuration settings.
  • There is a new route editor, allows you to point and select from a list of waypoints.
  • You can now specify the size of the font for Waypoint display.
  • The map objects (waypoints etc) should now always print at a readable size regardless of the scale of the map.
  • You can now hide any Map object (Waypoint, Event, Map Feature or Map Comment). This allows you to access another object which may be hidden by another object or see what is under the object. The objects are turned back on by selecting the "Unhide All Map Objects" on the Map menu.
  • When calibrating a map you can select from many different Map Projections and/or Grid coordinate systems.
  • You can now enter either Lat/Lon OR the relevant Grid coordinates when entering calibration points.
  • Up to 9 points allowed for calibration, based on the number of points entered the software chooses which method to use for calculating the transformation coefficients. 2 points - linear method; 3 points - affine transformation; 4,5,6 points 1st order polynomial; 7,8,9 points 2nd order polynomial (see the help file). More points to come and hopefully selection of method and display of RMS errors.
  • It is now possible to remove a point from the calibration without actually deleting it, there is a checkbox for each point.
  • As you select a calibration point tab, if there is already a calibration set for that number the map will scroll to show the point.
  • The calibration points are now shown on the MapView window
  • You can now activate the MapView window from the Calibration window.
  • Errors generated when a calibration is bad are now trapped and error messages generated. There is now a help page for these errors.
  • It is now possible to Import a complete set of USGS DRG maps in one operation, the corner markers are also automatically set at the map neat line. You should now be able to import a complete CD of maps and start driving with the maps changing at the neat line as you go.
  • Moving Map now has an arrow that always points in the direction of travel. Its a very nice arrow available in any color as long as it is red. I will be providing more options for the arrow in future versions.
  • Now reads the $GPGGA and $GPVTG nmea sentences as well as $GPRMC, to allow for those GPS units without $GPRMC. The $GPVTG is not tested as I do not have a GPS which outputs this sentence, please let me know if it doesn't work.
  • In Moving Map the Track now always joins completely to the arrow.
  • Full onscreen Navigation assistance along a route using moving map, check out the Navigate To ..... option on the Navigation menu..
  • To aid in entering positions you can now specify in the configuration which country or World Map Region you are in and the N/S or E/W will default to the correct choice.
  • When calibrating points the zone number is automatically carried forward to the next point.
  • You can now specify in the configuration if you want the map objects and zoom level to be retained when loading a new map.
  • You can now attach a waypoint and/or event and/or route file to the map (only 1 of each) as well as any number of track files - this is done in the calibration options. The files are automatically opened when the map is loaded (conditions apply related to the item above).
  • When trying to open a map file if the map image cannot be found you are now asked if you want to browse the disk to locate it, if you find it simply save the map to make this new location permanent in the map file.
  • Can download the Satellite Almanac from a Garmin GPS, not particularly useful for most people but there if you want it.
  • Many more zoom levels have been added.
  • Zoom levels greater then 100% for TIF files have finally been sorted out and included. The 75% zoom is missing for TIF files but is included for BMP files, there are technical reasons why this is so.
  • The calculation of screen coordinates from Geographic position has been speeded up, you should see an improvement in plotting of Map Objects especially tracks.
  • another map print mode - 4 pages wide
  • I think that is enough for this version.

Beta 3.51c (Developmental)

Bug Fixes

  • Fixed a bug where the track would not print in the correct place when the map was zoomed. Also applied to saving the map as a bitmap when zoomed.

Changes

  • When the mouse passes over a Map Object (waypoint etc) the zoom window now displays the map underneath the object.
  • Navigation (Moving map) has had many improvements (see the help file).
    1. Automatically finds and loads next map. Note : You must load maps which have already been created by older versions of OziExplorer and use the Check Calibration of Map option on the File menu to set up the new Moving Map options, the maps will not be automatically loaded if you do not do this.
    2. NMEA GPS simulator
    3. Two methods of scrolling the map
    4. Adjustable Screen update rate
    5. Adjustable track update distance
    6. Adjustable Track tail length
    7. Proximity waypoints with alarm.
    8. Command line parameters to allow automatic starting.
  • The Button bar now includes buttons for showing the Waypoint List and the Distance between Waypoints Window. The GPS simulator can now only be accessed from the View Menu.
  • When selecting the BNG grid in the Calibration screen, the Datum now defaults to Ordnance Survey of Great Britian.
  • Incremental Help improvements and Additions.
  • Now also for Garmins, you can Send a single waypoint to the GPS by right clicking on the waypoint.
  • There is now the ability to download plot trails from the Lowrance/Eagles (Global Maps, Global Navs etc) which only support protocol version 1. OziExplorer was not able to download plot trails from these in previous versions. The code was tested within test programs but has not been tested since inclusion in OziExplorer, I do not have one of these GPS units to test with. Naturally let me know if it does or does not work.
  • There are additional Map Feature symbols available thanks to a couple of inspired users.

Not Done

  • The printing of Map Objects (Waypoints, Events etc) to a specific size when printed on a map has not been completed. Many trials have been done but a acceptable solution has not been found, should be ready for the next version.
  • Arrow for direction of travel for Moving Map display, next version.

Beta 3.51b (Developmental)

Bug Fixes

  • I was a bit harsh when trapping UTM & BNG coordinates when calibrating. I was forcing them to a strict number of characters, however there are certain instances where other lengths are still legal. This version checks for the number of characters but only issues a warning.
  • other minor stuff

Changes

  • Not to sure whether its a bug fix or a change bit its major. The flickering that occurred when scrolling the map has been eliminated.
  • The amount of resources the software uses has been reduced from about 38-40% to about 29-30%, allows 2 copies of OziExplorer to be run together more easily without running out of resources.
  • The software now traps the loading of Tiff files which have the incorrect number of colors, only 256 colors or 256 Grayscale is allowed.
  • There are now 5 choices for the size of the MapView window (registered versions). Right click on the MapView window for menu. The selected size is saved to the ini file to become the default.
  • There is now an option to Import Waypoints from a text file, similar to the Garmin "Get Waypoints from Text File" option. The file format is identical but there are more import options. This will allow you to create waypoints in a text file using NOTEPAD (cut and paste and all that stuff) and then import them into the program. They can then be saved as a normal wpt file.
  • Much better support (now about 90%) for large font display setting in Windows.
  • You can now double click on a Waypoint in the Waypoint list to open its properties. You can also highlight multiple waypoints and delete them.

Beta 3.51a (Developmental)

Bug Fixes

  • When calculating the Magnetic Bearing between points sometimes gave a negative number.
  • If you attempted to change a map calibration from say Degrees to UTM, under certain conditions an error would result.
  • Fixed a bug in the reading in of Routes from a file, it was not getting all the waypoint data from the file, if you have been having trouble uploading routes to Garmins this may fix the problem.

Changes

  • NOTE NOTE NOTE - to drag and drop the Map Objects (Waypoints,Events,Map Features and Map Comments) you must now hold down the shift key at the same time. This was done to avoid accidential movement of these objects, and to allow other programming changes.
  • There is now the ability to attach tracks directly to a map, this means the tracks are loaded automatically each time the track is loaded. This is useful for adding small tracks to show the location of new roads etc (see the help file).
  • Added Close Map option to File Menu. This is for users of TIFF files so they can close the map and therefore the TIFF file (which stays open as long as the map is there) so they can remove a CD to load in a new map.
  • Added the ability to create thumbnail images for use in MapView when using TIFF files. The use of thumbnails can be turned off or on, but thumbnail images are only created for TIFF files greater than 2Mbytes in size. This is to reduce the map loading time for large TIFF files.
  • The total distance for a track is now calculated and displayed in the Track Control dialog.
  • Distance and bearing from a Mark on the Map or a Waypoint, Event or Trackpoint can now be displayed using the new Distance & Bearing Display dialog. The accumulated distance from many marks is also displayed. Very experimental (see the help file).
  • UTM and BNG coordinates are now forced to be a specific number of characters, 6 for a UTM easting, 7 for a UTM northing and 5 for BNG coordinates.
  • You can now specify a default symbol for the creation of waypoints.
  • You can now control the timeout for the comm port data input. With careful experimenting you can significantly speed up data downloading from the GPS (see the help file).

Beta 3.51

Bug Fixes

  • Major oops! When calculating the Magnetic Bearing between waypoints the magnetic variation was being added instead of subtracted.
  • When calibrating a map you could get a floating point error when selecting the calibration points. This bug has been following me around for ages (kept coming back) hopefully its fixed properly now, this part of the code is quite complex.
  • The GPS Stop Transfer button window would sometimes not appear in the correct spot when the map had been scrolled, now fixed.
  • Minor bug where the old saved tracks would not use the correct color when reloaded.

Changes

  • Distance and bearing between waypoints in the routes have been added in the route editor.
  • When calibrating a map you can now select a calibration point roughly with the mouse and then use the cursor keys to move the point a pixel at a time.
  • The zoom window as well as being draggable will now follow the main OziExplorer window when it is zoomed, this is much better.

Beta 3.5

Bug Fixes

  • Fixed bug in 4 point calibration method, was not calculating one of the values correctly, the error was normally minor but could cause objects to be placed out of position.
  • Added the handling of UTM coordinates that can now be generated from waypoint + in its text files.
  • Fixed a bug where the printing of multi page maps missed a pixel between each page.
  • Fixed a bug where maps in NT4 printed upside down (pretty neat effort that one).

Changes

  • There have been extensive changes to the internal handling of the map image, almost a total rewrite. The rewrite was done to allow TIFF files to be handled using a disk paging technique. This has resulted in extremely quick loading of the TIFF file and zoom levels that really work. USGS DRG maps benefit from this change enormously.
  • As part of the new image handling there is now the ability to scroll the map by dragging it with the mouse (there is a new button on the button bar for this). Dragging can also be done direct by holding down the control key and drag the map with the mouse. To allow the Ctrl key to be used for dragging the Insert Track Point key has been changed to the Alt key.
  • You can now pass the map name as a command line parameter, full path is required if not local and .map extension is required.
  • The zoom window is now draggable, simply grab with the mouse and move to any position.
  • Multiple tracks can be plotted on the map by using the Track Control dialog, 3 tracks can be placed on the map for the shareware version and up to 6 for the registered version.

Beta 3.4b

Bug Fixes

  • When the map is zoomed objects such as map features, events etc would not be added in the correct position, this has been fixed.
  • Fixed the problem where the zoom window would not work in calibration mode if a map had not already been loaded at least once.
  • If calibrating or checking calibration when the map is zoomed resulted in the calibration point bullseyes not being plotted correctly.
  • If a map had not already been loaded, calibrating a new map would not allow all actions until the new map had been loaded from disk.

All these problems basically related to the same area of the code. I hope I have now fixed them, but the fixes may cause other bugs and I end up chasing my tail, but I will persist until I have them all.

Beta 3.4a

Bug Fixes

  • The sorting of the waypoints in the Waypoint List dialog had a small bug - would skip some numbers if you had reserved waypoints set (it should leave the reserved waypoints alone but in this case would not get the starting number of the normal waypoints correct).
  • Fixed major bug when calibrating maps, if you had not already loaded a map, trying to calibrate a new map would not place the bulls eyes for the calibration points in the correct spot or fill the correct x,y coordinates into the fields, you were forced to do this manually. This was caused by 2 variables not being set - they were on the wrong side of a "see if a map is loaded" if statement.
  • When calibrating maps using BNG coordinates you were not allowed to enter the coordinates the 1st time through the calibration procedure. This was caused by the "setup BNG coordinate" procedure being called before I had actually set the BNG flag (very dumb).
  • Trouble reading the 750 waypoints from the Expedition - could not go past 250 (the default). Fixed.

Changes

  • In the Waypoint list you can now display the position in Degrees or UTM by pressing a button.
  • There is a new menu option on the View Menu called Distance Between Waypoints. This allows you to specify 2 waypoints and the Great Circle Distance and Bearing and the Rhumb Line Distance and Bearing will be displayed. Caution : Do not assume these measurements are correct at this stage, they need additional testing and proofing.
  • To allow for above a new parameter called Mag Var (Magnetic Variation) is now requested when calibrating a Map.

Beta 3.3

Bug Fixes

  • The New fancy menu system was Right Justified in NT 4 (don't exactly know why) subtle differences between Win 95 an NT. This has been fixed.
  • More problems with the decimal separator for international users.The problems were with printing of the waypoint and event list as well as moving map. The ones reported were fixed plus some others as well.
  • Printing the view window for normal and zoomed maps was not positioned correctly. This has been rectified.
  • Could not import USGS DRG maps from hard disk if the fgd file was set as read only. This has been fixed. This has also fixed the problem importing USGS DRG maps when using NT 4.

Changes

  • Added a new GPS to the list called "NMEA only". This is for GPS receivers which are not supported for upload/download of waypoints etc but can still be used for "Moving Map" display. The GPS must output the $GPRMC nmea sentence. There are no guarntees that any GPS will work for the "Moving Map" function as I have very little ability to test other units. I have tested the software with a Garmin GPS 12 and a Lowrance Global Nav 200.
  • Improved the status line display for "Moving Map". See the Navigation menu help for details.
  • The function to merge waypoints from a Garmin GPS to the waypoints already on the map has been added.
  • The GPS simulator for Garmins has been added. The simulator is based on a GPS 12 but will also work for other Garmins with a similar sized screen with or without symbols. May still need a little work.

Beta 3.2

Changes

  • An experimental "Moving Map" feature has been added, to provide real time navigation, see the help file for details. I really do mean experimental and not very well tested so far, still needs a lot of work.
  • Map Features now do not automatically become a Waypoint. This is now an option on the Map feature property dialog. This allows more flexibility in their use.
  • An attempt has been made to remove a bug where some systems would generate a floating point error when moving the mouse outside the boundaries of the World map. I cannot duplicate the affect but have made changes which may eliminate the problem.
  • Waypoints can now be sorted by Name in the Waypoint List dialog. This was done mainly for users of Lowrance and Eagle GPS receivers which do not sort their waypoints by Name within the GPS. Now it is possible to sort the waypoints (don't forget to save them after sorting) and upload them to the GPS in sorted order. Note - relatively untested.
  • A bug has been removed where calibrating a new map would not change the name of the map attached to the quick save button which is located on the right hand side just above the map. Pressing the quick save button would overwrite the previous map used with the new maps data (ouch!).
  • It is now possible to save the position and size of the OziExplorer window so that the next time it is loaded it will assume the same position and size.
  • A bug has been removed when printing of the Waypoint and Event list. This was related to the regional settings. If the decimal separator was not a dot (.) the software gave an error and would not print the lists. This problem has now been fixed.
  • The drop down menus have been enhanced with bitmaps on the options (just for looks).
  • Context sensitive help has started to be added to the various dialogs, only a couple so far, many more to be done.

Beta 3.1

Changes

  • PRINTING OF THE BITMAP IMAGE OF THE MAP HAS BEEN FIXED. Yes after much searching I found the correct technique for printing images using the Windows 95 API, and as usual the fix was very simple. There are also many different ways of printing the map. You can now print the current view window, the entire map on a single page, or the entire map on multiple pages.
  • The new symbols found in the Eagle Expedition and Lowrance Global Nav 212 have been added.

Beta 3.0

Bug Fixes

I cannot say for sure that there were any bugs fixed but there have certainly been a great number of changes.

Beware - The inclusion of the new features have caused many changes to be made to code that had previously been functioning correctly, this could result in bugs being put into this code.

New Features for 3.0

  • The ability to upload and download routes for Garmins.
  • The British National Grid has been added (registered versions only). If any users, who have registered or would like to register, require the Irish grid I will also add it in.
  • The Routes now plot on the map.
  • There is now the ability to create your own track (plot trail) on the map and upload it to the GPS (Lowrance, Eagle and Garmin). This has resulted in a major change in the way tracks are now handled. Creating a track with a lot of points with the points set as draggable slows down the screen display dramatically. If you want to see a Pentium 200 slow down create a track with 2000 points or more and specify the points as draggable. However I have allowed all this to be turned off selectively so it does not interfere with normal operations. For more detail see the Track section in the help file.
  • The Waypoint Date and Time can now be edited. I cannot gurantee that this date and time gets uploaded to the GPS. I know it does not for Garmins because I cannot get the Garmins to accept it.
  • The Map Features (the blue circles with numbers) can now have user selectable symbols. The symbol library can also be added to by the user, simply add your symbol in the specified format (a bmp file of certain size and layout) into the symbols directory and the software will use them. See the main help file for all the details.

Beta 2.1

Bug Fixes

The 2 point calibration has been fixed, it would only work if point 1 was above and to the left of point 2. Hard to believe this bug was not found earlier, just about everyone must have been putting the points in this way.

The problem with some international users having problems loading the data files when the decimal separator was set to a comma (,) has been fixed. However now if the decimal separator is set to a comma you must now enter all numbers with a comma as the separator, a dot (.) will not be permitted.

There have been many checks put in to prevent bad data from being entered and/or processed to prevent incorrect map calibration. This has also been done in other areas as well.

New Features for 2.1

The 3 point calibration (for registered users) is now included. I have also included a 4 point method as well, this will use the 4th point to find an overdetermined solution which should give better average accuracy. The software determines which method to use based on the number of points you have entered. The help file gives a description of each method.

There are now more ways to display the waypoints on the map. With pointer, with symbols, with comment, pointer direction etc.

For Garmin GPS receivers with symbols the software now supports the GPS waypoint display format as well. This can be set individually for each waypoint. The symbol and the display format are uploaded and downloaded from the GPS.

The Hu-Tzu-Shan Datum was requested to be added, this has been done. If anyone needs other Datums not included just let me know.

If your GPS has more than 1 plot trail (Eagle Expedition) the software will now ask you for the number of the plot trail you want to download. This feature is untested ( no access to an Expedition, they are not available in Australia yet). You may need to set the Number of plot trails for your GPS to 3 within the software configuration. The best idea is to select any other GPS and then select the Eagle Expedition, this will reset all the GPS parameters to a more correct set. After you have downloaded a plot trail you must save it before downloading the next. Use different file names for each trail.

Many other minor improvements have also been done.

Beta 2.0

Bug Fixes

Dozens of Bugs have been fixed - too numerous to mention them all.

I imagine dozens of new bugs have been added in with all the new features.

These are some of the major bugs fixed.

The Comm port now gets closed when leaving program

Drag & Drop of Waypoints etc improved

Loading in the Waypoint files produced by Waypoint+ has had bug fixes - would not work with DM or DMS setting and would not get comments - these have been fixed. Also now works with the new version 1.7.01 of Waypoint+ which supports symbols.

The Help files are now closed when the application closes.

The Append Waypoints from file has had a bug fixed. It would destroy some of the waypoints already on the Map.

The printing of the Waypoints list has been fixed and much improved.

The printing of the maps is still not real good. If you have a paint package which can print better you could save the map as a bitmap image and print it from the paint package. Paint Shop Pro 4 works well for this.

New Features for Beta 2

* Routes - these have only been included for Lowrance/Eagle Receivers at this stage, still needs a little work.

* Blank Map - a blank map can be selected which is initially calibrated to cover the whole world but will auto scale as data is loaded.

* Grid for the Blank Map - experimental at this stage - also works for bitmap maps but not necessarily for those calibrated using UTM coordinates.

* Edit Position - the ability to edit the lat/Long position for Waypoints and Events.

* Configurable File paths - in configuration you can specify the paths where the Maps or Data files are to be stored.

* Merge Events & Waypoints from the GPS - Registered versions only - Allows the Waypoints or events downloaded from the GPS to be merged with the Waypoints or Events already on the Map. Merge can be done by number, name or position. Absolutely necessary for extracting those few extra waypoints you have added in the field without disturbing the settings for the waypoints on the map which are already in the GPS. For Lowrance and Eagle GPS at this stage.

* Info box - displays vital configuration information at the press of a button.

* Stop button for GPS transfer

* Datums - Registered versions only - Specify the Datum for the GPS, Map and the data files. The software will automatically translate the lat/long position between datums. Be cautious with this option if the wrong datums are specified the data will be translated to incorrect values.

* Map View - Registered versions only - The best new feature, provides a small map to help navigate the large map.

* UTM coordinates - Registered versions only - Whereever a position is required it can entered in UTM coordinate system if required.

* Print a list of the events - not particularly useful but its now there.


Old History 2

Beta 3.73g

Notes

I was hoping to have the Grid display on the map working for this version, it is just about ready but I needed to release the version to fix some bugs before it was quite finished.

There are a few minor bugs and numerous minor enhancements that people have reported or requested which I have not had time to do yet.

Bug Fixes

  • 3.73g.4 version only
  • Symbols for GPS III+ would not download correctly - now fixed.
  • MapView button was not down when mapview was displayed on program load - now fixed.
  • also see the changes in the changes section below.
  • 3.73g.3 version only
  • Major Fix - Finally found the bug which caused the map to get a mosaic pattern when scrolling vertically using the scroll arrows. This bug has been around for some time but I could never duplicate it, finally found a PC which gave the problem (mine with NT4) and it was then easy to fix.
  • Major Fix - Found the problem which caused the "Access Violation" when quitting Oziexplorer, a problem with mapview still be called after it was closed.
  • Fixed "printing" and "saving map image to bitmap" when using PNG image files.
  • Fixed printing of maps with the "Area Calculation" track showing, the area track will now print in the correct place.
  • 3.73g.2 version only
  • Fixed a bug with OziMC editing of Water bodies with City Streets CD. This is the only major change for g2.
  • 3.73g
  • There has been a bug in the printing for some time, it would miss a couple of millimetres at the edge or bottom of the page, this only affected some printers and was caused by larger than expected non-printing margins in the printer. Oziexplorer now checks these margins and adjusts to suit.
  • Could not stop "Conditions of Use" screen being displayed - now fixed.
  • If files attached to the map did not exist or caused an error the map could not be loaded - now fixed, the map will still load so the attached files can be fixed.
  • For Garmins the Merge waypoints from GPS option did not get the waypoint description - now fixed.
  • Special UTM Zone 32 for Norway has been fixed and will now give the correct zone for the south western area of the country.
  • I found a problem with communications for NT4 that has been around for some time and fixed it. I cannot guarantee this was the only problem but my test NT4 PC which did not work before the fix now works ok.
  • many, many other minor fixes.

Changes

  • 3.73g.4 version only
  • A hook has been added to enable Oziexplorer to get its NMEA position information from a file, see the help section Moving Map File Hook for APRS etc for all the details. I have demo VB5 program source available to show how to do it, I hope I remember to upload it.
  • Auto Pilot NMEA output has had some subtle changes, there is also an option on the Navigation menu to view the output.
  • The printing of the Route line width can now be set on the printing dialog.
  • There is now an option to erase the Recent Map list on the Load Menu.
  • The last directory you used to load maps or data files is now remembered the next time Oziexplorer is started, not sure if I like this one or not. Note that map finding still uses the Map file path in configuration.
  • The find map function was a bit tight on how close the adjacent maps to the N,S E or W had to be, I think this caused maps to be missed, especially if they had wide margins (neat lines), I have now increased this limit by a factor of 5, this means very very small maps (<500 pixels wide/deep) will be missed but this may not be a problem anyway.
  • 3.73g version
  • I have been experimenting with DGPS and discovered that using "moving map" with a Lowrance/Eagle GPS required the GPS to be initialised, this could not be done if the DGPS Beacon Receiver was connected to the GPS as well. The Lowrance units now are no longer initialised when starting "moving map" mode.
  • Area calc now is additive, you can draw more than 1 area, break the track into sections using the usual options.
  • In the Waypoint List - "Delete in Not on Map" becomes "Select if Not on map", this allows more options, as an example you could invert the selection and then send the selected waypoints to the GPS. You can still delete the waypoints, just select first then use the Delete button.
  • The extra symbols for the GPS III+ including the latest Garmin software (version 2.02 I think) are now included, there is a new GPS model in configuration for the III+.
  • For OziMC there is new multi polygon editing.
  • The PNG (Portable Network Graphics) image format is now supported. This is a highly compressed format which has no licensing problems. Programs such as paint Shop Pro can write and convert images to this format. You need to download the dll file (lpng.dll) in pngdll.zip to get this access. Put the dll in the Oziexplorer directory.
  • There are a lot of internal changes which are not visible but hopefully will work better.

Beta 3.73f

Bug Fixes

  • Removed bug where Man Overboard and Marker waypoints for "moving map" were not working. This was a bug put into a recent upload of 3.73e.
  • Track download for Magellans was not converting the datum properly, probably only in version 3.73+, now fixed.

Changes

  • It is now possible to display up to 30 tracks at once (registered users) - track 6 on the track control now acts as a variable track number, select a new number and load a track, select another number and load a track etc. Its a bit tedious but it was quick to implement this way.
  • Provision has been made to try and support the Tripmate GPS by outputting the code needed to start this GPS outputting NMEA. You must create a file called tripmate.dat (it doesn't matter what is in the file), OziExplorer will check for the existence of this file and if found will indicate a Tripmate GPS is being used. Select GPS type in OziExplorer GPS configuration as NMEA Only. There is a delay of 5 seconds while OziExplorer waits for the Tripmate to startup.
  • The red cross mark that used to remain when measuring distances has been removed.
  • The date/time collected for tracks when doing moving map mode now comes from the GPS (nmea data), it is stored in the data file as UTC time but is displayed as local time. The conversion from UTC time to local time uses the time offset in Windows which you would have setup when you installed Windows, you may like to check if this is correct by clicking on the time in the Task Bar Tray.
  • Now possible to set a color for track replay.

Beta 3.73e

Bug Fixes

  • Removed minor bug where NMEA simulator "here" initial position could not be set if "map drag" button was depressed.

Changes

  • Added new options to waypoint list for working with selected waypoints, "Save Selected to File", "Send Selected to GPS", "Select None", "Select All", "Invert Selection".
  • Can now read 1 bit (2 color, black and white) TIF files.
  • Added all the supported Grid systems to the OziExplorer Export Waypoints options.

Beta 3.73d.1 & .2

Just bug fixes for version 3.73d

Bug Fixes

  • Night vision had a bug when changing maps after turning off the night vision, the previous map palette was used instead of the new one. This resulted in random colors in the map or mapview. This was fixed, also the colors of mapview were being changed, this has also been fixed, but there were many changes made to fix these problems and new bugs may have been added.
  • The Docked moving map control would not let you use the cursor keys to scroll the map after using a field on the control. This has been fixed and the way the controls work when docked has been changed slightly.
  • The Irish Grid did not work correctly when calibrating maps using the grid, now fixed.
  • (.2) Number of Neat line points in BSB charts had to be increased for some maps.

Beta 3.73d

Bug Fixes

  • Last Map Projection remembered but Option button was not enabled.
  • BSB Datums have been sorted out to some degree, you should not get any more "datum not supported" messages.
  • The correct datum was not always selected for NDI charts if the georeferencing had been changed from the original source map datum (not NAD83) to NAD83.
  • If you had 1 waypoint loaded and deleted it from within the wp list OziExplorer would never give control back, traced the problem to a bug in an internal Delphi command and have coded a fix for it.
  • Find Maps to north,south,east or west did not work correctly for BSB charts, now fixed (I hope).

Changes

  • There is now an option to "Append visible Waypoints from File". This option will only load waypoints which will be located on the currently loaded map.
  • A basic Track Replay facility has been added (experimental).
  • Map Objects (Waypoints, Events, Map Comments and Map Features) will not be printed on the map if they are hidden on the screen.
  • Right click on the position display and alternate grid display (above the map) to change the display format. These changes are not remembered the next time Oziexplorer is run, use the configuration to do this.
  • It is now possible to print a map without the map image itself being printed, the waypoints, tracks etc are printed, good for making overlays etc.
  • There is now a "Night Vision" mode (red screen) and the ability to change the intensity of the screen, these can be considered experimental at this stage.
  • NMEA output for AutoPilots etc has been added, the RMC,RMB and APB sentences are output. Just experimental at this stage, give it a go and let me know if it works or not.
  • BSB import has many changes mainly to do with datums. The ability to shift the georeferencing back to the source map datum (if it was changed to WGS84 or NAD83) has been added. See the "Importing and Using BSB Charts" help (options section) for more details.
  • A right click on the MapView window has a new option which will allow you to display the map corner markers with the map extents (neat line) drawn in blue.
  • You now have the ability to "dock" the "Moving map Control" and the "Navigation Control" to the right side of the screen. This option defaults to "on" in configuration (on the "moving map" tab). Your screen needs to be in at least 800x600 mode to see both controls fully when docked. It works so much better ,I should have done it ages ago.
  • The Man Over Board (MOB) waypoint creation now puts you automatically into navigation mode and keeps you there until cancelled.
  • The normal navigation mode will no longer cancel itself when you end the route, it will warn you that the route is complete but you must cancel the navigation manually.
  • There is a new button on the "Moving Map Control" to "Find" maps at moving map position.
  • This change actually happened in an earlier version but I forgot to mention it. For the "Track Distance" version 3.70 calculates the distance for the entire length of track, including breaks between track sections. Later versions calculate the length not including the breaks between sections which I think is the correct way to do it. So if you compare tracks with breaks between the versions the calculated distance will be different.
  • Track upload for the Magellan models which support this has been done. It has been tested with a ColorTrak with ROM version 2.04. I believe only ColorTraks and Trackers with at least this ROM version can upload tracks.

Beta 3.73c

Bug Fixes

  • When downloading the trackpoints from Garmins the date for the track points was not being calculated correctly (was 2 years ahead), should now be fixed.
  • The date of downloaded waypoints from Garmins was undefined, it is now set to the date and time when it is downloaded.
  • Under certain conditions when a route is being plotted and is considerable distance from the viewinng area, usually not on the current map, it can cause the map to fill with a color, this is a result of the x,y coordinates of the route line being out of range (overflowed). This problem may have been corrected.
  • When using a map at a certain level of zoom and then change to a different map which is larger it may not allow the same level of zoom, this resulted in a white screen. This has been corrected and the new map will default to a zoom level of 100 if the current zoom level is not supported.

Changes

  • Sould now be able to import the TVA DRG maps (USA based), OziExplorer will now be able to read the metadata (.met) files supplied with these maps. The process is automatic, simply import as any other DRG maps.

Beta 3.73b

Bug Fixes

  • When importing BSB charts some .map files were not created because of filename duplication, now fixed.
  • Appending track point files had a problem where the first and 2nd track points in the file were set as "new Track sections" instead of just the first point, fixed.
  • The GPS III Pilot support had a bug in the Route Waypoint upload, the correct record length was not being set, the effect of this bug is not known.

Changes

  • The waypoint names upload now allows all characters which the GPS III can use to be used (if you have GPS III selected of course)..

Beta 3.71/3.72/3.73/3.73a

Notes

Versions 3.71 and 3.72 were only released for use with OziMC.

This version is very much a Beta, very little testing for most of the changes.

Bug Fixes

  • When using tracks from the Lowrance GDM software, it would not get them correctly, a problem was found and corrected, the fix has not been extensively tested.
  • You can now save the blank map as a bmp file with all objects,tracks etc saved on the image. This caused an error in 3.70.
  • You can now load a saved "blank map", in 3.70 this reported an image file not found.
  • .Other minor fixes

Changes

  • 3.73a - added altitude to Moving Map display - not required for marine use so I will see if I can make the moving map display configurable when I redesign it.
  • BSB support has been done, read the help file, give it a try and let me know of any problems. You import BSB Charts on the File/Import Map Option.
  • This version of OziExplorer has all the hooks necessary for use with the OziMC software.
  • A User Datum facility has been added see Adding User Datums help.
  • The date and time has been added to the tracks, it is downloaded with the track from Garmins, added to track points created when using "moving map", etc. I am working on a track replay facility but it was not ready in time.
  • The entire track point handling system has been modified, there is now no limit to the number of trackpoints per track, the limit is now the resources and speed of the PC. This has meant large modifications to this code, so there may be new bugs. The track control now has additional options including the ability to make selected track points active so they can be manipulated. This also includes saving active track points to a file. Be aware that even though OziExplorer can now handle all these track points you can only upload the number which your GPS supports.
  • There is now the ability to append a track loaded from a file to the current track.
  • The track control now has an additional button bar which is mostly empty, this is where the new buttons for track replay will be placed.
  • The track control now has an option in the configuration to specify how it is initially displayed, just button bar, button bar + track 1, or full view.
  • There are new buttons on the Track Control for track manipulation, setting active points, stuff like that.
  • In moving map the track can be automatically saved to a file, see "Working with Tracks" help for information.
  • The Irish Grid has been added but not fully tested.
  • The last Map Projection used when calibrating new maps is now remembered.
  • You can now have a "Compass Rose" displayed around your present position when using "moving map", the compass can be configured for size color etc. Turn the compass on by using the "Compass Button" on the moving map tab of OziExplorer Configuration.
  • The "Compass Rose" can also be displayed at the current cursor position by selecting the "Show Map at Cursor" option on the map right click menu. The compass rose configuration is the same as for "moving map", its displayed the same way. The only difference is the the "course" direction is not used, it defaults to "North". This compass will also be included on the map printouts if it is visible.
  • The line projected in front of your position when using "moving map" can now have its color and width configured. Note that when the width is greater than 1 the line will no longer be "dashed" but will be solid.
  • The "rubber" line from the mouse pointer to the "Last click position" can now be attached to the "moving map" position and then will always be drawn between this position and the mouse pointer. The "Distance Display" will always measure this distance. The option to do this is on the Moving Map menu.
  • The "moving map" pointer can now configured to be a "solid" color as well as "transparent".
  • The right click menu now has an option to "Find Map at Cursor". The "Cursor" position is the point at which you pressed the right mouse button. A list of maps which include this position will be displayed.
  • The map calibrations now default to a "linear" calibration even if you have 9 points. To specify a polynomial calibration you must tick the check box on the map calibration options dialog, this will then use a polynomial fit if there are 7,8 or 9 calibration points.
  • The "blank" map grid now shows on MapView.
  • Support fot the Garmin GPS III Pilot has been added, just select the Garmin GPS III option. This support has not been tested very well at all. In addition, the Symbols may not be correct as the standard set from the III are used. I do not have access to a III Pilot to check this out.
  • The lat/Long can now be displayed in Degrees, Degrees & Minutes, Degrees & Minutes & Seconds (D,DM,DMS). This is setup in the Maps Tab of the Configuration screen. Where ever a positions can be entered still defaults to Degrees and Minutes, at this stage I have not made this change. It is however possible to enter positions in either D, DM or DMS within these fields even though they specifically ask for DM. For instructions on how its done see the "Special Keys and Stuff" help.

Version 3.70

Notes

This is the first non-beta release.

Bug Fixes

  • When importing DRG maps the .tfw would not read correctly when using a coma as the decimal separator in the windows settings, now fixed.
  • When sending a single route from the Route Editor to a Garmin GPS you were asked twice if you wanted to send it, once should be enough, now fixed.
  • When adding new waypoints using the waypoint editor the waypoint default formatting was not being used, now fixed.

Changes

  • nil

Old History


Point List

wPointList.gif (12710 bytes)

Datum

Datum - The datum of the positions displayed in the list.

ep1.gif (181 bytes) Sets the Datum to the Datum of the currently loaded map.

If the Datum of Loaded Map is selected then the datum used will always be the same as the datum of the currently loaded map. To see the datum of the loaded map place the mouse pointer on the field and the datum will be displayed as a hint.

Buttons

bPositionFormat.gif (249 bytes) Position Format Buttons - Show the positions in Degrees or the selected Grid. The Grid will change to reflect whatever Alternate Grid system you have chosen in the Configuration.

bSave.gif (983 bytes) Save Selected Points to File - Saves the selected points to a file.

bLocate.gif (201 bytes) Plot Location of Selected Point on Current Map - The map is moved to position the selected point in the center of the map.

bFindmapwp.gif (216 bytes) Find Map for Selected Point - The maps are scanned and those which contain the position of the selected point will be shown in a list.

bS.gif (954 bytes) Selection Functions - Provides various ways of working with the selection of the points.

Delete the Selected Points - Deletes all the points which have been selected.

Select if not on Map - If the points are not located on the currently loaded map then they are selected.

Properties - Opens the properties dialog for the selected point.


Project Manager

The Project Manager allows a map and data files (waypoint, route, tracks, point and event) to be grouped for loading into OziExplorer by loading a project file (.ozp). Use the "Load Project File" option on the Load Menu to load a project which has been created. A project file can be loaded automatically when OziExplorer starts.

Buttons

Select from the drop down menu.

Create a Blank Project - Creates a new blank project.

Create a New Project from the Current Map - Creates a new project from the map and data files (waypoint, route, tracks, point and event) currently loaded. The data (waypoints, tracks etc) must be saved before they can be added to the project.

Loads a project file into the Project Manager and displays the files in the list. This does not load the project into OziExplorer, use the "Load Project File" option on the Load Menu to do this.

Saves the list to a project file (.ozp).

Select from the drop down menu to add a file to the project. Multiple Track and Point files can be added to a project (up to 75 each) but only one map file, one waypoint file, one route files and 1 event file can be added to a project.

Deletes selected files from the project.

Shows the Project Manager help.

Auto Load this Project - Auto loads the current project when OziExplorer starts.


Registration Information

OziExplorer

Registration (Purchase) Information

This applies to users of OziExplorer who have downloaded their copy from the web page and would like to register it to unlock the advanced features.

See below for "How to Register"

Features for registered Users

No Nag screen - The screen which displays the message unregistered when OziExplorer is started is removed.

User selectable datums - More than 100 datums are available. By specifying the correct datum OziExplorer can automatically convert coordinates between them as required.

User Selectable Map Projections - Many map projections are supported.

Local Grid Systems - The following grids are supported, UTM, British (osgb), Irish, New Zealand, Swedish, Swiss, France, Italy and User Grid coordinates systems, plus others.

Multi Point Calibration System - Up to 9 points to be used to calibrate the map. This means images which are rotated and/or skewed can be calibrated. By using more points an "over determined" solution can be found to provide even more accuracy.

Map Importing

  • Import Map Images - Maps in any of the image formats which OziExplorer supports can be imported providing they have georeferencing information provided using one or more of the following methods - tfw, jgw, sdw files * geotiff (only selected tags supported) * USGS fgd file * mapinfo tab file (for raster file type only) * ecw images. This feature allows you to import these map images and create OziExplorer maps.
  • Import BSB and NOS/GEO charts - This feature allows you to import these chart images and automatically create OziExplorer maps. Note - these charts are proprietary and are licensed for use in OziExplorer and cannot be saved to any other format.
  • Import Maptech PCX and RML charts - This feature allows you to import these chart images and automatically create OziExplorer maps. Note - these charts are proprietary and are licensed for use in OziExplorer and cannot be saved to any other format.

MapView - This provides you with a small view of the map which shows a red rectangle which is the area you can see on the large map. You can the drag this rectangle over the small map and when released the view of the large map will change to suite. Waypoints, events and the plot trail also plot on the small view of the map.

Merge Waypoints and Events - For Lowrance/Eagle and Garmin Receivers only. When downloading Waypoints this provides the ability to merge the Waypoint with those already on the map.

Send Single Waypoints and Routes Direct to GPS - For most makes of GPS, a single waypoint can be sent directly to the GPS by point and click (right click on the waypoint and select option from menu). A single Route can be sent or retrieved from the GPS by pressing the buttons on the Route window.

Ability to alter Moving Map settings.

How to Register (purchase)

What do you get if you Register

Registering (purchasing) will activate all the disabled features within the shareware version - the features for registered users are listed above.

Once you have registered OziExplorer (even the Beta version) this entitles you to free upgrades whenever they are released. You will not have to register OziExplorer again.

Please do not register the software until you have it functioning correctly and communicating with your GPS. The code for the shareware and registered version is exactly the same, if you cannot get the shareware version functioning the registered version will also not work.

To test out the features which are only available in the registered version you will need to run the "trial" version. The "trial" version has most of the registered only features turned on but is disabled in other ways. By using the "shareware/demo" and the "trial" versions you can check out most of the features of OziExplorer.

Registering

Purchase can be made using PayPal or Shareware Registration Service called Shareit (www.shareit.com).

Shareit The Shareware Registration Service MasterCard Visa American Express + Others

The ability to register online using secure transactions is available and can be done by simply clicking the button below.

  • When you register they will email me with your details and I will send you back codes which will enable all the registration features in the shareware version.
  • The registration details email is usually sent within hours. If the license has not been received in a day or two please email us.
  • Using the ShareIt payment option, credit card, bank transfer and invoicing can be selected on the online order form under "Payment Options" on the order page.
  • Using the ShareIt payment option, if you prefer to order by FAX you will find a FAX order form towards the bottom of the online order form.

Register REGISTER NOW ! This will take you to our Buy Now page. For further information, please read the purchase information at the top of the Buy Now page.


Shape File Options

Shape File Import/Export Options

see also Importing ESRI Shape Files Exporting to ESRI Shape Files

Shape files can come with the positions within the file stored in various formats. To import the shape file correctly you must import it by specifying the correct Position Format. OziExplorer supports some common formats.

wShapeImportOptions.gif (3334 bytes)

Datum - The Datum the positions in the file are referenced to.

UTM Zone - The zone the positions are located in. If the positions in the file are in UTM and you select the UTM position format then the correct zone must be entered. If the correct zone is not entered the positions will not be calculated correctly.

Hemisphere - If you enter a UTM Zone you must also indicate if the positions are North or South of the equator.

Position Format - The Format of the positions in the file (the coordinate system used). The shape file has no way to store the zone information of Grid systems so if the UTM format is selected you must nominate the UTM Zone and Hemisphere.

False Easting - Used with the Albers format only.

False Northing - as above.


SRTM Height Data Download

This option will download the SRTM (Shuttle Radar Topography Mission) height data. The files are downloaded which cover the region of the map currently being viewed on the screen.

NOTE: A connection to the internet is required to download this data.

SRTM covers the region of the world from 60 degrees South to 60 degrees North.

Three types of SRTM data can be downloaded.

1. CGIAR Consortium for Spatial Information (CGIAR-CSI)

  • The files are downloaded from this website http://srtm.csi.cgiar.org/index.asp
  • This data is on a 3 Second grid (approx 90m).
  • The files are in Grid ASCII format.
  • This data is processed SRTM data which means bad data and "no data" voids have been removed.
  • Note : An individual file covers a 5 degree grid so the size of the files can be up to 63MBytes.

2. NASA 3 Second data (approx 90m grid)

  • The files are downloaded from this website ftp://e0srp01u.ecs.nasa.gov/srtm
  • This data may contain voids.

3. NASA USA 1 Second data (approx 30m grid)

  • The files are downloaded from this website ftp://e0srp01u.ecs.nasa.gov/srtm
  • This data is for the USA only.
  • This data may contain voids.

Caution is needed as it is possible to specify a region of a map on the screen which requires many hundreds or thousands of files to be downloaded. A large number of files will require a long time to download and a lot of disk space.

CGIAR downloaded files are stored in a sub-folder of the Grid ASCII Elevation Data File Path.

NASA SRTM downloaded files are stored in a sub-folder of the Globe (Arcview) Elevation Data File Path.

Note : On completion of the download, the Elevation Configuration settings are changed/configured to automatically use the data. If you are already using other types of Height Data be aware that your configuration may change.

Hint : After downloading the height data, turn on the "Show Elevation Display" option on the 3D/Elevation Menu to see the elevation at the cursor position.

Operation

The files to download are listed and the total number of files to be downloaded is shown above the list.

Click the "Download" button to commence the download. The status of the download is shown at the bottom of the dialog.

Click the "Abort" button to abort the download, it may take a little time before the abort takes affect.


Track Point Properties

Fields

Altitude - The Altitude of the track point in the selected units.

Buttons

Edit Position - Opens a dialog where the position of the point can be edited.

Edit Date - Opens a dialog where the date assigned to the track point can be edited.

Help - Gives help for the point properties dialog.

Cancel - Close the dialog and discard any changes.

Save - Close the dialog and keep the changes.

If you make any changes to the track point you must save the track file to make the changes permanent.


Track Time

Garmin

All Garmins store the Date and Time for each track point and these are transferred to the PC when the track is downloaded from the GPS. This allows the speed to be calculated.

Exceptions

  • Saved tracks do not store the Date and Time.
  • Tracks uploaded to the GPS do not store the Date and Time (some later models may).

Lowrance / Eagle

Lowrance and Eagles do not store the Date and Time with each track point.

However they do allow the track point to be collected at set time intervals. If the track is collected at a set time interval then the "Set Track Date and Time" option in OziExplorer can be used to add the Date and Time to each track point.

Magellan

Magellans do not store the Date and Time for each track point.

Adding the Date and Time to Track Points

This should only be done if the track points have been collected at a set time interval and the interval must be known.

If the option is used on tracks collected in "Auto" or "set distance" modes the speeds calculated will not be correct.

Limitations

It is assumed that the track points were collected precisely at the intervals set, inconsistent speed values may appear if the GPS collects the points "on average" at the set interval instead of precisely at the set interval.


Tutorial - Map Comments and Map Features

Map Features and Map Comments

Adding Map Features and Comments

Map Features and Map Comments are used when you want to store more information about important map features such as camping areas, islands, etc. Map Features can also have a waypoint assigned to them if there are free waypoints available - this waypoint cannot be modified by the user.

To add Map Comments graphically press the Mc Button on the Tool Bar.

  • The mouse pointer will change to cross hairs, position the center of the pointer over the point where you want the Map Comment and press the Left mouse button.
  • To try this now, click on a position on the map.
  • A map comment will be added to the map.
  • Double click on the Map Comment to show the Properties window.
  • Enter your comment to change the default text and try changing the other properties.
  • Click the Save button on the properties window.

To add Map Features graphically press the Mf Button on the Tool Bar.

  • The mouse pointer will change to cross hairs, position the center of the pointer over the point where you want the Map Feature and press the Left mouse button.
  • Similar to other map objects, to show the Properties window to make changes to its properties double click on the Map Feature symbol.

Remember that Map Features and Map Comments are saved with the map, so to make them permanent you must resave the map.

  • If you added a new map comment to the map, you will notice the Map Quick Save button just above the map on the right is now Red. When the text is red the data in memory has been modified, in this case pressing the button will instantly save the map file using the same name for the map as when it was loaded.

To Delete a Map Object

Now we will delete the Map Comment you have just added.

  • Position the mouse pointer on the Map Comment (the cursor should change to a finger) and press the right mouse button. A popup menu will appear, select the Delete option.
  • You will notice the Map Quick Save button has again turned Red, showing the map (or map comment / map feature) has been modified. Click on the button and instantly save the map file.

This process is used to delete any Map Object and to change the properties of any map object

If you want to change the default properties for all new objects, this is done in Configuration.

See the Map Features section of the Help for more information on Map Features.

See the Map Comments section of the Help for more information on Map Features.

Click here for the Tracks Tutorial


Tutorial - Configuring OziExplorer

Configuration

When you open the Configuration window, you will see several pages with name tabs describing the topic each page relates to. Many of the configuration options will work for you as they have been set up with default settings and may not require changing. For full details see Configuration section of Help.

Here are some of the settings which are important to configure so that OziExplorer works correctly for you.

System Tab - File Paths

  • Map File Path - is the Folder where you will keep the map (.map) files for your map images. By clicking on the open folder icon, you can select a different folder. OziExplorer will always look in this folder and its subfolders for maps, the default is a folder called MAPS under the Oziexplorer folder. You could create subfolders under the MAPS folder to separate your maps into various categories.
  • Data File Path - is the Folder where the data files are stored, the default is a folder called DATA under the Oziexplorer directory. By clicking on the open folder icon, you can select a different folder. An example of a data file is one containing a group of waypoints which you have saved.

To change the Map or Data File Path, click on the folder button on the right of the entry box to display the Select Directory dialog and select the folder where your maps are located.

Maps Tab

  • Units - Specify the units (distance, speed, altitude) you prefer.
  • Country or Region - Select your country or if not in the list, select the region of the world you are in. When entering geographic positions this causes the N/S or E/W field to default to a choice valid for the region you select.

GPS Tab

GPS Make and Model

(There is specific information on different makes in the "GPS Receivers" section of Help.)

Use the "Find GPS Port" button to determine the GPS you have connected and report the settings you need to help you configure OziExplorer. Note: your GPS must be connected and turned on.

GPS Make and Model - Select the make and model of GPS you have from the lists provided. If your model is not in the list you can select "Other" (example "Other Garmin").

When you select a GPS make and model the GPS parameters are automatically filled in, DO NOT assume that the parameters are correct for all GPS Receivers, check the features of your GPS in the manual and enter the correct values.

GPS Upload/Download Datum - Specifies the Datum OziExplorer will use when it uploads data (waypoints, tracks etc) to the GPS and the Datum it assumes the data is in when it is downloaded to OziExplorer from the GPS. See "Datums" help for more information.

  • Garmins and Magellans always use the WGS 84 datum when uploading/downloading data.
  • Lowrance/Eagles vary, some use the datum the GPS is set to and others always use WGS 84.
  • MLR use whatever datum the GPS is currently set to when uploading/downloading data.

GPS NMEA Output Datum - Specifies the Datum the GPS sends its NMEA position data in.

  • USB Mouse and Bluetooth GPS's always send it in WGS 84 datum.
  • Garmins always send it in the datum you have your GPS set to.
  • Most Lowrance/Eagles always send it in WGS 84 others send it in the datum the GPS is set to.
  • For Magellans you need to check this, some models output in WGS84 and others such as the 315/320 output in the Datum the GPS is set to.
  • The MLR always sends the NMEA positions in whatever datum the GPS is currently set to.

COM Tab

(There is more detailed information on different makes in the "GPS Receivers" section of Help.)

Set the COM settings to the following.

  • Mouse Type GPS - With the GPS connected, use the "Find GPS Port" button on the GPS tab to determine the settings. If the GPS is not found, disconnect the GPS from the PC and re-installed the software driver for the GPS.
  • Garmin USB makes - tick Garmin USB and Use PVT for Garmin instead of NMEA options.
  • Garmin Serial GPS - normally use a Upload/download Baud of 9600 with no parity so set the parameters to these figures. The GPS interface (set within the GPS) must be set to GRMN/GRMN to upload/download waypoints. Parity none and 8 data bits for the other settings.
  • For Lowrance & Eagle GPS receivers you must set to match the setting you have in the GPS. Set the Upload/download BAUD rate to as high as possible (normally 19200) in both the GPS and OziExplorer. Set the other parameters to match the settings in the GPS.
  • For Magellans GPS receivers you must set to match the setting you have in the GPS. Set the Upload/download BAUD rate to 9600 in both the GPS and OziExplorer, Magellans also allow a Baud rate of 19200 but this does not always work and if this is the case for your GPS then 9600 seems to be the best choice. Set the other parameters to parity none and 8 data bits.
  • For MLR GPS receivers set the Upload/Download Baud rate to match the setting you have in your GPS. Note : This may always need to be 4800 for MLR's.

For full details see Configuration section of Help.

Click here for the Tracking (moving map) Tutorial


Tutorial - What is a Map

What is a Map

A map in OziExplorer is an image of a map which has been calibrated (georeferenced) so OziExplorer can use any pixel position on the map to determine the true geographic position.

When you calibrate a map in OziExplorer a map file with a .map extension is created which contains the calibration information and a link to the image of the map you are using.

A Map file therefore contains at least this information

  • A link to the image of the map
  • The datum of the map
  • The map projection used for the map
  • The calibration (georeferencing) information for the map

The OziExplorer Map file with the .map extension is saved separately to the map image, so you will notice, for each map you have two files, the OziExplorer Map file and the map image. When you want to use a Map in OziExplorer you will open a Map file (example name : Australia.map).

OziExplorer then reads from the Map file

  • The name of the map image file from the .map file and opens the image.
  • The map datum and map projection are read.
  • The calibration information from the .map file and calculates the factors necessary to convert the map image pixel coordinates to geographic coordinates.

Note: The maps you plan to use may come supplied with OziExplorer .map files.

The other method of creating maps is to import them. There are maps and charts available in digital form which have the calibration (georeferencing) for the map included either directly in the file or provided as information in an additional file. Importing these maps reads the calibration information from the map files and creates an OziExplorer Map file (with a .map extension). If you need to Import a map, see the relevant topic in the Map Related section of Help for information on this process.

Using Maps

To begin using maps with OziExplorer, you will open a .map file for the map image. If a map image does not have an OziExplorer Map file, before using it for the first time you will be required to Load and Calibrate a Map Image or Import a Map (or series of maps). The ways to access your maps are;

  • Load a map which already has been calibrated (georeferenced), where you have both the OziExplorer Map file and the image.
  • Calibrate a map image and generate the OziExplorer Map file. Once a map is calibrated it is opened with the Load Map option.
  • Import maps using one of the options available. (Read the relevant topic in the Map Related section of Help for information on this process).

Lets try out some of the functions using the demo data starting with the Load a Map option described above.

Open the Demo Map

  • Press the Load Button on the Tool Bar.
  • Select the Load Map from File Menu Option.
  • Select the demo1.map file from the file open dialog.
  • The map should be displayed after a small delay while the bitmap image loads.

If you are calibrating a map image for the first time there is of course NO map file so instead of using the Load Map option, you will use the Load and Calibrate Map Image option. This is discussed in the Map Calibration Tutorial.

File Quick Save Buttons

There is a set of 5 buttons located on the right hand side of the tool bar. These are called Map, Waypoint, Event, Track and Route. When the text on a button is grayed there is no file loaded into memory (and plotted on the map). When the text is black there is a file loaded but it is the same as the data in memory. When the text is red the data in memory has been modified, in this case pressing the button will instantly save the file using the same name as when it was loaded. If the data is new you will be prompted for a file name.

Some Terms and Abbreviations

  • Map Object - the Waypoints, Events, Track Points, Map Features and Map Comments are referred to collectively as Map Objects.
  • Symbol - The icon (picture) used to display an Waypoint, Event or Map Feature.

You will notice the demonstration map already has some annotations on it such as "Steep track" etc. These are called Map Comments and up to 500 of these can be added to each map you create.

There are other symbols on the map, these are called Map Features and up to 500 of these can be added to a map, Map Features can be displayed with user supplied symbols or as blue circles with white numbers (the default).

Map Comments are used to show text information that you want to see at all times, usually relating to particular parts of the map. Map comments can only store text but can have any size or color.

In the Map Comments and Features Tutorial you will learn how to add these to a map or to modify those already on the map.

Common Actions for all Map Objects (Try out these operations).

  • Move the mouse pointer over the top of an object, the pointer changes to a finger and a text box appears (a hint) displaying some of the details about the object, this does not apply to Map Comments.
  • Pressing and holding down the Shift key and then pressing the left mouse button and holding it down allows you to drag the object to a new position.
  • Pressing the right button opens a menu where you can open up the objects properties dialog or delete the object or perform other actions where available.
  • Double Clicking on a Map Object opens the properties window for the object.

Click here for the Configuration Tutorial

Click here for the Map Calibration Tutorial


Tutorial - Calibrating a Map

Calibrating a Map

The Demo map has already been calibrated but we will show you how it was done.

Because we are starting with a map which has already been calibrated we open it by selecting the Check Calibration of Map option on the File Menu. If however you were starting with just the map image and are creating a NEW calibration you would select the Load and Calibrate Map Image option on the File Menu.

Before specifying the calibration points for a map there are fields which must be entered or selected.

  • Map Name - Enter into this field the name of the map, any name is allowed. This is the name which will be displayed on screen.
  • Map Datum - This is a very important entry if you want the map to be accurate. The map or the original paper map it was scanned from should have the datum printed on it somewhere, find the datum and select it from the dropdown list. If you cannot find the datum you will have to use a best guess or select the WGS84 datum for now, the datum can be adjusted later if needed using the Check Calibration of Map option. See the Datums section of Help for details.

Note: The datum for the Shareware/Demo version of OziExplorer is set as WGS 84 and cannot be altered.

  • Mag Var - Entering of the Magnetic Variation is optional, OziExplorer will calculate the variation if it has not been entered. See the Magnetic Variation help for details.
  • Map projection - The Map Projection can be a true projection or it can be a Grid Coordinate System. Grid systems are usually based on a Map Projection so by selecting a Grid the projection is usually known. It is essential that the Map Projection (or Grid System (same list)) be entered correctly. The map projection or grid system may be printed on the map or on the original paper map it was scanned from. OziExplorer supports most of the common map projections. See the Map Projection help for details. If you do not know the map projection, for small area maps the latitude/longitude projection may give suitable results, however it will not be suitable if the map has latitude or longitude lines which have a noticeable curve. Sometimes using 7 or more calibration points and turning on Polynomial calibration (in the Options) can give suitable results.

Note: The Map Projection for the Shareware/Demo version of OziExplorer is set as Latitude/Longitude and cannot be altered.

  • Options - The options button allows you to attach tracks and other files to the map as well as setup the corner markers. (see "Options" topic in "Creating (Calibrating) Maps" section of Help for details).
  • MapView Button - This allows you to activate the MapView window.
  • Cursor Zoom Button - This allows you to activate the Zoom Window. Use the zoom window to assist you to place a calibration point accurately.

Specifying the Calibration Points

In order to calibrate a Map you need to know the accurate coordinates of 2 or more points on the map. Just using 2 points is not recommended but is the only choice for the Shareware/Demo version. The demonstration map has been calibrated using 2 points so it can be used with the shareware version but you should always try to have at least 3 points for an accurate calibration.

Click on the tab labeled Point 1 - you will see the X and Y fields have numbers in them, these are the screen coordinates of a point on the map image. The Lat and Long (Latitude and Longitude) fields in the Degs & Mins section also have values in them, these are the geographic coordinates in the selected map datum which correspond to the X,Y point on the map.

How do we get those values in these fields - If you move the mouse pointer onto the map image you will see the cursor changes to x-hairs with the number 1 displayed. You move the pointer onto the first point you have selected as a calibration point (you may have to scroll the map to find it) and click the mouse button, the x,y coordinates of the point are transferred to the X,Y entry fields. It is ok to do this with the demonstration map, we will not save the changes (try it). When you have the X,Y points entered you then enter the Lat, Long coordinates which match that point, the lat,Long coordinates can be entered in different formats such as Deg,Min and Secs (see Special Keys and Stuff topic in Hints, Tips and FAQ section of Help). You can also enter in Grid coordinates based on the Grid System you are using, this depends on the choice you made for the Map Projection above. You can enter either Lat,Long or Grid values but not both (for the same point).

The same method applies for the other calibration points. For this map we have only used 2 points to derive the calibration but 3 or more points is preferred.

What you are doing here is tying the map image X,Y coordinates to the actual geographic Lat,Long or Grid coordinates. OziExplorer is then able to calculate a mathematical equation to allow positions to be converted from map x,y points to geographic coordinates and of course the inverse as well.

This is a screen shot of the demonstration map showing calibration point 1. In this case I have chosen an intersection as my first calibration point, I can do this because I know the precise Lat, Long coordinates for the position. This map has grid lines so I could have chosen the intersection of 2 grid lines, this would have given me the exact position as well, in fact in normal circumstances this would normally be the preferred way of doing it. I could also have used UTM Coordinates (or your selected grid) to specify the position instead of Degrees and Minutes.

To calibrate additional points you select the Point 2, Point 3 etc tabs, use the arrow keys on the right hand side of the tabs to scroll more tabs into view.

The calibration of maps is discussed fully in the Creating Maps topic in the Help.

(DO NOT do this now ) When you have entered all the calibration points you then press the Save Button to save the calibration as a .map file. You will be asked for a name to call this file, use a long meaningful name as this is the name you will use in future to select maps for loading.

For this tutorial you need to press the Cancel Button so any changes you have made will not be saved. Press the Cancel Button now to leave calibration mode.

Click here for the Other useful features Tutorial


Tutorial - Moving Map

Working with the GPS

Once the configuration of both the GPS and OziExplorer are done so that they can communicate with each other, provided your GPS has the ability, you can plot your position on the map as you travel - real time tracking (moving map). GPS models that can be used for moving map usually output the current position every one or two seconds.

Real Time Tracking (Moving Map)

OziExplorer has the ability to display your actual position on the map as you travel. It does this by being permanently connected to your GPS and logging the NMEA messages being transmitted by the GPS.

So you can experiment with Moving Map while at home OziExplorer has a NMEA Simulator included. The simulator allows you to set your direction of travel (bearing) and speed and sends these messages to the software just as if they were generated by the GPS.

We will use the simulator to demonstrate some of the functions of Moving Map to see how it works.

On the Moving Map menu select the Moving map Control option. This will show a dialog on the screen.

wMovingMap.gif (4364 bytes)

Again on the Moving map menu select then NMEA Simulator option. This will show the simulator dialog.

On the NMEA Simulator press the Here Button [image] then move the mouse pointer onto the map, you will notice the mouse cursor will change. Position the mouse onto some point on the map and press the left mouse button, there will be a small beep and the cursor will change back to normal, this sets the start position for the moving map simulation.

On the Moving Map Control press the Start Button [image] this will start the moving map onscreen tracking simulation. An arrow (pointer) should appear on the screen at the "Start" position. The arrow will point in your direction of travel.

On the NMEA Simulator you can press the buttons on either side of the Bearing (deg - green window) [image] to change the direction of travel or press the buttons either side of the Speed (red window) [image] to change your speed. You may like to try this now. Notice how the arrow points in your direction of travel. As you specify a speed the arrow will move in the direction of travel and the map will scroll.

There are many settings you can experiment with (the shareware version has some of these disabled), see the Moving Map (Real Time Tracking) section for details.

We have been experimenting with the simulation here, when used with the GPS the position, bearing and speed are logged from the GPS. You can also experiment with moving map by using your GPS in simulator mode.

Track Logging

OziExplorer can log your track as you travel. The Track Log options are on the Moving Map Menu. Click on the Moving Map Menu and see the option "Log Track to File". It has a tick box beside the option; if ticked, the track will be logged to a file. Click on the Moving Map Menu and look at the option now to see if it is ticked. If you want to keep a log of where you travel, if it is not already ticked, tick this option now.

Now click on the Configuration button on the User Toolbar (or the Configuration option on the File Menu). When the Configuration dialog is displayed, click on the "Track" tab. On the Track tab, under the option "Track Log File", click the down arrow beside "New File" to show the options available. Select the option you require, a new file Daily, Weekly, Monthly or Never.

For more information on this option, see the "Track" section of the Moving Map Help.

Click here for the Upload/Download Tutorial


Index Map and Name Search

Index Map

(At this stage you may not have many maps to show the full use of this feature.)

  • Press the Index Map button [image] on the toolbar to display the Index Map dialog.
  • Select the World Index.map from the file open dialog.
  • The map should be displayed after a small delay while the bitmap image loads.

An outline of all the maps you have stored in the Map File Path will be drawn onto the loaded map. By moving the mouse over the window the maps available are displayed as a hint and the cursor changes to a finger pointer.

If you already have maps, you will be able to click the mouse on the index map, all the maps available will be displayed in the map search list and the required map can be selected. This map will be loaded, similar to the Load Map File which you have done earlier in this tutorial.

Name Search

(This requires you have a names database to load, the World Cities database can be downloaded from the OziExplorer website and saved in the OziExplorer Name Search folder. Load the World map (World.map) using the Load Map option which you have done earlier in this tutorial.)

  • Press the Name Search button [image] on the toolbar to display the Name Search dialog.
  • Press the Load Button on the Name Search dialog and select the World Cities.names database using the Open Name Database dialog.
  • Type a name or part of a name in the Name to find field (for example Sydney). OziExplorer will filter the list, only the database entries containing the entered name will be displayed.
  • Highlight the name and press the Plot Location Button [image] on the Name Search dialog.
  • If the place selected is on the current map, the locate marker will be placed on the map at the position of the place.

(If the place is not on the current map, a dialog with a list of maps which contain the place will be displayed.)

Click here to go back to Tutorial Contents


Working with Tracks and the Track Control

Lets load in a Track from file

(Note: A track is sometimes known as a Plot Trail but within OziExplorer they are always called tracks.)

  • Press the Load Button on the Tool Bar.
  • Select the Load Track from File option on the menu.
  • Select the "demo1.plt" file from the file open dialog. (Tip: to load many tracks, hold down the "Ctrl" or "Shift" keys while you select the tracks to load.)

The track will be displayed on the map. This track was collected on one of my 4x4 trips using the GPS, it was downloaded from the GPS using OziExplorer and saved to the "demo1.plt" file.

Now press the Track Control Button [image] on the Tool Bar, the Track Control will be displayed.

You will notice there is a row of buttons on the Tool Bar of the Track Control.

The trkShow.gif (196 bytes) button determines if the tracks (all of them) are displayed on the map. Press the button in and out and you will notice the track disappear and reappear. Make sure you leave the button pressed so the track is displayed.

The color and width of the track can be configured by using the Track Properties dialog.

wTrackProperties.gif (4105 bytes)

  • Press the button [image] on the Tool Bar (alternatively, double click on Track 1).
  • The Track Properties window will be displayed.
  • Press the triangle adjacent to the Line Color and select a different color.
  • Press the up arrow adjacent to the Width to increase the line width.
  • (DO NOT do this now) The Save Button [image] is used to save the changes.
  • Press the Close Button [image] to close the Track Properties window.

Lets try loading another track into Track 2.

  • Select Track 2 with your mouse to highlight it.
  • Press the button [image] on the Track Control Tool Bar (alternatively, double click on Track 1).
  • The Track Properties window will be displayed and the track description will show "Track not loaded ..."
  • Press the Load Button [image] and select the file "Demo2.plt", the track file will be loaded.
  • Press the Close Button [image] to close the Track Properties window.

Lets view the list of track points for Track 2.

  • Press the button [image] on the Track Control Tool Bar.
  • The Track List window will be displayed showing the list of track points.
  • The data for each track point (such as the coordinates) is listed, some parameters are calculated. For example, if the Date and Time have been collected with the track then the speed for each section between track points is calculated.
  • Track 2 is not on the map that is loaded (Demo1.map) so you can see the Map column has "No" for each track point indicating the points are not on the map.
  • The Tool Bar on the top of the Track List allows you to work with or on the data.

Creating or Editing a Track

While it is possible to add new track points to an existing track, for this tutorial we will start without a track loaded.

  • On the Map Menu select the Clear All Tracks from Map option.
  • Click the Yes button when asked to Clear the Track Points. This will make sure there are no track points in memory.
  • Open the Track Control by clicking on the Track Control Button [image] on the Main Tool Bar.
  • Select the Create Track Points or Insert Track Point Button [image] on the Tool Bar. The mouse pointer will change to cross hairs with the word Track. In this mode where ever you click on the map a track point will be created. The insert button will insert the track point between the 2 closest track points and the create button will add the point to the end of the track.
  • Click anywhere on the map and create a track with about 10 points. You will see the number of Points and the Distance increasing in the Track Control window as you add new points. The track points are added to the track number selected in the Track Control List. Notice also that the track has a color and line width, these are the defaults and can be set in the main configuration.
  • On the Select Menu select the [image] Selection Control option to show the Selection Control. The Selection Control is used for selecting track points (and also for other objects such as waypoints, points etc as described in the Selection Control section of the help). On the Selection Control, click the button Draw Box to Select Track Points [image] (4th from left) to activate the tracks. Using the mouse, hold the left mouse button down and drag across the map selecting several track points. You will see the track points that fall within the box change size and color to indicate they have been selected. Now, on the Selection Control, click the button Delete Selected Objects [image] and confirm the deletion, the selected track points will be deleted.

The Enable Mouse on Track Points button makes the track points active - a hint will be shown when the mouse is on the track point, allows the track point to be dragged, right click on a track point will display a Menu of options. The menu options allow you to delete a track point and do other operations.

This newly created track can be saved to a file, uploaded to the GPS (where applicable) or permanently attached to a map.

Click here for the Other Useful Features Tutorial


Tutorial - Upload / Download

Working with the GPS - Upload / Download

Once the configuration of both the GPS and OziExplorer are done so that they can communicate with each other, provided your GPS has the ability, you can upload/download data from the GPS.

After configuration, the GPS menu will change to the make of GPS you have selected and this changes the Menu options on the GPS menu to suit your GPS.

Transferring data to and from the GPS (Upload / Download)

Retrieving Data from the GPS

For Garmin GPS

The Garmin Menu will have different options depending on the model of GPS. (Some models connect to the PC as a mass storage device (drive) and will have different menu options.)

Select the Get waypoints from GPS or Load Waypoints and Routes from GPS option.

For Magellan GPS

On the Magellan Menu select the Get waypoints from GPS option.

For Lowrance & Eagle GPS

These instructions also apply to getting Events from the GPS only the menu options will change.

On the Lowrance menu select the Get Waypoints from GPS option.

Continued for All users

You will then be instructed that this operation will delete all the waypoints currently on the map. Press the OK button and all the waypoints will be downloaded from the GPS. However you will not see them plotted on the Demo Map as this map is positioned in Australia, open the World map before you download and they should plot on it. (On the World map the waypoints will most likely plot on top of each other if they are all located in the same local area.)

Those that will be visible on the map are automatically plotted. Even if they are not displayed on the map they are still kept in memory and will be saved when the waypoint file is saved.

In many cases you will want to delete the waypoints or events which do not appear on the map.

To delete waypoints -

  • On the View menu, select the Waypoint List (or Event List) option.
  • The waypoints (or events) will be presented in the list in tabular form. Use the buttons on the bottom of the list to delete any single waypoint (or event) or delete all the waypoints (or events) which do not appear on the map.
  • To select multiple waypoints in the list, hold down the standard windows buttons (Shift or Ctrl) while clicking on the waypoints in the list.

Sending the Data to the GPS

You should have set the type of GPS you are using in the configuration options, this changes the Menu options available.

Before sending any data to your GPS make sure you have downloaded the data within the GPS and have it safely saved in files.

For Garmin GPS

You probably should not do this yet until you are more familiar with the software, this will change the waypoints stored in the GPS. On the Garmin menu select the Send/Save Waypoints to GPS option. You will then be instructed that this operation will send the waypoints. Press the OK button and all the waypoints will be sent to the GPS.

For Magellan GPS

You probably should not do this yet until you are more familiar with the software, this will change the waypoints stored in the GPS. On the Garmin menu select the Send Waypoints to GPS option. You will then be instructed that this operation will send the waypoints. Press the OK button and all the waypoints will be sent to the GPS.

For Lowrance & Eagle GPS

These instructions also apply to sending Events to the GPS only the menu options will change.

You probably should not do this yet until you are more familiar with the software, this will change the waypoints and/or the events stored in the GPS. On the Lowrance menu select the Send Waypoints to GPS option. You will then be instructed that this operation will send the waypoints. Press the OK button and all the waypoints will be sent to the GPS.

Deleting Waypoints within the GPS

Some Garmins connect as mass storage device / drive and store data in GPX files. In this case there may be a menu option to Delete Files from GPS. Selecting this menu will show a list of files on the GPS. Select files to delete.

This only applies to Lowrance/Eagle GPS Receivers. Garmins and Magellans have the ability to delete waypoints from their own menus in the GPS.

On the Lowrance menu select the option Delete "Unreserved" Waypoints from GPS.

  • This option will erase all the "Unreserved" waypoints from the GPS, USE WITH CAUTION.

On the Lowrance menu select the option Delete "Reserved" Waypoints from GPS.

  • This option will erase all the "Reserved" waypoints from the GPS, USE WITH CAUTION.

The "Reserved" Waypoint number range can be specified in the configuration options.

Deleting Events within the GPS

Only applies to Lowrance/Eagles.

Before Uploading Events to the GPS you may need to manually delete the Events from the GPS using the Delete Icons menu option. This is because if the GPS has more events than you are uploading the extras will become active the next time you restart the GPS.

Click here for the Waypoints Tutorial


Tutorial - Waypoints

Waypoints - Working with Waypoints and the Waypoint List.

Lets load in some waypoints from file.

  • Press the Load Button on the Tool Bar.
  • Select the Load Waypoints From File option on the menu.
  • Select the demo1.wpt file from the file open dialog.
  • The waypoints will be displayed on the map.

Adding waypoints to the map

To add Waypoints graphically -

  • Press the Wpt Button on the Tool Bar. the mouse pointer will change to cross hairs.
  • Position the center of the pointer over the point where you want the Waypoint and press the Left mouse button.
  • The Waypoint will be added in the default colors, style and symbol from the symbol set that has been set up in configuration.

Waypoints can also be added manually by entering the position directly into a form, this is accessed using the Waypoint List.

  • Press the Show the Waypoint List button [image] on the Main Toolbar to display the list of waypoints.
  • Press the Add Button on the waypoint list form.
  • Enter the properties of the new waypoint in the Add/Edit Waypoint form.
  • Press the Save Button, the waypoint will be added to the list and the map.

Note: The Waypoint List has many buttons and options to allow the user to manipulate waypoints.

Saving Waypoints from the Map to file

  • Press the Save Button on the Main Tool Bar.
  • Select the Save Waypoints to File option on the menu.
  • (DO NOT do this now) You will be asked for a name to call this file, use a meaningful name as this is the name you will use in future to select waypoints for loading.

See the Waypoint List section of the Help for an explanation of the buttons.

See the Upload / Download Tutorial for loading or saving waypoints to/from your GPS.

Click here for the Map Comments and Features Tutorial


OziExplorer

OziExplorer is copyright (C) D & L Software Pty Ltd

Upgrade Information

Subject to availability, free upgrades of OziExplorer are available from the following web site.

http://www.oziexplorer.com

If you have any problems with the registration code being accepted by the software please contact the author.

The author of the software can be contacted by email at this address.

info@oziexplorer.com


User Registration

This Page describes how to enter your Registration or Serial Number details.

The registration details may have been provided in the form of a User name with a matching key code or a Serial Number with a matching key code.

User Name or Serial No. - Enter the User name or Serial number you have been provided with. The name or serial number must be entered exactly as given.

Key Code# - The Key code must be entered exactly as given. Please note : Some codes have a $ character at the start of the code. This $ character must also be entered as it forms part of the code.

After entering the fields press the Save button to activate the registration.

If you get the message "Something is wrong with the key" it means the User Name/Serial No and the Key Code# are not a matched set, it also most likely means that one of the fields was entered incorrectly, please double check that they exactly match those given.

If the registration is successful you will need to close OziExplorer and restart to activate it as a full version.